/*===========================================================================*/
/*   (Ast/exit.scm)                                                          */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/exit.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_sexitz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_handlerz00;
		bool_t BgL_detachedzf3zf3;
	}               *BgL_sexitz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern obj_t BGl_sexitz00zzast_varz00;
	static obj_t BGl_objectzd2initzd2zzast_exitz00();
	static obj_t BGl_methodzd2initzd2zzast_exitz00();
	static BgL_letzd2funzd2_bglt
		BGl_z62setzd2exitzd2ze3nodez81zzast_exitz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_exitz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_genericzd2initzd2zzast_exitz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2exitza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_localz00_bglt BGl_makezd2localzd2sexitz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sexitz00_bglt);
	extern obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_letzd2funzd2_bglt
		BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62jumpzd2exitzd2ze3nodez81zzast_exitz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_exitz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_exitz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_exitz00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jumpzd2exitzd2ze3nodezd2envz31zzast_exitz00,
		BgL_bgl_za762jumpza7d2exitza7d1549za7,
		BGl_z62jumpzd2exitzd2ze3nodez81zzast_exitz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2exitzd2ze3nodezd2envz31zzast_exitz00,
		BgL_bgl_za762setza7d2exitza7d21550za7,
		BGl_z62setzd2exitzd2ze3nodez81zzast_exitz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1537z00zzast_exitz00,
		BgL_bgl_string1537za700za7za7a1551za7, "exit", 4);
	      DEFINE_STRING(BGl_string1538z00zzast_exitz00,
		BgL_bgl_string1538za700za7za7a1552za7, "Illegal `set-exit' form", 23);
	      DEFINE_STRING(BGl_string1539z00zzast_exitz00,
		BgL_bgl_string1539za700za7za7a1553za7, "Illegal `jump-exit' form", 24);
	      DEFINE_STRING(BGl_string1540z00zzast_exitz00,
		BgL_bgl_string1540za700za7za7a1554za7, "ast_exit", 8);
	      DEFINE_STRING(BGl_string1541z00zzast_exitz00,
		BgL_bgl_string1541za700za7za7a1555za7, "snifun value labels ", 20);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long
		BgL_checksumz00_1500, char *BgL_fromz00_1501)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_exitz00))
				{
					BGl_requirezd2initializa7ationz75zzast_exitz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_exitz00();
					BGl_cnstzd2initzd2zzast_exitz00();
					BGl_importedzd2moduleszd2initz00zzast_exitz00();
					return BGl_methodzd2initzd2zzast_exitz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_exitz00()
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 14 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_exit");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"ast_exit");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_exit");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_exit");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_exit");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_exitz00()
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 14 */
			{	/* Ast/exit.scm 14 */
				obj_t BgL_cportz00_1487;

				{	/* Ast/exit.scm 14 */
					obj_t BgL_startz00_1496;

					BgL_startz00_1496 = BINT(((long) 0));
					{	/* Ast/exit.scm 14 */
						obj_t BgL_endz00_1497;

						BgL_endz00_1497 =
							BINT(STRING_LENGTH(BGl_string1541z00zzast_exitz00));
						{	/* Ast/exit.scm 14 */

							BgL_cportz00_1487 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1541z00zzast_exitz00, BgL_startz00_1496,
								BgL_endz00_1497);
				}}}
				{
					long BgL_iz00_1488;

					BgL_iz00_1488 = ((long) 2);
				BgL_loopz00_1489:
					if ((BgL_iz00_1488 == ((long) -1)))
						{	/* Ast/exit.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/exit.scm 14 */
							{	/* Ast/exit.scm 14 */
								obj_t BgL_arg1547z00_1491;

								{	/* Ast/exit.scm 14 */

									{	/* Ast/exit.scm 14 */
										obj_t BgL_locationz00_1493;

										BgL_locationz00_1493 = BBOOL(((bool_t) 0));
										{	/* Ast/exit.scm 14 */

											BgL_arg1547z00_1491 =
												BGl_readz00zz__readerz00(BgL_cportz00_1487,
												BgL_locationz00_1493);
										}
									}
								}
								{	/* Ast/exit.scm 14 */
									int BgL_auxz00_1522;

									BgL_auxz00_1522 = (int) (BgL_iz00_1488);
									CNST_TABLE_SET(BgL_auxz00_1522, BgL_arg1547z00_1491);
							}}
							{	/* Ast/exit.scm 14 */
								int BgL_auxz00_1494;

								BgL_auxz00_1494 = (int) ((BgL_iz00_1488 - ((long) 1)));
								{
									long BgL_iz00_1527;

									BgL_iz00_1527 = (long) (BgL_auxz00_1494);
									BgL_iz00_1488 = BgL_iz00_1527;
									goto BgL_loopz00_1489;
								}
							}
						}
				}
			}
		}
	}



/* set-exit->node */
	BGL_EXPORTED_DEF BgL_letzd2funzd2_bglt
		BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_expz00_3,
		obj_t BgL_stackz00_4, obj_t BgL_locz00_5, obj_t BgL_sitez00_6)
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 33 */
			{
				obj_t BgL_exitz00_1259;
				obj_t BgL_handlerz00_1260;

				{	/* Ast/exit.scm 36 */
					obj_t BgL_locz00_1217;

					BgL_locz00_1217 =
						BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_3,
						BgL_locz00_5);
					{
						obj_t BgL_exitz00_1218;
						obj_t BgL_bodyz00_1219;

						if (PAIRP(BgL_expz00_3))
							{	/* Ast/exit.scm 37 */
								obj_t BgL_cdrzd2367zd2_1224;

								BgL_cdrzd2367zd2_1224 = CDR(BgL_expz00_3);
								if (PAIRP(BgL_cdrzd2367zd2_1224))
									{	/* Ast/exit.scm 37 */
										obj_t BgL_carzd2370zd2_1226;

										BgL_carzd2370zd2_1226 = CAR(BgL_cdrzd2367zd2_1224);
										if (PAIRP(BgL_carzd2370zd2_1226))
											{	/* Ast/exit.scm 37 */
												if (NULLP(CDR(BgL_carzd2370zd2_1226)))
													{	/* Ast/exit.scm 37 */
														obj_t BgL_arg1223z00_1229;
														obj_t BgL_arg1224z00_1230;

														BgL_arg1223z00_1229 = CAR(BgL_carzd2370zd2_1226);
														BgL_arg1224z00_1230 = CDR(BgL_cdrzd2367zd2_1224);
														{
															BgL_nodez00_bglt BgL_auxz00_1543;

															BgL_exitz00_1218 = BgL_arg1223z00_1229;
															BgL_bodyz00_1219 = BgL_arg1224z00_1230;
															{	/* Ast/exit.scm 39 */
																obj_t BgL_hdlgzd2namezd2_1232;

																{	/* Ast/exit.scm 40 */
																	obj_t BgL_arg1254z00_1257;

																	{	/* Ast/exit.scm 40 */
																		obj_t BgL_list1255z00_1258;

																		BgL_list1255z00_1258 =
																			MAKE_PAIR(BGl_string1537z00zzast_exitz00,
																			BNIL);
																		BgL_arg1254z00_1257 =
																			BGl_makezd2anonymouszd2namez00zzast_sexpz00
																			(BgL_locz00_1217, BgL_list1255z00_1258);
																	}
																	BgL_hdlgzd2namezd2_1232 =
																		BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																		(BgL_arg1254z00_1257);
																}
																{	/* Ast/exit.scm 39 */
																	obj_t BgL_hdlgzd2sexpzd2_1233;

																	{	/* Ast/exit.scm 41 */
																		obj_t BgL_arg1241z00_1250;

																		{	/* Ast/exit.scm 41 */
																			obj_t BgL_arg1242z00_1251;
																			obj_t BgL_arg1246z00_1252;

																			{	/* Ast/exit.scm 41 */
																				obj_t BgL_arg1248z00_1253;

																				{	/* Ast/exit.scm 41 */
																					obj_t BgL_arg1249z00_1254;

																					{	/* Ast/exit.scm 41 */
																						obj_t BgL_arg1250z00_1255;

																						BgL_arg1250z00_1255 =
																							MAKE_PAIR(BUNSPEC, BNIL);
																						BgL_arg1249z00_1254 =
																							MAKE_PAIR(BNIL,
																							BgL_arg1250z00_1255);
																					}
																					BgL_arg1248z00_1253 =
																						MAKE_PAIR(BgL_hdlgzd2namezd2_1232,
																						BgL_arg1249z00_1254);
																				}
																				BgL_arg1242z00_1251 =
																					MAKE_PAIR(BgL_arg1248z00_1253, BNIL);
																			}
																			{	/* Ast/exit.scm 42 */
																				obj_t BgL_arg1251z00_1256;

																				BgL_arg1251z00_1256 =
																					MAKE_PAIR(BgL_hdlgzd2namezd2_1232,
																					BNIL);
																				BgL_arg1246z00_1252 =
																					MAKE_PAIR(BgL_arg1251z00_1256, BNIL);
																			}
																			BgL_arg1241z00_1250 =
																				MAKE_PAIR(BgL_arg1242z00_1251,
																				BgL_arg1246z00_1252);
																		}
																		BgL_hdlgzd2sexpzd2_1233 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																			BgL_arg1241z00_1250);
																	}
																	{	/* Ast/exit.scm 41 */
																		BgL_nodez00_bglt BgL_hdlgzd2nodezd2_1234;

																		BgL_hdlgzd2nodezd2_1234 =
																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																			(BgL_hdlgzd2sexpzd2_1233, BgL_stackz00_4,
																			BgL_locz00_1217, BgL_sitez00_6);
																		{	/* Ast/exit.scm 43 */
																			obj_t BgL_hdlgzd2funzd2_1235;

																			{	/* Ast/exit.scm 44 */
																				obj_t BgL_pairz00_1436;

																				BgL_pairz00_1436 =
																					(((BgL_letzd2funzd2_bglt) CREF(
																							((BgL_letzd2funzd2_bglt)
																								BgL_hdlgzd2nodezd2_1234)))->
																					BgL_localsz00);
																				BgL_hdlgzd2funzd2_1235 =
																					CAR(BgL_pairz00_1436);
																			}
																			{	/* Ast/exit.scm 44 */
																				BgL_localz00_bglt BgL_exitz00_1236;

																				BgL_exitz00_1259 = BgL_exitz00_1218;
																				BgL_handlerz00_1260 =
																					BgL_hdlgzd2funzd2_1235;
																				{	/* Ast/exit.scm 35 */
																					BgL_sexitz00_bglt BgL_arg1258z00_1262;

																					{	/* Ast/exit.scm 35 */
																						BgL_sexitz00_bglt
																							BgL_new1100z00_1263;
																						{	/* Ast/exit.scm 35 */
																							BgL_sexitz00_bglt
																								BgL_new1099z00_1264;
																							BgL_new1099z00_1264 =
																								((BgL_sexitz00_bglt)
																								BREF(GC_MALLOC(sizeof(struct
																											BgL_sexitz00_bgl))));
																							{	/* Ast/exit.scm 35 */
																								long BgL_arg1259z00_1265;

																								{	/* Ast/exit.scm 35 */
																									long BgL_res1527z00_1432;

																									BgL_res1527z00_1432 =
																										BGL_CLASS_INDEX
																										(BGl_sexitz00zzast_varz00);
																									BgL_arg1259z00_1265 =
																										BgL_res1527z00_1432;
																								}
																								BGL_OBJECT_CLASS_NUM_SET(
																									((BgL_objectz00_bglt)
																										BgL_new1099z00_1264),
																									BgL_arg1259z00_1265);
																							}
																							{	/* Ast/exit.scm 35 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1564;
																								BgL_auxz00_1564 =
																									((BgL_objectz00_bglt)
																									BgL_new1099z00_1264);
																								BGL_OBJECT_WIDENING_SET
																									(BgL_auxz00_1564, BFALSE);
																							}
																							BgL_new1100z00_1263 =
																								BgL_new1099z00_1264;
																						}
																						((((BgL_sexitz00_bglt)
																									CREF(BgL_new1100z00_1263))->
																								BgL_handlerz00) =
																							((obj_t) BgL_handlerz00_1260),
																							BUNSPEC);
																						((((BgL_sexitz00_bglt)
																									CREF(BgL_new1100z00_1263))->
																								BgL_detachedzf3zf3) =
																							((bool_t) ((bool_t) 0)), BUNSPEC);
																						BgL_arg1258z00_1262 =
																							BgL_new1100z00_1263;
																					}
																					BgL_exitz00_1236 =
																						BGl_makezd2localzd2sexitz00zzast_localz00
																						(BgL_exitz00_1259,
																						((BgL_typez00_bglt)
																							BGl_za2exitza2z00zztype_cachez00),
																						BgL_arg1258z00_1262);
																				}
																				{	/* Ast/exit.scm 45 */
																					BgL_nodez00_bglt BgL_bodyz00_1237;

																					{	/* Ast/exit.scm 46 */
																						obj_t BgL_arg1237z00_1247;
																						obj_t BgL_arg1238z00_1248;

																						BgL_arg1237z00_1247 =
																							BGl_normaliza7ezd2prognz75zztools_prognz00
																							(BgL_bodyz00_1219);
																						BgL_arg1238z00_1248 =
																							MAKE_PAIR(((obj_t)
																								BgL_exitz00_1236),
																							BgL_stackz00_4);
																						BgL_bodyz00_1237 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(BgL_arg1237z00_1247,
																							BgL_arg1238z00_1248,
																							BgL_locz00_1217,
																							CNST_TABLE_REF(((long) 1)));
																					}
																					{	/* Ast/exit.scm 46 */
																						BgL_setzd2exzd2itz00_bglt
																							BgL_exitzd2bodyzd2_1238;
																						{	/* Ast/exit.scm 50 */
																							BgL_setzd2exzd2itz00_bglt
																								BgL_new1103z00_1241;
																							{	/* Ast/exit.scm 51 */
																								BgL_setzd2exzd2itz00_bglt
																									BgL_new1102z00_1245;
																								BgL_new1102z00_1245 =
																									((BgL_setzd2exzd2itz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_setzd2exzd2itz00_bgl))));
																								{	/* Ast/exit.scm 51 */
																									long BgL_arg1236z00_1246;

																									{	/* Ast/exit.scm 51 */
																										long BgL_res1528z00_1438;

																										BgL_res1528z00_1438 =
																											BGL_CLASS_INDEX
																											(BGl_setzd2exzd2itz00zzast_nodez00);
																										BgL_arg1236z00_1246 =
																											BgL_res1528z00_1438;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1102z00_1245),
																										BgL_arg1236z00_1246);
																								}
																								{	/* Ast/exit.scm 51 */
																									BgL_objectz00_bglt
																										BgL_auxz00_1580;
																									BgL_auxz00_1580 =
																										((BgL_objectz00_bglt)
																										BgL_new1102z00_1245);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_1580, BFALSE);
																								}
																								BgL_new1103z00_1241 =
																									BgL_new1102z00_1245;
																							}
																							((((BgL_nodez00_bglt) CREF(
																											((BgL_nodez00_bglt)
																												BgL_new1103z00_1241)))->
																									BgL_locz00) =
																								((obj_t) BgL_locz00_1217),
																								BUNSPEC);
																							((((BgL_nodez00_bglt)
																										CREF(((BgL_nodez00_bglt)
																												BgL_new1103z00_1241)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt)
																									BGl_strictzd2nodezd2typez00zzast_nodez00
																									(((BgL_typez00_bglt)
																											BGl_za2objza2z00zztype_cachez00),
																										((BgL_typez00_bglt)
																											BGl_za2_za2z00zztype_cachez00))),
																								BUNSPEC);
																							{
																								BgL_varz00_bglt BgL_auxz00_1590;

																								{	/* Ast/exit.scm 53 */
																									BgL_varz00_bglt
																										BgL_new1105z00_1242;
																									{	/* Ast/exit.scm 55 */
																										BgL_varz00_bglt
																											BgL_new1104z00_1243;
																										BgL_new1104z00_1243 =
																											((BgL_varz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_varz00_bgl))));
																										{	/* Ast/exit.scm 55 */
																											long BgL_arg1234z00_1244;

																											{	/* Ast/exit.scm 55 */
																												long
																													BgL_res1529z00_1442;
																												{	/* Ast/exit.scm 55 */
																													obj_t
																														BgL_classz00_1441;
																													BgL_classz00_1441 =
																														BGl_varz00zzast_nodez00;
																													BgL_res1529z00_1442 =
																														BGL_CLASS_INDEX
																														(BgL_classz00_1441);
																												}
																												BgL_arg1234z00_1244 =
																													BgL_res1529z00_1442;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1104z00_1243),
																												BgL_arg1234z00_1244);
																										}
																										{	/* Ast/exit.scm 55 */
																											BgL_objectz00_bglt
																												BgL_auxz00_1595;
																											BgL_auxz00_1595 =
																												((BgL_objectz00_bglt)
																												BgL_new1104z00_1243);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_1595,
																												BFALSE);
																										}
																										BgL_new1105z00_1242 =
																											BgL_new1104z00_1243;
																									}
																									((((BgL_nodez00_bglt) CREF(
																													((BgL_nodez00_bglt)
																														BgL_new1105z00_1242)))->
																											BgL_locz00) =
																										((obj_t) BgL_locz00_1217),
																										BUNSPEC);
																									((((BgL_nodez00_bglt)
																												CREF(((BgL_nodez00_bglt)
																														BgL_new1105z00_1242)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BGl_strictzd2nodezd2typez00zzast_nodez00
																											(((BgL_typez00_bglt)
																													BGl_za2_za2z00zztype_cachez00),
																												((BgL_typez00_bglt)
																													BGl_za2exitza2z00zztype_cachez00))),
																										BUNSPEC);
																									((((BgL_varz00_bglt)
																												CREF
																												(BgL_new1105z00_1242))->
																											BgL_variablez00) =
																										((BgL_variablez00_bglt) (
																												(BgL_variablez00_bglt)
																												BgL_exitz00_1236)),
																										BUNSPEC);
																									BgL_auxz00_1590 =
																										BgL_new1105z00_1242;
																								}
																								((((BgL_setzd2exzd2itz00_bglt)
																											CREF
																											(BgL_new1103z00_1241))->
																										BgL_varz00) =
																									((BgL_varz00_bglt)
																										BgL_auxz00_1590), BUNSPEC);
																							}
																							((((BgL_setzd2exzd2itz00_bglt)
																										CREF(BgL_new1103z00_1241))->
																									BgL_bodyz00) =
																								((BgL_nodez00_bglt)
																									BgL_bodyz00_1237), BUNSPEC);
																							BgL_exitzd2bodyzd2_1238 =
																								BgL_new1103z00_1241;
																						}
																						{	/* Ast/exit.scm 50 */

																							((((BgL_variablez00_bglt) CREF(
																											((BgL_variablez00_bglt)
																												((BgL_localz00_bglt)
																													BgL_hdlgzd2funzd2_1235))))->
																									BgL_userzf3zf3) =
																								((bool_t) ((bool_t) 1)),
																								BUNSPEC);
																							{	/* Ast/exit.scm 64 */
																								BgL_valuez00_bglt
																									BgL_arg1231z00_1239;
																								BgL_arg1231z00_1239 =
																									(((BgL_variablez00_bglt)
																										CREF(((BgL_variablez00_bglt)
																												((BgL_localz00_bglt)
																													BgL_hdlgzd2funzd2_1235))))->
																									BgL_valuez00);
																								{	/* Ast/exit.scm 64 */
																									obj_t BgL_vz00_1449;

																									BgL_vz00_1449 =
																										CNST_TABLE_REF(((long) 2));
																									((((BgL_sfunz00_bglt) CREF(
																													((BgL_sfunz00_bglt)
																														BgL_arg1231z00_1239)))->
																											BgL_classz00) =
																										((obj_t) BgL_vz00_1449),
																										BUNSPEC);
																							}}
																							{	/* Ast/exit.scm 65 */
																								BgL_valuez00_bglt
																									BgL_arg1233z00_1240;
																								BgL_arg1233z00_1240 =
																									(((BgL_variablez00_bglt)
																										CREF(((BgL_variablez00_bglt)
																												((BgL_localz00_bglt)
																													BgL_hdlgzd2funzd2_1235))))->
																									BgL_valuez00);
																								((((BgL_sfunz00_bglt)
																											CREF(((BgL_sfunz00_bglt)
																													BgL_arg1233z00_1240)))->
																										BgL_bodyz00) =
																									((obj_t) ((obj_t)
																											BgL_exitzd2bodyzd2_1238)),
																									BUNSPEC);
																							}
																							BgL_auxz00_1543 =
																								BgL_hdlgzd2nodezd2_1234;
															}}}}}}}}
															return ((BgL_letzd2funzd2_bglt) BgL_auxz00_1543);
														}
													}
												else
													{
														BgL_nodez00_bglt BgL_auxz00_1625;

													BgL_tagzd2360zd2_1221:
														BgL_auxz00_1625 =
															BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
															(BGl_string1538z00zzast_exitz00, BgL_expz00_3,
															BgL_locz00_1217);
														return ((BgL_letzd2funzd2_bglt) BgL_auxz00_1625);
													}
											}
										else
											{
												BgL_nodez00_bglt BgL_auxz00_1628;

												goto BgL_tagzd2360zd2_1221;
												return ((BgL_letzd2funzd2_bglt) BgL_auxz00_1628);
											}
									}
								else
									{
										BgL_nodez00_bglt BgL_auxz00_1630;

										goto BgL_tagzd2360zd2_1221;
										return ((BgL_letzd2funzd2_bglt) BgL_auxz00_1630);
									}
							}
						else
							{
								BgL_nodez00_bglt BgL_auxz00_1632;

								goto BgL_tagzd2360zd2_1221;
								return ((BgL_letzd2funzd2_bglt) BgL_auxz00_1632);
							}
					}
				}
			}
		}
	}



/* &set-exit->node */
	BgL_letzd2funzd2_bglt BGl_z62setzd2exitzd2ze3nodez81zzast_exitz00(obj_t
		BgL_envz00_1477, obj_t BgL_expz00_1478, obj_t BgL_stackz00_1479,
		obj_t BgL_locz00_1480, obj_t BgL_sitez00_1481)
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 33 */
			return
				BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_1478,
				BgL_stackz00_1479, BgL_locz00_1480, BgL_sitez00_1481);
		}
	}



/* jump-exit->node */
	BGL_EXPORTED_DEF BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t BgL_expz00_7,
		obj_t BgL_stackz00_8, obj_t BgL_locz00_9, obj_t BgL_sitez00_10)
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 73 */
			{	/* Ast/exit.scm 74 */
				obj_t BgL_locz00_1267;

				BgL_locz00_1267 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_7,
					BgL_locz00_9);
				{
					obj_t BgL_exitz00_1268;
					obj_t BgL_valuez00_1269;

					if (PAIRP(BgL_expz00_7))
						{	/* Ast/exit.scm 75 */
							obj_t BgL_cdrzd2385zd2_1274;

							BgL_cdrzd2385zd2_1274 = CDR(BgL_expz00_7);
							if (PAIRP(BgL_cdrzd2385zd2_1274))
								{	/* Ast/exit.scm 75 */
									BgL_exitz00_1268 = CAR(BgL_cdrzd2385zd2_1274);
									BgL_valuez00_1269 = CDR(BgL_cdrzd2385zd2_1274);
									{	/* Ast/exit.scm 77 */
										BgL_nodez00_bglt BgL_valuez00_1278;
										BgL_nodez00_bglt BgL_exitz00_1279;

										{	/* Ast/exit.scm 77 */
											obj_t BgL_arg1268z00_1283;

											BgL_arg1268z00_1283 =
												BGl_normaliza7ezd2prognz75zztools_prognz00
												(BgL_valuez00_1269);
											BgL_valuez00_1278 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1268z00_1283,
												BgL_stackz00_8, BgL_locz00_1267,
												CNST_TABLE_REF(((long) 1)));
										}
										BgL_exitz00_1279 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exitz00_1268,
											BgL_stackz00_8, BgL_locz00_1267,
											CNST_TABLE_REF(((long) 1)));
										{	/* Ast/exit.scm 79 */
											BgL_jumpzd2exzd2itz00_bglt BgL_new1107z00_1280;

											{	/* Ast/exit.scm 80 */
												BgL_jumpzd2exzd2itz00_bglt BgL_new1106z00_1281;

												BgL_new1106z00_1281 =
													((BgL_jumpzd2exzd2itz00_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_jumpzd2exzd2itz00_bgl))));
												{	/* Ast/exit.scm 80 */
													long BgL_arg1267z00_1282;

													{	/* Ast/exit.scm 80 */
														long BgL_res1534z00_1467;

														BgL_res1534z00_1467 =
															BGL_CLASS_INDEX
															(BGl_jumpzd2exzd2itz00zzast_nodez00);
														BgL_arg1267z00_1282 = BgL_res1534z00_1467;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1106z00_1281),
														BgL_arg1267z00_1282);
												}
												{	/* Ast/exit.scm 80 */
													BgL_objectz00_bglt BgL_auxz00_1650;

													BgL_auxz00_1650 =
														((BgL_objectz00_bglt) BgL_new1106z00_1281);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_1650, BFALSE);
												}
												BgL_new1107z00_1280 = BgL_new1106z00_1281;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1107z00_1280)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1267), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1107z00_1280)))->BgL_typez00) =
												((BgL_typez00_bglt)
													BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt)
															BGl_za2unspecza2z00zztype_cachez00),
														((BgL_typez00_bglt)
															BGl_za2_za2z00zztype_cachez00))), BUNSPEC);
											((((BgL_jumpzd2exzd2itz00_bglt)
														CREF(BgL_new1107z00_1280))->BgL_exitz00) =
												((BgL_nodez00_bglt) BgL_exitz00_1279), BUNSPEC);
											((((BgL_jumpzd2exzd2itz00_bglt)
														CREF(BgL_new1107z00_1280))->BgL_valuez00) =
												((BgL_nodez00_bglt) BgL_valuez00_1278), BUNSPEC);
											return BgL_new1107z00_1280;
										}
									}
								}
							else
								{
									BgL_nodez00_bglt BgL_auxz00_1664;

								BgL_tagzd2378zd2_1271:
									BgL_auxz00_1664 =
										BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
										(BGl_string1539z00zzast_exitz00, BgL_expz00_7,
										BgL_locz00_1267);
									return ((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_1664);
								}
						}
					else
						{
							BgL_nodez00_bglt BgL_auxz00_1667;

							goto BgL_tagzd2378zd2_1271;
							return ((BgL_jumpzd2exzd2itz00_bglt) BgL_auxz00_1667);
						}
				}
			}
		}
	}



/* &jump-exit->node */
	BgL_jumpzd2exzd2itz00_bglt BGl_z62jumpzd2exitzd2ze3nodez81zzast_exitz00(obj_t
		BgL_envz00_1482, obj_t BgL_expz00_1483, obj_t BgL_stackz00_1484,
		obj_t BgL_locz00_1485, obj_t BgL_sitez00_1486)
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 73 */
			return
				BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_1483,
				BgL_stackz00_1484, BgL_locz00_1485, BgL_sitez00_1486);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_exitz00()
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_exitz00()
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_exitz00()
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_exitz00()
	{
		AN_OBJECT;
		{	/* Ast/exit.scm 14 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1540z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1540z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1540z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1540z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1540z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1540z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1540z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 216926614),
				BSTRING_TO_STRING(BGl_string1540z00zzast_exitz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string1540z00zzast_exitz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1540z00zzast_exitz00));
		}
	}

#ifdef __cplusplus
}
#endif
