/*===========================================================================*/
/*   (Cfa/app.scm)                                                           */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/app.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_cfunzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cfunzf2cinfozf2_bglt;

	typedef struct BgL_externzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_externzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;


	static obj_t BGl_z62appz121481z70zzcfa_appz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_appz00();
	static obj_t BGl_methodzd2initzd2zzcfa_appz00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	static BgL_approxz00_bglt BGl_z62cfaz12zd2app1480za2zzcfa_appz00(obj_t,
		obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_sfunz00_bglt, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_procedurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_appz00();
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	extern obj_t BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(BgL_approxz00_bglt,
		obj_t);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	BGL_EXPORTED_DECL BgL_approxz00_bglt
		BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt, BgL_varz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(BgL_valuez00_bglt,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62appz12zd2externzd2sfunzf2Cin1486z82zzcfa_appz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_appz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzcfa_appz00();
	static obj_t BGl_genericzd2initzd2zzcfa_appz00();
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_appz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_appz00();
	static BgL_approxz00_bglt BGl_z62appz12z70zzcfa_appz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_approxz00_bglt
		BGl_z62appz12zd2cfunzf2Cinfo1488z50zzcfa_appz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_cfunzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_approxz00_bglt
		BGl_z62appz12zd2internzd2sfunzf2Cin1484z82zzcfa_appz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_appz12zd2envzc0zzcfa_appz00,
		BgL_bgl_za762appza712za770za7za7cf1865za7, BGl_z62appz12z70zzcfa_appz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1851z00zzcfa_appz00,
		BgL_bgl_string1851za700za7za7c1866za7, "app!1481", 8);
	      DEFINE_STRING(BGl_string1852z00zzcfa_appz00,
		BgL_bgl_string1852za700za7za7c1867za7, "app!", 4);
	      DEFINE_STRING(BGl_string1853z00zzcfa_appz00,
		BgL_bgl_string1853za700za7za7c1868za7, "No method for this function", 27);
	      DEFINE_STRING(BGl_string1855z00zzcfa_appz00,
		BgL_bgl_string1855za700za7za7c1869za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string1859z00zzcfa_appz00,
		BgL_bgl_string1859za700za7za7c1870za7, "extern call", 11);
	      DEFINE_STRING(BGl_string1860z00zzcfa_appz00,
		BgL_bgl_string1860za700za7za7c1871za7, "cfa_app", 7);
	      DEFINE_STRING(BGl_string1861z00zzcfa_appz00,
		BgL_bgl_string1861za700za7za7c1872za7, "static all ", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1850z00zzcfa_appz00,
		BgL_bgl_za762appza7121481za7701873za7, BGl_z62appz121481z70zzcfa_appz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1854z00zzcfa_appz00,
		BgL_bgl_za762cfaza712za7d2app11874za7,
		BGl_z62cfaz12zd2app1480za2zzcfa_appz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1856z00zzcfa_appz00,
		BgL_bgl_za762appza712za7d2inte1875za7,
		BGl_z62appz12zd2internzd2sfunzf2Cin1484z82zzcfa_appz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1857z00zzcfa_appz00,
		BgL_bgl_za762appza712za7d2exte1876za7,
		BGl_z62appz12zd2externzd2sfunzf2Cin1486z82zzcfa_appz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1858z00zzcfa_appz00,
		BgL_bgl_za762appza712za7d2cfun1877za7,
		BGl_z62appz12zd2cfunzf2Cinfo1488z50zzcfa_appz00, 0L, BUNSPEC, 3);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_appz00(long
		BgL_checksumz00_3317, char *BgL_fromz00_3318)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_appz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_appz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_appz00();
					BGl_cnstzd2initzd2zzcfa_appz00();
					BGl_importedzd2moduleszd2initz00zzcfa_appz00();
					BGl_genericzd2initzd2zzcfa_appz00();
					BGl_methodzd2initzd2zzcfa_appz00();
					return BGl_toplevelzd2initzd2zzcfa_appz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_app");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_app");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_app");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_app");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_app");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_app");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_app");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			{	/* Cfa/app.scm 15 */
				obj_t BgL_cportz00_3304;

				{	/* Cfa/app.scm 15 */
					obj_t BgL_startz00_3313;

					BgL_startz00_3313 = BINT(((long) 0));
					{	/* Cfa/app.scm 15 */
						obj_t BgL_endz00_3314;

						BgL_endz00_3314 =
							BINT(STRING_LENGTH(BGl_string1861z00zzcfa_appz00));
						{	/* Cfa/app.scm 15 */

							BgL_cportz00_3304 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1861z00zzcfa_appz00, BgL_startz00_3313,
								BgL_endz00_3314);
				}}}
				{
					long BgL_iz00_3305;

					BgL_iz00_3305 = ((long) 1);
				BgL_loopz00_3306:
					if ((BgL_iz00_3305 == ((long) -1)))
						{	/* Cfa/app.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/app.scm 15 */
							{	/* Cfa/app.scm 15 */
								obj_t BgL_arg1863z00_3308;

								{	/* Cfa/app.scm 15 */

									{	/* Cfa/app.scm 15 */
										obj_t BgL_locationz00_3310;

										BgL_locationz00_3310 = BBOOL(((bool_t) 0));
										{	/* Cfa/app.scm 15 */

											BgL_arg1863z00_3308 =
												BGl_readz00zz__readerz00(BgL_cportz00_3304,
												BgL_locationz00_3310);
										}
									}
								}
								{	/* Cfa/app.scm 15 */
									int BgL_auxz00_3343;

									BgL_auxz00_3343 = (int) (BgL_iz00_3305);
									CNST_TABLE_SET(BgL_auxz00_3343, BgL_arg1863z00_3308);
							}}
							{	/* Cfa/app.scm 15 */
								int BgL_auxz00_3311;

								BgL_auxz00_3311 = (int) ((BgL_iz00_3305 - ((long) 1)));
								{
									long BgL_iz00_3348;

									BgL_iz00_3348 = (long) (BgL_auxz00_3311);
									BgL_iz00_3305 = BgL_iz00_3348;
									goto BgL_loopz00_3306;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_appz12zd2envzc0zzcfa_appz00, BGl_proc1850z00zzcfa_appz00,
				BGl_funz00zzast_varz00, BGl_string1851z00zzcfa_appz00);
		}
	}



/* &app!1481 */
	obj_t BGl_z62appz121481z70zzcfa_appz00(obj_t BgL_envz00_3276,
		obj_t BgL_funz00_3277, obj_t BgL_varz00_3278,
		obj_t BgL_argszd2approxzd2_3279)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 47 */
			{
				BgL_funz00_bglt BgL_funz00_2628;
				BgL_varz00_bglt BgL_varz00_2629;
				obj_t BgL_argszd2approxzd2_2630;

				BgL_funz00_2628 = ((BgL_funz00_bglt) BgL_funz00_3277);
				BgL_varz00_2629 = ((BgL_varz00_bglt) BgL_varz00_3278);
				BgL_argszd2approxzd2_2630 = BgL_argszd2approxzd2_3279;
				{	/* Cfa/app.scm 48 */
					obj_t BgL_arg1494z00_3191;

					{	/* Cfa/app.scm 48 */
						obj_t BgL_arg1496z00_3192;

						BgL_arg1496z00_3192 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_2629));
						BgL_arg1494z00_3191 =
							MAKE_PAIR(((obj_t) BgL_funz00_2628), BgL_arg1496z00_3192);
					}
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string1852z00zzcfa_appz00, BGl_string1853z00zzcfa_appz00,
						BgL_arg1494z00_3191);
				}
			}
		}
	}



/* app! */
	BGL_EXPORTED_DEF BgL_approxz00_bglt BGl_appz12z12zzcfa_appz00(BgL_funz00_bglt
		BgL_funz00_4, BgL_varz00_bglt BgL_varz00_5, obj_t BgL_argszd2approxzd2_6)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 47 */
			{	/* Cfa/app.scm 47 */
				obj_t BgL_method1482z00_2635;

				{	/* Cfa/app.scm 47 */
					obj_t BgL_res1837z00_3221;

					{	/* Cfa/app.scm 47 */
						long BgL_objzd2classzd2numz00_3194;

						{	/* Cfa/app.scm 47 */
							long BgL_res1831z00_3197;

							BgL_res1831z00_3197 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_funz00_4));
							BgL_objzd2classzd2numz00_3194 = BgL_res1831z00_3197;
						}
						{	/* Cfa/app.scm 47 */
							obj_t BgL_arg1664z00_3195;

							BgL_arg1664z00_3195 =
								PROCEDURE_REF(BGl_appz12zd2envzc0zzcfa_appz00,
								(int) (((long) 1)));
							{	/* Cfa/app.scm 47 */
								int BgL_offsetz00_3199;

								BgL_offsetz00_3199 = (int) (BgL_objzd2classzd2numz00_3194);
								{	/* Cfa/app.scm 47 */
									long BgL_offsetz00_3200;

									BgL_offsetz00_3200 =
										((long) (BgL_offsetz00_3199) - OBJECT_TYPE);
									{	/* Cfa/app.scm 47 */
										long BgL_modz00_3201;

										{	/* Cfa/app.scm 47 */
											int BgL_arg1666z00_3202;

											BgL_arg1666z00_3202 = (int) (((long) 16));
											{	/* Cfa/app.scm 47 */
												long BgL_res1834z00_3212;

												{	/* Cfa/app.scm 47 */
													long BgL_auxz00_3366;

													BgL_auxz00_3366 = (long) (BgL_arg1666z00_3202);
													BgL_res1834z00_3212 =
														(BgL_offsetz00_3200 / BgL_auxz00_3366);
												}
												BgL_modz00_3201 = BgL_res1834z00_3212;
										}}
										{	/* Cfa/app.scm 47 */
											long BgL_restz00_3203;

											{	/* Cfa/app.scm 47 */
												int BgL_arg1665z00_3204;

												BgL_arg1665z00_3204 = (int) (((long) 16));
												{	/* Cfa/app.scm 47 */
													long BgL_res1836z00_3216;

													{	/* Cfa/app.scm 47 */
														long BgL_auxz00_3370;

														BgL_auxz00_3370 = (long) (BgL_arg1665z00_3204);
														BgL_res1836z00_3216 =
															(BgL_offsetz00_3200 % BgL_auxz00_3370);
													}
													BgL_restz00_3203 = BgL_res1836z00_3216;
											}}
											{	/* Cfa/app.scm 47 */

												BgL_res1837z00_3221 =
													VECTOR_REF(VECTOR_REF(BgL_arg1664z00_3195,
														(int) (BgL_modz00_3201)), (int) (BgL_restz00_3203));
					}}}}}}}
					BgL_method1482z00_2635 = BgL_res1837z00_3221;
				}
				return
					((BgL_approxz00_bglt)
					PROCEDURE_ENTRY(BgL_method1482z00_2635) (BgL_method1482z00_2635,
						((obj_t) BgL_funz00_4),
						((obj_t) BgL_varz00_5), BgL_argszd2approxzd2_6, BEOA));
			}
		}
	}



/* &app! */
	BgL_approxz00_bglt BGl_z62appz12z70zzcfa_appz00(obj_t BgL_envz00_3280,
		obj_t BgL_funz00_3281, obj_t BgL_varz00_3282,
		obj_t BgL_argszd2approxzd2_3283)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 47 */
			return
				BGl_appz12z12zzcfa_appz00(
				((BgL_funz00_bglt) BgL_funz00_3281),
				((BgL_varz00_bglt) BgL_varz00_3282), BgL_argszd2approxzd2_3283);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_appz00zzast_nodez00,
				BGl_proc1854z00zzcfa_appz00, BGl_string1855z00zzcfa_appz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_appz12zd2envzc0zzcfa_appz00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc1856z00zzcfa_appz00,
				BGl_string1852z00zzcfa_appz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_appz12zd2envzc0zzcfa_appz00,
				BGl_externzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc1857z00zzcfa_appz00,
				BGl_string1852z00zzcfa_appz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_appz12zd2envzc0zzcfa_appz00, BGl_cfunzf2Cinfozf2zzcfa_infoz00,
				BGl_proc1858z00zzcfa_appz00, BGl_string1852z00zzcfa_appz00);
		}
	}



/* &app!-cfun/Cinfo1488 */
	BgL_approxz00_bglt BGl_z62appz12zd2cfunzf2Cinfo1488z50zzcfa_appz00(obj_t
		BgL_envz00_3288, obj_t BgL_funz00_3289, obj_t BgL_varz00_3290,
		obj_t BgL_argszd2approxzd2_3291)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 107 */
			{
				BgL_cfunz00_bglt BgL_funz00_2719;
				BgL_varz00_bglt BgL_varz00_2720;
				obj_t BgL_argszd2approxzd2_2721;

				BgL_funz00_2719 = ((BgL_cfunz00_bglt) BgL_funz00_3289);
				BgL_varz00_2720 = ((BgL_varz00_bglt) BgL_varz00_3290);
				BgL_argszd2approxzd2_2721 = BgL_argszd2approxzd2_3291;
				if (
					(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_2719)))->BgL_topzf3zf3))
					{
						obj_t BgL_l1475z00_2727;

						BgL_l1475z00_2727 = BgL_argszd2approxzd2_2721;
					BgL_zc3anonymousza31608ze3z83_2728:
						if (PAIRP(BgL_l1475z00_2727))
							{	/* Cfa/app.scm 114 */
								{	/* Cfa/app.scm 114 */
									obj_t BgL_az00_2730;

									BgL_az00_2730 = CAR(BgL_l1475z00_2727);
									BGl_loosez12z12zzcfa_loosez00(
										((BgL_approxz00_bglt) BgL_az00_2730),
										CNST_TABLE_REF(((long) 0)));
								}
								{
									obj_t BgL_l1475z00_3402;

									BgL_l1475z00_3402 = CDR(BgL_l1475z00_2727);
									BgL_l1475z00_2727 = BgL_l1475z00_3402;
									goto BgL_zc3anonymousza31608ze3z83_2728;
								}
							}
						else
							{	/* Cfa/app.scm 114 */
								((bool_t) 1);
							}
					}
				else
					{
						obj_t BgL_l1477z00_2734;

						BgL_l1477z00_2734 = BgL_argszd2approxzd2_2721;
					BgL_zc3anonymousza31612ze3z83_2735:
						if (PAIRP(BgL_l1477z00_2734))
							{	/* Cfa/app.scm 116 */
								{	/* Cfa/app.scm 116 */
									obj_t BgL_az00_2737;

									BgL_az00_2737 = CAR(BgL_l1477z00_2734);
									BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(
										((BgL_approxz00_bglt) BgL_az00_2737),
										BGl_string1859z00zzcfa_appz00);
								}
								{
									obj_t BgL_l1477z00_3409;

									BgL_l1477z00_3409 = CDR(BgL_l1477z00_2734);
									BgL_l1477z00_2734 = BgL_l1477z00_3409;
									goto BgL_zc3anonymousza31612ze3z83_2735;
								}
							}
						else
							{	/* Cfa/app.scm 116 */
								((bool_t) 1);
							}
					}
				{
					BgL_cfunzf2cinfozf2_bglt BgL_auxz00_3411;

					{
						obj_t BgL_auxz00_3412;

						{	/* Cfa/app.scm 121 */
							BgL_objectz00_bglt BgL_auxz00_3413;

							BgL_auxz00_3413 = ((BgL_objectz00_bglt) BgL_funz00_2719);
							BgL_auxz00_3412 = BGL_OBJECT_WIDENING(BgL_auxz00_3413);
						}
						BgL_auxz00_3411 = ((BgL_cfunzf2cinfozf2_bglt) BgL_auxz00_3412);
					}
					return
						(((BgL_cfunzf2cinfozf2_bglt) CREF(BgL_auxz00_3411))->BgL_approxz00);
				}
			}
		}
	}



/* &app!-extern-sfun/Cin1486 */
	BgL_approxz00_bglt
		BGl_z62appz12zd2externzd2sfunzf2Cin1486z82zzcfa_appz00(obj_t
		BgL_envz00_3292, obj_t BgL_funz00_3293, obj_t BgL_varz00_3294,
		obj_t BgL_argszd2approxzd2_3295)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 85 */
			{
				BgL_sfunz00_bglt BgL_funz00_2693;
				BgL_varz00_bglt BgL_varz00_2694;
				obj_t BgL_argszd2approxzd2_2695;

				BgL_funz00_2693 = ((BgL_sfunz00_bglt) BgL_funz00_3293);
				BgL_varz00_2694 = ((BgL_varz00_bglt) BgL_varz00_3294);
				BgL_argszd2approxzd2_2695 = BgL_argszd2approxzd2_3295;
				if (
					(((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_funz00_2693)))->BgL_topzf3zf3))
					{
						obj_t BgL_l1471z00_2701;

						BgL_l1471z00_2701 = BgL_argszd2approxzd2_2695;
					BgL_zc3anonymousza31584ze3z83_2702:
						if (PAIRP(BgL_l1471z00_2701))
							{	/* Cfa/app.scm 92 */
								{	/* Cfa/app.scm 92 */
									obj_t BgL_az00_2704;

									BgL_az00_2704 = CAR(BgL_l1471z00_2701);
									BGl_loosez12z12zzcfa_loosez00(
										((BgL_approxz00_bglt) BgL_az00_2704),
										CNST_TABLE_REF(((long) 0)));
								}
								{
									obj_t BgL_l1471z00_3429;

									BgL_l1471z00_3429 = CDR(BgL_l1471z00_2701);
									BgL_l1471z00_2701 = BgL_l1471z00_3429;
									goto BgL_zc3anonymousza31584ze3z83_2702;
								}
							}
						else
							{	/* Cfa/app.scm 92 */
								((bool_t) 1);
							}
					}
				else
					{
						obj_t BgL_l1473z00_2708;

						BgL_l1473z00_2708 = BgL_argszd2approxzd2_2695;
					BgL_zc3anonymousza31588ze3z83_2709:
						if (PAIRP(BgL_l1473z00_2708))
							{	/* Cfa/app.scm 94 */
								{	/* Cfa/app.scm 94 */
									obj_t BgL_az00_2711;

									BgL_az00_2711 = CAR(BgL_l1473z00_2708);
									BGl_disablezd2Xzd2Tz12z12zzcfa_procedurez00(
										((BgL_approxz00_bglt) BgL_az00_2711),
										BGl_string1859z00zzcfa_appz00);
								}
								{
									obj_t BgL_l1473z00_3436;

									BgL_l1473z00_3436 = CDR(BgL_l1473z00_2708);
									BgL_l1473z00_2708 = BgL_l1473z00_3436;
									goto BgL_zc3anonymousza31588ze3z83_2709;
								}
							}
						else
							{	/* Cfa/app.scm 94 */
								((bool_t) 1);
							}
					}
				{	/* Cfa/app.scm 95 */
					bool_t BgL_testz00_3438;

					{
						BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_3439;

						{
							obj_t BgL_auxz00_3440;

							{	/* Cfa/app.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_3441;

								BgL_auxz00_3441 = ((BgL_objectz00_bglt) BgL_funz00_2693);
								BgL_auxz00_3440 = BGL_OBJECT_WIDENING(BgL_auxz00_3441);
							}
							BgL_auxz00_3439 =
								((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_3440);
						}
						BgL_testz00_3438 =
							(((BgL_externzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_3439))->
							BgL_polymorphiczf3zf3);
					}
					if (BgL_testz00_3438)
						{	/* Cfa/app.scm 96 */
							BgL_approxz00_bglt BgL_i1155z00_2715;

							{
								BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_3446;

								{
									obj_t BgL_auxz00_3447;

									{	/* Cfa/app.scm 97 */
										BgL_objectz00_bglt BgL_auxz00_3448;

										BgL_auxz00_3448 = ((BgL_objectz00_bglt) BgL_funz00_2693);
										BgL_auxz00_3447 = BGL_OBJECT_WIDENING(BgL_auxz00_3448);
									}
									BgL_auxz00_3446 =
										((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_3447);
								}
								BgL_i1155z00_2715 =
									(((BgL_externzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_3446))->
									BgL_approxz00);
							}
							{
								BgL_typez00_bglt BgL_auxz00_3453;

								{	/* Cfa/app.scm 97 */
									BgL_typez00_bglt BgL_arg1595z00_2716;

									{
										BgL_approxz00_bglt BgL_auxz00_3454;

										{
											BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_3455;

											{
												obj_t BgL_auxz00_3456;

												{	/* Cfa/app.scm 97 */
													BgL_objectz00_bglt BgL_auxz00_3457;

													BgL_auxz00_3457 =
														((BgL_objectz00_bglt) BgL_funz00_2693);
													BgL_auxz00_3456 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3457);
												}
												BgL_auxz00_3455 =
													((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_3456);
											}
											BgL_auxz00_3454 =
												(((BgL_externzd2sfunzf2cinfoz20_bglt)
													CREF(BgL_auxz00_3455))->BgL_approxz00);
										}
										BgL_arg1595z00_2716 =
											(((BgL_approxz00_bglt) CREF(BgL_auxz00_3454))->
											BgL_typez00);
									}
									BgL_auxz00_3453 =
										BGl_getzd2bigloozd2typez00zztype_cachez00
										(BgL_arg1595z00_2716);
								}
								((((BgL_approxz00_bglt) CREF(BgL_i1155z00_2715))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_3453), BUNSPEC);
							}
						}
					else
						{	/* Cfa/app.scm 95 */
							BFALSE;
						}
				}
				{
					BgL_externzd2sfunzf2cinfoz20_bglt BgL_auxz00_3465;

					{
						obj_t BgL_auxz00_3466;

						{	/* Cfa/app.scm 102 */
							BgL_objectz00_bglt BgL_auxz00_3467;

							BgL_auxz00_3467 = ((BgL_objectz00_bglt) BgL_funz00_2693);
							BgL_auxz00_3466 = BGL_OBJECT_WIDENING(BgL_auxz00_3467);
						}
						BgL_auxz00_3465 =
							((BgL_externzd2sfunzf2cinfoz20_bglt) BgL_auxz00_3466);
					}
					return
						(((BgL_externzd2sfunzf2cinfoz20_bglt) CREF(BgL_auxz00_3465))->
						BgL_approxz00);
				}
			}
		}
	}



/* &app!-intern-sfun/Cin1484 */
	BgL_approxz00_bglt
		BGl_z62appz12zd2internzd2sfunzf2Cin1484z82zzcfa_appz00(obj_t
		BgL_envz00_3296, obj_t BgL_funz00_3297, obj_t BgL_varz00_3298,
		obj_t BgL_argszd2approxzd2_3299)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 53 */
			{
				BgL_sfunz00_bglt BgL_funz00_2662;
				BgL_varz00_bglt BgL_varz00_2663;
				obj_t BgL_argszd2approxzd2_2664;

				BgL_funz00_2662 = ((BgL_sfunz00_bglt) BgL_funz00_3297);
				BgL_varz00_2663 = ((BgL_varz00_bglt) BgL_varz00_3298);
				BgL_argszd2approxzd2_2664 = BgL_argszd2approxzd2_3299;
				{	/* Cfa/app.scm 60 */
					obj_t BgL_g1470z00_2668;

					BgL_g1470z00_2668 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_2662)))->BgL_argsz00);
					{
						obj_t BgL_ll1467z00_2670;
						obj_t BgL_ll1468z00_2671;

						BgL_ll1467z00_2670 = BgL_g1470z00_2668;
						BgL_ll1468z00_2671 = BgL_argszd2approxzd2_2664;
					BgL_zc3anonymousza31529ze3z83_2672:
						if (NULLP(BgL_ll1467z00_2670))
							{	/* Cfa/app.scm 60 */
								((bool_t) 1);
							}
						else
							{	/* Cfa/app.scm 60 */
								{	/* Cfa/app.scm 61 */
									obj_t BgL_formalz00_2674;
									obj_t BgL_approxz00_2675;

									BgL_formalz00_2674 = CAR(BgL_ll1467z00_2670);
									BgL_approxz00_2675 = CAR(BgL_ll1468z00_2671);
									{	/* Cfa/app.scm 61 */
										BgL_approxz00_bglt BgL_arg1547z00_2676;

										{
											BgL_svarzf2cinfozf2_bglt BgL_auxz00_3480;

											{
												obj_t BgL_auxz00_3481;

												{	/* Cfa/app.scm 61 */
													BgL_objectz00_bglt BgL_auxz00_3482;

													BgL_auxz00_3482 =
														((BgL_objectz00_bglt)
														((BgL_svarz00_bglt)
															(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_localz00_bglt)
																				BgL_formalz00_2674))))->BgL_valuez00)));
													BgL_auxz00_3481 =
														BGL_OBJECT_WIDENING(BgL_auxz00_3482);
												}
												BgL_auxz00_3480 =
													((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_3481);
											}
											BgL_arg1547z00_2676 =
												(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_3480))->
												BgL_approxz00);
										}
										BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1547z00_2676,
											((BgL_approxz00_bglt) BgL_approxz00_2675));
									}
								}
								{
									obj_t BgL_ll1468z00_3495;
									obj_t BgL_ll1467z00_3493;

									BgL_ll1467z00_3493 = CDR(BgL_ll1467z00_2670);
									BgL_ll1468z00_3495 = CDR(BgL_ll1468z00_2671);
									BgL_ll1468z00_2671 = BgL_ll1468z00_3495;
									BgL_ll1467z00_2670 = BgL_ll1467z00_3493;
									goto BgL_zc3anonymousza31529ze3z83_2672;
								}
							}
					}
				}
				{	/* Cfa/app.scm 68 */
					bool_t BgL_testz00_3497;

					{	/* Cfa/app.scm 68 */
						bool_t BgL_testz00_3498;

						{	/* Cfa/app.scm 68 */
							BgL_variablez00_bglt BgL_arg1582z00_2691;

							BgL_arg1582z00_2691 =
								(((BgL_varz00_bglt) CREF(BgL_varz00_2663))->BgL_variablez00);
							{	/* Cfa/app.scm 68 */
								bool_t BgL_res1843z00_3250;

								BgL_res1843z00_3250 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1582z00_2691), BGl_globalz00zzast_varz00);
								BgL_testz00_3498 = BgL_res1843z00_3250;
							}
						}
						if (BgL_testz00_3498)
							{	/* Cfa/app.scm 69 */
								bool_t BgL_testz00_3502;

								{	/* Cfa/app.scm 69 */
									BgL_variablez00_bglt BgL_arg1576z00_2690;

									BgL_arg1576z00_2690 =
										(((BgL_varz00_bglt) CREF(BgL_varz00_2663))->
										BgL_variablez00);
									{	/* Cfa/app.scm 69 */
										bool_t BgL_res1844z00_3253;

										BgL_res1844z00_3253 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg1576z00_2690), BGl_globalz00zzast_varz00);
										BgL_testz00_3502 = BgL_res1844z00_3253;
									}
								}
								if (BgL_testz00_3502)
									{	/* Cfa/app.scm 69 */
										BgL_testz00_3497 =
											(
											(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt)
															(((BgL_varz00_bglt) CREF(BgL_varz00_2663))->
																BgL_variablez00))))->BgL_importz00) ==
											CNST_TABLE_REF(((long) 1)));
									}
								else
									{	/* Cfa/app.scm 69 */
										BgL_testz00_3497 = ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/app.scm 68 */
								BgL_testz00_3497 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_3497)
						{	/* Cfa/app.scm 72 */
							BgL_approxz00_bglt BgL_az00_2682;

							{	/* Cfa/app.scm 72 */
								BgL_variablez00_bglt BgL_arg1557z00_2683;

								BgL_arg1557z00_2683 =
									(((BgL_varz00_bglt) CREF(BgL_varz00_2663))->BgL_variablez00);
								BgL_az00_2682 =
									BGl_cfazd2internzd2sfunz12z12zzcfa_iteratez00(BgL_funz00_2662,
									((obj_t) BgL_arg1557z00_2683));
							}
							return BgL_az00_2682;
						}
					else
						{	/* Cfa/app.scm 77 */
							obj_t BgL_az00_2684;

							{	/* Cfa/app.scm 77 */
								BgL_variablez00_bglt BgL_arg1569z00_2685;

								BgL_arg1569z00_2685 =
									(((BgL_varz00_bglt) CREF(BgL_varz00_2663))->BgL_variablez00);
								BgL_az00_2684 =
									BGl_cfazd2exportzd2varz12z12zzcfa_iteratez00(
									((BgL_valuez00_bglt) BgL_funz00_2662),
									((obj_t) BgL_arg1569z00_2685));
							}
							return ((BgL_approxz00_bglt) BgL_az00_2684);
						}
				}
			}
		}
	}



/* &cfa!-app1480 */
	BgL_approxz00_bglt BGl_z62cfaz12zd2app1480za2zzcfa_appz00(obj_t
		BgL_envz00_3300, obj_t BgL_nodez00_3301)
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 35 */
			{
				BgL_appz00_bglt BgL_nodez00_2636;

				BgL_nodez00_2636 = ((BgL_appz00_bglt) BgL_nodez00_3301);
				{	/* Cfa/app.scm 39 */
					obj_t BgL_argszd2approxzd2_2640;

					{	/* Cfa/app.scm 39 */
						obj_t BgL_l1461z00_2645;

						BgL_l1461z00_2645 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2636))->BgL_argsz00);
						if (NULLP(BgL_l1461z00_2645))
							{	/* Cfa/app.scm 39 */
								BgL_argszd2approxzd2_2640 = BNIL;
							}
						else
							{	/* Cfa/app.scm 39 */
								obj_t BgL_head1463z00_2647;

								{	/* Cfa/app.scm 39 */
									BgL_approxz00_bglt BgL_arg1527z00_2659;

									{	/* Cfa/app.scm 39 */
										obj_t BgL_arg1528z00_2660;

										BgL_arg1528z00_2660 = CAR(BgL_l1461z00_2645);
										BgL_arg1527z00_2659 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg1528z00_2660));
									}
									{	/* Cfa/app.scm 39 */
										obj_t BgL_res1839z00_3227;

										BgL_res1839z00_3227 =
											MAKE_PAIR(((obj_t) BgL_arg1527z00_2659), BNIL);
										BgL_head1463z00_2647 = BgL_res1839z00_3227;
									}
								}
								{	/* Cfa/app.scm 39 */
									obj_t BgL_g1466z00_2648;

									BgL_g1466z00_2648 = CDR(BgL_l1461z00_2645);
									{
										obj_t BgL_l1461z00_2650;
										obj_t BgL_tail1464z00_2651;

										BgL_l1461z00_2650 = BgL_g1466z00_2648;
										BgL_tail1464z00_2651 = BgL_head1463z00_2647;
									BgL_zc3anonymousza31514ze3z83_2652:
										if (NULLP(BgL_l1461z00_2650))
											{	/* Cfa/app.scm 39 */
												BgL_argszd2approxzd2_2640 = BgL_head1463z00_2647;
											}
										else
											{	/* Cfa/app.scm 39 */
												obj_t BgL_newtail1465z00_2654;

												{	/* Cfa/app.scm 39 */
													BgL_approxz00_bglt BgL_arg1519z00_2656;

													{	/* Cfa/app.scm 39 */
														obj_t BgL_arg1526z00_2657;

														BgL_arg1526z00_2657 = CAR(BgL_l1461z00_2650);
														BgL_arg1519z00_2656 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg1526z00_2657));
													}
													{	/* Cfa/app.scm 39 */
														obj_t BgL_res1841z00_3234;

														BgL_res1841z00_3234 =
															MAKE_PAIR(((obj_t) BgL_arg1519z00_2656), BNIL);
														BgL_newtail1465z00_2654 = BgL_res1841z00_3234;
													}
												}
												SET_CDR(BgL_tail1464z00_2651, BgL_newtail1465z00_2654);
												{
													obj_t BgL_tail1464z00_3540;
													obj_t BgL_l1461z00_3538;

													BgL_l1461z00_3538 = CDR(BgL_l1461z00_2650);
													BgL_tail1464z00_3540 = BgL_newtail1465z00_2654;
													BgL_tail1464z00_2651 = BgL_tail1464z00_3540;
													BgL_l1461z00_2650 = BgL_l1461z00_3538;
													goto BgL_zc3anonymousza31514ze3z83_2652;
												}
											}
									}
								}
							}
					}
					{	/* Cfa/app.scm 42 */
						BgL_valuez00_bglt BgL_arg1500z00_2641;
						BgL_varz00_bglt BgL_arg1505z00_2642;

						BgL_arg1500z00_2641 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_2636))->
													BgL_funz00)))->BgL_variablez00)))->BgL_valuez00);
						BgL_arg1505z00_2642 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2636))->BgL_funz00);
						return BGl_appz12z12zzcfa_appz00(((BgL_funz00_bglt)
								BgL_arg1500z00_2641), BgL_arg1505z00_2642,
							BgL_argszd2approxzd2_2640);
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_appz00()
	{
		AN_OBJECT;
		{	/* Cfa/app.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 216926614),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_procedurez00(((long) 227655313),
				BSTRING_TO_STRING(BGl_string1860z00zzcfa_appz00));
		}
	}

#ifdef __cplusplus
}
#endif
