/*===========================================================================*/
/*   (Heap/restore.scm)                                                      */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Heap/restore.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t);
	static obj_t BGl_z62zc3anonymousza31501ze3ze1zzheap_restorez00(obj_t);
	static obj_t BGl_z62zc3anonymousza31250ze3ze1zzheap_restorez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31238ze3ze1zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzheap_restorez00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31257ze3ze1zzheap_restorez00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	static obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00();
	static obj_t BGl_appendzd221011zd2zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzheap_restorez00();
	static obj_t BGl_z62zc3anonymousza31454ze3ze1zzheap_restorez00(obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	static obj_t BGl_z62heapzd2filezd2namez62zzheap_restorez00(obj_t, obj_t);
	extern obj_t BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00;
	static obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t,
		obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern obj_t BGl_addzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_za2heapzd2markza2zd2zzheap_restorez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzheap_restorez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
	extern obj_t BGl_za2cczd2optionsza2zd2zzengine_paramz00;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzheap_restorez00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzheap_restorez00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BUNSPEC;
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31483ze3ze1zzheap_restorez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2heapzd2zzheap_restorez00();
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzheap_restorez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
	extern obj_t BGl_za2unsafezd2heapza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00 = BUNSPEC;
	static obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_heapzd2filezd2namez00zzheap_restorez00(obj_t);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t
		BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_heapzd2modulezd2listzd2envzd2zzheap_restorez00,
		BgL_bgl_za762heapza7d2module1637z00, va_generic_entry,
		BGl_z62heapzd2modulezd2listz62zzheap_restorez00, BUNSPEC, -1);
	      DEFINE_STRING(BGl_string1612z00zzheap_restorez00,
		BgL_bgl_string1612za700za7za7h1638za7, "Heap", 4);
	      DEFINE_STRING(BGl_string1613z00zzheap_restorez00,
		BgL_bgl_string1613za700za7za7h1639za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1614z00zzheap_restorez00,
		BgL_bgl_string1614za700za7za7h1640za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1615z00zzheap_restorez00,
		BgL_bgl_string1615za700za7za7h1641za7, "]", 1);
	      DEFINE_STRING(BGl_string1616z00zzheap_restorez00,
		BgL_bgl_string1616za700za7za7h1642za7, "      [reading ", 15);
	      DEFINE_STRING(BGl_string1617z00zzheap_restorez00,
		BgL_bgl_string1617za700za7za7h1643za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1618z00zzheap_restorez00,
		BgL_bgl_string1618za700za7za7h1644za7, "~a vs. ~a", 9);
	      DEFINE_STRING(BGl_string1619z00zzheap_restorez00,
		BgL_bgl_string1619za700za7za7h1645za7, "Target language mismatch", 24);
	      DEFINE_STRING(BGl_string1620z00zzheap_restorez00,
		BgL_bgl_string1620za700za7za7h1646za7, "Heap is `~a', Bigloo is `~a'", 28);
	      DEFINE_STRING(BGl_string1621z00zzheap_restorez00,
		BgL_bgl_string1621za700za7za7h1647za7, "Release mismatch", 16);
	      DEFINE_STRING(BGl_string1622z00zzheap_restorez00,
		BgL_bgl_string1622za700za7za7h1648za7, "Specific version mismatch", 25);
	      DEFINE_STRING(BGl_string1625z00zzheap_restorez00,
		BgL_bgl_string1625za700za7za7h1649za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1626z00zzheap_restorez00,
		BgL_bgl_string1626za700za7za7h1650za7, ".", 1);
	      DEFINE_STRING(BGl_string1627z00zzheap_restorez00,
		BgL_bgl_string1627za700za7za7h1651za7, "Library", 7);
	      DEFINE_STRING(BGl_string1630z00zzheap_restorez00,
		BgL_bgl_string1630za700za7za7h1652za7, "-", 1);
	      DEFINE_STRING(BGl_string1631z00zzheap_restorez00,
		BgL_bgl_string1631za700za7za7h1653za7, "heap_restore", 12);
	      DEFINE_STRING(BGl_string1632z00zzheap_restorez00,
		BgL_bgl_string1632za700za7za7h1654za7,
		"make-heap call-with-current-continuation __r4_control_features_6_9 call/cc restore-heap pass-started heap-mark ",
		111);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2heapzd2envz00zzheap_restorez00,
		BgL_bgl_za762restoreza7d2hea1655z00,
		BGl_z62restorezd2heapzb0zzheap_restorez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapszd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add1656z00,
		BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1623z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71657za7,
		BGl_z62zc3anonymousza31238ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1624z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71658za7,
		BGl_z62zc3anonymousza31250ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1628z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71659za7,
		BGl_z62zc3anonymousza31454ze3ze1zzheap_restorez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1629z00zzheap_restorez00,
		BgL_bgl_za762za7c3anonymousza71660za7,
		BGl_z62zc3anonymousza31483ze3ze1zzheap_restorez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_restorezd2additionalzd2heapzd2envzd2zzheap_restorez00,
		BgL_bgl_za762restoreza7d2add1661z00,
		BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_heapzd2filezd2namezd2envzd2zzheap_restorez00,
		BgL_bgl_za762heapza7d2fileza7d1662za7,
		BGl_z62heapzd2filezd2namez62zzheap_restorez00, 0L, BUNSPEC, 1);
	BGL_IMPORT obj_t BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long
		BgL_checksumz00_969, char *BgL_fromz00_970)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_restorez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_restorez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzheap_restorez00();
					BGl_cnstzd2initzd2zzheap_restorez00();
					BGl_importedzd2moduleszd2initz00zzheap_restorez00();
					return BGl_toplevelzd2initzd2zzheap_restorez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"heap_restore");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"heap_restore");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			{	/* Heap/restore.scm 15 */
				obj_t BgL_cportz00_956;

				{	/* Heap/restore.scm 15 */
					obj_t BgL_startz00_965;

					BgL_startz00_965 = BINT(((long) 0));
					{	/* Heap/restore.scm 15 */
						obj_t BgL_endz00_966;

						BgL_endz00_966 =
							BINT(STRING_LENGTH(BGl_string1632z00zzheap_restorez00));
						{	/* Heap/restore.scm 15 */

							BgL_cportz00_956 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1632z00zzheap_restorez00, BgL_startz00_965,
								BgL_endz00_966);
				}}}
				{
					long BgL_iz00_957;

					BgL_iz00_957 = ((long) 6);
				BgL_loopz00_958:
					if ((BgL_iz00_957 == ((long) -1)))
						{	/* Heap/restore.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/restore.scm 15 */
							{	/* Heap/restore.scm 15 */
								obj_t BgL_arg1635z00_960;

								{	/* Heap/restore.scm 15 */

									{	/* Heap/restore.scm 15 */
										obj_t BgL_locationz00_962;

										BgL_locationz00_962 = BBOOL(((bool_t) 0));
										{	/* Heap/restore.scm 15 */

											BgL_arg1635z00_960 =
												BGl_readz00zz__readerz00(BgL_cportz00_956,
												BgL_locationz00_962);
										}
									}
								}
								{	/* Heap/restore.scm 15 */
									int BgL_auxz00_1000;

									BgL_auxz00_1000 = (int) (BgL_iz00_957);
									CNST_TABLE_SET(BgL_auxz00_1000, BgL_arg1635z00_960);
							}}
							{	/* Heap/restore.scm 15 */
								int BgL_auxz00_963;

								BgL_auxz00_963 = (int) ((BgL_iz00_957 - ((long) 1)));
								{
									long BgL_iz00_1005;

									BgL_iz00_1005 = (long) (BgL_auxz00_963);
									BgL_iz00_957 = BgL_iz00_1005;
									goto BgL_loopz00_958;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00 = BNIL;
			BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 = BNIL;
			return (BGl_za2heapzd2markza2zd2zzheap_restorez00 =
				CNST_TABLE_REF(((long) 0)), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzheap_restorez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_494;

				BgL_headz00_494 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_495;
					obj_t BgL_tailz00_496;

					BgL_prevz00_495 = BgL_headz00_494;
					BgL_tailz00_496 = BgL_l1z00_1;
				BgL_loopz00_497:
					if (PAIRP(BgL_tailz00_496))
						{
							obj_t BgL_newzd2prevzd2_499;

							BgL_newzd2prevzd2_499 =
								MAKE_PAIR(CAR(BgL_tailz00_496), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_495, BgL_newzd2prevzd2_499);
							{
								obj_t BgL_tailz00_1015;
								obj_t BgL_prevz00_1014;

								BgL_prevz00_1014 = BgL_newzd2prevzd2_499;
								BgL_tailz00_1015 = CDR(BgL_tailz00_496);
								BgL_tailz00_496 = BgL_tailz00_1015;
								BgL_prevz00_495 = BgL_prevz00_1014;
								goto BgL_loopz00_497;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_494);
				}
			}
		}
	}



/* backend-heap-compatible? */
	bool_t BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(obj_t
		BgL_targetz00_3)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 37 */
			{	/* Heap/restore.scm 38 */
				BgL_backendz00_bglt BgL_i1064z00_502;

				BgL_i1064z00_502 =
					((BgL_backendz00_bglt) BGl_thezd2backendzd2zzbackend_backendz00());
				{	/* Heap/restore.scm 39 */
					bool_t BgL__ortest_1074z00_503;

					BgL__ortest_1074z00_503 =
						(BgL_targetz00_3 ==
						(((BgL_backendz00_bglt) CREF(BgL_i1064z00_502))->BgL_languagez00));
					if (BgL__ortest_1074z00_503)
						{	/* Heap/restore.scm 39 */
							return BgL__ortest_1074z00_503;
						}
					else
						{	/* Heap/restore.scm 39 */
							return
								(BgL_targetz00_3 ==
								(((BgL_backendz00_bglt) CREF(BgL_i1064z00_502))->
									BgL_heapzd2compatiblezd2));
						}
				}
			}
		}
	}



/* restore-heap */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2heapzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 44 */
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/restore.scm 45 */
					{	/* Heap/restore.scm 46 */
						obj_t BgL_list1188z00_507;

						{	/* Heap/restore.scm 46 */
							obj_t BgL_arg1190z00_508;

							{	/* Heap/restore.scm 46 */
								obj_t BgL_arg1193z00_509;

								BgL_arg1193z00_509 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg1190z00_508 =
									MAKE_PAIR(BGl_string1612z00zzheap_restorez00,
									BgL_arg1193z00_509);
							}
							BgL_list1188z00_507 =
								MAKE_PAIR(BGl_string1613z00zzheap_restorez00,
								BgL_arg1190z00_508);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1188z00_507);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string1612z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_513;
						obj_t BgL_hnamesz00_514;

						BgL_hooksz00_513 = BNIL;
						BgL_hnamesz00_514 = BNIL;
					BgL_zc3anonymousza31194ze3z83_515:
						if (NULLP(BgL_hooksz00_513))
							{	/* Heap/restore.scm 46 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 46 */
								bool_t BgL_testz00_1037;

								{	/* Heap/restore.scm 46 */
									obj_t BgL_fun1202z00_521;

									BgL_fun1202z00_521 = CAR(BgL_hooksz00_513);
									BgL_testz00_1037 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1202z00_521)
										(BgL_fun1202z00_521, BEOA));
								}
								if (BgL_testz00_1037)
									{
										obj_t BgL_hnamesz00_1045;
										obj_t BgL_hooksz00_1043;

										BgL_hooksz00_1043 = CDR(BgL_hooksz00_513);
										BgL_hnamesz00_1045 = CDR(BgL_hnamesz00_514);
										BgL_hnamesz00_514 = BgL_hnamesz00_1045;
										BgL_hooksz00_513 = BgL_hooksz00_1043;
										goto BgL_zc3anonymousza31194ze3z83_515;
									}
								else
									{	/* Heap/restore.scm 46 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string1612z00zzheap_restorez00,
											BGl_string1614z00zzheap_restorez00,
											CAR(BgL_hnamesz00_514));
									}
							}
					}
					{	/* Heap/restore.scm 47 */
						obj_t BgL_fnamez00_524;

						BgL_fnamez00_524 =
							BGl_findzd2filezf2pathz20zz__osz00
							(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						if (STRINGP(BgL_fnamez00_524))
							{	/* Heap/restore.scm 49 */
								obj_t BgL_portz00_526;

								BgL_portz00_526 =
									BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
									(BgL_fnamez00_524);
								if (BINARY_PORTP(BgL_portz00_526))
									{	/* Heap/restore.scm 50 */
										{	/* Heap/restore.scm 55 */
											obj_t BgL_list1206z00_528;

											{	/* Heap/restore.scm 55 */
												obj_t BgL_arg1209z00_529;

												{	/* Heap/restore.scm 55 */
													obj_t BgL_arg1210z00_530;

													{	/* Heap/restore.scm 55 */
														obj_t BgL_arg1211z00_531;

														BgL_arg1211z00_531 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg1210z00_530 =
															MAKE_PAIR(BGl_string1615z00zzheap_restorez00,
															BgL_arg1211z00_531);
													}
													BgL_arg1209z00_529 =
														MAKE_PAIR(BgL_fnamez00_524, BgL_arg1210z00_530);
												}
												BgL_list1206z00_528 =
													MAKE_PAIR(BGl_string1616z00zzheap_restorez00,
													BgL_arg1209z00_529);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list1206z00_528);
										}
										{	/* Heap/restore.scm 56 */
											obj_t BgL_exitd1082z00_532;

											BgL_exitd1082z00_532 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Heap/restore.scm 110 */
												obj_t BgL_zc3anonymousza31257ze3z83_928;

												BgL_zc3anonymousza31257ze3z83_928 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza31257ze3ze1zzheap_restorez00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza31257ze3z83_928,
													(int) (((long) 0)), BgL_portz00_526);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1082z00_532,
													BgL_zc3anonymousza31257ze3z83_928);
												{	/* Heap/restore.scm 57 */
													bool_t BgL_tmp1084z00_534;

													{	/* Heap/restore.scm 57 */
														obj_t BgL_envsz00_535;

														BgL_envsz00_535 = input_obj(BgL_portz00_526);
														{	/* Heap/restore.scm 57 */
															obj_t BgL__z00_536;

															{	/* Heap/restore.scm 58 */
																bool_t BgL_testz00_1070;

																if (VECTORP(BgL_envsz00_535))
																	{	/* Heap/restore.scm 58 */
																		BgL_testz00_1070 =
																			(
																			(long) (VECTOR_LENGTH(BgL_envsz00_535)) ==
																			((long) 5));
																	}
																else
																	{	/* Heap/restore.scm 58 */
																		BgL_testz00_1070 = ((bool_t) 0);
																	}
																if (BgL_testz00_1070)
																	{	/* Heap/restore.scm 58 */
																		BgL__z00_536 = BFALSE;
																	}
																else
																	{	/* Heap/restore.scm 58 */
																		BgL__z00_536 =
																			BGl_errorz00zz__errorz00
																			(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																			BGl_string1617z00zzheap_restorez00,
																			BgL_envsz00_535);
																	}
															}
															{	/* Heap/restore.scm 58 */
																obj_t BgL_targetz00_537;

																BgL_targetz00_537 =
																	VECTOR_REF(BgL_envsz00_535,
																	(int) (((long) 0)));
																{	/* Heap/restore.scm 63 */
																	obj_t BgL_versionz00_538;

																	BgL_versionz00_538 =
																		VECTOR_REF(BgL_envsz00_535,
																		(int) (((long) 1)));
																	{	/* Heap/restore.scm 64 */
																		obj_t BgL_specificz00_539;

																		BgL_specificz00_539 =
																			VECTOR_REF(BgL_envsz00_535,
																			(int) (((long) 2)));
																		{	/* Heap/restore.scm 65 */
																			obj_t BgL_genvz00_540;

																			BgL_genvz00_540 =
																				VECTOR_REF(BgL_envsz00_535,
																				(int) (((long) 3)));
																			{	/* Heap/restore.scm 66 */
																				obj_t BgL_tenvz00_541;

																				BgL_tenvz00_541 =
																					VECTOR_REF(BgL_envsz00_535,
																					(int) (((long) 4)));
																				{	/* Heap/restore.scm 67 */

																					if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_537))
																						{	/* Heap/restore.scm 69 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 74 */
																							obj_t BgL_arg1213z00_543;

																							{	/* Heap/restore.scm 74 */
																								obj_t BgL_arg1216z00_544;

																								{	/* Heap/restore.scm 74 */
																									obj_t BgL_arg1220z00_547;

																									BgL_arg1220z00_547 =
																										BGl_thezd2backendzd2zzbackend_backendz00
																										();
																									BgL_arg1216z00_544 =
																										(((BgL_backendz00_bglt)
																											CREF((
																													(BgL_backendz00_bglt)
																													BgL_arg1220z00_547)))->
																										BgL_languagez00);
																								}
																								{	/* Heap/restore.scm 72 */
																									obj_t BgL_list1217z00_545;

																									{	/* Heap/restore.scm 72 */
																										obj_t BgL_arg1218z00_546;

																										BgL_arg1218z00_546 =
																											MAKE_PAIR
																											(BgL_arg1216z00_544,
																											BNIL);
																										BgL_list1217z00_545 =
																											MAKE_PAIR
																											(BgL_targetz00_537,
																											BgL_arg1218z00_546);
																									}
																									BgL_arg1213z00_543 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1618z00zzheap_restorez00,
																										BgL_list1217z00_545);
																								}
																							}
																							BGl_errorz00zz__errorz00
																								(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																								BGl_string1619z00zzheap_restorez00,
																								BgL_arg1213z00_543);
																						}
																					{	/* Heap/restore.scm 75 */
																						bool_t BgL_testz00_1096;

																						if (CBOOL
																							(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																							{	/* Heap/restore.scm 75 */
																								BgL_testz00_1096 = ((bool_t) 1);
																							}
																						else
																							{	/* Heap/restore.scm 75 */
																								BgL_testz00_1096 =
																									BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																									(BgL_versionz00_538,
																									BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
																							}
																						if (BgL_testz00_1096)
																							{	/* Heap/restore.scm 75 */
																								BFALSE;
																							}
																						else
																							{	/* Heap/restore.scm 79 */
																								obj_t BgL_arg1223z00_549;

																								{	/* Heap/restore.scm 79 */
																									obj_t BgL_list1224z00_550;

																									{	/* Heap/restore.scm 79 */
																										obj_t BgL_arg1227z00_551;

																										BgL_arg1227z00_551 =
																											MAKE_PAIR
																											(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																											BNIL);
																										BgL_list1224z00_550 =
																											MAKE_PAIR
																											(BgL_versionz00_538,
																											BgL_arg1227z00_551);
																									}
																									BgL_arg1223z00_549 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1620z00zzheap_restorez00,
																										BgL_list1224z00_550);
																								}
																								BGl_errorz00zz__errorz00
																									(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																									BGl_string1621z00zzheap_restorez00,
																									BgL_arg1223z00_549);
																							}
																					}
																					{	/* Heap/restore.scm 82 */
																						bool_t BgL_testz00_1104;

																						if (CBOOL
																							(BGl_za2unsafezd2heapza2zd2zzengine_paramz00))
																							{	/* Heap/restore.scm 82 */
																								BgL_testz00_1104 = ((bool_t) 1);
																							}
																						else
																							{	/* Heap/restore.scm 82 */
																								BgL_testz00_1104 =
																									BGl_equalzf3zf3zz__r4_equivalence_6_2z00
																									(BgL_specificz00_539,
																									BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
																							}
																						if (BgL_testz00_1104)
																							{	/* Heap/restore.scm 82 */
																								BFALSE;
																							}
																						else
																							{	/* Heap/restore.scm 86 */
																								obj_t BgL_arg1231z00_553;

																								{	/* Heap/restore.scm 86 */
																									obj_t BgL_list1232z00_554;

																									{	/* Heap/restore.scm 86 */
																										obj_t BgL_arg1233z00_555;

																										BgL_arg1233z00_555 =
																											MAKE_PAIR
																											(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																											BNIL);
																										BgL_list1232z00_554 =
																											MAKE_PAIR
																											(BgL_specificz00_539,
																											BgL_arg1233z00_555);
																									}
																									BgL_arg1231z00_553 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1620z00zzheap_restorez00,
																										BgL_list1232z00_554);
																								}
																								BGl_errorz00zz__errorz00
																									(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																									BGl_string1622z00zzheap_restorez00,
																									BgL_arg1231z00_553);
																							}
																					}
																					BGl_setzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_540);
																					BGl_setzd2tenvz12zc0zztype_envz00
																						(BgL_tenvz00_541);
																					if (CBOOL
																						(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
																						{	/* Heap/restore.scm 94 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 94 */
																							BGl_unbindzd2callzf2ccz12z32zzheap_restorez00
																								();
																						}
																					{	/* Heap/restore.scm 97 */
																						bool_t BgL_testz00_1117;

																						{	/* Heap/restore.scm 97 */
																							obj_t BgL_arg1246z00_566;

																							BgL_arg1246z00_566 =
																								BGl_thezd2backendzd2zzbackend_backendz00
																								();
																							BgL_testz00_1117 =
																								(((BgL_backendz00_bglt)
																									CREF(((BgL_backendz00_bglt)
																											BgL_arg1246z00_566)))->
																								BgL_qualifiedzd2typeszd2);
																						}
																						if (BgL_testz00_1117)
																							{	/* Heap/restore.scm 97 */
																								BGl_forzd2eachzd2globalz12z12zzast_envz00
																									(BGl_proc1623z00zzheap_restorez00,
																									BNIL);
																								BgL_genvz00_540;
																							}
																						else
																							{	/* Heap/restore.scm 97 */
																								BFALSE;
																							}
																					}
																					BGl_forzd2eachzd2globalz12z12zzast_envz00
																						(BGl_proc1624z00zzheap_restorez00,
																						BNIL);
																					BgL_tmp1084z00_534 = ((bool_t) 1);
																				}
																			}
																		}
																	}
																}
															}
														}
													}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1082z00_532);
													close_binary_port(BgL_portz00_526);
													return BBOOL(BgL_tmp1084z00_534);
												}
											}
										}
									}
								else
									{	/* Heap/restore.scm 51 */
										obj_t BgL_mz00_579;

										{	/* Heap/restore.scm 51 */
											obj_t BgL_list1258z00_580;

											BgL_list1258z00_580 = MAKE_PAIR(BgL_fnamez00_524, BNIL);
											BgL_mz00_579 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string1625z00zzheap_restorez00,
												BgL_list1258z00_580);
										}
										BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
											BgL_mz00_579, BGl_za2libzd2dirza2zd2zzengine_paramz00);
										return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long)
													5)));
							}}
						else
							{	/* Heap/restore.scm 111 */
								obj_t BgL_mz00_581;

								{	/* Heap/restore.scm 111 */
									obj_t BgL_list1259z00_582;

									BgL_list1259z00_582 =
										MAKE_PAIR(BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
									BgL_mz00_581 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1625z00zzheap_restorez00, BgL_list1259z00_582);
								}
								BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 2)),
									BgL_mz00_581, BGl_za2libzd2dirza2zd2zzengine_paramz00);
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 5)));
				}}}
			else
				{	/* Heap/restore.scm 45 */
					return BFALSE;
				}
		}
	}



/* &restore-heap */
	obj_t BGl_z62restorezd2heapzb0zzheap_restorez00(obj_t BgL_envz00_929)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 44 */
			return BGl_restorezd2heapzd2zzheap_restorez00();
		}
	}



/* &<anonymous:1250> */
	obj_t BGl_z62zc3anonymousza31250ze3ze1zzheap_restorez00(obj_t BgL_envz00_930,
		obj_t BgL_newz00_931)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 107 */
			{
				obj_t BgL_newz00_569;

				BgL_newz00_569 = BgL_newz00_931;
				{	/* Heap/restore.scm 108 */
					obj_t BgL_arg1251z00_841;

					BgL_arg1251z00_841 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_569)))->BgL_modulez00);
					{	/* Heap/restore.scm 108 */
						obj_t BgL_list1252z00_842;

						BgL_list1252z00_842 = MAKE_PAIR(BgL_arg1251z00_841, BNIL);
						return
							BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_list1252z00_842);
					}
				}
			}
		}
	}



/* &<anonymous:1238> */
	obj_t BGl_z62zc3anonymousza31238ze3ze1zzheap_restorez00(obj_t BgL_envz00_932,
		obj_t BgL_newz00_933)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 99 */
			{
				obj_t BgL_newz00_559;

				BgL_newz00_559 = BgL_newz00_933;
				{	/* Heap/restore.scm 101 */
					obj_t BgL_arg1239z00_561;
					obj_t BgL_arg1241z00_562;
					obj_t BgL_arg1242z00_563;

					BgL_arg1239z00_561 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_559)))->BgL_modulez00);
					BgL_arg1241z00_562 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_559)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1242z00_563 = BGl_shapez00zztools_shapez00(BgL_newz00_559);
					{	/* Heap/restore.scm 100 */
						obj_t BgL_list1243z00_564;

						BgL_list1243z00_564 = MAKE_PAIR(BgL_arg1242z00_563, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1239z00_561,
							BgL_arg1241z00_562, BgL_list1243z00_564);
					}
				}
			}
		}
	}



/* &<anonymous:1257> */
	obj_t BGl_z62zc3anonymousza31257ze3ze1zzheap_restorez00(obj_t BgL_envz00_934)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 56 */
			{	/* Heap/restore.scm 110 */
				obj_t BgL_portz00_935;

				BgL_portz00_935 = PROCEDURE_REF(BgL_envz00_934, (int) (((long) 0)));
				{

					return close_binary_port(BgL_portz00_935);
				}
			}
		}
	}



/* unbind-call/cc! */
	obj_t BGl_unbindzd2callzf2ccz12z32zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 118 */
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								3)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 119 */
					BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 3)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 119 */
					BFALSE;
				}
			if (CBOOL(BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
								5)), CNST_TABLE_REF(((long) 4)))))
				{	/* Heap/restore.scm 121 */
					return
						BGl_unbindzd2globalz12zc0zzast_envz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)));
				}
			else
				{	/* Heap/restore.scm 121 */
					return BFALSE;
				}
		}
	}



/* heap-file-name */
	BGL_EXPORTED_DEF obj_t BGl_heapzd2filezd2namez00zzheap_restorez00(obj_t
		BgL_heapz00_4)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 129 */
			{	/* Heap/restore.scm 130 */
				obj_t BgL_arg1264z00_845;

				{	/* Heap/restore.scm 130 */
					obj_t BgL_arg1266z00_846;

					BgL_arg1266z00_846 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_arg1264z00_845 =
						(((BgL_backendz00_bglt) CREF(
								((BgL_backendz00_bglt) BgL_arg1266z00_846)))->
						BgL_heapzd2suffixzd2);
				}
				return
					string_append_3(BgL_heapz00_4, BGl_string1626z00zzheap_restorez00,
					BgL_arg1264z00_845);
			}
		}
	}



/* &heap-file-name */
	obj_t BGl_z62heapzd2filezd2namez62zzheap_restorez00(obj_t BgL_envz00_936,
		obj_t BgL_heapz00_937)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 129 */
			return BGl_heapzd2filezd2namez00zzheap_restorez00(BgL_heapz00_937);
		}
	}



/* restore-additional-heaps */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 135 */
			if (PAIRP(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00))
				{	/* Heap/restore.scm 136 */
					{	/* Heap/restore.scm 137 */
						obj_t BgL_list1268z00_588;

						{	/* Heap/restore.scm 137 */
							obj_t BgL_arg1269z00_589;

							{	/* Heap/restore.scm 137 */
								obj_t BgL_arg1270z00_590;

								BgL_arg1270z00_590 =
									MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
								BgL_arg1269z00_589 =
									MAKE_PAIR(BGl_string1627z00zzheap_restorez00,
									BgL_arg1270z00_590);
							}
							BgL_list1268z00_588 =
								MAKE_PAIR(BGl_string1613z00zzheap_restorez00,
								BgL_arg1269z00_589);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list1268z00_588);
					}
					BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 =
						BINT(((long) 0));
					BGl_za2currentzd2passza2zd2zzengine_passz00 =
						BGl_string1627z00zzheap_restorez00;
					{
						obj_t BgL_hooksz00_594;
						obj_t BgL_hnamesz00_595;

						BgL_hooksz00_594 = BNIL;
						BgL_hnamesz00_595 = BNIL;
					BgL_zc3anonymousza31271ze3z83_596:
						if (NULLP(BgL_hooksz00_594))
							{	/* Heap/restore.scm 137 */
								CNST_TABLE_REF(((long) 1));
							}
						else
							{	/* Heap/restore.scm 137 */
								bool_t BgL_testz00_1186;

								{	/* Heap/restore.scm 137 */
									obj_t BgL_fun1311z00_602;

									BgL_fun1311z00_602 = CAR(BgL_hooksz00_594);
									BgL_testz00_1186 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1311z00_602)
										(BgL_fun1311z00_602, BEOA));
								}
								if (BgL_testz00_1186)
									{
										obj_t BgL_hnamesz00_1194;
										obj_t BgL_hooksz00_1192;

										BgL_hooksz00_1192 = CDR(BgL_hooksz00_594);
										BgL_hnamesz00_1194 = CDR(BgL_hnamesz00_595);
										BgL_hnamesz00_595 = BgL_hnamesz00_1194;
										BgL_hooksz00_594 = BgL_hooksz00_1192;
										goto BgL_zc3anonymousza31271ze3z83_596;
									}
								else
									{	/* Heap/restore.scm 137 */
										BGl_internalzd2errorzd2zztools_errorz00
											(BGl_string1627z00zzheap_restorez00,
											BGl_string1614z00zzheap_restorez00,
											CAR(BgL_hnamesz00_595));
									}
							}
					}
					{	/* Heap/restore.scm 138 */
						obj_t BgL_g1177z00_605;

						BgL_g1177z00_605 =
							bgl_reverse
							(BGl_za2additionalzd2heapzd2namesza2z00zzengine_paramz00);
						{
							obj_t BgL_l1175z00_607;

							{	/* Heap/restore.scm 143 */
								bool_t BgL_auxz00_1199;

								BgL_l1175z00_607 = BgL_g1177z00_605;
							BgL_zc3anonymousza31313ze3z83_608:
								if (PAIRP(BgL_l1175z00_607))
									{	/* Heap/restore.scm 143 */
										{	/* Heap/restore.scm 139 */
											obj_t BgL_hz00_610;

											BgL_hz00_610 = CAR(BgL_l1175z00_607);
											if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
													(BgL_hz00_610,
														BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00)))
												{	/* Heap/restore.scm 139 */
													BFALSE;
												}
											else
												{	/* Heap/restore.scm 139 */
													BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00
														=
														MAKE_PAIR(BgL_hz00_610,
														BGl_za2restoredzd2heapzd2namesza2z00zzheap_restorez00);
													{	/* Heap/restore.scm 142 */
														obj_t BgL_arg1316z00_612;

														{	/* Heap/restore.scm 142 */
															obj_t BgL_res1599z00_869;

															{	/* Heap/restore.scm 130 */
																obj_t BgL_arg1264z00_864;

																{	/* Heap/restore.scm 130 */
																	obj_t BgL_arg1266z00_865;

																	BgL_arg1266z00_865 =
																		BGl_thezd2backendzd2zzbackend_backendz00();
																	BgL_arg1264z00_864 =
																		(((BgL_backendz00_bglt) CREF(
																				((BgL_backendz00_bglt)
																					BgL_arg1266z00_865)))->
																		BgL_heapzd2suffixzd2);
																}
																BgL_res1599z00_869 =
																	string_append_3(BgL_hz00_610,
																	BGl_string1626z00zzheap_restorez00,
																	BgL_arg1264z00_864);
															}
															BgL_arg1316z00_612 = BgL_res1599z00_869;
														}
														BGl_restorezd2additionalzd2heapz00zzheap_restorez00
															(BgL_arg1316z00_612);
													}
												}
										}
										{
											obj_t BgL_l1175z00_1212;

											BgL_l1175z00_1212 = CDR(BgL_l1175z00_607);
											BgL_l1175z00_607 = BgL_l1175z00_1212;
											goto BgL_zc3anonymousza31313ze3z83_608;
										}
									}
								else
									{	/* Heap/restore.scm 143 */
										BgL_auxz00_1199 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_1199);
							}
						}
					}
				}
			else
				{	/* Heap/restore.scm 136 */
					return BFALSE;
				}
		}
	}



/* &restore-additional-heaps */
	obj_t BGl_z62restorezd2additionalzd2heapsz62zzheap_restorez00(obj_t
		BgL_envz00_938)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 135 */
			return BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
		}
	}



/* restore-additional-heap */
	BGL_EXPORTED_DEF obj_t
		BGl_restorezd2additionalzd2heapz00zzheap_restorez00(obj_t BgL_heapz00_5)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 153 */
			{	/* Heap/restore.scm 154 */
				obj_t BgL_fnamez00_615;

				BgL_fnamez00_615 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_5,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_615))
					{	/* Heap/restore.scm 156 */
						obj_t BgL_portz00_617;

						BgL_portz00_617 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_615);
						if (BINARY_PORTP(BgL_portz00_617))
							{	/* Heap/restore.scm 157 */
								{	/* Heap/restore.scm 165 */
									obj_t BgL_list1331z00_619;

									{	/* Heap/restore.scm 165 */
										obj_t BgL_arg1335z00_620;

										{	/* Heap/restore.scm 165 */
											obj_t BgL_arg1344z00_621;

											{	/* Heap/restore.scm 165 */
												obj_t BgL_arg1360z00_622;

												BgL_arg1360z00_622 =
													MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
												BgL_arg1344z00_621 =
													MAKE_PAIR(BGl_string1615z00zzheap_restorez00,
													BgL_arg1360z00_622);
											}
											BgL_arg1335z00_620 =
												MAKE_PAIR(BgL_fnamez00_615, BgL_arg1344z00_621);
										}
										BgL_list1331z00_619 =
											MAKE_PAIR(BGl_string1616z00zzheap_restorez00,
											BgL_arg1335z00_620);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list1331z00_619);
								}
								{	/* Heap/restore.scm 166 */
									obj_t BgL_exitd1087z00_623;

									BgL_exitd1087z00_623 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Heap/restore.scm 234 */
										obj_t BgL_zc3anonymousza31501ze3z83_941;

										BgL_zc3anonymousza31501ze3z83_941 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31501ze3ze1zzheap_restorez00,
											(int) (((long) 0)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3anonymousza31501ze3z83_941,
											(int) (((long) 0)), BgL_portz00_617);
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
											(BgL_exitd1087z00_623, BgL_zc3anonymousza31501ze3z83_941);
										{	/* Heap/restore.scm 167 */
											bool_t BgL_tmp1089z00_625;

											{	/* Heap/restore.scm 167 */
												obj_t BgL_envsz00_626;

												BgL_envsz00_626 = input_obj(BgL_portz00_617);
												{	/* Heap/restore.scm 167 */
													obj_t BgL__z00_627;

													{	/* Heap/restore.scm 168 */
														bool_t BgL_testz00_1237;

														if (VECTORP(BgL_envsz00_626))
															{	/* Heap/restore.scm 168 */
																BgL_testz00_1237 =
																	(
																	(long) (VECTOR_LENGTH(BgL_envsz00_626)) ==
																	((long) 7));
															}
														else
															{	/* Heap/restore.scm 168 */
																BgL_testz00_1237 = ((bool_t) 0);
															}
														if (BgL_testz00_1237)
															{	/* Heap/restore.scm 168 */
																BgL__z00_627 = BFALSE;
															}
														else
															{	/* Heap/restore.scm 168 */
																BgL__z00_627 =
																	BGl_errorz00zz__errorz00(BgL_heapz00_5,
																	BGl_string1617z00zzheap_restorez00,
																	BgL_envsz00_626);
															}
													}
													{	/* Heap/restore.scm 168 */
														obj_t BgL_targetz00_628;

														BgL_targetz00_628 =
															VECTOR_REF(BgL_envsz00_626, (int) (((long) 0)));
														{	/* Heap/restore.scm 171 */
															obj_t BgL_versionz00_629;

															BgL_versionz00_629 =
																VECTOR_REF(BgL_envsz00_626, (int) (((long) 1)));
															{	/* Heap/restore.scm 172 */
																obj_t BgL_specificz00_630;

																BgL_specificz00_630 =
																	VECTOR_REF(BgL_envsz00_626,
																	(int) (((long) 2)));
																{	/* Heap/restore.scm 173 */
																	obj_t BgL_genvz00_631;

																	BgL_genvz00_631 =
																		VECTOR_REF(BgL_envsz00_626,
																		(int) (((long) 3)));
																	{	/* Heap/restore.scm 174 */
																		obj_t BgL_tenvz00_632;

																		BgL_tenvz00_632 =
																			VECTOR_REF(BgL_envsz00_626,
																			(int) (((long) 4)));
																		{	/* Heap/restore.scm 175 */
																			obj_t BgL_includesz00_633;

																			BgL_includesz00_633 =
																				VECTOR_REF(BgL_envsz00_626,
																				(int) (((long) 5)));
																			{	/* Heap/restore.scm 176 */
																				obj_t BgL_ccoptsz00_634;

																				BgL_ccoptsz00_634 =
																					VECTOR_REF(BgL_envsz00_626,
																					(int) (((long) 6)));
																				{	/* Heap/restore.scm 177 */

																					if (BGl_backendzd2heapzd2compatiblezf3zf3zzheap_restorez00(BgL_targetz00_628))
																						{	/* Heap/restore.scm 179 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 184 */
																							obj_t BgL_arg1366z00_636;

																							{	/* Heap/restore.scm 184 */
																								obj_t BgL_arg1371z00_637;

																								{	/* Heap/restore.scm 184 */
																									obj_t BgL_arg1378z00_640;

																									BgL_arg1378z00_640 =
																										BGl_thezd2backendzd2zzbackend_backendz00
																										();
																									BgL_arg1371z00_637 =
																										(((BgL_backendz00_bglt)
																											CREF((
																													(BgL_backendz00_bglt)
																													BgL_arg1378z00_640)))->
																										BgL_languagez00);
																								}
																								{	/* Heap/restore.scm 182 */
																									obj_t BgL_list1372z00_638;

																									{	/* Heap/restore.scm 182 */
																										obj_t BgL_arg1374z00_639;

																										BgL_arg1374z00_639 =
																											MAKE_PAIR
																											(BgL_arg1371z00_637,
																											BNIL);
																										BgL_list1372z00_638 =
																											MAKE_PAIR
																											(BgL_targetz00_628,
																											BgL_arg1374z00_639);
																									}
																									BgL_arg1366z00_636 =
																										BGl_formatz00zz__r4_output_6_10_3z00
																										(BGl_string1618z00zzheap_restorez00,
																										BgL_list1372z00_638);
																								}
																							}
																							BGl_errorz00zz__errorz00
																								(BgL_heapz00_5,
																								BGl_string1619z00zzheap_restorez00,
																								BgL_arg1366z00_636);
																						}
																					if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_versionz00_629, BGl_za2bigloozd2versionza2zd2zzengine_paramz00))
																						{	/* Heap/restore.scm 185 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 188 */
																							obj_t BgL_arg1385z00_642;

																							{	/* Heap/restore.scm 188 */
																								obj_t BgL_list1386z00_643;

																								{	/* Heap/restore.scm 188 */
																									obj_t BgL_arg1398z00_644;

																									BgL_arg1398z00_644 =
																										MAKE_PAIR
																										(BGl_za2bigloozd2versionza2zd2zzengine_paramz00,
																										BNIL);
																									BgL_list1386z00_643 =
																										MAKE_PAIR
																										(BgL_versionz00_629,
																										BgL_arg1398z00_644);
																								}
																								BgL_arg1385z00_642 =
																									BGl_formatz00zz__r4_output_6_10_3z00
																									(BGl_string1620z00zzheap_restorez00,
																									BgL_list1386z00_643);
																							}
																							BGl_errorz00zz__errorz00
																								(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																								BGl_string1621z00zzheap_restorez00,
																								BgL_arg1385z00_642);
																						}
																					if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_specificz00_630, BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00))
																						{	/* Heap/restore.scm 191 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 194 */
																							obj_t BgL_arg1441z00_646;

																							{	/* Heap/restore.scm 194 */
																								obj_t BgL_list1443z00_647;

																								{	/* Heap/restore.scm 194 */
																									obj_t BgL_arg1447z00_648;

																									BgL_arg1447z00_648 =
																										MAKE_PAIR
																										(BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00,
																										BNIL);
																									BgL_list1443z00_647 =
																										MAKE_PAIR
																										(BgL_specificz00_630,
																										BgL_arg1447z00_648);
																								}
																								BgL_arg1441z00_646 =
																									BGl_formatz00zz__r4_output_6_10_3z00
																									(BGl_string1620z00zzheap_restorez00,
																									BgL_list1443z00_647);
																							}
																							BGl_errorz00zz__errorz00
																								(BGl_za2heapzd2nameza2zd2zzengine_paramz00,
																								BGl_string1622z00zzheap_restorez00,
																								BgL_arg1441z00_646);
																						}
																					BGl_addzd2tenvz12zc0zztype_envz00
																						(BgL_tenvz00_632);
																					BGl_addzd2genvz12zc0zzast_envz00
																						(BgL_genvz00_631);
																					{	/* Heap/restore.scm 210 */
																						bool_t BgL_testz00_1281;

																						{	/* Heap/restore.scm 210 */
																							obj_t BgL_arg1476z00_659;

																							BgL_arg1476z00_659 =
																								BGl_thezd2backendzd2zzbackend_backendz00
																								();
																							BgL_testz00_1281 =
																								(((BgL_backendz00_bglt)
																									CREF(((BgL_backendz00_bglt)
																											BgL_arg1476z00_659)))->
																								BgL_qualifiedzd2typeszd2);
																						}
																						if (BgL_testz00_1281)
																							{	/* Heap/restore.scm 210 */
																								BGl_forzd2eachzd2globalz12z12zzast_envz00
																									(BGl_proc1628z00zzheap_restorez00,
																									BNIL);
																							}
																						else
																							{	/* Heap/restore.scm 210 */
																								BFALSE;
																							}
																					}
																					BGl_hashtablezd2forzd2eachz00zz__hashz00
																						(BgL_genvz00_631,
																						BGl_proc1629z00zzheap_restorez00);
																					if (
																						(BGl_za2passza2z00zzengine_paramz00
																							== CNST_TABLE_REF(((long) 6))))
																						{	/* Heap/restore.scm 226 */
																							BFALSE;
																						}
																					else
																						{	/* Heap/restore.scm 226 */
																							BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00
																								=
																								BGl_appendzd221011zd2zzheap_restorez00
																								(BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00,
																								BgL_includesz00_633);
																							{	/* Heap/restore.scm 232 */
																								obj_t BgL_arg1496z00_676;

																								BgL_arg1496z00_676 =
																									BGl_appendzd221011zd2zzheap_restorez00
																									(BGl_za2cczd2optionsza2zd2zzengine_paramz00,
																									BgL_ccoptsz00_634);
																								{	/* Heap/restore.scm 231 */

																									BGl_za2cczd2optionsza2zd2zzengine_paramz00
																										=
																										BGl_deletezd2duplicateszd2zz__r4_pairs_and_lists_6_3z00
																										(BgL_arg1496z00_676,
																										BGl_equalzf3zd2envz21zz__r4_equivalence_6_2z00);
																								}
																							}
																						}
																					BgL_tmp1089z00_625 = ((bool_t) 1);
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_exitd1087z00_623);
											close_binary_port(BgL_portz00_617);
											return BBOOL(BgL_tmp1089z00_625);
										}
									}
								}
							}
						else
							{	/* Heap/restore.scm 158 */
								obj_t BgL_mz00_684;

								{	/* Heap/restore.scm 158 */
									obj_t BgL_list1507z00_687;

									BgL_list1507z00_687 = MAKE_PAIR(BgL_fnamez00_615, BNIL);
									BgL_mz00_684 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1625z00zzheap_restorez00, BgL_list1507z00_687);
								}
								{	/* Heap/restore.scm 159 */
									obj_t BgL_arg1505z00_685;

									if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
										{	/* Heap/restore.scm 159 */
											BgL_arg1505z00_685 =
												CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
										}
									else
										{	/* Heap/restore.scm 159 */
											BgL_arg1505z00_685 = BGl_string1630z00zzheap_restorez00;
										}
									BGl_errorz00zz__errorz00(BgL_arg1505z00_685, BgL_mz00_684,
										BGl_za2libzd2dirza2zd2zzengine_paramz00);
								}
								return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
					}}
				else
					{	/* Heap/restore.scm 235 */
						obj_t BgL_mz00_688;

						{	/* Heap/restore.scm 235 */
							obj_t BgL_list1511z00_691;

							BgL_list1511z00_691 = MAKE_PAIR(BgL_heapz00_5, BNIL);
							BgL_mz00_688 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1625z00zzheap_restorez00, BgL_list1511z00_691);
						}
						{	/* Heap/restore.scm 236 */
							obj_t BgL_arg1509z00_689;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* Heap/restore.scm 236 */
									BgL_arg1509z00_689 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
								}
							else
								{	/* Heap/restore.scm 236 */
									BgL_arg1509z00_689 = BGl_string1630z00zzheap_restorez00;
								}
							BGl_errorz00zz__errorz00(BgL_arg1509z00_689, BgL_mz00_688,
								BGl_za2libzd2dirza2zd2zzengine_paramz00);
						}
						return BGl_compilerzd2exitzd2zzinit_mainz00(BINT(((long) 6)));
		}}}
	}



/* &restore-additional-heap */
	obj_t BGl_z62restorezd2additionalzd2heapz62zzheap_restorez00(obj_t
		BgL_envz00_942, obj_t BgL_heapz00_943)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 153 */
			return
				BGl_restorezd2additionalzd2heapz00zzheap_restorez00(BgL_heapz00_943);
		}
	}



/* &<anonymous:1483> */
	obj_t BGl_z62zc3anonymousza31483ze3ze1zzheap_restorez00(obj_t BgL_envz00_944,
		obj_t BgL_kz00_945, obj_t BgL_bucketz00_946)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 220 */
			{
				obj_t BgL_kz00_661;
				obj_t BgL_bucketz00_662;

				{	/* Heap/restore.scm 221 */
					bool_t BgL_auxz00_1313;

					BgL_kz00_661 = BgL_kz00_945;
					BgL_bucketz00_662 = BgL_bucketz00_946;
					{	/* Heap/restore.scm 221 */
						obj_t BgL_g1180z00_664;

						BgL_g1180z00_664 = CDR(BgL_bucketz00_662);
						{
							obj_t BgL_l1178z00_666;

							BgL_l1178z00_666 = BgL_g1180z00_664;
						BgL_zc3anonymousza31484ze3z83_667:
							if (PAIRP(BgL_l1178z00_666))
								{	/* Heap/restore.scm 224 */
									{	/* Heap/restore.scm 222 */
										obj_t BgL_newz00_669;

										BgL_newz00_669 = CAR(BgL_l1178z00_666);
										{	/* Heap/restore.scm 223 */
											obj_t BgL_arg1491z00_670;

											BgL_arg1491z00_670 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_669)))->
												BgL_modulez00);
											{	/* Heap/restore.scm 222 */
												obj_t BgL_list1492z00_671;

												BgL_list1492z00_671 =
													MAKE_PAIR(BgL_arg1491z00_670, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list1492z00_671);
											}
										}
									}
									{
										obj_t BgL_l1178z00_1322;

										BgL_l1178z00_1322 = CDR(BgL_l1178z00_666);
										BgL_l1178z00_666 = BgL_l1178z00_1322;
										goto BgL_zc3anonymousza31484ze3z83_667;
									}
								}
							else
								{	/* Heap/restore.scm 224 */
									BgL_auxz00_1313 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1313);
				}
			}
		}
	}



/* &<anonymous:1454> */
	obj_t BGl_z62zc3anonymousza31454ze3ze1zzheap_restorez00(obj_t BgL_envz00_947,
		obj_t BgL_newz00_948)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 212 */
			{
				obj_t BgL_newz00_652;

				BgL_newz00_652 = BgL_newz00_948;
				{	/* Heap/restore.scm 214 */
					obj_t BgL_arg1459z00_654;
					obj_t BgL_arg1460z00_655;
					obj_t BgL_arg1467z00_656;

					BgL_arg1459z00_654 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_652)))->BgL_modulez00);
					BgL_arg1460z00_655 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_652)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1467z00_656 = BGl_shapez00zztools_shapez00(BgL_newz00_652);
					{	/* Heap/restore.scm 213 */
						obj_t BgL_list1468z00_657;

						BgL_list1468z00_657 = MAKE_PAIR(BgL_arg1467z00_656, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1459z00_654,
							BgL_arg1460z00_655, BgL_list1468z00_657);
					}
				}
			}
		}
	}



/* &<anonymous:1501> */
	obj_t BGl_z62zc3anonymousza31501ze3ze1zzheap_restorez00(obj_t BgL_envz00_949)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 166 */
			{	/* Heap/restore.scm 234 */
				obj_t BgL_portz00_950;

				BgL_portz00_950 = PROCEDURE_REF(BgL_envz00_949, (int) (((long) 0)));
				{

					return close_binary_port(BgL_portz00_950);
				}
			}
		}
	}



/* heap-module-list */
	BGL_EXPORTED_DEF obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t
		BgL_argsz00_6)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 255 */
			if (NULLP(BgL_argsz00_6))
				{	/* Heap/restore.scm 257 */
					return BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00;
				}
			else
				{	/* Heap/restore.scm 257 */
					if (CBOOL(BGl_getpropz00zz__r4_symbols_6_4z00(CAR(BgL_argsz00_6),
								CNST_TABLE_REF(((long) 0)))))
						{	/* Heap/restore.scm 259 */
							return BFALSE;
						}
					else
						{	/* Heap/restore.scm 259 */
							{	/* Heap/restore.scm 260 */
								obj_t BgL_arg1516z00_694;

								BgL_arg1516z00_694 = CAR(BgL_argsz00_6);
								BGl_putpropz12z12zz__r4_symbols_6_4z00(BgL_arg1516z00_694,
									CNST_TABLE_REF(((long) 0)), BTRUE);
							}
							{	/* Heap/restore.scm 261 */
								obj_t BgL_arg1519z00_695;

								BgL_arg1519z00_695 = CAR(BgL_argsz00_6);
								return (BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00 =
									MAKE_PAIR(BgL_arg1519z00_695,
										BGl_za2heapzd2modulezd2listza2z00zzheap_restorez00),
									BUNSPEC);
							}
						}
				}
		}
	}



/* &heap-module-list */
	obj_t BGl_z62heapzd2modulezd2listz62zzheap_restorez00(obj_t BgL_envz00_954,
		obj_t BgL_argsz00_955)
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 255 */
			return BGl_heapzd2modulezd2listz00zzheap_restorez00(BgL_argsz00_955);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_restorez00()
	{
		AN_OBJECT;
		{	/* Heap/restore.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 373986149),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1631z00zzheap_restorez00));
		}
	}

#ifdef __cplusplus
}
#endif
