/*===========================================================================*/
/*   (Inline/simple.scm)                                                     */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/simple.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzinline_simplez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_simplez00();
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_svarz00zzast_varz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2appzd2simplez62zzinline_simplez00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_simplez00 = BUNSPEC;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzinline_simplez00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_siza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzinline_simplez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00();
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string1672z00zzinline_simplez00,
		BgL_bgl_string1672za700za7za7i1680za7, " (", 2);
	      DEFINE_STRING(BGl_string1673z00zzinline_simplez00,
		BgL_bgl_string1673za700za7za7i1681za7, " --> ", 5);
	      DEFINE_STRING(BGl_string1674z00zzinline_simplez00,
		BgL_bgl_string1674za700za7za7i1682za7, "         ", 9);
	      DEFINE_STRING(BGl_string1675z00zzinline_simplez00,
		BgL_bgl_string1675za700za7za7i1683za7, "inline_simple", 13);
	      DEFINE_STRING(BGl_string1676z00zzinline_simplez00,
		BgL_bgl_string1676za700za7za7i1684za7, "res (sifun sgfun) read ", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2simplezd2envzd2zzinline_simplez00,
		BgL_bgl_za762inlineza7d2appza71685za7,
		BGl_z62inlinezd2appzd2simplez62zzinline_simplez00, 0L, BUNSPEC, 4);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long
		BgL_checksumz00_1667, char *BgL_fromz00_1668)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_simplez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_simplez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_simplez00();
					BGl_cnstzd2initzd2zzinline_simplez00();
					BGl_importedzd2moduleszd2initz00zzinline_simplez00();
					return BGl_methodzd2initzd2zzinline_simplez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_simple");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_simple");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			{	/* Inline/simple.scm 15 */
				obj_t BgL_cportz00_1654;

				{	/* Inline/simple.scm 15 */
					obj_t BgL_startz00_1663;

					BgL_startz00_1663 = BINT(((long) 0));
					{	/* Inline/simple.scm 15 */
						obj_t BgL_endz00_1664;

						BgL_endz00_1664 =
							BINT(STRING_LENGTH(BGl_string1676z00zzinline_simplez00));
						{	/* Inline/simple.scm 15 */

							BgL_cportz00_1654 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1676z00zzinline_simplez00, BgL_startz00_1663,
								BgL_endz00_1664);
				}}}
				{
					long BgL_iz00_1655;

					BgL_iz00_1655 = ((long) 2);
				BgL_loopz00_1656:
					if ((BgL_iz00_1655 == ((long) -1)))
						{	/* Inline/simple.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/simple.scm 15 */
							{	/* Inline/simple.scm 15 */
								obj_t BgL_arg1678z00_1658;

								{	/* Inline/simple.scm 15 */

									{	/* Inline/simple.scm 15 */
										obj_t BgL_locationz00_1660;

										BgL_locationz00_1660 = BBOOL(((bool_t) 0));
										{	/* Inline/simple.scm 15 */

											BgL_arg1678z00_1658 =
												BGl_readz00zz__readerz00(BgL_cportz00_1654,
												BgL_locationz00_1660);
										}
									}
								}
								{	/* Inline/simple.scm 15 */
									int BgL_auxz00_1691;

									BgL_auxz00_1691 = (int) (BgL_iz00_1655);
									CNST_TABLE_SET(BgL_auxz00_1691, BgL_arg1678z00_1658);
							}}
							{	/* Inline/simple.scm 15 */
								int BgL_auxz00_1661;

								BgL_auxz00_1661 = (int) ((BgL_iz00_1655 - ((long) 1)));
								{
									long BgL_iz00_1696;

									BgL_iz00_1696 = (long) (BgL_auxz00_1661);
									BgL_iz00_1655 = BgL_iz00_1696;
									goto BgL_loopz00_1656;
								}
							}
						}
				}
			}
		}
	}



/* inline-app-simple */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt
		BgL_nodez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5,
		obj_t BgL_msgz00_6)
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 43 */
			{	/* Inline/simple.scm 46 */
				BgL_variablez00_bglt BgL_calleez00_1296;

				BgL_calleez00_1296 =
					(((BgL_varz00_bglt) CREF(
							(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Inline/simple.scm 46 */
					BgL_valuez00_bglt BgL_sfunz00_1297;

					BgL_sfunz00_1297 =
						(((BgL_variablez00_bglt) CREF(BgL_calleez00_1296))->BgL_valuez00);
					{	/* Inline/simple.scm 47 */
						obj_t BgL_formalsz00_1298;

						BgL_formalsz00_1298 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_sfunz00_1297)))->BgL_argsz00);
						{	/* Inline/simple.scm 48 */
							obj_t BgL_actualsz00_1299;

							BgL_actualsz00_1299 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_argsz00);
							{	/* Inline/simple.scm 49 */
								obj_t BgL_reductorsz00_1300;

								if (NULLP(BgL_formalsz00_1298))
									{	/* Inline/simple.scm 50 */
										BgL_reductorsz00_1300 = BNIL;
									}
								else
									{	/* Inline/simple.scm 50 */
										obj_t BgL_head1229z00_1381;

										{	/* Inline/simple.scm 50 */
											obj_t BgL_res1658z00_1575;

											BgL_res1658z00_1575 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1229z00_1381 = BgL_res1658z00_1575;
										}
										{
											obj_t BgL_ll1227z00_1383;
											obj_t BgL_ll1228z00_1384;
											obj_t BgL_tail1230z00_1385;

											BgL_ll1227z00_1383 = BgL_formalsz00_1298;
											BgL_ll1228z00_1384 = BgL_actualsz00_1299;
											BgL_tail1230z00_1385 = BgL_head1229z00_1381;
										BgL_zc3anonymousza31401ze3z83_1386:
											if (NULLP(BgL_ll1227z00_1383))
												{	/* Inline/simple.scm 50 */
													BgL_reductorsz00_1300 = CDR(BgL_head1229z00_1381);
												}
											else
												{	/* Inline/simple.scm 50 */
													obj_t BgL_newtail1231z00_1388;

													{	/* Inline/simple.scm 50 */
														BgL_variablez00_bglt BgL_arg1447z00_1391;

														{	/* Inline/simple.scm 50 */
															obj_t BgL_fz00_1392;
															obj_t BgL_az00_1393;

															BgL_fz00_1392 = CAR(BgL_ll1227z00_1383);
															BgL_az00_1393 = CAR(BgL_ll1228z00_1384);
															{	/* Inline/simple.scm 51 */
																bool_t BgL_testz00_1714;

																if (BGl_isazf3zf3zz__objectz00(BgL_az00_1393,
																		BGl_closurez00zzast_nodez00))
																	{	/* Inline/simple.scm 51 */
																		if (
																			((((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_fz00_1392))))->
																					BgL_accessz00) ==
																				CNST_TABLE_REF(((long) 0))))
																			{	/* Inline/simple.scm 53 */
																				bool_t BgL__ortest_1102z00_1402;

																				{	/* Inline/simple.scm 53 */
																					BgL_typez00_bglt BgL_arg1467z00_1406;

																					BgL_arg1467z00_1406 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_localz00_bglt)
																										BgL_fz00_1392))))->
																						BgL_typez00);
																					BgL__ortest_1102z00_1402 =
																						(((obj_t) BgL_arg1467z00_1406) ==
																						BGl_za2procedureza2z00zztype_cachez00);
																				}
																				if (BgL__ortest_1102z00_1402)
																					{	/* Inline/simple.scm 53 */
																						BgL_testz00_1714 =
																							BgL__ortest_1102z00_1402;
																					}
																				else
																					{	/* Inline/simple.scm 54 */
																						bool_t BgL__ortest_1103z00_1403;

																						{	/* Inline/simple.scm 54 */
																							BgL_typez00_bglt
																								BgL_arg1460z00_1405;
																							BgL_arg1460z00_1405 =
																								(((BgL_variablez00_bglt)
																									CREF(((BgL_variablez00_bglt) (
																												(BgL_localz00_bglt)
																												BgL_fz00_1392))))->
																								BgL_typez00);
																							BgL__ortest_1103z00_1403 =
																								(((obj_t) BgL_arg1460z00_1405)
																								==
																								BGl_za2_za2z00zztype_cachez00);
																						}
																						if (BgL__ortest_1103z00_1403)
																							{	/* Inline/simple.scm 54 */
																								BgL_testz00_1714 =
																									BgL__ortest_1103z00_1403;
																							}
																						else
																							{	/* Inline/simple.scm 55 */
																								BgL_typez00_bglt
																									BgL_arg1459z00_1404;
																								BgL_arg1459z00_1404 =
																									(((BgL_variablez00_bglt)
																										CREF(((BgL_variablez00_bglt)
																												((BgL_localz00_bglt)
																													BgL_fz00_1392))))->
																									BgL_typez00);
																								BgL_testz00_1714 =
																									(((obj_t) BgL_arg1459z00_1404)
																									==
																									BGl_za2objza2z00zztype_cachez00);
																							}
																					}
																			}
																		else
																			{	/* Inline/simple.scm 52 */
																				BgL_testz00_1714 = ((bool_t) 0);
																			}
																	}
																else
																	{	/* Inline/simple.scm 51 */
																		BgL_testz00_1714 = ((bool_t) 0);
																	}
																if (BgL_testz00_1714)
																	{	/* Inline/simple.scm 51 */
																		BgL_arg1447z00_1391 =
																			(((BgL_varz00_bglt) CREF(
																					((BgL_varz00_bglt)
																						((BgL_closurez00_bglt)
																							BgL_az00_1393))))->
																			BgL_variablez00);
																	}
																else
																	{	/* Inline/simple.scm 63 */
																		BgL_svarz00_bglt BgL_arg1452z00_1395;

																		{	/* Inline/simple.scm 63 */
																			BgL_svarz00_bglt
																				BgL_duplicated1105z00_1396;
																			BgL_svarz00_bglt BgL_new1104z00_1397;

																			BgL_duplicated1105z00_1396 =
																				((BgL_svarz00_bglt)
																				(((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_fz00_1392))))->
																					BgL_valuez00));
																			{	/* Inline/simple.scm 63 */
																				BgL_svarz00_bglt BgL_new1106z00_1398;

																				BgL_new1106z00_1398 =
																					((BgL_svarz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_svarz00_bgl))));
																				{	/* Inline/simple.scm 63 */
																					long BgL_arg1454z00_1399;

																					{	/* Inline/simple.scm 63 */
																						long BgL_res1661z00_1590;

																						BgL_res1661z00_1590 =
																							BGL_CLASS_INDEX
																							(BGl_svarz00zzast_varz00);
																						BgL_arg1454z00_1399 =
																							BgL_res1661z00_1590;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1106z00_1398),
																						BgL_arg1454z00_1399);
																				}
																				{	/* Inline/simple.scm 63 */
																					BgL_objectz00_bglt BgL_auxz00_1751;

																					BgL_auxz00_1751 =
																						((BgL_objectz00_bglt)
																						BgL_new1106z00_1398);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_1751, BFALSE);
																				}
																				BgL_new1104z00_1397 =
																					BgL_new1106z00_1398;
																			}
																			((((BgL_svarz00_bglt)
																						CREF(BgL_new1104z00_1397))->
																					BgL_locz00) =
																				((obj_t) (((BgL_svarz00_bglt)
																							CREF
																							(BgL_duplicated1105z00_1396))->
																						BgL_locz00)), BUNSPEC);
																			BgL_arg1452z00_1395 = BgL_new1104z00_1397;
																		}
																		BgL_arg1447z00_1391 =
																			((BgL_variablez00_bglt)
																			BGl_clonezd2localzd2zzast_localz00(
																				((BgL_localz00_bglt) BgL_fz00_1392),
																				((BgL_valuez00_bglt)
																					BgL_arg1452z00_1395)));
														}}}
														{	/* Inline/simple.scm 50 */
															obj_t BgL_res1662z00_1595;

															BgL_res1662z00_1595 =
																MAKE_PAIR(((obj_t) BgL_arg1447z00_1391), BNIL);
															BgL_newtail1231z00_1388 = BgL_res1662z00_1595;
													}}
													SET_CDR(BgL_tail1230z00_1385,
														BgL_newtail1231z00_1388);
													{
														obj_t BgL_tail1230z00_1767;
														obj_t BgL_ll1228z00_1765;
														obj_t BgL_ll1227z00_1763;

														BgL_ll1227z00_1763 = CDR(BgL_ll1227z00_1383);
														BgL_ll1228z00_1765 = CDR(BgL_ll1228z00_1384);
														BgL_tail1230z00_1767 = BgL_newtail1231z00_1388;
														BgL_tail1230z00_1385 = BgL_tail1230z00_1767;
														BgL_ll1228z00_1384 = BgL_ll1228z00_1765;
														BgL_ll1227z00_1383 = BgL_ll1227z00_1763;
														goto BgL_zc3anonymousza31401ze3z83_1386;
													}
												}
										}
									}
								{	/* Inline/simple.scm 50 */
									obj_t BgL_bindingsz00_1301;

									{
										obj_t BgL_reductorsz00_1358;
										obj_t BgL_actualsz00_1359;
										obj_t BgL_resz00_1360;

										BgL_reductorsz00_1358 = BgL_reductorsz00_1300;
										BgL_actualsz00_1359 = BgL_actualsz00_1299;
										BgL_resz00_1360 = BNIL;
									BgL_zc3anonymousza31333ze3z83_1361:
										if (NULLP(BgL_actualsz00_1359))
											{	/* Inline/simple.scm 70 */
												BgL_bindingsz00_1301 =
													bgl_reverse_bang(BgL_resz00_1360);
											}
										else
											{	/* Inline/simple.scm 72 */
												bool_t BgL_testz00_1771;

												{	/* Inline/simple.scm 72 */
													bool_t BgL_testz00_1772;

													{	/* Inline/simple.scm 72 */
														obj_t BgL_arg1399z00_1376;

														BgL_arg1399z00_1376 = CAR(BgL_actualsz00_1359);
														BgL_testz00_1772 =
															BGl_isazf3zf3zz__objectz00(BgL_arg1399z00_1376,
															BGl_closurez00zzast_nodez00);
													}
													if (BgL_testz00_1772)
														{	/* Inline/simple.scm 72 */
															BgL_testz00_1771 =
																(CAR(BgL_reductorsz00_1358) ==
																((obj_t)
																	(((BgL_varz00_bglt) CREF(
																				((BgL_varz00_bglt)
																					((BgL_closurez00_bglt)
																						CAR(BgL_actualsz00_1359)))))->
																		BgL_variablez00)));
														}
													else
														{	/* Inline/simple.scm 72 */
															BgL_testz00_1771 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_1771)
													{
														obj_t BgL_actualsz00_1784;
														obj_t BgL_reductorsz00_1782;

														BgL_reductorsz00_1782 = CDR(BgL_reductorsz00_1358);
														BgL_actualsz00_1784 = CDR(BgL_actualsz00_1359);
														BgL_actualsz00_1359 = BgL_actualsz00_1784;
														BgL_reductorsz00_1358 = BgL_reductorsz00_1782;
														goto BgL_zc3anonymousza31333ze3z83_1361;
													}
												else
													{	/* Inline/simple.scm 79 */
														obj_t BgL_arg1361z00_1366;
														obj_t BgL_arg1366z00_1367;
														obj_t BgL_arg1371z00_1368;

														BgL_arg1361z00_1366 = CDR(BgL_reductorsz00_1358);
														BgL_arg1366z00_1367 = CDR(BgL_actualsz00_1359);
														{	/* Inline/simple.scm 81 */
															obj_t BgL_arg1372z00_1369;

															BgL_arg1372z00_1369 =
																MAKE_PAIR(CAR(BgL_reductorsz00_1358),
																CAR(BgL_actualsz00_1359));
															BgL_arg1371z00_1368 =
																MAKE_PAIR(BgL_arg1372z00_1369, BgL_resz00_1360);
														}
														{
															obj_t BgL_resz00_1794;
															obj_t BgL_actualsz00_1793;
															obj_t BgL_reductorsz00_1792;

															BgL_reductorsz00_1792 = BgL_arg1361z00_1366;
															BgL_actualsz00_1793 = BgL_arg1366z00_1367;
															BgL_resz00_1794 = BgL_arg1371z00_1368;
															BgL_resz00_1360 = BgL_resz00_1794;
															BgL_actualsz00_1359 = BgL_actualsz00_1793;
															BgL_reductorsz00_1358 = BgL_reductorsz00_1792;
															goto BgL_zc3anonymousza31333ze3z83_1361;
														}
													}
											}
									}
									{	/* Inline/simple.scm 66 */
										obj_t BgL_bodyz00_1302;

										{	/* Inline/simple.scm 84 */
											bool_t BgL_testz00_1795;

											{	/* Inline/simple.scm 84 */
												bool_t BgL_res1665z00_1615;

												BgL_res1665z00_1615 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_sfunz00_1297),
													BGl_isfunz00zzinline_inlinez00);
												BgL_testz00_1795 = BgL_res1665z00_1615;
											}
											if (BgL_testz00_1795)
												{
													BgL_nodez00_bglt BgL_auxz00_1798;

													{
														BgL_isfunz00_bglt BgL_auxz00_1799;

														{
															obj_t BgL_auxz00_1800;

															{	/* Inline/simple.scm 85 */
																BgL_objectz00_bglt BgL_auxz00_1801;

																BgL_auxz00_1801 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1297));
																BgL_auxz00_1800 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_1801);
															}
															BgL_auxz00_1799 =
																((BgL_isfunz00_bglt) BgL_auxz00_1800);
														}
														BgL_auxz00_1798 =
															(((BgL_isfunz00_bglt) CREF(BgL_auxz00_1799))->
															BgL_originalzd2bodyzd2);
													}
													BgL_bodyz00_1302 = ((obj_t) BgL_auxz00_1798);
												}
											else
												{	/* Inline/simple.scm 84 */
													BgL_bodyz00_1302 =
														(((BgL_sfunz00_bglt) CREF(
																((BgL_sfunz00_bglt) BgL_sfunz00_1297)))->
														BgL_bodyz00);
												}
										}
										{	/* Inline/simple.scm 87 */
											obj_t BgL_newzd2kfactorzd2_1304;

											BgL_newzd2kfactorzd2_1304 =
												PROCEDURE_ENTRY
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)
												(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
												BINT(BgL_kfactorz00_4), BEOA);
											{	/* Inline/simple.scm 88 */
												obj_t BgL_locz00_1305;

												BgL_locz00_1305 =
													(((BgL_nodez00_bglt) CREF(BgL_nodez00_3))->
													BgL_locz00);
												{	/* Inline/simple.scm 89 */
													BgL_typez00_bglt BgL_typez00_1306;

													BgL_typez00_1306 =
														(((BgL_variablez00_bglt) CREF(BgL_calleez00_1296))->
														BgL_typez00);
													{	/* Inline/simple.scm 90 */

														if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																	(((BgL_sfunz00_bglt) CREF(
																				((BgL_sfunz00_bglt)
																					BgL_sfunz00_1297)))->BgL_classz00),
																	CNST_TABLE_REF(((long) 1)))))
															{	/* Inline/simple.scm 92 */
																BFALSE;
															}
														else
															{	/* Inline/simple.scm 92 */
																if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT((
																				(long) 3)),
																		BGl_za2verboseza2z00zzengine_paramz00))
																	{	/* Inline/simple.scm 94 */
																		obj_t BgL_arg1241z00_1310;
																		obj_t BgL_arg1242z00_1311;

																		BgL_arg1241z00_1310 =
																			BGl_shapez00zztools_shapez00(
																			((obj_t) BgL_calleez00_1296));
																		BgL_arg1242z00_1311 =
																			BGl_currentzd2functionzd2zztools_errorz00
																			();
																		{	/* Inline/simple.scm 93 */
																			obj_t BgL_list1243z00_1312;

																			{	/* Inline/simple.scm 93 */
																				obj_t BgL_arg1246z00_1313;

																				{	/* Inline/simple.scm 93 */
																					obj_t BgL_arg1248z00_1314;

																					{	/* Inline/simple.scm 93 */
																						obj_t BgL_arg1249z00_1315;

																						{	/* Inline/simple.scm 93 */
																							obj_t BgL_arg1250z00_1316;

																							{	/* Inline/simple.scm 93 */
																								obj_t BgL_arg1251z00_1317;

																								{	/* Inline/simple.scm 93 */
																									obj_t BgL_arg1254z00_1318;

																									{	/* Inline/simple.scm 93 */
																										obj_t BgL_arg1256z00_1319;

																										BgL_arg1256z00_1319 =
																											MAKE_PAIR(BCHAR(((unsigned
																														char) '\n')), BNIL);
																										BgL_arg1254z00_1318 =
																											MAKE_PAIR(BCHAR(((unsigned
																														char) ')')),
																											BgL_arg1256z00_1319);
																									}
																									BgL_arg1251z00_1317 =
																										MAKE_PAIR(BgL_msgz00_6,
																										BgL_arg1254z00_1318);
																								}
																								BgL_arg1250z00_1316 =
																									MAKE_PAIR
																									(BGl_string1672z00zzinline_simplez00,
																									BgL_arg1251z00_1317);
																							}
																							BgL_arg1249z00_1315 =
																								MAKE_PAIR(BgL_arg1242z00_1311,
																								BgL_arg1250z00_1316);
																						}
																						BgL_arg1248z00_1314 =
																							MAKE_PAIR
																							(BGl_string1673z00zzinline_simplez00,
																							BgL_arg1249z00_1315);
																					}
																					BgL_arg1246z00_1313 =
																						MAKE_PAIR(BgL_arg1241z00_1310,
																						BgL_arg1248z00_1314);
																				}
																				BgL_list1243z00_1312 =
																					MAKE_PAIR
																					(BGl_string1674z00zzinline_simplez00,
																					BgL_arg1246z00_1313);
																			}
																			BGl_verbosez00zztools_speekz00(BINT((
																						(long) 3)), BgL_list1243z00_1312);
																	}}
																else
																	{	/* Inline/simple.scm 93 */
																		BUNSPEC;
																	}
															}
														{	/* Inline/simple.scm 104 */
															BgL_nodez00_bglt BgL_alphazd2bodyzd2_1321;

															BgL_alphazd2bodyzd2_1321 =
																BGl_alphatiza7eza7zzast_alphatiza7eza7
																(BgL_formalsz00_1298, BgL_reductorsz00_1300,
																BgL_locz00_1305,
																((BgL_nodez00_bglt) BgL_bodyz00_1302));
															{	/* Inline/simple.scm 104 */

																BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
																	(BgL_alphazd2bodyzd2_1321);
																{	/* Inline/simple.scm 108 */
																	BgL_nodez00_bglt BgL_inodez00_1322;

																	{	/* Inline/simple.scm 108 */
																		obj_t BgL_arg1331z00_1354;

																		BgL_arg1331z00_1354 =
																			MAKE_PAIR(
																			((obj_t) BgL_calleez00_1296),
																			BgL_stackz00_5);
																		BgL_inodez00_1322 =
																			BGl_inlinezd2nodezd2zzinline_inlinez00
																			(BgL_alphazd2bodyzd2_1321,
																			(long) CINT(BgL_newzd2kfactorzd2_1304),
																			BgL_arg1331z00_1354);
																	}
																	{	/* Inline/simple.scm 108 */
																		BgL_letzd2varzd2_bglt BgL_ibodyz00_1323;

																		{	/* Inline/simple.scm 109 */
																			BgL_letzd2varzd2_bglt BgL_new1110z00_1350;

																			{	/* Inline/simple.scm 110 */
																				BgL_letzd2varzd2_bglt
																					BgL_new1109z00_1352;
																				BgL_new1109z00_1352 =
																					((BgL_letzd2varzd2_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_letzd2varzd2_bgl))));
																				{	/* Inline/simple.scm 110 */
																					long BgL_arg1328z00_1353;

																					{	/* Inline/simple.scm 110 */
																						long BgL_res1666z00_1623;

																						BgL_res1666z00_1623 =
																							BGL_CLASS_INDEX
																							(BGl_letzd2varzd2zzast_nodez00);
																						BgL_arg1328z00_1353 =
																							BgL_res1666z00_1623;
																					}
																					BGL_OBJECT_CLASS_NUM_SET(
																						((BgL_objectz00_bglt)
																							BgL_new1109z00_1352),
																						BgL_arg1328z00_1353);
																				}
																				{	/* Inline/simple.scm 110 */
																					BgL_objectz00_bglt BgL_auxz00_1852;

																					BgL_auxz00_1852 =
																						((BgL_objectz00_bglt)
																						BgL_new1109z00_1352);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_1852, BFALSE);
																				}
																				BgL_new1110z00_1350 =
																					BgL_new1109z00_1352;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1110z00_1350)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1305), BUNSPEC);
																			{
																				BgL_typez00_bglt BgL_auxz00_1857;

																				{	/* Inline/simple.scm 112 */
																					BgL_typez00_bglt BgL_arg1316z00_1351;

																					BgL_arg1316z00_1351 =
																						(((BgL_nodez00_bglt)
																							CREF(BgL_inodez00_1322))->
																						BgL_typez00);
																					BgL_auxz00_1857 =
																						BGl_strictzd2nodezd2typez00zzast_nodez00
																						(BgL_arg1316z00_1351,
																						BgL_typez00_1306);
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1110z00_1350)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) BgL_auxz00_1857),
																					BUNSPEC);
																			}
																			((((BgL_nodezf2effectzf2_bglt) CREF(
																							((BgL_nodezf2effectzf2_bglt)
																								BgL_new1110z00_1350)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t)
																					BBOOL
																					(BGl_sidezd2effectzf3z21zzeffect_effectz00
																						(BgL_alphazd2bodyzd2_1321))),
																				BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						CREF(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1110z00_1350)))->
																					BgL_keyz00) =
																				((obj_t) BINT(((long) -1))), BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						CREF(BgL_new1110z00_1350))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_bindingsz00_1301),
																				BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						CREF(BgL_new1110z00_1350))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_inodez00_1322),
																				BUNSPEC);
																			((((BgL_letzd2varzd2_bglt)
																						CREF(BgL_new1110z00_1350))->
																					BgL_removablezf3zf3) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																			BgL_ibodyz00_1323 = BgL_new1110z00_1350;
																		}
																		{	/* Inline/simple.scm 109 */

																			{
																				obj_t BgL_ll1233z00_1325;
																				obj_t BgL_ll1234z00_1326;

																				BgL_ll1233z00_1325 =
																					BgL_reductorsz00_1300;
																				BgL_ll1234z00_1326 =
																					BgL_formalsz00_1298;
																			BgL_zc3anonymousza31259ze3z83_1327:
																				if (NULLP(BgL_ll1233z00_1325))
																					{	/* Inline/simple.scm 116 */
																						((bool_t) 1);
																					}
																				else
																					{	/* Inline/simple.scm 116 */
																						{	/* Inline/simple.scm 117 */
																							obj_t BgL_reductorz00_1329;
																							obj_t BgL_formalz00_1330;

																							BgL_reductorz00_1329 =
																								CAR(BgL_ll1233z00_1325);
																							BgL_formalz00_1330 =
																								CAR(BgL_ll1234z00_1326);
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_reductorz00_1329,
																									BGl_localz00zzast_varz00))
																								{	/* Inline/simple.scm 118 */
																									bool_t BgL_arg1264z00_1332;

																									BgL_arg1264z00_1332 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_localz00_bglt)
																														BgL_formalz00_1330))))->
																										BgL_userzf3zf3);
																									((((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_reductorz00_1329))))->
																											BgL_userzf3zf3) =
																										((bool_t)
																											BgL_arg1264z00_1332),
																										BUNSPEC);
																								}
																							else
																								{	/* Inline/simple.scm 117 */
																									BFALSE;
																								}
																						}
																						{
																							obj_t BgL_ll1234z00_1886;
																							obj_t BgL_ll1233z00_1884;

																							BgL_ll1233z00_1884 =
																								CDR(BgL_ll1233z00_1325);
																							BgL_ll1234z00_1886 =
																								CDR(BgL_ll1234z00_1326);
																							BgL_ll1234z00_1326 =
																								BgL_ll1234z00_1886;
																							BgL_ll1233z00_1325 =
																								BgL_ll1233z00_1884;
																							goto
																								BgL_zc3anonymousza31259ze3z83_1327;
																						}
																					}
																			}
																			{	/* Inline/simple.scm 125 */
																				bool_t BgL_testz00_1888;

																				if (
																					(((obj_t) BgL_typez00_1306) ==
																						BGl_za2_za2z00zztype_cachez00))
																					{	/* Inline/simple.scm 125 */
																						BgL_testz00_1888 = ((bool_t) 1);
																					}
																				else
																					{	/* Inline/simple.scm 125 */
																						if (
																							(((obj_t) BgL_typez00_1306) ==
																								BGl_za2objza2z00zztype_cachez00))
																							{	/* Inline/simple.scm 126 */
																								BgL_testz00_1888 = ((bool_t) 1);
																							}
																						else
																							{	/* Inline/simple.scm 126 */
																								BgL_testz00_1888 =
																									(
																									((obj_t) BgL_typez00_1306) ==
																									((obj_t)
																										(((BgL_nodez00_bglt)
																												CREF
																												(BgL_alphazd2bodyzd2_1321))->
																											BgL_typez00)));
																							}
																					}
																				if (BgL_testz00_1888)
																					{	/* Inline/simple.scm 125 */
																						return
																							((BgL_nodez00_bglt)
																							BgL_ibodyz00_1323);
																					}
																				else
																					{	/* Inline/simple.scm 129 */
																						BgL_localz00_bglt BgL_varz00_1337;

																						BgL_varz00_1337 =
																							BGl_makezd2localzd2svarz00zzast_localz00
																							(BGl_gensymz00zz__r4_symbols_6_4z00
																							(CNST_TABLE_REF(((long) 2))),
																							BgL_typez00_1306);
																						{	/* Inline/simple.scm 130 */
																							BgL_letzd2varzd2_bglt
																								BgL_new1113z00_1338;
																							{	/* Inline/simple.scm 131 */
																								BgL_letzd2varzd2_bglt
																									BgL_new1112z00_1344;
																								BgL_new1112z00_1344 =
																									((BgL_letzd2varzd2_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_letzd2varzd2_bgl))));
																								{	/* Inline/simple.scm 131 */
																									long BgL_arg1273z00_1345;

																									{	/* Inline/simple.scm 131 */
																										long BgL_res1669z00_1640;

																										BgL_res1669z00_1640 =
																											BGL_CLASS_INDEX
																											(BGl_letzd2varzd2zzast_nodez00);
																										BgL_arg1273z00_1345 =
																											BgL_res1669z00_1640;
																									}
																									BGL_OBJECT_CLASS_NUM_SET(
																										((BgL_objectz00_bglt)
																											BgL_new1112z00_1344),
																										BgL_arg1273z00_1345);
																								}
																								{	/* Inline/simple.scm 131 */
																									BgL_objectz00_bglt
																										BgL_auxz00_1907;
																									BgL_auxz00_1907 =
																										((BgL_objectz00_bglt)
																										BgL_new1112z00_1344);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_1907, BFALSE);
																								}
																								BgL_new1113z00_1338 =
																									BgL_new1112z00_1344;
																							}
																							((((BgL_nodez00_bglt) CREF(
																											((BgL_nodez00_bglt)
																												BgL_new1113z00_1338)))->
																									BgL_locz00) =
																								((obj_t) BgL_locz00_1305),
																								BUNSPEC);
																							((((BgL_nodez00_bglt)
																										CREF(((BgL_nodez00_bglt)
																												BgL_new1113z00_1338)))->
																									BgL_typez00) =
																								((BgL_typez00_bglt)
																									BgL_typez00_1306), BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										CREF((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1113z00_1338)))->
																									BgL_sidezd2effectzd2) =
																								((obj_t)
																									BBOOL
																									(BGl_sidezd2effectzf3z21zzeffect_effectz00
																										(((BgL_nodez00_bglt)
																												BgL_ibodyz00_1323)))),
																								BUNSPEC);
																							((((BgL_nodezf2effectzf2_bglt)
																										CREF((
																												(BgL_nodezf2effectzf2_bglt)
																												BgL_new1113z00_1338)))->
																									BgL_keyz00) =
																								((obj_t) BINT(((long) -1))),
																								BUNSPEC);
																							{
																								obj_t BgL_auxz00_1922;

																								{	/* Inline/simple.scm 134 */
																									obj_t BgL_arg1269z00_1339;

																									BgL_arg1269z00_1339 =
																										MAKE_PAIR(
																										((obj_t) BgL_varz00_1337),
																										((obj_t)
																											BgL_ibodyz00_1323));
																									{	/* Inline/simple.scm 134 */
																										obj_t BgL_list1270z00_1340;

																										BgL_list1270z00_1340 =
																											MAKE_PAIR
																											(BgL_arg1269z00_1339,
																											BNIL);
																										BgL_auxz00_1922 =
																											BgL_list1270z00_1340;
																								}}
																								((((BgL_letzd2varzd2_bglt)
																											CREF
																											(BgL_new1113z00_1338))->
																										BgL_bindingsz00) =
																									((obj_t) BgL_auxz00_1922),
																									BUNSPEC);
																							}
																							{
																								BgL_nodez00_bglt
																									BgL_auxz00_1928;
																								{	/* Inline/simple.scm 135 */
																									BgL_varz00_bglt
																										BgL_new1115z00_1341;
																									{	/* Inline/simple.scm 136 */
																										BgL_varz00_bglt
																											BgL_new1114z00_1342;
																										BgL_new1114z00_1342 =
																											((BgL_varz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_varz00_bgl))));
																										{	/* Inline/simple.scm 136 */
																											long BgL_arg1272z00_1343;

																											{	/* Inline/simple.scm 136 */
																												long
																													BgL_res1671z00_1646;
																												{	/* Inline/simple.scm 136 */
																													obj_t
																														BgL_classz00_1645;
																													BgL_classz00_1645 =
																														BGl_varz00zzast_nodez00;
																													BgL_res1671z00_1646 =
																														BGL_CLASS_INDEX
																														(BgL_classz00_1645);
																												}
																												BgL_arg1272z00_1343 =
																													BgL_res1671z00_1646;
																											}
																											BGL_OBJECT_CLASS_NUM_SET(
																												((BgL_objectz00_bglt)
																													BgL_new1114z00_1342),
																												BgL_arg1272z00_1343);
																										}
																										{	/* Inline/simple.scm 136 */
																											BgL_objectz00_bglt
																												BgL_auxz00_1933;
																											BgL_auxz00_1933 =
																												((BgL_objectz00_bglt)
																												BgL_new1114z00_1342);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_1933,
																												BFALSE);
																										}
																										BgL_new1115z00_1341 =
																											BgL_new1114z00_1342;
																									}
																									((((BgL_nodez00_bglt) CREF(
																													((BgL_nodez00_bglt)
																														BgL_new1115z00_1341)))->
																											BgL_locz00) =
																										((obj_t) BgL_locz00_1305),
																										BUNSPEC);
																									((((BgL_nodez00_bglt)
																												CREF(((BgL_nodez00_bglt)
																														BgL_new1115z00_1341)))->
																											BgL_typez00) =
																										((BgL_typez00_bglt)
																											BgL_typez00_1306),
																										BUNSPEC);
																									((((BgL_varz00_bglt)
																												CREF
																												(BgL_new1115z00_1341))->
																											BgL_variablez00) =
																										((BgL_variablez00_bglt) (
																												(BgL_variablez00_bglt)
																												BgL_varz00_1337)),
																										BUNSPEC);
																									BgL_auxz00_1928 =
																										((BgL_nodez00_bglt)
																										BgL_new1115z00_1341);
																								}
																								((((BgL_letzd2varzd2_bglt)
																											CREF
																											(BgL_new1113z00_1338))->
																										BgL_bodyz00) =
																									((BgL_nodez00_bglt)
																										BgL_auxz00_1928), BUNSPEC);
																							}
																							((((BgL_letzd2varzd2_bglt)
																										CREF(BgL_new1113z00_1338))->
																									BgL_removablezf3zf3) =
																								((bool_t) ((bool_t) 1)),
																								BUNSPEC);
																							return ((BgL_nodez00_bglt)
																								BgL_new1113z00_1338);
																						}
																					}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &inline-app-simple */
	BgL_nodez00_bglt BGl_z62inlinezd2appzd2simplez62zzinline_simplez00(obj_t
		BgL_envz00_1649, obj_t BgL_nodez00_1650, obj_t BgL_kfactorz00_1651,
		obj_t BgL_stackz00_1652, obj_t BgL_msgz00_1653)
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 43 */
			return
				BGl_inlinezd2appzd2simplez00zzinline_simplez00(
				((BgL_nodez00_bglt) BgL_nodez00_1650),
				(long) CINT(BgL_kfactorz00_1651), BgL_stackz00_1652, BgL_msgz00_1653);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_simplez00()
	{
		AN_OBJECT;
		{	/* Inline/simple.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 216926614),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzinline_siza7eza7(((long) 243191744),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string1675z00zzinline_simplez00));
		}
	}

#ifdef __cplusplus
}
#endif
