/*===========================================================================*/
/*   (Module/include.scm)                                                    */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/include.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;


	static obj_t
		BGl_z62getzd2includezd2consumedzd2codezb0zzmodule_includez00(obj_t);
	static obj_t
		BGl_z62resetzd2includezd2consumedzd2codez12za2zzmodule_includez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2includezd2compilerz00zzmodule_includez00();
	BGL_EXPORTED_DECL obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00();
	static obj_t BGl_objectzd2initzd2zzmodule_includez00();
	static obj_t BGl_z62makezd2includezd2compilerz62zzmodule_includez00(obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_includez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_includez00();
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	static obj_t BGl_includezd2producerzd2zzmodule_includez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00();
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_za2producedzd2codeza2zd2zzmodule_includez00 = BUNSPEC;
	static obj_t BGl_z62includezd2consumerzb0zzmodule_includez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_readzd2includezd2zzread_includez00(obj_t);
	extern obj_t BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_includez00 = BUNSPEC;
	static obj_t BGl_z62includezd2finaliza7erz17zzmodule_includez00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmodule_includez00();
	static obj_t BGl_za2consumedzd2codeza2zd2zzmodule_includez00 = BUNSPEC;
	static obj_t BGl_za2consumedzd2directiveza2zd2zzmodule_includez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00();
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
	static obj_t BGl_genericzd2initzd2zzmodule_includez00();
	BGL_EXPORTED_DECL obj_t
		BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62getzd2toplevelzd2unitz62zzmodule_includez00(obj_t);
	static obj_t BGl_includezd2consumerzd2zzmodule_includez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_includez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t
		BGl_z62resetzd2includezd2consumedzd2directivez12za2zzmodule_includez00
		(obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_includez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_includez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_includez00();
	static obj_t BGl_includezd2finaliza7erz75zzmodule_includez00();
	static obj_t BGl_z62includezd2producerzb0zzmodule_includez00(obj_t, obj_t);
	static obj_t BGl_za2toplevelzd2unitza2zd2zzmodule_includez00 = BUNSPEC;
	static obj_t
		BGl_z62getzd2toplevelzd2unitzd2weightzb0zzmodule_includez00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62getzd2includezd2consumedzd2directivezb0zzmodule_includez00(obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_includezd2consumerzd2envz00zzmodule_includez00,
		BgL_bgl_za762includeza7d2con1137z00,
		BGl_z62includezd2consumerzb0zzmodule_includez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2includezd2consumedzd2directivezd2envz00zzmodule_includez00,
		BgL_bgl_za762getza7d2include1138z00,
		BGl_z62getzd2includezd2consumedzd2directivezb0zzmodule_includez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_includezd2producerzd2envz00zzmodule_includez00,
		BgL_bgl_za762includeza7d2pro1139z00,
		BGl_z62includezd2producerzb0zzmodule_includez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2includezd2consumedzd2codez12zd2envz12zzmodule_includez00,
		BgL_bgl_za762resetza7d2inclu1140z00,
		BGl_z62resetzd2includezd2consumedzd2codez12za2zzmodule_includez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2includezd2consumedzd2codezd2envz00zzmodule_includez00,
		BgL_bgl_za762getza7d2include1141z00,
		BGl_z62getzd2includezd2consumedzd2codezb0zzmodule_includez00, 0L, BUNSPEC,
		0);
	      DEFINE_STRING(BGl_string1129z00zzmodule_includez00,
		BgL_bgl_string1129za700za7za7m1142za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1130z00zzmodule_includez00,
		BgL_bgl_string1130za700za7za7m1143za7, "Illegal `include' clause", 24);
	      DEFINE_STRING(BGl_string1131z00zzmodule_includez00,
		BgL_bgl_string1131za700za7za7m1144za7, "module_include", 14);
	      DEFINE_STRING(BGl_string1132z00zzmodule_includez00,
		BgL_bgl_string1132za700za7za7m1145za7, "unit toplevel include ", 22);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_includezd2finaliza7erzd2envza7zzmodule_includez00,
		BgL_bgl_za762includeza7d2fin1146z00,
		BGl_z62includezd2finaliza7erz17zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2toplevelzd2unitzd2weightzd2envz00zzmodule_includez00,
		BgL_bgl_za762getza7d2topleve1147z00,
		BGl_z62getzd2toplevelzd2unitzd2weightzb0zzmodule_includez00, 0L, BUNSPEC,
		0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2includezd2consumedzd2directivez12zd2envz12zzmodule_includez00,
		BgL_bgl_za762resetza7d2inclu1148z00,
		BGl_z62resetzd2includezd2consumedzd2directivez12za2zzmodule_includez00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2toplevelzd2unitzd2envzd2zzmodule_includez00,
		BgL_bgl_za762getza7d2topleve1149z00,
		BGl_z62getzd2toplevelzd2unitz62zzmodule_includez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2includezd2compilerzd2envzd2zzmodule_includez00,
		BgL_bgl_za762makeza7d2includ1150z00,
		BGl_z62makezd2includezd2compilerz62zzmodule_includez00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzmodule_includez00(long
		BgL_checksumz00_264, char *BgL_fromz00_265)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_includez00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_includez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_includez00();
					BGl_cnstzd2initzd2zzmodule_includez00();
					BGl_importedzd2moduleszd2initz00zzmodule_includez00();
					return BGl_toplevelzd2initzd2zzmodule_includez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_include");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"module_include");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_include");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_include");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"module_include");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"module_include");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"module_include");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			{	/* Module/include.scm 15 */
				obj_t BgL_cportz00_251;

				{	/* Module/include.scm 15 */
					obj_t BgL_startz00_260;

					BgL_startz00_260 = BINT(((long) 0));
					{	/* Module/include.scm 15 */
						obj_t BgL_endz00_261;

						BgL_endz00_261 =
							BINT(STRING_LENGTH(BGl_string1132z00zzmodule_includez00));
						{	/* Module/include.scm 15 */

							BgL_cportz00_251 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1132z00zzmodule_includez00, BgL_startz00_260,
								BgL_endz00_261);
				}}}
				{
					long BgL_iz00_252;

					BgL_iz00_252 = ((long) 2);
				BgL_loopz00_253:
					if ((BgL_iz00_252 == ((long) -1)))
						{	/* Module/include.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/include.scm 15 */
							{	/* Module/include.scm 15 */
								obj_t BgL_arg1135z00_255;

								{	/* Module/include.scm 15 */

									{	/* Module/include.scm 15 */
										obj_t BgL_locationz00_257;

										BgL_locationz00_257 = BBOOL(((bool_t) 0));
										{	/* Module/include.scm 15 */

											BgL_arg1135z00_255 =
												BGl_readz00zz__readerz00(BgL_cportz00_251,
												BgL_locationz00_257);
										}
									}
								}
								{	/* Module/include.scm 15 */
									int BgL_auxz00_288;

									BgL_auxz00_288 = (int) (BgL_iz00_252);
									CNST_TABLE_SET(BgL_auxz00_288, BgL_arg1135z00_255);
							}}
							{	/* Module/include.scm 15 */
								int BgL_auxz00_258;

								BgL_auxz00_258 = (int) ((BgL_iz00_252 - ((long) 1)));
								{
									long BgL_iz00_293;

									BgL_iz00_293 = (long) (BgL_auxz00_258);
									BgL_iz00_252 = BgL_iz00_293;
									goto BgL_loopz00_253;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			BGl_za2producedzd2codeza2zd2zzmodule_includez00 = BNIL;
			BGl_za2consumedzd2directiveza2zd2zzmodule_includez00 = BNIL;
			BGl_za2consumedzd2codeza2zd2zzmodule_includez00 = BNIL;
			return (BGl_za2toplevelzd2unitza2zd2zzmodule_includez00 =
				BFALSE, BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_includez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_37;

				BgL_headz00_37 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_38;
					obj_t BgL_tailz00_39;

					BgL_prevz00_38 = BgL_headz00_37;
					BgL_tailz00_39 = BgL_l1z00_1;
				BgL_loopz00_40:
					if (PAIRP(BgL_tailz00_39))
						{
							obj_t BgL_newzd2prevzd2_42;

							BgL_newzd2prevzd2_42 =
								MAKE_PAIR(CAR(BgL_tailz00_39), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_38, BgL_newzd2prevzd2_42);
							{
								obj_t BgL_tailz00_302;
								obj_t BgL_prevz00_301;

								BgL_prevz00_301 = BgL_newzd2prevzd2_42;
								BgL_tailz00_302 = CDR(BgL_tailz00_39);
								BgL_tailz00_39 = BgL_tailz00_302;
								BgL_prevz00_38 = BgL_prevz00_301;
								goto BgL_loopz00_40;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_37);
				}
			}
		}
	}



/* make-include-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2includezd2compilerz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 31 */
			{	/* Module/include.scm 32 */
				BgL_ccompz00_bglt BgL_new1048z00_52;

				{	/* Module/include.scm 33 */
					BgL_ccompz00_bglt BgL_new1047z00_53;

					BgL_new1047z00_53 =
						((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/include.scm 33 */
						long BgL_arg1077z00_54;

						{	/* Module/include.scm 33 */
							long BgL_res1117z00_165;

							BgL_res1117z00_165 =
								BGL_CLASS_INDEX(BGl_ccompz00zzmodule_modulez00);
							BgL_arg1077z00_54 = BgL_res1117z00_165;
						}
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_new1047z00_53), BgL_arg1077z00_54);
					}
					{	/* Module/include.scm 33 */
						BgL_objectz00_bglt BgL_auxz00_309;

						BgL_auxz00_309 = ((BgL_objectz00_bglt) BgL_new1047z00_53);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_309, BFALSE);
					}
					BgL_new1048z00_52 = BgL_new1047z00_53;
				}
				((((BgL_ccompz00_bglt) CREF(BgL_new1048z00_52))->BgL_idz00) = ((obj_t)
						CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1048z00_52))->BgL_producerz00) =
					((obj_t) BGl_includezd2producerzd2envz00zzmodule_includez00),
					BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1048z00_52))->BgL_consumerz00) =
					((obj_t) BGl_includezd2consumerzd2envz00zzmodule_includez00),
					BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1048z00_52))->BgL_finaliza7erza7) =
					((obj_t) BGl_includezd2finaliza7erzd2envza7zzmodule_includez00),
					BUNSPEC);
				return ((obj_t) BgL_new1048z00_52);
			}
		}
	}



/* &make-include-compiler */
	obj_t BGl_z62makezd2includezd2compilerz62zzmodule_includez00(obj_t
		BgL_envz00_237)
	{
		AN_OBJECT;
		{	/* Module/include.scm 31 */
			return BGl_makezd2includezd2compilerz00zzmodule_includez00();
		}
	}



/* include-producer */
	obj_t BGl_includezd2producerzd2zzmodule_includez00(obj_t BgL_clausez00_25)
	{
		AN_OBJECT;
		{	/* Module/include.scm 46 */
			{

				{	/* Module/include.scm 49 */
					obj_t BgL_g1049z00_56;

					BgL_g1049z00_56 = CDR(BgL_clausez00_25);
					{
						obj_t BgL_filesz00_58;

						BgL_filesz00_58 = BgL_g1049z00_56;
					BgL_zc3anonymousza31078ze3z83_59:
						if (NULLP(BgL_filesz00_58))
							{	/* Module/include.scm 51 */
								return BNIL;
							}
						else
							{	/* Module/include.scm 51 */
								if (PAIRP(BgL_filesz00_58))
									{	/* Module/include.scm 56 */
										obj_t BgL_filez00_62;

										BgL_filez00_62 = CAR(BgL_filesz00_58);
										if (STRINGP(BgL_filez00_62))
											{	/* Module/include.scm 59 */
												obj_t BgL_srcz00_64;

												BgL_srcz00_64 =
													BGl_readzd2includezd2zzread_includez00
													(BgL_filez00_62);
												{	/* Module/include.scm 59 */
													obj_t BgL_directivesz00_65;

													BgL_directivesz00_65 = CAR(BgL_srcz00_64);
													{	/* Module/include.scm 60 */
														obj_t BgL_srczd2codezd2_66;

														BgL_srczd2codezd2_66 =
															bgl_reverse_bang(CDR(BgL_srcz00_64));
														{	/* Module/include.scm 61 */

															if (PAIRP(BgL_directivesz00_65))
																{	/* Module/include.scm 64 */
																	obj_t BgL_g1055z00_68;

																	BgL_g1055z00_68 = CDR(BgL_directivesz00_65);
																	{
																		obj_t BgL_l1053z00_70;

																		BgL_l1053z00_70 = BgL_g1055z00_68;
																	BgL_zc3anonymousza31083ze3z83_71:
																		if (PAIRP(BgL_l1053z00_70))
																			{	/* Module/include.scm 64 */
																				BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																					(CAR(BgL_l1053z00_70));
																				{
																					obj_t BgL_l1053z00_338;

																					BgL_l1053z00_338 =
																						CDR(BgL_l1053z00_70);
																					BgL_l1053z00_70 = BgL_l1053z00_338;
																					goto BgL_zc3anonymousza31083ze3z83_71;
																				}
																			}
																		else
																			{	/* Module/include.scm 64 */
																				((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Module/include.scm 63 */
																	((bool_t) 0);
																}
															BGl_za2producedzd2codeza2zd2zzmodule_includez00 =
																BGl_appendzd221011zd2zzmodule_includez00
																(BgL_srczd2codezd2_66,
																BGl_za2producedzd2codeza2zd2zzmodule_includez00);
															{
																obj_t BgL_filesz00_341;

																BgL_filesz00_341 = CDR(BgL_filesz00_58);
																BgL_filesz00_58 = BgL_filesz00_341;
																goto BgL_zc3anonymousza31078ze3z83_59;
															}
														}
													}
												}
											}
										else
											{	/* Module/include.scm 57 */
											BgL_zc3anonymousza31092ze3z83_79:
												{	/* Module/include.scm 48 */
													obj_t BgL_list1093z00_80;

													BgL_list1093z00_80 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1129z00zzmodule_includez00,
														BGl_string1130z00zzmodule_includez00,
														BgL_clausez00_25, BgL_list1093z00_80);
												}
											}
									}
								else
									{	/* Module/include.scm 53 */
										goto BgL_zc3anonymousza31092ze3z83_79;
									}
							}
					}
				}
			}
		}
	}



/* &include-producer */
	obj_t BGl_z62includezd2producerzb0zzmodule_includez00(obj_t BgL_envz00_238,
		obj_t BgL_clausez00_239)
	{
		AN_OBJECT;
		{	/* Module/include.scm 46 */
			return BGl_includezd2producerzd2zzmodule_includez00(BgL_clausez00_239);
		}
	}



/* get-include-consumed-directive */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2includezd2consumedzd2directivezd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 76 */
			return BGl_za2consumedzd2directiveza2zd2zzmodule_includez00;
		}
	}



/* &get-include-consumed-directive */
	obj_t BGl_z62getzd2includezd2consumedzd2directivezb0zzmodule_includez00(obj_t
		BgL_envz00_244)
	{
		AN_OBJECT;
		{	/* Module/include.scm 76 */
			return BGl_za2consumedzd2directiveza2zd2zzmodule_includez00;
		}
	}



/* reset-include-consumed-directive! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 82 */
			return (BGl_za2consumedzd2directiveza2zd2zzmodule_includez00 =
				BNIL, BUNSPEC);
		}
	}



/* &reset-include-consumed-directive! */
	obj_t
		BGl_z62resetzd2includezd2consumedzd2directivez12za2zzmodule_includez00(obj_t
		BgL_envz00_245)
	{
		AN_OBJECT;
		{	/* Module/include.scm 82 */
			return
				BGl_resetzd2includezd2consumedzd2directivez12zc0zzmodule_includez00();
		}
	}



/* get-include-consumed-code */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2includezd2consumedzd2codezd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 93 */
			return BGl_za2consumedzd2codeza2zd2zzmodule_includez00;
		}
	}



/* &get-include-consumed-code */
	obj_t BGl_z62getzd2includezd2consumedzd2codezb0zzmodule_includez00(obj_t
		BgL_envz00_246)
	{
		AN_OBJECT;
		{	/* Module/include.scm 93 */
			return BGl_za2consumedzd2codeza2zd2zzmodule_includez00;
		}
	}



/* reset-include-consumed-code! */
	BGL_EXPORTED_DEF obj_t
		BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 99 */
			return (BGl_za2consumedzd2codeza2zd2zzmodule_includez00 = BNIL, BUNSPEC);
		}
	}



/* &reset-include-consumed-code! */
	obj_t BGl_z62resetzd2includezd2consumedzd2codez12za2zzmodule_includez00(obj_t
		BgL_envz00_247)
	{
		AN_OBJECT;
		{	/* Module/include.scm 99 */
			return BGl_resetzd2includezd2consumedzd2codez12zc0zzmodule_includez00();
		}
	}



/* include-consumer */
	obj_t BGl_includezd2consumerzd2zzmodule_includez00(obj_t BgL_modulez00_26,
		obj_t BgL_clausez00_27)
	{
		AN_OBJECT;
		{	/* Module/include.scm 105 */
			{

				{	/* Module/include.scm 108 */
					obj_t BgL_g1050z00_83;

					BgL_g1050z00_83 = CDR(BgL_clausez00_27);
					{
						obj_t BgL_filesz00_85;

						BgL_filesz00_85 = BgL_g1050z00_83;
					BgL_zc3anonymousza31094ze3z83_86:
						if (NULLP(BgL_filesz00_85))
							{	/* Module/include.scm 110 */
								return BNIL;
							}
						else
							{	/* Module/include.scm 110 */
								if (PAIRP(BgL_filesz00_85))
									{	/* Module/include.scm 115 */
										obj_t BgL_filez00_89;

										BgL_filez00_89 = CAR(BgL_filesz00_85);
										if (STRINGP(BgL_filez00_89))
											{	/* Module/include.scm 118 */
												obj_t BgL_srcz00_91;

												BgL_srcz00_91 =
													BGl_readzd2includezd2zzread_includez00
													(BgL_filez00_89);
												{	/* Module/include.scm 118 */
													obj_t BgL_directivez00_92;

													BgL_directivez00_92 = CAR(BgL_srcz00_91);
													{	/* Module/include.scm 119 */
														obj_t BgL_srczd2codezd2_93;

														BgL_srczd2codezd2_93 = CDR(BgL_srcz00_91);
														{	/* Module/include.scm 120 */

															if (PAIRP(BgL_directivez00_92))
																{	/* Module/include.scm 124 */
																	obj_t BgL_g1058z00_95;

																	BgL_g1058z00_95 = CDR(BgL_directivez00_92);
																	{
																		obj_t BgL_l1056z00_97;

																		BgL_l1056z00_97 = BgL_g1058z00_95;
																	BgL_zc3anonymousza31099ze3z83_98:
																		if (PAIRP(BgL_l1056z00_97))
																			{	/* Module/include.scm 129 */
																				{	/* Module/include.scm 126 */
																					obj_t BgL_dz00_100;

																					BgL_dz00_100 = CAR(BgL_l1056z00_97);
																					{	/* Module/include.scm 127 */
																						obj_t BgL_arg1103z00_101;

																						BgL_arg1103z00_101 =
																							BGl_consumezd2modulezd2clausez12z12zzmodule_modulez00
																							(BgL_modulez00_26, BgL_dz00_100);
																						BGl_za2consumedzd2directiveza2zd2zzmodule_includez00
																							=
																							BGl_appendzd221011zd2zzmodule_includez00
																							(BgL_arg1103z00_101,
																							BGl_za2consumedzd2directiveza2zd2zzmodule_includez00);
																					}
																				}
																				{
																					obj_t BgL_l1056z00_367;

																					BgL_l1056z00_367 =
																						CDR(BgL_l1056z00_97);
																					BgL_l1056z00_97 = BgL_l1056z00_367;
																					goto BgL_zc3anonymousza31099ze3z83_98;
																				}
																			}
																		else
																			{	/* Module/include.scm 129 */
																				((bool_t) 1);
																			}
																	}
																}
															else
																{	/* Module/include.scm 123 */
																	((bool_t) 0);
																}
															BGl_za2consumedzd2codeza2zd2zzmodule_includez00 =
																BGl_appendzd221011zd2zzmodule_includez00
																(BgL_srczd2codezd2_93,
																BGl_za2consumedzd2codeza2zd2zzmodule_includez00);
															{
																obj_t BgL_filesz00_370;

																BgL_filesz00_370 = CDR(BgL_filesz00_85);
																BgL_filesz00_85 = BgL_filesz00_370;
																goto BgL_zc3anonymousza31094ze3z83_86;
															}
														}
													}
												}
											}
										else
											{	/* Module/include.scm 116 */
											BgL_zc3anonymousza31107ze3z83_106:
												{	/* Module/include.scm 107 */
													obj_t BgL_list1108z00_107;

													BgL_list1108z00_107 = MAKE_PAIR(BNIL, BNIL);
													return
														BGl_userzd2errorzd2zztools_errorz00
														(BGl_string1129z00zzmodule_includez00,
														BGl_string1130z00zzmodule_includez00,
														BgL_clausez00_27, BgL_list1108z00_107);
												}
											}
									}
								else
									{	/* Module/include.scm 112 */
										goto BgL_zc3anonymousza31107ze3z83_106;
									}
							}
					}
				}
			}
		}
	}



/* &include-consumer */
	obj_t BGl_z62includezd2consumerzb0zzmodule_includez00(obj_t BgL_envz00_240,
		obj_t BgL_modulez00_241, obj_t BgL_clausez00_242)
	{
		AN_OBJECT;
		{	/* Module/include.scm 105 */
			return
				BGl_includezd2consumerzd2zzmodule_includez00(BgL_modulez00_241,
				BgL_clausez00_242);
		}
	}



/* get-toplevel-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 141 */
			return BGl_za2toplevelzd2unitza2zd2zzmodule_includez00;
		}
	}



/* &get-toplevel-unit */
	obj_t BGl_z62getzd2toplevelzd2unitz62zzmodule_includez00(obj_t BgL_envz00_248)
	{
		AN_OBJECT;
		{	/* Module/include.scm 141 */
			return BGl_za2toplevelzd2unitza2zd2zzmodule_includez00;
		}
	}



/* get-toplevel-unit-weight */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 148 */
			return BINT(((long) 100));
		}
	}



/* &get-toplevel-unit-weight */
	obj_t BGl_z62getzd2toplevelzd2unitzd2weightzb0zzmodule_includez00(obj_t
		BgL_envz00_249)
	{
		AN_OBJECT;
		{	/* Module/include.scm 148 */
			return BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
		}
	}



/* include-finalizer */
	obj_t BGl_includezd2finaliza7erz75zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 154 */
			{	/* Module/include.scm 156 */
				obj_t BgL_arg1112z00_110;

				BgL_arg1112z00_110 =
					bgl_reverse_bang(BGl_za2producedzd2codeza2zd2zzmodule_includez00);
				{	/* Module/include.scm 155 */
					obj_t BgL_idz00_204;

					BgL_idz00_204 = CNST_TABLE_REF(((long) 1));
					{	/* Module/include.scm 155 */
						obj_t BgL_newz00_209;

						BgL_newz00_209 =
							create_struct(CNST_TABLE_REF(((long) 2)), (int) (((long) 5)));
						{	/* Module/include.scm 155 */
							int BgL_auxz00_382;

							BgL_auxz00_382 = (int) (((long) 4));
							STRUCT_SET(BgL_newz00_209, BgL_auxz00_382, BFALSE);
						}
						{	/* Module/include.scm 155 */
							int BgL_auxz00_385;

							BgL_auxz00_385 = (int) (((long) 3));
							STRUCT_SET(BgL_newz00_209, BgL_auxz00_385, BTRUE);
						}
						{	/* Module/include.scm 155 */
							int BgL_auxz00_388;

							BgL_auxz00_388 = (int) (((long) 2));
							STRUCT_SET(BgL_newz00_209, BgL_auxz00_388, BgL_arg1112z00_110);
						}
						{	/* Module/include.scm 155 */
							obj_t BgL_auxz00_393;
							int BgL_auxz00_391;

							BgL_auxz00_393 = BINT(((long) 100));
							BgL_auxz00_391 = (int) (((long) 1));
							STRUCT_SET(BgL_newz00_209, BgL_auxz00_391, BgL_auxz00_393);
						}
						{	/* Module/include.scm 155 */
							int BgL_auxz00_396;

							BgL_auxz00_396 = (int) (((long) 0));
							STRUCT_SET(BgL_newz00_209, BgL_auxz00_396, BgL_idz00_204);
						}
						BGl_za2toplevelzd2unitza2zd2zzmodule_includez00 = BgL_newz00_209;
			}}}
			{	/* Module/include.scm 160 */
				obj_t BgL_list1113z00_111;

				BgL_list1113z00_111 =
					MAKE_PAIR(BGl_za2toplevelzd2unitza2zd2zzmodule_includez00, BNIL);
				return BgL_list1113z00_111;
			}
		}
	}



/* &include-finalizer */
	obj_t BGl_z62includezd2finaliza7erz17zzmodule_includez00(obj_t BgL_envz00_243)
	{
		AN_OBJECT;
		{	/* Module/include.scm 154 */
			return BGl_includezd2finaliza7erz75zzmodule_includez00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_includez00()
	{
		AN_OBJECT;
		{	/* Module/include.scm 15 */
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1131z00zzmodule_includez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1131z00zzmodule_includez00));
			return
				BGl_modulezd2initializa7ationz75zzread_includez00(((long) 236488026),
				BSTRING_TO_STRING(BGl_string1131z00zzmodule_includez00));
		}
	}

#ifdef __cplusplus
}
#endif
