/*===========================================================================*/
/*   (Unsafe/crc16.scm)                                                      */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c +rm -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Unsafe/crc16.scm -indent -o objs/obj_u/Unsafe/crc16.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62crc16zd2portzb0zz__crc16z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__crc16z00 = BUNSPEC;
	static obj_t BGl_z62crc16zd2mmapzb0zz__crc16z00(obj_t, obj_t);
	static long BGl_crczd2valuezd2zz__crc16z00(long, long);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31173ze3ze1zz__crc16z00(obj_t);
	static obj_t BGl_genericzd2initzd2zz__crc16z00();
	static obj_t BGl_objectzd2initzd2zz__crc16z00();
	BGL_EXPORTED_DECL int BGl_crc16z00zz__crc16z00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_methodzd2initzd2zz__crc16z00();
	static obj_t BGl_z62crc16z62zz__crc16z00(obj_t, obj_t);
	BGL_EXPORTED_DECL int BGl_crc16zd2stringzd2zz__crc16z00(obj_t);
	BGL_EXPORTED_DECL int BGl_crc16zd2filezd2zz__crc16z00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62crc16zd2filezb0zz__crc16z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__crc16z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zz__crc16z00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__crc16z00();
	static obj_t BGl_z62crc16zd2stringzb0zz__crc16z00(obj_t, obj_t);
	static obj_t BGl_symbol1639z00zz__crc16z00 = BUNSPEC;
	extern obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_readzd2bytezd2zz__r4_input_6_10_2z00(obj_t);
	BGL_EXPORTED_DECL int BGl_crc16zd2portzd2zz__crc16z00(obj_t);
	BGL_EXPORTED_DECL int BGl_crc16zd2mmapzd2zz__crc16z00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2portzd2envz00zz__crc16z00,
		BgL_bgl_za762crc16za7d2portza71652za7, BGl_z62crc16zd2portzb0zz__crc16z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2envzd2zz__crc16z00,
		BgL_bgl_za762crc16za762za7za7__c1653z00, BGl_z62crc16z62zz__crc16z00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1640z00zz__crc16z00,
		BgL_bgl_string1640za700za7za7_1654za7, "crc16", 5);
	      DEFINE_STRING(BGl_string1641z00zz__crc16z00,
		BgL_bgl_string1641za700za7za7_1655za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1642z00zz__crc16z00,
		BgL_bgl_string1642za700za7za7_1656za7,
		"/tmp/bigloo/runtime/Unsafe/crc16.scm", 36);
	      DEFINE_STRING(BGl_string1643z00zz__crc16z00,
		BgL_bgl_string1643za700za7za7_1657za7, "&crc16-mmap", 11);
	      DEFINE_STRING(BGl_string1644z00zz__crc16z00,
		BgL_bgl_string1644za700za7za7_1658za7, "mmap", 4);
	      DEFINE_STRING(BGl_string1645z00zz__crc16z00,
		BgL_bgl_string1645za700za7za7_1659za7, "&crc16-string", 13);
	      DEFINE_STRING(BGl_string1646z00zz__crc16z00,
		BgL_bgl_string1646za700za7za7_1660za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1647z00zz__crc16z00,
		BgL_bgl_string1647za700za7za7_1661za7, "&crc16-port", 11);
	      DEFINE_STRING(BGl_string1648z00zz__crc16z00,
		BgL_bgl_string1648za700za7za7_1662za7, "input-port", 10);
	      DEFINE_STRING(BGl_string1650z00zz__crc16z00,
		BgL_bgl_string1650za700za7za7_1663za7, "&crc16-file", 11);
	      DEFINE_STRING(BGl_string1651z00zz__crc16z00,
		BgL_bgl_string1651za700za7za7_1664za7, "__crc16", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1649z00zz__crc16z00,
		BgL_bgl_za762za7c3anonymousza71665za7,
		BGl_z62zc3anonymousza31173ze3ze1zz__crc16z00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2stringzd2envz00zz__crc16z00,
		BgL_bgl_za762crc16za7d2strin1666z00, BGl_z62crc16zd2stringzb0zz__crc16z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2mmapzd2envz00zz__crc16z00,
		BgL_bgl_za762crc16za7d2mmapza71667za7, BGl_z62crc16zd2mmapzb0zz__crc16z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_crc16zd2filezd2envz00zz__crc16z00,
		BgL_bgl_za762crc16za7d2fileza71668za7, BGl_z62crc16zd2filezb0zz__crc16z00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__crc16z00(long
		BgL_checksumz00_2087, char *BgL_fromz00_2088)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__crc16z00))
				{
					BGl_requirezd2initializa7ationz75zz__crc16z00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__crc16z00();
					BGl_importedzd2moduleszd2initz00zz__crc16z00();
					return BGl_methodzd2initzd2zz__crc16z00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 17 */
			return (BGl_symbol1639z00zz__crc16z00 =
				bstring_to_symbol(BGl_string1640z00zz__crc16z00), BUNSPEC);
		}
	}



/* crc16 */
	BGL_EXPORTED_DEF int BGl_crc16z00zz__crc16z00(obj_t BgL_objz00_3)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 66 */
			{	/* Unsafe/crc16.scm 68 */
				bool_t BgL_testz00_2096;

				{	/* Unsafe/crc16.scm 68 */
					bool_t BgL_res1539z00_1583;

					BgL_res1539z00_1583 = BGL_MMAPP(BgL_objz00_3);
					BgL_testz00_2096 = BgL_res1539z00_1583;
				}
				if (BgL_testz00_2096)
					{	/* Unsafe/crc16.scm 68 */
						return BGl_crc16zd2mmapzd2zz__crc16z00(BgL_objz00_3);
					}
				else
					{	/* Unsafe/crc16.scm 68 */
						if (STRINGP(BgL_objz00_3))
							{	/* Unsafe/crc16.scm 70 */
								return BGl_crc16zd2stringzd2zz__crc16z00(BgL_objz00_3);
							}
						else
							{	/* Unsafe/crc16.scm 70 */
								if (INPUT_PORTP(BgL_objz00_3))
									{	/* Unsafe/crc16.scm 72 */
										return BGl_crc16zd2portzd2zz__crc16z00(BgL_objz00_3);
									}
								else
									{	/* Unsafe/crc16.scm 72 */
										return
											CINT(BGl_errorz00zz__errorz00
											(BGl_symbol1639z00zz__crc16z00,
												BGl_string1641z00zz__crc16z00, BgL_objz00_3));
									}
							}
					}
			}
		}
	}



/* &crc16 */
	obj_t BGl_z62crc16z62zz__crc16z00(obj_t BgL_envz00_2067,
		obj_t BgL_objz00_2068)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 66 */
			return BINT(BGl_crc16z00zz__crc16z00(BgL_objz00_2068));
		}
	}



/* crc-value */
	long BGl_crczd2valuezd2zz__crc16z00(long BgL_valz00_4, long BgL_crcz00_5)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 80 */
			{
				long BgL_iz00_1615;
				long BgL_valuez00_1616;
				long BgL_crcz00_1617;

				BgL_iz00_1615 = ((long) 0);
				BgL_valuez00_1616 = (BgL_valz00_4 << (int) (((long) 8)));
				BgL_crcz00_1617 = BgL_crcz00_5;
			BgL_loopz00_1614:
				if ((BgL_iz00_1615 == ((long) 8)))
					{	/* Unsafe/crc16.scm 84 */
						return BgL_crcz00_1617;
					}
				else
					{	/* Unsafe/crc16.scm 86 */
						long BgL_valuez00_1622;
						long BgL_crcz00_1623;

						BgL_valuez00_1622 = (BgL_valuez00_1616 << (int) (((long) 1)));
						BgL_crcz00_1623 = (BgL_crcz00_1617 << (int) (((long) 1)));
						{
							long BgL_crcz00_2118;
							long BgL_valuez00_2117;
							long BgL_iz00_2115;

							BgL_iz00_2115 = (BgL_iz00_1615 + ((long) 1));
							BgL_valuez00_2117 = BgL_valuez00_1622;
							if (
								(((long) 0) ==
									(((long) 65536) & (BgL_crcz00_1623 ^ BgL_valuez00_1622))))
								{	/* Unsafe/crc16.scm 90 */
									BgL_crcz00_2118 = BgL_crcz00_1623;
								}
							else
								{	/* Unsafe/crc16.scm 90 */
									BgL_crcz00_2118 = (BgL_crcz00_1623 ^ ((long) 32773));
								}
							BgL_crcz00_1617 = BgL_crcz00_2118;
							BgL_valuez00_1616 = BgL_valuez00_2117;
							BgL_iz00_1615 = BgL_iz00_2115;
							goto BgL_loopz00_1614;
						}
					}
			}
		}
	}



/* crc16-mmap */
	BGL_EXPORTED_DEF int BGl_crc16zd2mmapzd2zz__crc16z00(obj_t BgL_mmapz00_6)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 97 */
			{	/* Unsafe/crc16.scm 98 */
				long BgL_lenz00_1192;

				{	/* Unsafe/crc16.scm 98 */
					long BgL_res1550z00_1652;

					BgL_res1550z00_1652 = BGL_MMAP_LENGTH(BgL_mmapz00_6);
					BgL_lenz00_1192 = BgL_res1550z00_1652;
				}
				{
					long BgL_iz00_1688;
					long BgL_crcz00_1689;

					{	/* Unsafe/crc16.scm 99 */
						long BgL_auxz00_2127;

						BgL_iz00_1688 = ((long) 0);
						BgL_crcz00_1689 = ((long) 65535);
					BgL_loopz00_1687:
						{	/* Unsafe/crc16.scm 101 */
							bool_t BgL_testz00_2128;

							{	/* Unsafe/crc16.scm 101 */
								long BgL_n2z00_1701;

								BgL_n2z00_1701 = (long) (BgL_lenz00_1192);
								BgL_testz00_2128 = (BgL_iz00_1688 == BgL_n2z00_1701);
							}
							if (BgL_testz00_2128)
								{	/* Unsafe/crc16.scm 101 */
									BgL_auxz00_2127 = (BgL_crcz00_1689 & ((long) 65535));
								}
							else
								{	/* Unsafe/crc16.scm 103 */
									long BgL_arg1152z00_1696;
									long BgL_arg1153z00_1697;

									BgL_arg1152z00_1696 = (BgL_iz00_1688 + ((long) 1));
									{	/* Unsafe/crc16.scm 104 */
										long BgL_arg1155z00_1698;

										{	/* Unsafe/crc16.scm 104 */
											unsigned char BgL_arg1156z00_1699;

											{	/* Unsafe/crc16.scm 104 */
												long BgL_auxz00_2133;

												BgL_auxz00_2133 = (long) (BgL_iz00_1688);
												BgL_arg1156z00_1699 =
													BGL_MMAP_REF(BgL_mmapz00_6, BgL_auxz00_2133);
											}
											BgL_arg1155z00_1698 = (BgL_arg1156z00_1699);
										}
										BgL_arg1153z00_1697 =
											BGl_crczd2valuezd2zz__crc16z00(BgL_arg1155z00_1698,
											BgL_crcz00_1689);
									}
									{
										long BgL_crcz00_2139;
										long BgL_iz00_2138;

										BgL_iz00_2138 = BgL_arg1152z00_1696;
										BgL_crcz00_2139 = BgL_arg1153z00_1697;
										BgL_crcz00_1689 = BgL_crcz00_2139;
										BgL_iz00_1688 = BgL_iz00_2138;
										goto BgL_loopz00_1687;
									}
								}
						}
						return (int) (BgL_auxz00_2127);
		}}}}
	}



/* &crc16-mmap */
	obj_t BGl_z62crc16zd2mmapzb0zz__crc16z00(obj_t BgL_envz00_2069,
		obj_t BgL_mmapz00_2070)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 97 */
			{	/* Unsafe/crc16.scm 98 */
				int BgL_auxz00_2141;

				{	/* Unsafe/crc16.scm 98 */
					obj_t BgL_auxz00_2142;

					if (BGL_MMAPP(BgL_mmapz00_2070))
						{	/* Unsafe/crc16.scm 98 */
							BgL_auxz00_2142 = BgL_mmapz00_2070;
						}
					else
						{
							obj_t BgL_auxz00_2145;

							BgL_auxz00_2145 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1642z00zz__crc16z00,
								BINT(((long) 3427)), BGl_string1643z00zz__crc16z00,
								BGl_string1644z00zz__crc16z00, BgL_mmapz00_2070);
							FAILURE(BgL_auxz00_2145, BFALSE, BFALSE);
						}
					BgL_auxz00_2141 = BGl_crc16zd2mmapzd2zz__crc16z00(BgL_auxz00_2142);
				}
				return BINT(BgL_auxz00_2141);
			}
		}
	}



/* crc16-string */
	BGL_EXPORTED_DEF int BGl_crc16zd2stringzd2zz__crc16z00(obj_t BgL_stringz00_7)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 109 */
			{	/* Unsafe/crc16.scm 110 */
				long BgL_lenz00_1203;

				BgL_lenz00_1203 = STRING_LENGTH(BgL_stringz00_7);
				{
					long BgL_iz00_1754;
					long BgL_crcz00_1755;

					{	/* Unsafe/crc16.scm 111 */
						long BgL_auxz00_2152;

						BgL_iz00_1754 = ((long) 0);
						BgL_crcz00_1755 = ((long) 65535);
					BgL_loopz00_1753:
						if ((BgL_iz00_1754 == BgL_lenz00_1203))
							{	/* Unsafe/crc16.scm 113 */
								BgL_auxz00_2152 = (BgL_crcz00_1755 & ((long) 65535));
							}
						else
							{
								long BgL_crcz00_2158;
								long BgL_iz00_2156;

								BgL_iz00_2156 = (BgL_iz00_1754 + ((long) 1));
								BgL_crcz00_2158 =
									BGl_crczd2valuezd2zz__crc16z00(
									(STRING_REF(BgL_stringz00_7, BgL_iz00_1754)),
									BgL_crcz00_1755);
								BgL_crcz00_1755 = BgL_crcz00_2158;
								BgL_iz00_1754 = BgL_iz00_2156;
								goto BgL_loopz00_1753;
							}
						return (int) (BgL_auxz00_2152);
		}}}}
	}



/* &crc16-string */
	obj_t BGl_z62crc16zd2stringzb0zz__crc16z00(obj_t BgL_envz00_2071,
		obj_t BgL_stringz00_2072)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 109 */
			{	/* Unsafe/crc16.scm 110 */
				int BgL_auxz00_2163;

				{	/* Unsafe/crc16.scm 110 */
					obj_t BgL_auxz00_2164;

					if (STRINGP(BgL_stringz00_2072))
						{	/* Unsafe/crc16.scm 110 */
							BgL_auxz00_2164 = BgL_stringz00_2072;
						}
					else
						{
							obj_t BgL_auxz00_2167;

							BgL_auxz00_2167 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1642z00zz__crc16z00,
								BINT(((long) 3889)), BGl_string1645z00zz__crc16z00,
								BGl_string1646z00zz__crc16z00, BgL_stringz00_2072);
							FAILURE(BgL_auxz00_2167, BFALSE, BFALSE);
						}
					BgL_auxz00_2163 = BGl_crc16zd2stringzd2zz__crc16z00(BgL_auxz00_2164);
				}
				return BINT(BgL_auxz00_2163);
			}
		}
	}



/* crc16-port */
	BGL_EXPORTED_DEF int BGl_crc16zd2portzd2zz__crc16z00(obj_t BgL_portz00_8)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 121 */
			{
				long BgL_crcz00_1798;

				{	/* Unsafe/crc16.scm 122 */
					long BgL_auxz00_2173;

					BgL_crcz00_1798 = ((long) 65535);
				BgL_loopz00_1797:
					{	/* Unsafe/crc16.scm 123 */
						long BgL_bytez00_1802;

						BgL_bytez00_1802 =
							(long)
							CINT(BGl_readzd2bytezd2zz__r4_input_6_10_2z00(BgL_portz00_8));
						{	/* Unsafe/crc16.scm 124 */
							bool_t BgL_testz00_2176;

							{	/* Unsafe/crc16.scm 124 */
								bool_t BgL_res1583z00_1806;

								{	/* Unsafe/crc16.scm 124 */
									obj_t BgL_auxz00_2177;

									BgL_auxz00_2177 = BINT(BgL_bytez00_1802);
									BgL_res1583z00_1806 = EOF_OBJECTP(BgL_auxz00_2177);
								}
								BgL_testz00_2176 = BgL_res1583z00_1806;
							}
							if (BgL_testz00_2176)
								{	/* Unsafe/crc16.scm 124 */
									BgL_auxz00_2173 = (BgL_crcz00_1798 & ((long) 65535));
								}
							else
								{
									long BgL_crcz00_2181;

									BgL_crcz00_2181 =
										BGl_crczd2valuezd2zz__crc16z00(BgL_bytez00_1802,
										BgL_crcz00_1798);
									BgL_crcz00_1798 = BgL_crcz00_2181;
									goto BgL_loopz00_1797;
								}
						}
					}
					return (int) (BgL_auxz00_2173);
		}}}
	}



/* &crc16-port */
	obj_t BGl_z62crc16zd2portzb0zz__crc16z00(obj_t BgL_envz00_2073,
		obj_t BgL_portz00_2074)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 121 */
			{	/* Unsafe/crc16.scm 122 */
				int BgL_auxz00_2184;

				{	/* Unsafe/crc16.scm 122 */
					obj_t BgL_auxz00_2185;

					if (INPUT_PORTP(BgL_portz00_2074))
						{	/* Unsafe/crc16.scm 122 */
							BgL_auxz00_2185 = BgL_portz00_2074;
						}
					else
						{
							obj_t BgL_auxz00_2188;

							BgL_auxz00_2188 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1642z00zz__crc16z00,
								BINT(((long) 4354)), BGl_string1647z00zz__crc16z00,
								BGl_string1648z00zz__crc16z00, BgL_portz00_2074);
							FAILURE(BgL_auxz00_2188, BFALSE, BFALSE);
						}
					BgL_auxz00_2184 = BGl_crc16zd2portzd2zz__crc16z00(BgL_auxz00_2185);
				}
				return BINT(BgL_auxz00_2184);
			}
		}
	}



/* crc16-file */
	BGL_EXPORTED_DEF int BGl_crc16zd2filezd2zz__crc16z00(obj_t BgL_filez00_9)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 131 */
			return
				CINT(BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00
				(BgL_filez00_9, BGl_proc1649z00zz__crc16z00));
		}
	}



/* &crc16-file */
	obj_t BGl_z62crc16zd2filezb0zz__crc16z00(obj_t BgL_envz00_2076,
		obj_t BgL_filez00_2077)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 131 */
			{	/* Unsafe/crc16.scm 133 */
				int BgL_auxz00_2196;

				{	/* Unsafe/crc16.scm 133 */
					obj_t BgL_auxz00_2197;

					if (STRINGP(BgL_filez00_2077))
						{	/* Unsafe/crc16.scm 133 */
							BgL_auxz00_2197 = BgL_filez00_2077;
						}
					else
						{
							obj_t BgL_auxz00_2200;

							BgL_auxz00_2200 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1642z00zz__crc16z00,
								BINT(((long) 4826)), BGl_string1650z00zz__crc16z00,
								BGl_string1646z00zz__crc16z00, BgL_filez00_2077);
							FAILURE(BgL_auxz00_2200, BFALSE, BFALSE);
						}
					BgL_auxz00_2196 = BGl_crc16zd2filezd2zz__crc16z00(BgL_auxz00_2197);
				}
				return BINT(BgL_auxz00_2196);
			}
		}
	}



/* &<anonymous:1173> */
	obj_t BGl_z62zc3anonymousza31173ze3ze1zz__crc16z00(obj_t BgL_envz00_2078)
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 133 */
			{

				{	/* Unsafe/crc16.scm 133 */
					int BgL_auxz00_2206;

					{	/* Unsafe/crc16.scm 133 */
						obj_t BgL_arg1175z00_1812;

						{	/* Unsafe/crc16.scm 133 */
							obj_t BgL_res1585z00_1814;

							{	/* Unsafe/crc16.scm 133 */
								obj_t BgL_auxz00_2207;

								BgL_auxz00_2207 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1585z00_1814 =
									BGL_ENV_CURRENT_INPUT_PORT(BgL_auxz00_2207);
							}
							BgL_arg1175z00_1812 = BgL_res1585z00_1814;
						}
						BgL_auxz00_2206 =
							BGl_crc16zd2portzd2zz__crc16z00(BgL_arg1175z00_1812);
					}
					return BINT(BgL_auxz00_2206);
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 17 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__crc16z00()
	{
		AN_OBJECT;
		{	/* Unsafe/crc16.scm 17 */
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1651z00zz__crc16z00));
		}
	}

#ifdef __cplusplus
}
#endif
