/*===========================================================================*/
/*   (Cfa/ltype.scm)                                                         */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/ltype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;


	static obj_t BGl_z62typezd2nodez12zd2fail1598z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_ltypez00();
	static obj_t BGl_z62typezd2nodez12zd2vref1588z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_ltypez00();
	static obj_t BGl_z62typezd2variablez12zd2scnst1558z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62typezd2nodez12zd2condition1596z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2nodez12zd2boxzd2ref1614za2zzcfa_ltypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62typezd2nodez12zd2sequence1576z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2appzd2ly1582za2zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2extern1586z70zzcfa_ltypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2sexit1562z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2svarzf21556z82zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2cvarzf21560z82zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(BgL_variablez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2atom1568z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	static obj_t BGl_z62typezd2nodez12zd2jumpzd2exzd2i1608z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62typezd2nodez121565za2zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static obj_t BGl_typezd2nodez12zc0zzcfa_ltypez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_ltypez00();
	static obj_t BGl_z62typezd2nodez12za2zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2boxzd2setz121612zb0zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2makezd2box1610za2zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2kwote1570z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2var1572z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2setzd2exzd2it1606z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62typezd2nodez12zd2closure1574z70zzcfa_ltypez00(obj_t,
		obj_t);
	static bool_t BGl_typezd2nodeza2z12z62zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62lightzd2typez12za2zzcfa_ltypez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2cast1592z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2setq1594z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_ltypez00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez12zd2letzd2fun1602za2zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_ltypez00();
	static obj_t BGl_genericzd2initzd2zzcfa_ltypez00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_z62typezd2variablez121553za2zzcfa_ltypez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2letzd2var1604za2zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_ltypez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2select1600z70zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_ltypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00();
	static obj_t BGl_z62typezd2nodez12zd2funcall1584z70zzcfa_ltypez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2nodez12zd2app1580z70zzcfa_ltypez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	static obj_t BGl_z62typezd2nodez12zd2vsetz121590z62zzcfa_ltypez00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62typezd2variablez12zd2inter1564z70zzcfa_ltypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2nodez12zd2sync1578z70zzcfa_ltypez00(obj_t, obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712011za7,
		BGl_z62typezd2nodez12za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1970z00zzcfa_ltypez00,
		BgL_bgl_string1970za700za7za7c2012za7, "type-variable!1553", 18);
	      DEFINE_STRING(BGl_string1972z00zzcfa_ltypez00,
		BgL_bgl_string1972za700za7za7c2013za7, "type-node!1565", 14);
	      DEFINE_STRING(BGl_string1973z00zzcfa_ltypez00,
		BgL_bgl_string1973za700za7za7c2014za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1975z00zzcfa_ltypez00,
		BgL_bgl_string1975za700za7za7c2015za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string1981z00zzcfa_ltypez00,
		BgL_bgl_string1981za700za7za7c2016za7, "type-node!", 10);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2017z00,
		BGl_z62typezd2variablez12za2zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_lightzd2typez12zd2envz12zzcfa_ltypez00,
		BgL_bgl_za762lightza7d2typeza72018za7,
		BGl_z62lightzd2typez12za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2019z00,
		BGl_z62typezd2variablez121553za2zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712020za7,
		BGl_z62typezd2nodez121565za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2021z00,
		BGl_z62typezd2variablez12zd2svarzf21556z82zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2022z00,
		BGl_z62typezd2variablez12zd2scnst1558z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2023z00,
		BGl_z62typezd2variablez12zd2cvarzf21560z82zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2024z00,
		BGl_z62typezd2variablez12zd2sexit1562z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2variab2025z00,
		BGl_z62typezd2variablez12zd2inter1564z70zzcfa_ltypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712026za7,
		BGl_z62typezd2nodez12zd2atom1568z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712027za7,
		BGl_z62typezd2nodez12zd2kwote1570z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712028za7,
		BGl_z62typezd2nodez12zd2var1572z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712029za7,
		BGl_z62typezd2nodez12zd2closure1574z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712030za7,
		BGl_z62typezd2nodez12zd2sequence1576z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712031za7,
		BGl_z62typezd2nodez12zd2sync1578z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1987z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712032za7,
		BGl_z62typezd2nodez12zd2app1580z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712033za7,
		BGl_z62typezd2nodez12zd2appzd2ly1582za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1989z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712034za7,
		BGl_z62typezd2nodez12zd2funcall1584z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1990z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712035za7,
		BGl_z62typezd2nodez12zd2extern1586z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712036za7,
		BGl_z62typezd2nodez12zd2vref1588z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1992z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712037za7,
		BGl_z62typezd2nodez12zd2vsetz121590z62zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712038za7,
		BGl_z62typezd2nodez12zd2cast1592z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712039za7,
		BGl_z62typezd2nodez12zd2setq1594z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712040za7,
		BGl_z62typezd2nodez12zd2condition1596z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712041za7,
		BGl_z62typezd2nodez12zd2fail1598z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712042za7,
		BGl_z62typezd2nodez12zd2select1600z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712043za7,
		BGl_z62typezd2nodez12zd2letzd2fun1602za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712044za7,
		BGl_z62typezd2nodez12zd2letzd2var1604za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2005z00zzcfa_ltypez00,
		BgL_bgl_string2005za700za7za7c2045za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2006z00zzcfa_ltypez00,
		BgL_bgl_string2006za700za7za7c2046za7, "cfa_ltype", 9);
	      DEFINE_STRING(BGl_string2007z00zzcfa_ltypez00,
		BgL_bgl_string2007za700za7za7c2047za7, "static nothing type-node!1565 ",
		30);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712048za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it1606z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712049za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1608z70zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712050za7,
		BGl_z62typezd2nodez12zd2makezd2box1610za2zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712051za7,
		BGl_z62typezd2nodez12zd2boxzd2setz121612zb0zzcfa_ltypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzcfa_ltypez00,
		BgL_bgl_za762typeza7d2nodeza712052za7,
		BGl_z62typezd2nodez12zd2boxzd2ref1614za2zzcfa_ltypez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long
		BgL_checksumz00_4230, char *BgL_fromz00_4231)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_ltypez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_ltypez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00();
					BGl_cnstzd2initzd2zzcfa_ltypez00();
					BGl_importedzd2moduleszd2initz00zzcfa_ltypez00();
					BGl_genericzd2initzd2zzcfa_ltypez00();
					BGl_methodzd2initzd2zzcfa_ltypez00();
					return BGl_toplevelzd2initzd2zzcfa_ltypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_ltypez00()
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_ltype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_ltype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_ltypez00()
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 15 */
			{	/* Cfa/ltype.scm 15 */
				obj_t BgL_cportz00_4209;

				{	/* Cfa/ltype.scm 15 */
					obj_t BgL_startz00_4218;

					BgL_startz00_4218 = BINT(((long) 0));
					{	/* Cfa/ltype.scm 15 */
						obj_t BgL_endz00_4219;

						BgL_endz00_4219 =
							BINT(STRING_LENGTH(BGl_string2007z00zzcfa_ltypez00));
						{	/* Cfa/ltype.scm 15 */

							BgL_cportz00_4209 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string2007z00zzcfa_ltypez00, BgL_startz00_4218,
								BgL_endz00_4219);
				}}}
				{
					long BgL_iz00_4210;

					BgL_iz00_4210 = ((long) 2);
				BgL_loopz00_4211:
					if ((BgL_iz00_4210 == ((long) -1)))
						{	/* Cfa/ltype.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/ltype.scm 15 */
							{	/* Cfa/ltype.scm 15 */
								obj_t BgL_arg2009z00_4213;

								{	/* Cfa/ltype.scm 15 */

									{	/* Cfa/ltype.scm 15 */
										obj_t BgL_locationz00_4215;

										BgL_locationz00_4215 = BBOOL(((bool_t) 0));
										{	/* Cfa/ltype.scm 15 */

											BgL_arg2009z00_4213 =
												BGl_readz00zz__readerz00(BgL_cportz00_4209,
												BgL_locationz00_4215);
										}
									}
								}
								{	/* Cfa/ltype.scm 15 */
									int BgL_auxz00_4257;

									BgL_auxz00_4257 = (int) (BgL_iz00_4210);
									CNST_TABLE_SET(BgL_auxz00_4257, BgL_arg2009z00_4213);
							}}
							{	/* Cfa/ltype.scm 15 */
								int BgL_auxz00_4216;

								BgL_auxz00_4216 = (int) ((BgL_iz00_4210 - ((long) 1)));
								{
									long BgL_iz00_4262;

									BgL_iz00_4262 = (long) (BgL_auxz00_4216);
									BgL_iz00_4210 = BgL_iz00_4262;
									goto BgL_loopz00_4211;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_ltypez00()
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 15 */
			return BUNSPEC;
		}
	}



/* light-type! */
	BGL_EXPORTED_DEF obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 37 */
			{
				obj_t BgL_l1537z00_3158;

				{	/* Cfa/ltype.scm 38 */
					bool_t BgL_auxz00_4264;

					BgL_l1537z00_3158 = BgL_globalsz00_3;
				BgL_zc3anonymousza31621ze3z83_3159:
					if (PAIRP(BgL_l1537z00_3158))
						{	/* Cfa/ltype.scm 38 */
							{	/* Cfa/ltype.scm 38 */
								obj_t BgL_arg1623z00_3161;

								BgL_arg1623z00_3161 = CAR(BgL_l1537z00_3158);
								BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(
									((BgL_variablez00_bglt) BgL_arg1623z00_3161));
							}
							{
								obj_t BgL_l1537z00_4270;

								BgL_l1537z00_4270 = CDR(BgL_l1537z00_3158);
								BgL_l1537z00_3158 = BgL_l1537z00_4270;
								goto BgL_zc3anonymousza31621ze3z83_3159;
							}
						}
					else
						{	/* Cfa/ltype.scm 38 */
							BgL_auxz00_4264 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_4264);
				}
			}
		}
	}



/* &light-type! */
	obj_t BGl_z62lightzd2typez12za2zzcfa_ltypez00(obj_t BgL_envz00_4103,
		obj_t BgL_globalsz00_4104)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 37 */
			return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_4104);
		}
	}



/* light-type-fun! */
	obj_t BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(BgL_variablez00_bglt
		BgL_varz00_4)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 43 */
			{	/* Cfa/ltype.scm 44 */
				BgL_valuez00_bglt BgL_funz00_3164;

				BgL_funz00_3164 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_4))->BgL_valuez00);
				{	/* Cfa/ltype.scm 45 */
					bool_t BgL_testz00_4275;

					{	/* Cfa/ltype.scm 45 */
						bool_t BgL_res1948z00_3960;

						BgL_res1948z00_3960 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_3164),
							BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						BgL_testz00_4275 = BgL_res1948z00_3960;
					}
					if (BgL_testz00_4275)
						{	/* Cfa/ltype.scm 45 */
							{	/* Cfa/ltype.scm 50 */
								obj_t BgL_g1541z00_3167;

								BgL_g1541z00_3167 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3164))))->BgL_argsz00);
								{
									obj_t BgL_l1539z00_3169;

									BgL_l1539z00_3169 = BgL_g1541z00_3167;
								BgL_zc3anonymousza31626ze3z83_3170:
									if (PAIRP(BgL_l1539z00_3169))
										{	/* Cfa/ltype.scm 50 */
											{	/* Cfa/ltype.scm 51 */
												obj_t BgL_varz00_3172;

												BgL_varz00_3172 = CAR(BgL_l1539z00_3169);
												{	/* Cfa/ltype.scm 51 */
													BgL_valuez00_bglt BgL_arg1631z00_3173;

													BgL_arg1631z00_3173 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3172))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_ltypez00
														(BgL_arg1631z00_3173,
														((BgL_variablez00_bglt) BgL_varz00_3172));
												}
											}
											{
												obj_t BgL_l1539z00_4289;

												BgL_l1539z00_4289 = CDR(BgL_l1539z00_3169);
												BgL_l1539z00_3169 = BgL_l1539z00_4289;
												goto BgL_zc3anonymousza31626ze3z83_3170;
											}
										}
									else
										{	/* Cfa/ltype.scm 50 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/ltype.scm 54 */
								obj_t BgL_arg1634z00_3176;

								BgL_arg1634z00_3176 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3164))))->BgL_bodyz00);
								BGl_typezd2nodez12zc0zzcfa_ltypez00(
									((BgL_nodez00_bglt) BgL_arg1634z00_3176));
							}
							{	/* Cfa/ltype.scm 56 */
								obj_t BgL_arg1635z00_3177;

								{	/* Cfa/ltype.scm 56 */
									BgL_approxz00_bglt BgL_arg1643z00_3178;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_4296;

										{
											obj_t BgL_auxz00_4297;

											{	/* Cfa/ltype.scm 56 */
												BgL_objectz00_bglt BgL_auxz00_4298;

												BgL_auxz00_4298 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3164));
												BgL_auxz00_4297 = BGL_OBJECT_WIDENING(BgL_auxz00_4298);
											}
											BgL_auxz00_4296 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_4297);
										}
										BgL_arg1643z00_3178 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_4296))->BgL_approxz00);
									}
									if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
										(BgL_arg1643z00_3178))
										{	/* Cfa/ltype.scm 62 */
											BgL_arg1635z00_3177 =
												BGl_za2procedurezd2elza2zd2zztype_cachez00;
										}
									else
										{	/* Cfa/ltype.scm 62 */
											BgL_arg1635z00_3177 = BGl_za2_za2z00zztype_cachez00;
										}
								}
								if (
									(((obj_t)
											((BgL_typez00_bglt) BgL_arg1635z00_3177)) ==
										BGl_za2_za2z00zztype_cachez00))
									{	/* Cfa/ltype.scm 115 */
										return BFALSE;
									}
								else
									{	/* Cfa/ltype.scm 115 */
										return
											((((BgL_variablez00_bglt) CREF(BgL_varz00_4))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_arg1635z00_3177)), BUNSPEC);
									}
							}
						}
					else
						{	/* Cfa/ltype.scm 45 */
							return BFALSE;
						}
				}
			}
		}
	}



/* type-node*! */
	bool_t BGl_typezd2nodeza2z12z62zzcfa_ltypez00(obj_t BgL_nodeza2za2_45)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 323 */
			{
				obj_t BgL_l1551z00_3182;

				BgL_l1551z00_3182 = BgL_nodeza2za2_45;
			BgL_zc3anonymousza31646ze3z83_3183:
				if (PAIRP(BgL_l1551z00_3182))
					{	/* Cfa/ltype.scm 324 */
						{	/* Cfa/ltype.scm 324 */
							obj_t BgL_arg1651z00_3185;

							BgL_arg1651z00_3185 = CAR(BgL_l1551z00_3182);
							BGl_typezd2nodez12zc0zzcfa_ltypez00(
								((BgL_nodez00_bglt) BgL_arg1651z00_3185));
						}
						{
							obj_t BgL_l1551z00_4317;

							BgL_l1551z00_4317 = CDR(BgL_l1551z00_3182);
							BgL_l1551z00_3182 = BgL_l1551z00_4317;
							goto BgL_zc3anonymousza31646ze3z83_3183;
						}
					}
				else
					{	/* Cfa/ltype.scm 324 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_ltypez00()
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_ltypez00()
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_proc1969z00zzcfa_ltypez00, BGl_valuez00zzast_varz00,
				BGl_string1970z00zzcfa_ltypez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_proc1971z00zzcfa_ltypez00, BGl_nodez00zzast_nodez00,
				BGl_string1972z00zzcfa_ltypez00);
		}
	}



/* &type-node!1565 */
	obj_t BGl_z62typezd2nodez121565za2zzcfa_ltypez00(obj_t BgL_envz00_4107,
		obj_t BgL_nodez00_4108)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 122 */
			{
				BgL_nodez00_bglt BgL_nodez00_3196;

				BgL_nodez00_3196 = ((BgL_nodez00_bglt) BgL_nodez00_4108);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string1973z00zzcfa_ltypez00, ((obj_t) BgL_nodez00_3196));
		}}
	}



/* &type-variable!1553 */
	obj_t BGl_z62typezd2variablez121553za2zzcfa_ltypez00(obj_t BgL_envz00_4109,
		obj_t BgL_valuez00_4110, obj_t BgL_variablez00_4111)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 69 */
			{
				BgL_valuez00_bglt BgL_valuez00_3189;
				BgL_variablez00_bglt BgL_variablez00_3190;

				BgL_valuez00_3189 = ((BgL_valuez00_bglt) BgL_valuez00_4110);
				BgL_variablez00_3190 = ((BgL_variablez00_bglt) BgL_variablez00_4111);
				{	/* Cfa/ltype.scm 70 */
					BgL_typez00_bglt BgL_typez00_3981;

					BgL_typez00_3981 =
						(((BgL_variablez00_bglt) CREF(BgL_variablez00_3190))->BgL_typez00);
					if (
						(((obj_t) BgL_typez00_3981) ==
							BGl_za2procedureza2z00zztype_cachez00))
						{	/* Cfa/ltype.scm 71 */
							if ((((obj_t) BgL_typez00_3981) == BGl_za2_za2z00zztype_cachez00))
								{	/* Cfa/ltype.scm 115 */
									return BFALSE;
								}
							else
								{	/* Cfa/ltype.scm 115 */
									return
										((((BgL_variablez00_bglt) CREF(BgL_variablez00_3190))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_typez00_3981), BUNSPEC);
								}
						}
					else
						{	/* Cfa/ltype.scm 71 */
							return CNST_TABLE_REF(((long) 1));
		}}}}
	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_valuez00_bglt
		BgL_valuez00_6, BgL_variablez00_bglt BgL_variablez00_7)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 69 */
			{	/* Cfa/ltype.scm 69 */
				obj_t BgL_method1554z00_3199;

				{	/* Cfa/ltype.scm 69 */
					obj_t BgL_res1957z00_4017;

					{	/* Cfa/ltype.scm 69 */
						long BgL_objzd2classzd2numz00_3990;

						{	/* Cfa/ltype.scm 69 */
							long BgL_res1951z00_3993;

							BgL_res1951z00_3993 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_6));
							BgL_objzd2classzd2numz00_3990 = BgL_res1951z00_3993;
						}
						{	/* Cfa/ltype.scm 69 */
							obj_t BgL_arg1664z00_3991;

							BgL_arg1664z00_3991 =
								PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
								(int) (((long) 1)));
							{	/* Cfa/ltype.scm 69 */
								int BgL_offsetz00_3995;

								BgL_offsetz00_3995 = (int) (BgL_objzd2classzd2numz00_3990);
								{	/* Cfa/ltype.scm 69 */
									long BgL_offsetz00_3996;

									BgL_offsetz00_3996 =
										((long) (BgL_offsetz00_3995) - OBJECT_TYPE);
									{	/* Cfa/ltype.scm 69 */
										long BgL_modz00_3997;

										{	/* Cfa/ltype.scm 69 */
											int BgL_arg1666z00_3998;

											BgL_arg1666z00_3998 = (int) (((long) 16));
											{	/* Cfa/ltype.scm 69 */
												long BgL_res1954z00_4008;

												{	/* Cfa/ltype.scm 69 */
													long BgL_auxz00_4344;

													BgL_auxz00_4344 = (long) (BgL_arg1666z00_3998);
													BgL_res1954z00_4008 =
														(BgL_offsetz00_3996 / BgL_auxz00_4344);
												}
												BgL_modz00_3997 = BgL_res1954z00_4008;
										}}
										{	/* Cfa/ltype.scm 69 */
											long BgL_restz00_3999;

											{	/* Cfa/ltype.scm 69 */
												int BgL_arg1665z00_4000;

												BgL_arg1665z00_4000 = (int) (((long) 16));
												{	/* Cfa/ltype.scm 69 */
													long BgL_res1956z00_4012;

													{	/* Cfa/ltype.scm 69 */
														long BgL_auxz00_4348;

														BgL_auxz00_4348 = (long) (BgL_arg1665z00_4000);
														BgL_res1956z00_4012 =
															(BgL_offsetz00_3996 % BgL_auxz00_4348);
													}
													BgL_restz00_3999 = BgL_res1956z00_4012;
											}}
											{	/* Cfa/ltype.scm 69 */

												BgL_res1957z00_4017 =
													VECTOR_REF(VECTOR_REF(BgL_arg1664z00_3991,
														(int) (BgL_modz00_3997)), (int) (BgL_restz00_3999));
					}}}}}}}
					BgL_method1554z00_3199 = BgL_res1957z00_4017;
				}
				return
					PROCEDURE_ENTRY(BgL_method1554z00_3199) (BgL_method1554z00_3199,
					((obj_t) BgL_valuez00_6), ((obj_t) BgL_variablez00_7), BEOA);
			}
		}
	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_ltypez00(obj_t BgL_envz00_4112,
		obj_t BgL_valuez00_4113, obj_t BgL_variablez00_4114)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 69 */
			return
				BGl_typezd2variablez12zc0zzcfa_ltypez00(
				((BgL_valuez00_bglt) BgL_valuez00_4113),
				((BgL_variablez00_bglt) BgL_variablez00_4114));
		}
	}



/* type-node! */
	obj_t BGl_typezd2nodez12zc0zzcfa_ltypez00(BgL_nodez00_bglt BgL_nodez00_20)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 122 */
			{	/* Cfa/ltype.scm 122 */
				obj_t BgL_method1566z00_3200;

				{	/* Cfa/ltype.scm 122 */
					obj_t BgL_res1964z00_4046;

					{	/* Cfa/ltype.scm 122 */
						long BgL_objzd2classzd2numz00_4019;

						{	/* Cfa/ltype.scm 122 */
							long BgL_res1958z00_4022;

							BgL_res1958z00_4022 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_20));
							BgL_objzd2classzd2numz00_4019 = BgL_res1958z00_4022;
						}
						{	/* Cfa/ltype.scm 122 */
							obj_t BgL_arg1664z00_4020;

							BgL_arg1664z00_4020 =
								PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
								(int) (((long) 1)));
							{	/* Cfa/ltype.scm 122 */
								int BgL_offsetz00_4024;

								BgL_offsetz00_4024 = (int) (BgL_objzd2classzd2numz00_4019);
								{	/* Cfa/ltype.scm 122 */
									long BgL_offsetz00_4025;

									BgL_offsetz00_4025 =
										((long) (BgL_offsetz00_4024) - OBJECT_TYPE);
									{	/* Cfa/ltype.scm 122 */
										long BgL_modz00_4026;

										{	/* Cfa/ltype.scm 122 */
											int BgL_arg1666z00_4027;

											BgL_arg1666z00_4027 = (int) (((long) 16));
											{	/* Cfa/ltype.scm 122 */
												long BgL_res1961z00_4037;

												{	/* Cfa/ltype.scm 122 */
													long BgL_auxz00_4373;

													BgL_auxz00_4373 = (long) (BgL_arg1666z00_4027);
													BgL_res1961z00_4037 =
														(BgL_offsetz00_4025 / BgL_auxz00_4373);
												}
												BgL_modz00_4026 = BgL_res1961z00_4037;
										}}
										{	/* Cfa/ltype.scm 122 */
											long BgL_restz00_4028;

											{	/* Cfa/ltype.scm 122 */
												int BgL_arg1665z00_4029;

												BgL_arg1665z00_4029 = (int) (((long) 16));
												{	/* Cfa/ltype.scm 122 */
													long BgL_res1963z00_4041;

													{	/* Cfa/ltype.scm 122 */
														long BgL_auxz00_4377;

														BgL_auxz00_4377 = (long) (BgL_arg1665z00_4029);
														BgL_res1963z00_4041 =
															(BgL_offsetz00_4025 % BgL_auxz00_4377);
													}
													BgL_restz00_4028 = BgL_res1963z00_4041;
											}}
											{	/* Cfa/ltype.scm 122 */

												BgL_res1964z00_4046 =
													VECTOR_REF(VECTOR_REF(BgL_arg1664z00_4020,
														(int) (BgL_modz00_4026)), (int) (BgL_restz00_4028));
					}}}}}}}
					BgL_method1566z00_3200 = BgL_res1964z00_4046;
				}
				return
					PROCEDURE_ENTRY(BgL_method1566z00_3200) (BgL_method1566z00_3200,
					((obj_t) BgL_nodez00_20), BEOA);
			}
		}
	}



/* &type-node! */
	obj_t BGl_z62typezd2nodez12za2zzcfa_ltypez00(obj_t BgL_envz00_4115,
		obj_t BgL_nodez00_4116)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 122 */
			return
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
				((BgL_nodez00_bglt) BgL_nodez00_4116));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_ltypez00()
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc1974z00zzcfa_ltypez00,
				BGl_string1975z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc1976z00zzcfa_ltypez00,
				BGl_string1975z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc1977z00zzcfa_ltypez00,
				BGl_string1975z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc1978z00zzcfa_ltypez00,
				BGl_string1975z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_ltypez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00,
				BGl_proc1979z00zzcfa_ltypez00, BGl_string1975z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_atomz00zzast_nodez00,
				BGl_proc1980z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_kwotez00zzast_nodez00,
				BGl_proc1982z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_varz00zzast_nodez00,
				BGl_proc1983z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_closurez00zzast_nodez00,
				BGl_proc1984z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1985z00zzcfa_ltypez00,
				BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_syncz00zzast_nodez00,
				BGl_proc1986z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_appz00zzast_nodez00,
				BGl_proc1987z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1988z00zzcfa_ltypez00,
				BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_funcallz00zzast_nodez00,
				BGl_proc1989z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_externz00zzast_nodez00,
				BGl_proc1990z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_vrefz00zzast_nodez00,
				BGl_proc1991z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc1992z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_castz00zzast_nodez00,
				BGl_proc1993z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_setqz00zzast_nodez00,
				BGl_proc1994z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1995z00zzcfa_ltypez00,
				BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_failz00zzast_nodez00,
				BGl_proc1996z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00, BGl_selectz00zzast_nodez00,
				BGl_proc1997z00zzcfa_ltypez00, BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1998z00zzcfa_ltypez00,
				BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1999z00zzcfa_ltypez00,
				BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2000z00zzcfa_ltypez00,
				BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2001z00zzcfa_ltypez00,
				BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2002z00zzcfa_ltypez00,
				BGl_string1981z00zzcfa_ltypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2003z00zzcfa_ltypez00,
				BGl_string1981z00zzcfa_ltypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2004z00zzcfa_ltypez00,
				BGl_string1981z00zzcfa_ltypez00);
		}
	}



/* &type-node!-box-ref1614 */
	obj_t BGl_z62typezd2nodez12zd2boxzd2ref1614za2zzcfa_ltypez00(obj_t
		BgL_envz00_4146, obj_t BgL_nodez00_4147)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 316 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_3420;

				BgL_nodez00_3420 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_4147);
				{	/* Cfa/ltype.scm 318 */
					BgL_varz00_bglt BgL_arg1745z00_4102;

					BgL_arg1745z00_4102 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3420))->BgL_varz00);
					return
						BGl_typezd2nodez12zc0zzcfa_ltypez00(
						((BgL_nodez00_bglt) BgL_arg1745z00_4102));
				}
			}
		}
	}



/* &type-node!-box-set!1612 */
	obj_t BGl_z62typezd2nodez12zd2boxzd2setz121612zb0zzcfa_ltypez00(obj_t
		BgL_envz00_4148, obj_t BgL_nodez00_4149)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 308 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3413;

				BgL_nodez00_3413 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4149);
				{	/* Cfa/ltype.scm 310 */
					BgL_varz00_bglt BgL_arg1743z00_3417;

					BgL_arg1743z00_3417 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3413))->BgL_varz00);
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
						((BgL_nodez00_bglt) BgL_arg1743z00_3417));
				}
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3413))->BgL_valuez00));
			}
		}
	}



/* &type-node!-make-box1610 */
	obj_t BGl_z62typezd2nodez12zd2makezd2box1610za2zzcfa_ltypez00(obj_t
		BgL_envz00_4150, obj_t BgL_nodez00_4151)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 301 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_3407;

				BgL_nodez00_3407 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4151);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3407))->BgL_valuez00));
			}
		}
	}



/* &type-node!-jump-ex-i1608 */
	obj_t BGl_z62typezd2nodez12zd2jumpzd2exzd2i1608z70zzcfa_ltypez00(obj_t
		BgL_envz00_4152, obj_t BgL_nodez00_4153)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 293 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3400;

				BgL_nodez00_3400 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4153);
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3400))->BgL_exitz00));
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3400))->
						BgL_valuez00));
			}
		}
	}



/* &type-node!-set-ex-it1606 */
	obj_t BGl_z62typezd2nodez12zd2setzd2exzd2it1606z70zzcfa_ltypez00(obj_t
		BgL_envz00_4154, obj_t BgL_nodez00_4155)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 283 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_3390;

				BgL_nodez00_3390 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4155);
				{	/* Cfa/ltype.scm 285 */
					BgL_variablez00_bglt BgL_vz00_3394;

					BgL_vz00_3394 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3390))->
									BgL_varz00)))->BgL_variablez00);
					{	/* Cfa/ltype.scm 286 */
						BgL_valuez00_bglt BgL_arg1731z00_3395;

						BgL_arg1731z00_3395 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_vz00_3394))))->BgL_valuez00);
						BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1731z00_3395,
							BgL_vz00_3394);
					}
				}
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3390))->BgL_bodyz00));
				{	/* Cfa/ltype.scm 288 */
					BgL_varz00_bglt BgL_arg1736z00_3398;

					BgL_arg1736z00_3398 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3390))->BgL_varz00);
					return
						BGl_typezd2nodez12zc0zzcfa_ltypez00(
						((BgL_nodez00_bglt) BgL_arg1736z00_3398));
				}
			}
		}
	}



/* &type-node!-let-var1604 */
	obj_t BGl_z62typezd2nodez12zd2letzd2var1604za2zzcfa_ltypez00(obj_t
		BgL_envz00_4156, obj_t BgL_nodez00_4157)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 270 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_3373;

				BgL_nodez00_3373 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_4157);
				{	/* Cfa/ltype.scm 272 */
					obj_t BgL_g1550z00_3377;

					BgL_g1550z00_3377 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3373))->BgL_bindingsz00);
					{
						obj_t BgL_l1548z00_3379;

						BgL_l1548z00_3379 = BgL_g1550z00_3377;
					BgL_zc3anonymousza31725ze3z83_3380:
						if (PAIRP(BgL_l1548z00_3379))
							{	/* Cfa/ltype.scm 272 */
								{	/* Cfa/ltype.scm 273 */
									obj_t BgL_bindingz00_3382;

									BgL_bindingz00_3382 = CAR(BgL_l1548z00_3379);
									{	/* Cfa/ltype.scm 273 */
										obj_t BgL_varz00_3383;
										obj_t BgL_valz00_3384;

										BgL_varz00_3383 = CAR(BgL_bindingz00_3382);
										BgL_valz00_3384 = CDR(BgL_bindingz00_3382);
										BGl_typezd2nodez12zc0zzcfa_ltypez00(
											((BgL_nodez00_bglt) BgL_valz00_3384));
										{	/* Cfa/ltype.scm 276 */
											BgL_valuez00_bglt BgL_arg1727z00_3385;

											BgL_arg1727z00_3385 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_varz00_3383))))->
												BgL_valuez00);
											BGl_typezd2variablez12zc0zzcfa_ltypez00
												(BgL_arg1727z00_3385,
												((BgL_variablez00_bglt) BgL_varz00_3383));
										}
									}
								}
								{
									obj_t BgL_l1548z00_4463;

									BgL_l1548z00_4463 = CDR(BgL_l1548z00_3379);
									BgL_l1548z00_3379 = BgL_l1548z00_4463;
									goto BgL_zc3anonymousza31725ze3z83_3380;
								}
							}
						else
							{	/* Cfa/ltype.scm 272 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3373))->BgL_bodyz00));
			}
		}
	}



/* &type-node!-let-fun1602 */
	obj_t BGl_z62typezd2nodez12zd2letzd2fun1602za2zzcfa_ltypez00(obj_t
		BgL_envz00_4158, obj_t BgL_nodez00_4159)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 262 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_3359;

				BgL_nodez00_3359 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_4159);
				{	/* Cfa/ltype.scm 264 */
					obj_t BgL_g1547z00_3363;

					BgL_g1547z00_3363 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3359))->BgL_localsz00);
					{
						obj_t BgL_l1545z00_3365;

						BgL_l1545z00_3365 = BgL_g1547z00_3363;
					BgL_zc3anonymousza31719ze3z83_3366:
						if (PAIRP(BgL_l1545z00_3365))
							{	/* Cfa/ltype.scm 264 */
								{	/* Cfa/ltype.scm 264 */
									obj_t BgL_arg1721z00_3368;

									BgL_arg1721z00_3368 = CAR(BgL_l1545z00_3365);
									BGl_lightzd2typezd2funz12z12zzcfa_ltypez00(
										((BgL_variablez00_bglt) BgL_arg1721z00_3368));
								}
								{
									obj_t BgL_l1545z00_4474;

									BgL_l1545z00_4474 = CDR(BgL_l1545z00_3365);
									BgL_l1545z00_3365 = BgL_l1545z00_4474;
									goto BgL_zc3anonymousza31719ze3z83_3366;
								}
							}
						else
							{	/* Cfa/ltype.scm 264 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3359))->BgL_bodyz00));
			}
		}
	}



/* &type-node!-select1600 */
	obj_t BGl_z62typezd2nodez12zd2select1600z70zzcfa_ltypez00(obj_t
		BgL_envz00_4160, obj_t BgL_nodez00_4161)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 252 */
			{
				BgL_selectz00_bglt BgL_nodez00_3344;

				{	/* Cfa/ltype.scm 253 */
					bool_t BgL_auxz00_4479;

					BgL_nodez00_3344 = ((BgL_selectz00_bglt) BgL_nodez00_4161);
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_3344))->BgL_testz00));
					{	/* Cfa/ltype.scm 255 */
						obj_t BgL_g1544z00_3349;

						BgL_g1544z00_3349 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_3344))->BgL_clausesz00);
						{
							obj_t BgL_l1542z00_3351;

							BgL_l1542z00_3351 = BgL_g1544z00_3349;
						BgL_zc3anonymousza31714ze3z83_3352:
							if (PAIRP(BgL_l1542z00_3351))
								{	/* Cfa/ltype.scm 255 */
									{	/* Cfa/ltype.scm 256 */
										obj_t BgL_clausez00_3354;

										BgL_clausez00_3354 = CAR(BgL_l1542z00_3351);
										{	/* Cfa/ltype.scm 256 */
											obj_t BgL_arg1716z00_3355;

											BgL_arg1716z00_3355 = CDR(BgL_clausez00_3354);
											BGl_typezd2nodez12zc0zzcfa_ltypez00(
												((BgL_nodez00_bglt) BgL_arg1716z00_3355));
										}
									}
									{
										obj_t BgL_l1542z00_4489;

										BgL_l1542z00_4489 = CDR(BgL_l1542z00_3351);
										BgL_l1542z00_3351 = BgL_l1542z00_4489;
										goto BgL_zc3anonymousza31714ze3z83_3352;
									}
								}
							else
								{	/* Cfa/ltype.scm 255 */
									BgL_auxz00_4479 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4479);
				}
			}
		}
	}



/* &type-node!-fail1598 */
	obj_t BGl_z62typezd2nodez12zd2fail1598z70zzcfa_ltypez00(obj_t BgL_envz00_4162,
		obj_t BgL_nodez00_4163)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 243 */
			{
				BgL_failz00_bglt BgL_nodez00_3336;

				BgL_nodez00_3336 = ((BgL_failz00_bglt) BgL_nodez00_4163);
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_3336))->BgL_procz00));
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_3336))->BgL_msgz00));
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_3336))->BgL_objz00));
			}
		}
	}



/* &type-node!-condition1596 */
	obj_t BGl_z62typezd2nodez12zd2condition1596z70zzcfa_ltypez00(obj_t
		BgL_envz00_4164, obj_t BgL_nodez00_4165)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 234 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3328;

				BgL_nodez00_3328 = ((BgL_conditionalz00_bglt) BgL_nodez00_4165);
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3328))->BgL_testz00));
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3328))->BgL_truez00));
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3328))->BgL_falsez00));
			}
		}
	}



/* &type-node!-setq1594 */
	obj_t BGl_z62typezd2nodez12zd2setq1594z70zzcfa_ltypez00(obj_t BgL_envz00_4166,
		obj_t BgL_nodez00_4167)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 226 */
			{
				BgL_setqz00_bglt BgL_nodez00_3321;

				BgL_nodez00_3321 = ((BgL_setqz00_bglt) BgL_nodez00_4167);
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_3321))->BgL_valuez00));
				{	/* Cfa/ltype.scm 229 */
					BgL_varz00_bglt BgL_arg1703z00_3326;

					BgL_arg1703z00_3326 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_3321))->BgL_varz00);
					return
						BGl_typezd2nodez12zc0zzcfa_ltypez00(
						((BgL_nodez00_bglt) BgL_arg1703z00_3326));
				}
			}
		}
	}



/* &type-node!-cast1592 */
	obj_t BGl_z62typezd2nodez12zd2cast1592z70zzcfa_ltypez00(obj_t BgL_envz00_4168,
		obj_t BgL_nodez00_4169)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 219 */
			{
				BgL_castz00_bglt BgL_nodez00_3315;

				BgL_nodez00_3315 = ((BgL_castz00_bglt) BgL_nodez00_4169);
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_3315))->BgL_argz00));
			}
		}
	}



/* &type-node!-vset!1590 */
	obj_t BGl_z62typezd2nodez12zd2vsetz121590z62zzcfa_ltypez00(obj_t
		BgL_envz00_4170, obj_t BgL_nodez00_4171)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 210 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_3308;

				BgL_nodez00_3308 = ((BgL_vsetz12z12_bglt) BgL_nodez00_4171);
				{

					{	/* Cfa/ltype.scm 210 */
						obj_t BgL_nextzd2method1589zd2_3314;

						BgL_nextzd2method1589zd2_3314 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3308),
							BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
							BGl_vsetz12z12zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method1589zd2_3314)
							(BgL_nextzd2method1589zd2_3314, ((obj_t) BgL_nodez00_3308), BEOA);
					}
					{	/* Cfa/ltype.scm 213 */
						bool_t BgL_testz00_4523;

						{	/* Cfa/ltype.scm 213 */
							BgL_typez00_bglt BgL_arg1699z00_3313;

							BgL_arg1699z00_3313 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3308))->BgL_ftypez00);
							BgL_testz00_4523 =
								(
								((obj_t) BgL_arg1699z00_3313) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4523)
							{	/* Cfa/ltype.scm 213 */
								return
									((((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3308))->
										BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/ltype.scm 213 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &type-node!-vref1588 */
	obj_t BGl_z62typezd2nodez12zd2vref1588z70zzcfa_ltypez00(obj_t BgL_envz00_4172,
		obj_t BgL_nodez00_4173)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 201 */
			{
				BgL_vrefz00_bglt BgL_nodez00_3301;

				BgL_nodez00_3301 = ((BgL_vrefz00_bglt) BgL_nodez00_4173);
				{

					{	/* Cfa/ltype.scm 201 */
						obj_t BgL_nextzd2method1587zd2_3307;

						BgL_nextzd2method1587zd2_3307 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3301),
							BGl_typezd2nodez12zd2envz12zzcfa_ltypez00,
							BGl_vrefz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method1587zd2_3307)
							(BgL_nextzd2method1587zd2_3307, ((obj_t) BgL_nodez00_3301), BEOA);
					}
					{	/* Cfa/ltype.scm 204 */
						bool_t BgL_testz00_4537;

						{	/* Cfa/ltype.scm 204 */
							BgL_typez00_bglt BgL_arg1697z00_3306;

							BgL_arg1697z00_3306 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_3301))->BgL_ftypez00);
							BgL_testz00_4537 =
								(
								((obj_t) BgL_arg1697z00_3306) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_4537)
							{	/* Cfa/ltype.scm 204 */
								return
									((((BgL_vrefz00_bglt) CREF(BgL_nodez00_3301))->BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/ltype.scm 204 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* &type-node!-extern1586 */
	obj_t BGl_z62typezd2nodez12zd2extern1586z70zzcfa_ltypez00(obj_t
		BgL_envz00_4174, obj_t BgL_nodez00_4175)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 194 */
			{
				BgL_externz00_bglt BgL_nodez00_3295;

				{	/* Cfa/ltype.scm 195 */
					bool_t BgL_auxz00_4544;

					BgL_nodez00_3295 = ((BgL_externz00_bglt) BgL_nodez00_4175);
					BgL_auxz00_4544 =
						BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_3295))->BgL_exprza2za2));
					return BBOOL(BgL_auxz00_4544);
				}
			}
		}
	}



/* &type-node!-funcall1584 */
	obj_t BGl_z62typezd2nodez12zd2funcall1584z70zzcfa_ltypez00(obj_t
		BgL_envz00_4176, obj_t BgL_nodez00_4177)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 186 */
			{
				BgL_funcallz00_bglt BgL_nodez00_3288;

				{	/* Cfa/ltype.scm 187 */
					bool_t BgL_auxz00_4549;

					BgL_nodez00_3288 = ((BgL_funcallz00_bglt) BgL_nodez00_4177);
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_3288))->BgL_funz00));
					BgL_auxz00_4549 =
						BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_3288))->BgL_argsz00));
					return BBOOL(BgL_auxz00_4549);
				}
			}
		}
	}



/* &type-node!-app-ly1582 */
	obj_t BGl_z62typezd2nodez12zd2appzd2ly1582za2zzcfa_ltypez00(obj_t
		BgL_envz00_4178, obj_t BgL_nodez00_4179)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 178 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_3281;

				BgL_nodez00_3281 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4179);
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_3281))->BgL_funz00));
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_3281))->BgL_argz00));
			}
		}
	}



/* &type-node!-app1580 */
	obj_t BGl_z62typezd2nodez12zd2app1580z70zzcfa_ltypez00(obj_t BgL_envz00_4180,
		obj_t BgL_nodez00_4181)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 171 */
			{
				BgL_appz00_bglt BgL_nodez00_3275;

				{	/* Cfa/ltype.scm 172 */
					bool_t BgL_auxz00_4561;

					BgL_nodez00_3275 = ((BgL_appz00_bglt) BgL_nodez00_4181);
					BgL_auxz00_4561 =
						BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_3275))->BgL_argsz00));
					return BBOOL(BgL_auxz00_4561);
				}
			}
		}
	}



/* &type-node!-sync1578 */
	obj_t BGl_z62typezd2nodez12zd2sync1578z70zzcfa_ltypez00(obj_t BgL_envz00_4182,
		obj_t BgL_nodez00_4183)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 162 */
			{
				BgL_syncz00_bglt BgL_nodez00_3267;

				BgL_nodez00_3267 = ((BgL_syncz00_bglt) BgL_nodez00_4183);
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_3267))->BgL_mutexz00));
				BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_3267))->BgL_prelockz00));
				return
					BGl_typezd2nodez12zc0zzcfa_ltypez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_3267))->BgL_bodyz00));
			}
		}
	}



/* &type-node!-sequence1576 */
	obj_t BGl_z62typezd2nodez12zd2sequence1576z70zzcfa_ltypez00(obj_t
		BgL_envz00_4184, obj_t BgL_nodez00_4185)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 155 */
			{
				BgL_sequencez00_bglt BgL_nodez00_3261;

				{	/* Cfa/ltype.scm 156 */
					bool_t BgL_auxz00_4573;

					BgL_nodez00_3261 = ((BgL_sequencez00_bglt) BgL_nodez00_4185);
					BgL_auxz00_4573 =
						BGl_typezd2nodeza2z12z62zzcfa_ltypez00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3261))->BgL_nodesz00));
					return BBOOL(BgL_auxz00_4573);
				}
			}
		}
	}



/* &type-node!-closure1574 */
	obj_t BGl_z62typezd2nodez12zd2closure1574z70zzcfa_ltypez00(obj_t
		BgL_envz00_4186, obj_t BgL_nodez00_4187)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 149 */
			{
				BgL_closurez00_bglt BgL_nodez00_3256;

				BgL_nodez00_3256 = ((BgL_closurez00_bglt) BgL_nodez00_4187);
				{	/* Cfa/ltype.scm 150 */
					obj_t BgL_arg1684z00_4072;

					BgL_arg1684z00_4072 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3256));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string1981z00zzcfa_ltypez00, BGl_string2005z00zzcfa_ltypez00,
						BgL_arg1684z00_4072);
				}
			}
		}
	}



/* &type-node!-var1572 */
	obj_t BGl_z62typezd2nodez12zd2var1572z70zzcfa_ltypez00(obj_t BgL_envz00_4188,
		obj_t BgL_nodez00_4189)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 139 */
			{
				BgL_varz00_bglt BgL_nodez00_3240;

				BgL_nodez00_3240 = ((BgL_varz00_bglt) BgL_nodez00_4189);
				{	/* Cfa/ltype.scm 141 */
					bool_t BgL_testz00_4582;

					{	/* Cfa/ltype.scm 141 */
						bool_t BgL_testz00_4583;

						{	/* Cfa/ltype.scm 141 */
							BgL_variablez00_bglt BgL_arg1680z00_3251;

							BgL_arg1680z00_3251 =
								(((BgL_varz00_bglt) CREF(BgL_nodez00_3240))->BgL_variablez00);
							{	/* Cfa/ltype.scm 141 */
								bool_t BgL_res1965z00_4068;

								BgL_res1965z00_4068 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1680z00_3251), BGl_globalz00zzast_varz00);
								BgL_testz00_4583 = BgL_res1965z00_4068;
							}
						}
						if (BgL_testz00_4583)
							{	/* Cfa/ltype.scm 141 */
								BgL_testz00_4582 =
									(
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) CREF(BgL_nodez00_3240))->
														BgL_variablez00))))->BgL_importz00) ==
									CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* Cfa/ltype.scm 141 */
								BgL_testz00_4582 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4582)
						{	/* Cfa/ltype.scm 142 */
							BgL_valuez00_bglt BgL_arg1674z00_3245;
							BgL_variablez00_bglt BgL_arg1675z00_3246;

							BgL_arg1674z00_3245 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) CREF(BgL_nodez00_3240))->
													BgL_variablez00)))))->BgL_valuez00);
							BgL_arg1675z00_3246 =
								(((BgL_varz00_bglt) CREF(BgL_nodez00_3240))->BgL_variablez00);
							BGl_typezd2variablez12zc0zzcfa_ltypez00(BgL_arg1674z00_3245,
								BgL_arg1675z00_3246);
						}
					else
						{	/* Cfa/ltype.scm 141 */
							BFALSE;
						}
				}
				{	/* Cfa/ltype.scm 143 */
					bool_t BgL_testz00_4598;

					{	/* Cfa/ltype.scm 143 */
						BgL_typez00_bglt BgL_arg1682z00_3253;

						BgL_arg1682z00_3253 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3240))->
										BgL_variablez00)))->BgL_typez00);
						BgL_testz00_4598 =
							(((obj_t) BgL_arg1682z00_3253) ==
							BGl_za2procedurezd2elza2zd2zztype_cachez00);
					}
					if (BgL_testz00_4598)
						{	/* Cfa/ltype.scm 143 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3240)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2procedurezd2elza2zd2zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/ltype.scm 143 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &type-node!-kwote1570 */
	obj_t BGl_z62typezd2nodez12zd2kwote1570z70zzcfa_ltypez00(obj_t
		BgL_envz00_4190, obj_t BgL_nodez00_4191)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 133 */
			return BUNSPEC;
		}
	}



/* &type-node!-atom1568 */
	obj_t BGl_z62typezd2nodez12zd2atom1568z70zzcfa_ltypez00(obj_t BgL_envz00_4192,
		obj_t BgL_nodez00_4193)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 127 */
			return BUNSPEC;
		}
	}



/* &type-variable!-inter1564 */
	obj_t BGl_z62typezd2variablez12zd2inter1564z70zzcfa_ltypez00(obj_t
		BgL_envz00_4194, obj_t BgL_valuez00_4195, obj_t BgL_variablez00_4196)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 108 */
			return CNST_TABLE_REF(((long) 1));
		}
	}



/* &type-variable!-sexit1562 */
	obj_t BGl_z62typezd2variablez12zd2sexit1562z70zzcfa_ltypez00(obj_t
		BgL_envz00_4197, obj_t BgL_valuez00_4198, obj_t BgL_variablez00_4199)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 98 */
			return CNST_TABLE_REF(((long) 1));
		}
	}



/* &type-variable!-cvar/1560 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf21560z82zzcfa_ltypez00(obj_t
		BgL_envz00_4200, obj_t BgL_valuez00_4201, obj_t BgL_variablez00_4202)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 91 */
			{
				BgL_cvarz00_bglt BgL_valuez00_3214;
				obj_t BgL_variablez00_3215;

				BgL_valuez00_3214 = ((BgL_cvarz00_bglt) BgL_valuez00_4201);
				BgL_variablez00_3215 = BgL_variablez00_4202;
				{	/* Cfa/ltype.scm 93 */
					obj_t BgL_arg1671z00_4058;

					{	/* Cfa/ltype.scm 93 */
						BgL_approxz00_bglt BgL_arg1672z00_4059;

						{
							BgL_cvarzf2cinfozf2_bglt BgL_auxz00_4609;

							{
								obj_t BgL_auxz00_4610;

								{	/* Cfa/ltype.scm 93 */
									BgL_objectz00_bglt BgL_auxz00_4611;

									BgL_auxz00_4611 = ((BgL_objectz00_bglt) BgL_valuez00_3214);
									BgL_auxz00_4610 = BGL_OBJECT_WIDENING(BgL_auxz00_4611);
								}
								BgL_auxz00_4609 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_4610);
							}
							BgL_arg1672z00_4059 =
								(((BgL_cvarzf2cinfozf2_bglt) CREF(BgL_auxz00_4609))->
								BgL_approxz00);
						}
						if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
							(BgL_arg1672z00_4059))
							{	/* Cfa/ltype.scm 62 */
								BgL_arg1671z00_4058 =
									BGl_za2procedurezd2elza2zd2zztype_cachez00;
							}
						else
							{	/* Cfa/ltype.scm 62 */
								BgL_arg1671z00_4058 = BGl_za2_za2z00zztype_cachez00;
							}
					}
					if (
						(((obj_t)
								((BgL_typez00_bglt) BgL_arg1671z00_4058)) ==
							BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/ltype.scm 115 */
							return BFALSE;
						}
					else
						{	/* Cfa/ltype.scm 115 */
							return
								((((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_variablez00_3215)))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1671z00_4058)),
								BUNSPEC);
						}
				}
			}
		}
	}



/* &type-variable!-scnst1558 */
	obj_t BGl_z62typezd2variablez12zd2scnst1558z70zzcfa_ltypez00(obj_t
		BgL_envz00_4203, obj_t BgL_valuez00_4204, obj_t BgL_variablez00_4205)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 85 */
			return CNST_TABLE_REF(((long) 1));
		}
	}



/* &type-variable!-svar/1556 */
	obj_t BGl_z62typezd2variablez12zd2svarzf21556z82zzcfa_ltypez00(obj_t
		BgL_envz00_4206, obj_t BgL_valuez00_4207, obj_t BgL_variablez00_4208)
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 78 */
			{
				BgL_svarz00_bglt BgL_valuez00_3201;
				obj_t BgL_variablez00_3202;

				BgL_valuez00_3201 = ((BgL_svarz00_bglt) BgL_valuez00_4207);
				BgL_variablez00_3202 = BgL_variablez00_4208;
				{	/* Cfa/ltype.scm 80 */
					obj_t BgL_arg1669z00_4048;

					{	/* Cfa/ltype.scm 80 */
						BgL_approxz00_bglt BgL_arg1670z00_4049;

						{
							BgL_svarzf2cinfozf2_bglt BgL_auxz00_4627;

							{
								obj_t BgL_auxz00_4628;

								{	/* Cfa/ltype.scm 80 */
									BgL_objectz00_bglt BgL_auxz00_4629;

									BgL_auxz00_4629 = ((BgL_objectz00_bglt) BgL_valuez00_3201);
									BgL_auxz00_4628 = BGL_OBJECT_WIDENING(BgL_auxz00_4629);
								}
								BgL_auxz00_4627 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_4628);
							}
							BgL_arg1670z00_4049 =
								(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_4627))->
								BgL_approxz00);
						}
						if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
							(BgL_arg1670z00_4049))
							{	/* Cfa/ltype.scm 62 */
								BgL_arg1669z00_4048 =
									BGl_za2procedurezd2elza2zd2zztype_cachez00;
							}
						else
							{	/* Cfa/ltype.scm 62 */
								BgL_arg1669z00_4048 = BGl_za2_za2z00zztype_cachez00;
							}
					}
					if (
						(((obj_t)
								((BgL_typez00_bglt) BgL_arg1669z00_4048)) ==
							BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/ltype.scm 115 */
							return BFALSE;
						}
					else
						{	/* Cfa/ltype.scm 115 */
							return
								((((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_variablez00_3202)))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_arg1669z00_4048)),
								BUNSPEC);
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_ltypez00()
	{
		AN_OBJECT;
		{	/* Cfa/ltype.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 216926614),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
			return
				BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 89013043),
				BSTRING_TO_STRING(BGl_string2006z00zzcfa_ltypez00));
		}
	}

#ifdef __cplusplus
}
#endif
