/*===========================================================================*/
/*   (Integrate/cto.scm)                                                     */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/cto.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	static obj_t BGl_z62setzd2ctoz12zd2appzd2ly1265za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2select1280z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt, BgL_localz00_bglt);
	static obj_t BGl_z62setzd2ctoz12zd2atom1251z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2extern1270z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzintegrate_ctoz00();
	static obj_t BGl_z62setzd2ctoz12zd2funcall1267z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_ctoz00();
	static obj_t BGl_z62setzd2ctoz12zd2kwote1253z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2boxzd2ref1294za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2sequence1259z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2sync1261z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2fail1278z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2letzd2fun1282za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2app1263z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62setzd2ctoz12zd2setzd2exzd2it1286z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1288z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_ctoz00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2letzd2var1284za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62setzd2ctoz12zd2boxzd2setz121292zb0zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2makezd2box1290za2zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2closure1257z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2conditional1276z70zzintegrate_ctoz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2cast1272z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2ctoz12zd2setq1274z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz121248za2zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00();
	static obj_t BGl_z62setzd2ctoz12za2zzintegrate_ctoz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62setzd2ctoz12zd2var1255z70zzintegrate_ctoz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1716z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza71211749za7,
		BGl_z62setzd2ctoz121248za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1719z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71750z00,
		BGl_z62setzd2ctoz12zd2atom1251z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1721z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71751z00,
		BGl_z62setzd2ctoz12zd2kwote1253z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1722z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71752z00,
		BGl_z62setzd2ctoz12zd2var1255z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1723z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71753z00,
		BGl_z62setzd2ctoz12zd2closure1257z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1724z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71754z00,
		BGl_z62setzd2ctoz12zd2sequence1259z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1725z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71755z00,
		BGl_z62setzd2ctoz12zd2sync1261z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1726z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71756z00,
		BGl_z62setzd2ctoz12zd2app1263z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1727z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71757z00,
		BGl_z62setzd2ctoz12zd2appzd2ly1265za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1728z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71758z00,
		BGl_z62setzd2ctoz12zd2funcall1267z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1729z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71759z00,
		BGl_z62setzd2ctoz12zd2extern1270z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1730z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71760z00,
		BGl_z62setzd2ctoz12zd2cast1272z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1731z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71761z00,
		BGl_z62setzd2ctoz12zd2setq1274z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1732z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71762z00,
		BGl_z62setzd2ctoz12zd2conditional1276z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1733z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71763z00,
		BGl_z62setzd2ctoz12zd2fail1278z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1734z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71764z00,
		BGl_z62setzd2ctoz12zd2select1280z70zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1735z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71765z00,
		BGl_z62setzd2ctoz12zd2letzd2fun1282za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1736z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71766z00,
		BGl_z62setzd2ctoz12zd2letzd2var1284za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1737z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71767z00,
		BGl_z62setzd2ctoz12zd2setzd2exzd2it1286z70zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1738z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71768z00,
		BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1288z70zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1739z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71769z00,
		BGl_z62setzd2ctoz12zd2makezd2box1290za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1740z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71770z00,
		BGl_z62setzd2ctoz12zd2boxzd2setz121292zb0zzintegrate_ctoz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1741z00zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71771z00,
		BGl_z62setzd2ctoz12zd2boxzd2ref1294za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
		BgL_bgl_za762setza7d2ctoza712za71772z00,
		BGl_z62setzd2ctoz12za2zzintegrate_ctoz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1717z00zzintegrate_ctoz00,
		BgL_bgl_string1717za700za7za7i1773za7, "set-cto!1248", 12);
	      DEFINE_STRING(BGl_string1718z00zzintegrate_ctoz00,
		BgL_bgl_string1718za700za7za7i1774za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1720z00zzintegrate_ctoz00,
		BgL_bgl_string1720za700za7za7i1775za7, "set-cto!", 8);
	      DEFINE_STRING(BGl_string1742z00zzintegrate_ctoz00,
		BgL_bgl_string1742za700za7za7i1776za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string1743z00zzintegrate_ctoz00,
		BgL_bgl_string1743za700za7za7i1777za7, "integrate_cto", 13);
	      DEFINE_STRING(BGl_string1744z00zzintegrate_ctoz00,
		BgL_bgl_string1744za700za7za7i1778za7, "set-cto!1248 ", 13);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctoz00(long
		BgL_checksumz00_2063, char *BgL_fromz00_2064)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_ctoz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_ctoz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00();
					BGl_cnstzd2initzd2zzintegrate_ctoz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00();
					BGl_genericzd2initzd2zzintegrate_ctoz00();
					BGl_methodzd2initzd2zzintegrate_ctoz00();
					return BGl_toplevelzd2initzd2zzintegrate_ctoz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "integrate_cto");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"integrate_cto");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"integrate_cto");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			{	/* Integrate/cto.scm 15 */
				obj_t BgL_cportz00_2044;

				{	/* Integrate/cto.scm 15 */
					obj_t BgL_startz00_2053;

					BgL_startz00_2053 = BINT(((long) 0));
					{	/* Integrate/cto.scm 15 */
						obj_t BgL_endz00_2054;

						BgL_endz00_2054 =
							BINT(STRING_LENGTH(BGl_string1744z00zzintegrate_ctoz00));
						{	/* Integrate/cto.scm 15 */

							BgL_cportz00_2044 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1744z00zzintegrate_ctoz00, BgL_startz00_2053,
								BgL_endz00_2054);
				}}}
				{
					long BgL_iz00_2045;

					BgL_iz00_2045 = ((long) 0);
				BgL_loopz00_2046:
					if ((BgL_iz00_2045 == ((long) -1)))
						{	/* Integrate/cto.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/cto.scm 15 */
							{	/* Integrate/cto.scm 15 */
								obj_t BgL_arg1747z00_2048;

								{	/* Integrate/cto.scm 15 */

									{	/* Integrate/cto.scm 15 */
										obj_t BgL_locationz00_2050;

										BgL_locationz00_2050 = BBOOL(((bool_t) 0));
										{	/* Integrate/cto.scm 15 */

											BgL_arg1747z00_2048 =
												BGl_readz00zz__readerz00(BgL_cportz00_2044,
												BgL_locationz00_2050);
										}
									}
								}
								{	/* Integrate/cto.scm 15 */
									int BgL_auxz00_2090;

									BgL_auxz00_2090 = (int) (BgL_iz00_2045);
									CNST_TABLE_SET(BgL_auxz00_2090, BgL_arg1747z00_2048);
							}}
							{	/* Integrate/cto.scm 15 */
								int BgL_auxz00_2051;

								BgL_auxz00_2051 = (int) ((BgL_iz00_2045 - ((long) 1)));
								{
									long BgL_iz00_2095;

									BgL_iz00_2095 = (long) (BgL_auxz00_2051);
									BgL_iz00_2045 = BgL_iz00_2095;
									goto BgL_loopz00_2046;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_proc1716z00zzintegrate_ctoz00, BGl_nodez00zzast_nodez00,
				BGl_string1717z00zzintegrate_ctoz00);
		}
	}



/* &set-cto!1248 */
	obj_t BGl_z62setzd2ctoz121248za2zzintegrate_ctoz00(obj_t BgL_envz00_1950,
		obj_t BgL_nodez00_1951, obj_t BgL_localz00_1952)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 28 */
			{
				BgL_nodez00_bglt BgL_nodez00_1446;
				BgL_localz00_bglt BgL_localz00_1447;

				BgL_nodez00_1446 = ((BgL_nodez00_bglt) BgL_nodez00_1951);
				BgL_localz00_1447 = ((BgL_localz00_bglt) BgL_localz00_1952);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string1718z00zzintegrate_ctoz00, ((obj_t) BgL_nodez00_1446));
		}}
	}



/* set-cto! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_nodez00_bglt
		BgL_nodez00_3, BgL_localz00_bglt BgL_localz00_4)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 28 */
			{	/* Integrate/cto.scm 28 */
				obj_t BgL_method1249z00_1450;

				{	/* Integrate/cto.scm 28 */
					obj_t BgL_res1706z00_1876;

					{	/* Integrate/cto.scm 28 */
						long BgL_objzd2classzd2numz00_1849;

						{	/* Integrate/cto.scm 28 */
							long BgL_res1700z00_1852;

							BgL_res1700z00_1852 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_3));
							BgL_objzd2classzd2numz00_1849 = BgL_res1700z00_1852;
						}
						{	/* Integrate/cto.scm 28 */
							obj_t BgL_arg1664z00_1850;

							BgL_arg1664z00_1850 =
								PROCEDURE_REF(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
								(int) (((long) 1)));
							{	/* Integrate/cto.scm 28 */
								int BgL_offsetz00_1854;

								BgL_offsetz00_1854 = (int) (BgL_objzd2classzd2numz00_1849);
								{	/* Integrate/cto.scm 28 */
									long BgL_offsetz00_1855;

									BgL_offsetz00_1855 =
										((long) (BgL_offsetz00_1854) - OBJECT_TYPE);
									{	/* Integrate/cto.scm 28 */
										long BgL_modz00_1856;

										{	/* Integrate/cto.scm 28 */
											int BgL_arg1666z00_1857;

											BgL_arg1666z00_1857 = (int) (((long) 16));
											{	/* Integrate/cto.scm 28 */
												long BgL_res1703z00_1867;

												{	/* Integrate/cto.scm 28 */
													long BgL_auxz00_2111;

													BgL_auxz00_2111 = (long) (BgL_arg1666z00_1857);
													BgL_res1703z00_1867 =
														(BgL_offsetz00_1855 / BgL_auxz00_2111);
												}
												BgL_modz00_1856 = BgL_res1703z00_1867;
										}}
										{	/* Integrate/cto.scm 28 */
											long BgL_restz00_1858;

											{	/* Integrate/cto.scm 28 */
												int BgL_arg1665z00_1859;

												BgL_arg1665z00_1859 = (int) (((long) 16));
												{	/* Integrate/cto.scm 28 */
													long BgL_res1705z00_1871;

													{	/* Integrate/cto.scm 28 */
														long BgL_auxz00_2115;

														BgL_auxz00_2115 = (long) (BgL_arg1665z00_1859);
														BgL_res1705z00_1871 =
															(BgL_offsetz00_1855 % BgL_auxz00_2115);
													}
													BgL_restz00_1858 = BgL_res1705z00_1871;
											}}
											{	/* Integrate/cto.scm 28 */

												BgL_res1706z00_1876 =
													VECTOR_REF(VECTOR_REF(BgL_arg1664z00_1850,
														(int) (BgL_modz00_1856)), (int) (BgL_restz00_1858));
					}}}}}}}
					BgL_method1249z00_1450 = BgL_res1706z00_1876;
				}
				return
					PROCEDURE_ENTRY(BgL_method1249z00_1450) (BgL_method1249z00_1450,
					((obj_t) BgL_nodez00_3), ((obj_t) BgL_localz00_4), BEOA);
			}
		}
	}



/* &set-cto! */
	obj_t BGl_z62setzd2ctoz12za2zzintegrate_ctoz00(obj_t BgL_envz00_1953,
		obj_t BgL_nodez00_1954, obj_t BgL_localz00_1955)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 28 */
			return
				BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
				((BgL_nodez00_bglt) BgL_nodez00_1954),
				((BgL_localz00_bglt) BgL_localz00_1955));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_atomz00zzast_nodez00,
				BGl_proc1719z00zzintegrate_ctoz00, BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_kwotez00zzast_nodez00,
				BGl_proc1721z00zzintegrate_ctoz00, BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_varz00zzast_nodez00,
				BGl_proc1722z00zzintegrate_ctoz00, BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_closurez00zzast_nodez00, BGl_proc1723z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1724z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_syncz00zzast_nodez00,
				BGl_proc1725z00zzintegrate_ctoz00, BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_appz00zzast_nodez00,
				BGl_proc1726z00zzintegrate_ctoz00, BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1727z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1728z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_externz00zzast_nodez00, BGl_proc1729z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_castz00zzast_nodez00,
				BGl_proc1730z00zzintegrate_ctoz00, BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_setqz00zzast_nodez00,
				BGl_proc1731z00zzintegrate_ctoz00, BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1732z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00, BGl_failz00zzast_nodez00,
				BGl_proc1733z00zzintegrate_ctoz00, BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_selectz00zzast_nodez00, BGl_proc1734z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1735z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1736z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1737z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc1738z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1739z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1740z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_setzd2ctoz12zd2envz12zzintegrate_ctoz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1741z00zzintegrate_ctoz00,
				BGl_string1720z00zzintegrate_ctoz00);
		}
	}



/* &set-cto!-box-ref1294 */
	obj_t BGl_z62setzd2ctoz12zd2boxzd2ref1294za2zzintegrate_ctoz00(obj_t
		BgL_envz00_1978, obj_t BgL_nodez00_1979, obj_t BgL_localz00_1980)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 232 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1676;
				obj_t BgL_localz00_1677;

				BgL_nodez00_1676 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_1979);
				BgL_localz00_1677 = BgL_localz00_1980;
				{	/* Integrate/cto.scm 234 */
					BgL_varz00_bglt BgL_arg1582z00_1948;

					BgL_arg1582z00_1948 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1676))->BgL_varz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
						((BgL_nodez00_bglt) BgL_arg1582z00_1948),
						((BgL_localz00_bglt) BgL_localz00_1677));
				}
			}
		}
	}



/* &set-cto!-box-set!1292 */
	obj_t BGl_z62setzd2ctoz12zd2boxzd2setz121292zb0zzintegrate_ctoz00(obj_t
		BgL_envz00_1981, obj_t BgL_nodez00_1982, obj_t BgL_localz00_1983)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 224 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1668;
				obj_t BgL_localz00_1669;

				BgL_nodez00_1668 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_1982);
				BgL_localz00_1669 = BgL_localz00_1983;
				{	/* Integrate/cto.scm 226 */
					BgL_varz00_bglt BgL_arg1572z00_1945;

					BgL_arg1572z00_1945 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1668))->BgL_varz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
						((BgL_nodez00_bglt) BgL_arg1572z00_1945),
						((BgL_localz00_bglt) BgL_localz00_1669));
				}
				{	/* Integrate/cto.scm 227 */
					BgL_nodez00_bglt BgL_arg1576z00_1946;

					BgL_arg1576z00_1946 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1668))->BgL_valuez00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1576z00_1946,
						((BgL_localz00_bglt) BgL_localz00_1669));
				}
			}
		}
	}



/* &set-cto!-make-box1290 */
	obj_t BGl_z62setzd2ctoz12zd2makezd2box1290za2zzintegrate_ctoz00(obj_t
		BgL_envz00_1984, obj_t BgL_nodez00_1985, obj_t BgL_localz00_1986)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 217 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1661;
				obj_t BgL_localz00_1662;

				BgL_nodez00_1661 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_1985);
				BgL_localz00_1662 = BgL_localz00_1986;
				{	/* Integrate/cto.scm 219 */
					BgL_nodez00_bglt BgL_arg1571z00_1943;

					BgL_arg1571z00_1943 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1661))->BgL_valuez00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1571z00_1943,
						((BgL_localz00_bglt) BgL_localz00_1662));
				}
			}
		}
	}



/* &set-cto!-jump-ex-it1288 */
	obj_t BGl_z62setzd2ctoz12zd2jumpzd2exzd2it1288z70zzintegrate_ctoz00(obj_t
		BgL_envz00_1987, obj_t BgL_nodez00_1988, obj_t BgL_localz00_1989)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 209 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1653;
				obj_t BgL_localz00_1654;

				BgL_nodez00_1653 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_1988);
				BgL_localz00_1654 = BgL_localz00_1989;
				{	/* Integrate/cto.scm 211 */
					BgL_nodez00_bglt BgL_arg1557z00_1940;

					BgL_arg1557z00_1940 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1653))->
						BgL_exitz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1557z00_1940,
						((BgL_localz00_bglt) BgL_localz00_1654));
				}
				{	/* Integrate/cto.scm 212 */
					BgL_nodez00_bglt BgL_arg1569z00_1941;

					BgL_arg1569z00_1941 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1653))->
						BgL_valuez00);
					return BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1569z00_1941,
						((BgL_localz00_bglt) BgL_localz00_1654));
				}
			}
		}
	}



/* &set-cto!-set-ex-it1286 */
	obj_t BGl_z62setzd2ctoz12zd2setzd2exzd2it1286z70zzintegrate_ctoz00(obj_t
		BgL_envz00_1990, obj_t BgL_nodez00_1991, obj_t BgL_localz00_1992)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 202 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1646;
				obj_t BgL_localz00_1647;

				BgL_nodez00_1646 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_1991);
				BgL_localz00_1647 = BgL_localz00_1992;
				{	/* Integrate/cto.scm 204 */
					BgL_nodez00_bglt BgL_arg1555z00_1938;

					BgL_arg1555z00_1938 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1646))->BgL_bodyz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1555z00_1938,
						((BgL_localz00_bglt) BgL_localz00_1647));
				}
			}
		}
	}



/* &set-cto!-let-var1284 */
	obj_t BGl_z62setzd2ctoz12zd2letzd2var1284za2zzintegrate_ctoz00(obj_t
		BgL_envz00_1993, obj_t BgL_nodez00_1994, obj_t BgL_localz00_1995)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 190 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1630;
				obj_t BgL_localz00_1631;

				BgL_nodez00_1630 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_1994);
				BgL_localz00_1631 = BgL_localz00_1995;
				{	/* Integrate/cto.scm 192 */
					obj_t BgL_g1122z00_1635;

					BgL_g1122z00_1635 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1630))->BgL_bindingsz00);
					{
						obj_t BgL_bindingsz00_1637;

						BgL_bindingsz00_1637 = BgL_g1122z00_1635;
					BgL_zc3anonymousza31528ze3z83_1638:
						if (NULLP(BgL_bindingsz00_1637))
							{	/* Integrate/cto.scm 194 */
								BgL_nodez00_bglt BgL_arg1530z00_1640;

								BgL_arg1530z00_1640 =
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1630))->
									BgL_bodyz00);
								return
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1530z00_1640,
									((BgL_localz00_bglt) BgL_localz00_1631));
							}
						else
							{	/* Integrate/cto.scm 193 */
								{	/* Integrate/cto.scm 196 */
									obj_t BgL_arg1547z00_1641;

									BgL_arg1547z00_1641 = CDR(CAR(BgL_bindingsz00_1637));
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_arg1547z00_1641),
										((BgL_localz00_bglt) BgL_localz00_1631));
								}
								{
									obj_t BgL_bindingsz00_2193;

									BgL_bindingsz00_2193 = CDR(BgL_bindingsz00_1637);
									BgL_bindingsz00_1637 = BgL_bindingsz00_2193;
									goto BgL_zc3anonymousza31528ze3z83_1638;
								}
							}
					}
				}
			}
		}
	}



/* &set-cto!-let-fun1282 */
	obj_t BGl_z62setzd2ctoz12zd2letzd2fun1282za2zzintegrate_ctoz00(obj_t
		BgL_envz00_1996, obj_t BgL_nodez00_1997, obj_t BgL_localz00_1998)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 175 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1612;
				obj_t BgL_localz00_1613;

				BgL_nodez00_1612 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_1997);
				BgL_localz00_1613 = BgL_localz00_1998;
				{	/* Integrate/cto.scm 177 */
					obj_t BgL_g1117z00_1617;

					BgL_g1117z00_1617 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1612))->BgL_localsz00);
					{
						obj_t BgL_localsz00_1619;

						BgL_localsz00_1619 = BgL_g1117z00_1617;
					BgL_zc3anonymousza31517ze3z83_1620:
						if (NULLP(BgL_localsz00_1619))
							{	/* Integrate/cto.scm 179 */
								BgL_nodez00_bglt BgL_arg1519z00_1622;

								BgL_arg1519z00_1622 =
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1612))->
									BgL_bodyz00);
								return
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1519z00_1622,
									((BgL_localz00_bglt) BgL_localz00_1613));
							}
						else
							{	/* Integrate/cto.scm 180 */
								obj_t BgL_llocalz00_1623;

								BgL_llocalz00_1623 = CAR(BgL_localsz00_1619);
								{	/* Integrate/cto.scm 180 */
									BgL_valuez00_bglt BgL_funz00_1624;

									BgL_funz00_1624 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_llocalz00_1623))))->
										BgL_valuez00);
									{	/* Integrate/cto.scm 182 */

										{	/* Integrate/cto.scm 184 */
											obj_t BgL_arg1526z00_1626;

											BgL_arg1526z00_1626 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_1624)))->
												BgL_bodyz00);
											BGl_setzd2ctoz12zc0zzintegrate_ctoz00(((BgL_nodez00_bglt)
													BgL_arg1526z00_1626),
												((BgL_localz00_bglt) BgL_localz00_1613));
										}
										{
											obj_t BgL_localsz00_2211;

											BgL_localsz00_2211 = CDR(BgL_localsz00_1619);
											BgL_localsz00_1619 = BgL_localsz00_2211;
											goto BgL_zc3anonymousza31517ze3z83_1620;
										}
									}
								}
							}
					}
				}
			}
		}
	}



/* &set-cto!-select1280 */
	obj_t BGl_z62setzd2ctoz12zd2select1280z70zzintegrate_ctoz00(obj_t
		BgL_envz00_1999, obj_t BgL_nodez00_2000, obj_t BgL_localz00_2001)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 163 */
			{
				BgL_selectz00_bglt BgL_nodez00_1596;
				obj_t BgL_localz00_1597;

				BgL_nodez00_1596 = ((BgL_selectz00_bglt) BgL_nodez00_2000);
				BgL_localz00_1597 = BgL_localz00_2001;
				{	/* Integrate/cto.scm 165 */
					obj_t BgL_g1113z00_1601;

					BgL_g1113z00_1601 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1596))->BgL_clausesz00);
					{
						obj_t BgL_clausesz00_1603;

						BgL_clausesz00_1603 = BgL_g1113z00_1601;
					BgL_zc3anonymousza31501ze3z83_1604:
						if (NULLP(BgL_clausesz00_1603))
							{	/* Integrate/cto.scm 167 */
								BgL_nodez00_bglt BgL_arg1505z00_1606;

								BgL_arg1505z00_1606 =
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1596))->BgL_testz00);
								return
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1505z00_1606,
									((BgL_localz00_bglt) BgL_localz00_1597));
							}
						else
							{	/* Integrate/cto.scm 166 */
								{	/* Integrate/cto.scm 169 */
									obj_t BgL_arg1509z00_1607;

									BgL_arg1509z00_1607 = CDR(CAR(BgL_clausesz00_1603));
									BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
										((BgL_nodez00_bglt) BgL_arg1509z00_1607),
										((BgL_localz00_bglt) BgL_localz00_1597));
								}
								{
									obj_t BgL_clausesz00_2225;

									BgL_clausesz00_2225 = CDR(BgL_clausesz00_1603);
									BgL_clausesz00_1603 = BgL_clausesz00_2225;
									goto BgL_zc3anonymousza31501ze3z83_1604;
								}
							}
					}
				}
			}
		}
	}



/* &set-cto!-fail1278 */
	obj_t BGl_z62setzd2ctoz12zd2fail1278z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2002, obj_t BgL_nodez00_2003, obj_t BgL_localz00_2004)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 154 */
			{
				BgL_failz00_bglt BgL_nodez00_1587;
				obj_t BgL_localz00_1588;

				BgL_nodez00_1587 = ((BgL_failz00_bglt) BgL_nodez00_2003);
				BgL_localz00_1588 = BgL_localz00_2004;
				{	/* Integrate/cto.scm 156 */
					BgL_nodez00_bglt BgL_arg1494z00_1592;

					BgL_arg1494z00_1592 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1587))->BgL_procz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1494z00_1592,
						((BgL_localz00_bglt) BgL_localz00_1588));
				}
				{	/* Integrate/cto.scm 157 */
					BgL_nodez00_bglt BgL_arg1496z00_1593;

					BgL_arg1496z00_1593 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1587))->BgL_msgz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1496z00_1593,
						((BgL_localz00_bglt) BgL_localz00_1588));
				}
				{	/* Integrate/cto.scm 158 */
					BgL_nodez00_bglt BgL_arg1500z00_1594;

					BgL_arg1500z00_1594 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1587))->BgL_objz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1500z00_1594,
						((BgL_localz00_bglt) BgL_localz00_1588));
				}
			}
		}
	}



/* &set-cto!-conditional1276 */
	obj_t BGl_z62setzd2ctoz12zd2conditional1276z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2005, obj_t BgL_nodez00_2006, obj_t BgL_localz00_2007)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 145 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1578;
				obj_t BgL_localz00_1579;

				BgL_nodez00_1578 = ((BgL_conditionalz00_bglt) BgL_nodez00_2006);
				BgL_localz00_1579 = BgL_localz00_2007;
				{	/* Integrate/cto.scm 147 */
					BgL_nodez00_bglt BgL_arg1491z00_1583;

					BgL_arg1491z00_1583 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1578))->BgL_testz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1491z00_1583,
						((BgL_localz00_bglt) BgL_localz00_1579));
				}
				{	/* Integrate/cto.scm 148 */
					BgL_nodez00_bglt BgL_arg1492z00_1584;

					BgL_arg1492z00_1584 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1578))->BgL_truez00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1492z00_1584,
						((BgL_localz00_bglt) BgL_localz00_1579));
				}
				{	/* Integrate/cto.scm 149 */
					BgL_nodez00_bglt BgL_arg1493z00_1585;

					BgL_arg1493z00_1585 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1578))->BgL_falsez00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1493z00_1585,
						((BgL_localz00_bglt) BgL_localz00_1579));
				}
			}
		}
	}



/* &set-cto!-setq1274 */
	obj_t BGl_z62setzd2ctoz12zd2setq1274z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2008, obj_t BgL_nodez00_2009, obj_t BgL_localz00_2010)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 137 */
			{
				BgL_setqz00_bglt BgL_nodez00_1570;
				obj_t BgL_localz00_1571;

				BgL_nodez00_1570 = ((BgL_setqz00_bglt) BgL_nodez00_2009);
				BgL_localz00_1571 = BgL_localz00_2010;
				{	/* Integrate/cto.scm 139 */
					BgL_varz00_bglt BgL_arg1484z00_1915;

					BgL_arg1484z00_1915 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1570))->BgL_varz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
						((BgL_nodez00_bglt) BgL_arg1484z00_1915),
						((BgL_localz00_bglt) BgL_localz00_1571));
				}
				{	/* Integrate/cto.scm 140 */
					BgL_nodez00_bglt BgL_arg1485z00_1916;

					BgL_arg1485z00_1916 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1570))->BgL_valuez00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1485z00_1916,
						((BgL_localz00_bglt) BgL_localz00_1571));
				}
			}
		}
	}



/* &set-cto!-cast1272 */
	obj_t BGl_z62setzd2ctoz12zd2cast1272z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2011, obj_t BgL_nodez00_2012, obj_t BgL_localz00_2013)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 130 */
			{
				BgL_castz00_bglt BgL_nodez00_1563;
				obj_t BgL_localz00_1564;

				BgL_nodez00_1563 = ((BgL_castz00_bglt) BgL_nodez00_2012);
				BgL_localz00_1564 = BgL_localz00_2013;
				{	/* Integrate/cto.scm 132 */
					BgL_nodez00_bglt BgL_arg1482z00_1913;

					BgL_arg1482z00_1913 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1563))->BgL_argz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1482z00_1913,
						((BgL_localz00_bglt) BgL_localz00_1564));
				}
			}
		}
	}



/* &set-cto!-extern1270 */
	obj_t BGl_z62setzd2ctoz12zd2extern1270z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2014, obj_t BgL_nodez00_2015, obj_t BgL_localz00_2016)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 123 */
			{
				BgL_externz00_bglt BgL_nodez00_1549;
				obj_t BgL_localz00_1550;

				BgL_nodez00_1549 = ((BgL_externz00_bglt) BgL_nodez00_2015);
				BgL_localz00_1550 = BgL_localz00_2016;
				{	/* Integrate/cto.scm 125 */
					obj_t BgL_g1247z00_1554;

					BgL_g1247z00_1554 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1549))->BgL_exprza2za2);
					{
						obj_t BgL_l1245z00_1556;

						{	/* Integrate/cto.scm 125 */
							bool_t BgL_auxz00_2261;

							BgL_l1245z00_1556 = BgL_g1247z00_1554;
						BgL_zc3anonymousza31468ze3z83_1557:
							if (PAIRP(BgL_l1245z00_1556))
								{	/* Integrate/cto.scm 125 */
									{	/* Integrate/cto.scm 125 */
										obj_t BgL_nodez00_1559;

										BgL_nodez00_1559 = CAR(BgL_l1245z00_1556);
										BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
											((BgL_nodez00_bglt) BgL_nodez00_1559),
											((BgL_localz00_bglt) BgL_localz00_1550));
									}
									{
										obj_t BgL_l1245z00_2268;

										BgL_l1245z00_2268 = CDR(BgL_l1245z00_1556);
										BgL_l1245z00_1556 = BgL_l1245z00_2268;
										goto BgL_zc3anonymousza31468ze3z83_1557;
									}
								}
							else
								{	/* Integrate/cto.scm 125 */
									BgL_auxz00_2261 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_2261);
						}
					}
				}
			}
		}
	}



/* &set-cto!-funcall1267 */
	obj_t BGl_z62setzd2ctoz12zd2funcall1267z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2017, obj_t BgL_nodez00_2018, obj_t BgL_localz00_2019)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 111 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1534;
				obj_t BgL_localz00_1535;

				BgL_nodez00_1534 = ((BgL_funcallz00_bglt) BgL_nodez00_2018);
				BgL_localz00_1535 = BgL_localz00_2019;
				{
					obj_t BgL_astsz00_1541;

					BgL_astsz00_1541 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1534))->BgL_argsz00);
				BgL_zc3anonymousza31455ze3z83_1542:
					if (NULLP(BgL_astsz00_1541))
						{	/* Integrate/cto.scm 115 */
							BgL_nodez00_bglt BgL_arg1459z00_1544;

							BgL_arg1459z00_1544 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1534))->BgL_funz00);
							return
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1459z00_1544,
								((BgL_localz00_bglt) BgL_localz00_1535));
						}
					else
						{	/* Integrate/cto.scm 114 */
							{	/* Integrate/cto.scm 117 */
								obj_t BgL_arg1460z00_1545;

								BgL_arg1460z00_1545 = CAR(BgL_astsz00_1541);
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
									((BgL_nodez00_bglt) BgL_arg1460z00_1545),
									((BgL_localz00_bglt) BgL_localz00_1535));
							}
							{
								obj_t BgL_astsz00_2281;

								BgL_astsz00_2281 = CDR(BgL_astsz00_1541);
								BgL_astsz00_1541 = BgL_astsz00_2281;
								goto BgL_zc3anonymousza31455ze3z83_1542;
							}
						}
				}
			}
		}
	}



/* &set-cto!-app-ly1265 */
	obj_t BGl_z62setzd2ctoz12zd2appzd2ly1265za2zzintegrate_ctoz00(obj_t
		BgL_envz00_2020, obj_t BgL_nodez00_2021, obj_t BgL_localz00_2022)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 103 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1526;
				obj_t BgL_localz00_1527;

				BgL_nodez00_1526 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2021);
				BgL_localz00_1527 = BgL_localz00_2022;
				{	/* Integrate/cto.scm 105 */
					BgL_nodez00_bglt BgL_arg1447z00_1902;

					BgL_arg1447z00_1902 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1526))->BgL_funz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1447z00_1902,
						((BgL_localz00_bglt) BgL_localz00_1527));
				}
				{	/* Integrate/cto.scm 106 */
					BgL_nodez00_bglt BgL_arg1452z00_1903;

					BgL_arg1452z00_1903 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1526))->BgL_argz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1452z00_1903,
						((BgL_localz00_bglt) BgL_localz00_1527));
				}
			}
		}
	}



/* &set-cto!-app1263 */
	obj_t BGl_z62setzd2ctoz12zd2app1263z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2023, obj_t BgL_nodez00_2024, obj_t BgL_localz00_2025)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 73 */
			{
				BgL_appz00_bglt BgL_nodez00_1495;
				obj_t BgL_localz00_1496;

				BgL_nodez00_1495 = ((BgL_appz00_bglt) BgL_nodez00_2024);
				BgL_localz00_1496 = BgL_localz00_2025;
				{	/* Integrate/cto.scm 77 */
					BgL_variablez00_bglt BgL_funz00_1500;

					BgL_funz00_1500 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1495))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Integrate/cto.scm 78 */
						bool_t BgL_testz00_2294;

						{	/* Integrate/cto.scm 78 */
							bool_t BgL_testz00_2295;

							{	/* Integrate/cto.scm 78 */
								bool_t BgL_res1708z00_1885;

								BgL_res1708z00_1885 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_funz00_1500), BGl_localz00zzast_varz00);
								BgL_testz00_2295 = BgL_res1708z00_1885;
							}
							if (BgL_testz00_2295)
								{	/* Integrate/cto.scm 78 */
									if ((BgL_localz00_1496 == ((obj_t) BgL_funz00_1500)))
										{	/* Integrate/cto.scm 78 */
											BgL_testz00_2294 = ((bool_t) 0);
										}
									else
										{	/* Integrate/cto.scm 78 */
											BgL_testz00_2294 = ((bool_t) 1);
										}
								}
							else
								{	/* Integrate/cto.scm 78 */
									BgL_testz00_2294 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2294)
							{	/* Integrate/cto.scm 78 */
								BNIL;
							}
						else
							{	/* Integrate/cto.scm 78 */
								BFALSE;
							}
					}
					{	/* Integrate/cto.scm 85 */
						bool_t BgL_testz00_2301;

						{	/* Integrate/cto.scm 85 */
							bool_t BgL_testz00_2302;

							{	/* Integrate/cto.scm 85 */
								bool_t BgL_res1709z00_1887;

								BgL_res1709z00_1887 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_funz00_1500), BGl_localz00zzast_varz00);
								BgL_testz00_2302 = BgL_res1709z00_1887;
							}
							if (BgL_testz00_2302)
								{	/* Integrate/cto.scm 86 */
									bool_t BgL_testz00_2305;

									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2306;

										{
											obj_t BgL_auxz00_2307;

											{	/* Integrate/cto.scm 86 */
												BgL_objectz00_bglt BgL_auxz00_2308;

												BgL_auxz00_2308 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_funz00_1500))))->
															BgL_valuez00)));
												BgL_auxz00_2307 = BGL_OBJECT_WIDENING(BgL_auxz00_2308);
											}
											BgL_auxz00_2306 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2307);
										}
										BgL_testz00_2305 =
											(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2306))->
											BgL_gzf3zf3);
									}
									if (BgL_testz00_2305)
										{	/* Integrate/cto.scm 86 */
											if ((BgL_localz00_1496 == ((obj_t) BgL_funz00_1500)))
												{	/* Integrate/cto.scm 87 */
													BgL_testz00_2301 = ((bool_t) 0);
												}
											else
												{	/* Integrate/cto.scm 88 */
													bool_t BgL_testz00_2320;

													{	/* Integrate/cto.scm 88 */
														obj_t BgL_auxz00_2321;

														{	/* Integrate/cto.scm 88 */
															obj_t BgL_auxz00_2322;

															{
																BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2324;

																{
																	obj_t BgL_auxz00_2325;

																	{	/* Integrate/cto.scm 88 */
																		BgL_objectz00_bglt BgL_auxz00_2326;

																		BgL_auxz00_2326 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt)
																				(((BgL_variablez00_bglt) CREF(
																							((BgL_variablez00_bglt)
																								((BgL_localz00_bglt)
																									BgL_localz00_1496))))->
																					BgL_valuez00)));
																		BgL_auxz00_2325 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2326);
																	}
																	BgL_auxz00_2324 =
																		((BgL_sfunzf2iinfozf2_bglt)
																		BgL_auxz00_2325);
																}
																BgL_auxz00_2322 =
																	(((BgL_sfunzf2iinfozf2_bglt)
																		CREF(BgL_auxz00_2324))->BgL_ctoz00);
															}
															BgL_auxz00_2321 =
																BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
																((obj_t) BgL_funz00_1500), BgL_auxz00_2322);
														}
														BgL_testz00_2320 = CBOOL(BgL_auxz00_2321);
													}
													if (BgL_testz00_2320)
														{	/* Integrate/cto.scm 88 */
															BgL_testz00_2301 = ((bool_t) 0);
														}
													else
														{	/* Integrate/cto.scm 88 */
															BgL_testz00_2301 = ((bool_t) 1);
														}
												}
										}
									else
										{	/* Integrate/cto.scm 86 */
											BgL_testz00_2301 = ((bool_t) 0);
										}
								}
							else
								{	/* Integrate/cto.scm 85 */
									BgL_testz00_2301 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_2301)
							{	/* Integrate/cto.scm 89 */
								BgL_valuez00_bglt BgL_arg1366z00_1505;
								obj_t BgL_arg1371z00_1506;

								BgL_arg1366z00_1505 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_localz00_bglt) BgL_localz00_1496))))->
									BgL_valuez00);
								{	/* Integrate/cto.scm 92 */
									obj_t BgL_arg1372z00_1507;

									{
										BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2340;

										{
											obj_t BgL_auxz00_2341;

											{	/* Integrate/cto.scm 91 */
												BgL_objectz00_bglt BgL_auxz00_2342;

												BgL_auxz00_2342 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1496))))->
															BgL_valuez00)));
												BgL_auxz00_2341 = BGL_OBJECT_WIDENING(BgL_auxz00_2342);
											}
											BgL_auxz00_2340 =
												((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2341);
										}
										BgL_arg1372z00_1507 =
											(((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2340))->
											BgL_ctoz00);
									}
									BgL_arg1371z00_1506 =
										MAKE_PAIR(((obj_t) BgL_funz00_1500), BgL_arg1372z00_1507);
								}
								{
									BgL_sfunzf2iinfozf2_bglt BgL_auxz00_2353;

									{
										obj_t BgL_auxz00_2354;

										{	/* Integrate/cto.scm 89 */
											BgL_objectz00_bglt BgL_auxz00_2355;

											BgL_auxz00_2355 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_arg1366z00_1505));
											BgL_auxz00_2354 = BGL_OBJECT_WIDENING(BgL_auxz00_2355);
										}
										BgL_auxz00_2353 =
											((BgL_sfunzf2iinfozf2_bglt) BgL_auxz00_2354);
									}
									((((BgL_sfunzf2iinfozf2_bglt) CREF(BgL_auxz00_2353))->
											BgL_ctoz00) = ((obj_t) BgL_arg1371z00_1506), BUNSPEC);
								}
							}
						else
							{	/* Integrate/cto.scm 85 */
								BFALSE;
							}
					}
				}
				{
					obj_t BgL_astsz00_1519;

					BgL_astsz00_1519 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1495))->BgL_argsz00);
				BgL_zc3anonymousza31400ze3z83_1520:
					if (NULLP(BgL_astsz00_1519))
						{	/* Integrate/cto.scm 94 */
							return BUNSPEC;
						}
					else
						{	/* Integrate/cto.scm 94 */
							{	/* Integrate/cto.scm 97 */
								obj_t BgL_arg1441z00_1522;

								BgL_arg1441z00_1522 = CAR(BgL_astsz00_1519);
								BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
									((BgL_nodez00_bglt) BgL_arg1441z00_1522),
									((BgL_localz00_bglt) BgL_localz00_1496));
							}
							{
								obj_t BgL_astsz00_2367;

								BgL_astsz00_2367 = CDR(BgL_astsz00_1519);
								BgL_astsz00_1519 = BgL_astsz00_2367;
								goto BgL_zc3anonymousza31400ze3z83_1520;
							}
						}
				}
			}
		}
	}



/* &set-cto!-sync1261 */
	obj_t BGl_z62setzd2ctoz12zd2sync1261z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2026, obj_t BgL_nodez00_2027, obj_t BgL_localz00_2028)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 64 */
			{
				BgL_syncz00_bglt BgL_nodez00_1486;
				obj_t BgL_localz00_1487;

				BgL_nodez00_1486 = ((BgL_syncz00_bglt) BgL_nodez00_2027);
				BgL_localz00_1487 = BgL_localz00_2028;
				{	/* Integrate/cto.scm 66 */
					BgL_nodez00_bglt BgL_arg1344z00_1491;

					BgL_arg1344z00_1491 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1486))->BgL_mutexz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1344z00_1491,
						((BgL_localz00_bglt) BgL_localz00_1487));
				}
				{	/* Integrate/cto.scm 67 */
					BgL_nodez00_bglt BgL_arg1360z00_1492;

					BgL_arg1360z00_1492 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1486))->BgL_prelockz00);
					BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1360z00_1492,
						((BgL_localz00_bglt) BgL_localz00_1487));
				}
				{	/* Integrate/cto.scm 68 */
					BgL_nodez00_bglt BgL_arg1361z00_1493;

					BgL_arg1361z00_1493 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1486))->BgL_bodyz00);
					return
						BGl_setzd2ctoz12zc0zzintegrate_ctoz00(BgL_arg1361z00_1493,
						((BgL_localz00_bglt) BgL_localz00_1487));
				}
			}
		}
	}



/* &set-cto!-sequence1259 */
	obj_t BGl_z62setzd2ctoz12zd2sequence1259z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2029, obj_t BgL_nodez00_2030, obj_t BgL_localz00_2031)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 57 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1472;
				obj_t BgL_localz00_1473;

				BgL_nodez00_1472 = ((BgL_sequencez00_bglt) BgL_nodez00_2030);
				BgL_localz00_1473 = BgL_localz00_2031;
				{	/* Integrate/cto.scm 59 */
					obj_t BgL_g1244z00_1477;

					BgL_g1244z00_1477 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1472))->BgL_nodesz00);
					{
						obj_t BgL_l1242z00_1479;

						{	/* Integrate/cto.scm 59 */
							bool_t BgL_auxz00_2382;

							BgL_l1242z00_1479 = BgL_g1244z00_1477;
						BgL_zc3anonymousza31332ze3z83_1480:
							if (PAIRP(BgL_l1242z00_1479))
								{	/* Integrate/cto.scm 59 */
									{	/* Integrate/cto.scm 59 */
										obj_t BgL_nodez00_1482;

										BgL_nodez00_1482 = CAR(BgL_l1242z00_1479);
										BGl_setzd2ctoz12zc0zzintegrate_ctoz00(
											((BgL_nodez00_bglt) BgL_nodez00_1482),
											((BgL_localz00_bglt) BgL_localz00_1473));
									}
									{
										obj_t BgL_l1242z00_2389;

										BgL_l1242z00_2389 = CDR(BgL_l1242z00_1479);
										BgL_l1242z00_1479 = BgL_l1242z00_2389;
										goto BgL_zc3anonymousza31332ze3z83_1480;
									}
								}
							else
								{	/* Integrate/cto.scm 59 */
									BgL_auxz00_2382 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_2382);
						}
					}
				}
			}
		}
	}



/* &set-cto!-closure1257 */
	obj_t BGl_z62setzd2ctoz12zd2closure1257z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2032, obj_t BgL_nodez00_2033, obj_t BgL_localz00_2034)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 51 */
			{
				BgL_closurez00_bglt BgL_nodez00_1466;
				obj_t BgL_localz00_1467;

				BgL_nodez00_1466 = ((BgL_closurez00_bglt) BgL_nodez00_2033);
				BgL_localz00_1467 = BgL_localz00_2034;
				{	/* Integrate/cto.scm 52 */
					obj_t BgL_arg1331z00_1877;

					BgL_arg1331z00_1877 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1466));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string1720z00zzintegrate_ctoz00,
						BGl_string1742z00zzintegrate_ctoz00, BgL_arg1331z00_1877);
				}
			}
		}
	}



/* &set-cto!-var1255 */
	obj_t BGl_z62setzd2ctoz12zd2var1255z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2035, obj_t BgL_nodez00_2036, obj_t BgL_localz00_2037)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 45 */
			return BUNSPEC;
		}
	}



/* &set-cto!-kwote1253 */
	obj_t BGl_z62setzd2ctoz12zd2kwote1253z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2038, obj_t BgL_nodez00_2039, obj_t BgL_localz00_2040)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 39 */
			return BUNSPEC;
		}
	}



/* &set-cto!-atom1251 */
	obj_t BGl_z62setzd2ctoz12zd2atom1251z70zzintegrate_ctoz00(obj_t
		BgL_envz00_2041, obj_t BgL_nodez00_2042, obj_t BgL_localz00_2043)
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 33 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_ctoz00()
	{
		AN_OBJECT;
		{	/* Integrate/cto.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1743z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1743z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1743z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1743z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1743z00zzintegrate_ctoz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1743z00zzintegrate_ctoz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1743z00zzintegrate_ctoz00));
		}
	}

#ifdef __cplusplus
}
#endif
