/*===========================================================================*/
/*   (Module/class.scm)                                                      */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/class.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	static obj_t BGl_forcezd2classzd2accessesz00zzmodule_classz00();
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_makezd2classzd2fieldsz00zzmodule_classz00(obj_t);
	extern obj_t
		BGl_classgenzd2makezd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	static long BGl_getzd2classzd2hashz00zzmodule_classz00(obj_t);
	static obj_t
		BGl_z62classzd2finaliza7erzd2addzd2staticz12z05zzmodule_classz00(obj_t);
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	extern obj_t BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00;
	static obj_t BGl_z62classzd2finaliza7erz17zzmodule_classz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t,
		obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
	static obj_t BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zzmodule_classz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_classz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_classz00();
	static obj_t BGl_z62zc3anonymousza31616ze3ze1zzmodule_classz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31455ze3ze1zzmodule_classz00(obj_t);
	static obj_t BGl_z62getzd2objectzd2unitz62zzmodule_classz00(obj_t);
	extern BgL_typez00_bglt
		BGl_declarezd2classzd2typez12z12zzobject_classz00(obj_t, BgL_globalz00_bglt,
		obj_t, bool_t, bool_t, obj_t);
	extern obj_t
		BGl_classgenzd2allocatezd2anonymousz00zzobject_classgenz00
		(BgL_typez00_bglt);
	BGL_IMPORT long BGl_getzd2hashnumberzd2persistentz00zz__hashz00(obj_t);
	extern obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
	static obj_t BGl_z62getzd2methodzd2unitz62zzmodule_classz00(obj_t);
	static obj_t BGl_makezd2classzd2virtualzd2fieldszd2zzmodule_classz00(obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	extern bool_t BGl_slotzd2defaultzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_za2objectzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_z62zc3anonymousza31763ze3ze1zzmodule_classz00(obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00();
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt,
		obj_t);
	static obj_t BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BUNSPEC;
	static obj_t BGl_z62declarezd2widezd2classz12z70zzmodule_classz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62getzd2genericzd2unitz62zzmodule_classz00(obj_t);
	static BgL_typez00_bglt
		BGl_declarezd2exportzd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62declarezd2classz12za2zzmodule_classz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_classz00 = BUNSPEC;
	static obj_t BGl_za2methodzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
	static obj_t BGl_za2genericzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmodule_classz00();
	BGL_EXPORTED_DECL obj_t BGl_classzd2finaliza7erz75zzmodule_classz00();
	extern bool_t
		BGl_checkzd2classzd2declarationzf3zf3zzobject_classz00(BgL_typez00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzmodule_classz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62delayzd2classzd2accessorsz12z70zzmodule_classz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	static obj_t BGl_slotzd2defaultzd2exprz00zzmodule_classz00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2debugzd2moduleza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	static obj_t BGl_typezd2defaultzd2idz00zzmodule_classz00(obj_t);
	static obj_t BGl_genzd2registerzd2classz12z12zzmodule_classz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2objectzd2unitz00zzmodule_classz00();
	extern obj_t BGl_idzd2ofzd2idz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_setzd2classzd2slotsz12z12zzobject_classz00(BgL_typez00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00();
	extern obj_t BGl_jclassz00zzobject_classz00;
	extern obj_t
		BGl_classgenzd2widenzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classgenz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern bool_t BGl_slotzd2virtualzf3z21zzobject_slotsz00(BgL_slotz00_bglt);
	extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzmodule_classz00();
	static obj_t BGl_z62zc3anonymousza31399ze3ze1zzmodule_classz00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_classz00();
	static BgL_typez00_bglt
		BGl_declarezd2importzd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t,
		bool_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_classz00();
	extern obj_t
		BGl_classgenzd2slotzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt,
		BgL_slotz00_bglt);
	static obj_t BGl_setterz00zzmodule_classz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t
		BGl_classgenzd2shrinkzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00();
	extern obj_t
		BGl_findzd2classzd2constructorz00zzobject_classz00(BgL_typez00_bglt);
	static obj_t BGl_getterz00zzmodule_classz00(obj_t, obj_t);
	static long BGl_loopz00zzmodule_classz00(obj_t, long);
	static obj_t BGl_epairifyzd2slotzd2zzmodule_classz00(obj_t, obj_t);
	extern obj_t
		BGl_classgenzd2nilzd2anonymousz00zzobject_classgenz00(BgL_typez00_bglt);
	static obj_t __cnst[33];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2finaliza7erzd2addzd2staticz12zd2envzb5zzmodule_classz00,
		BgL_bgl_za762classza7d2final2036z00,
		BGl_z62classzd2finaliza7erzd2addzd2staticz12z05zzmodule_classz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2objectzd2unitzd2envzd2zzmodule_classz00,
		BgL_bgl_za762getza7d2objectza72037za7,
		BGl_z62getzd2objectzd2unitz62zzmodule_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_delayzd2classzd2accessorsz12zd2envzc0zzmodule_classz00,
		BgL_bgl_za762delayza7d2class2038z00,
		BGl_z62delayzd2classzd2accessorsz12z70zzmodule_classz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2029z00zzmodule_classz00,
		BgL_bgl_string2029za700za7za7m2039za7, "bgl_init_module_debug_object(\"",
		30);
	      DEFINE_STRING(BGl_string2030z00zzmodule_classz00,
		BgL_bgl_string2030za700za7za7m2040za7, "\")", 2);
	      DEFINE_STRING(BGl_string2031z00zzmodule_classz00,
		BgL_bgl_string2031za700za7za7m2041za7, "module_class", 12);
	      DEFINE_STRING(BGl_string2032z00zzmodule_classz00,
		BgL_bgl_string2032za700za7za7m2042za7,
		"generic method unit object (#unspecified) begin pragma::void module void staged call-next-virtual-setter call-next-virtual-getter call-next-slot cons obj _ call-virtual-setter v lambda call-virtual-getter o make-class-field vector define quote register-class! __object @ widening wide plain final (export static) ",
		313);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_classzd2finaliza7erzd2envza7zzmodule_classz00,
		BgL_bgl_za762classza7d2final2043z00,
		BGl_z62classzd2finaliza7erz17zzmodule_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2widezd2classz12zd2envzc0zzmodule_classz00,
		BgL_bgl_za762declareza7d2wid2044z00,
		BGl_z62declarezd2widezd2classz12z70zzmodule_classz00, 0L, BUNSPEC, 5);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2genericzd2unitzd2envzd2zzmodule_classz00,
		BgL_bgl_za762getza7d2generic2045z00,
		BGl_z62getzd2genericzd2unitz62zzmodule_classz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2classz12zd2envz12zzmodule_classz00,
		BgL_bgl_za762declareza7d2cla2046z00,
		BGl_z62declarezd2classz12za2zzmodule_classz00, 0L, BUNSPEC, 7);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2methodzd2unitzd2envzd2zzmodule_classz00,
		BgL_bgl_za762getza7d2methodza72047za7,
		BGl_z62getzd2methodzd2unitz62zzmodule_classz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long
		BgL_checksumz00_2746, char *BgL_fromz00_2747)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_classz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_classz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_classz00();
					BGl_cnstzd2initzd2zzmodule_classz00();
					BGl_importedzd2moduleszd2initz00zzmodule_classz00();
					return BGl_toplevelzd2initzd2zzmodule_classz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_class");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_class");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "module_class");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"module_class");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "module_class");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 15 */
			{	/* Module/class.scm 15 */
				obj_t BgL_cportz00_2733;

				{	/* Module/class.scm 15 */
					obj_t BgL_startz00_2742;

					BgL_startz00_2742 = BINT(((long) 0));
					{	/* Module/class.scm 15 */
						obj_t BgL_endz00_2743;

						BgL_endz00_2743 =
							BINT(STRING_LENGTH(BGl_string2032z00zzmodule_classz00));
						{	/* Module/class.scm 15 */

							BgL_cportz00_2733 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string2032z00zzmodule_classz00, BgL_startz00_2742,
								BgL_endz00_2743);
				}}}
				{
					long BgL_iz00_2734;

					BgL_iz00_2734 = ((long) 32);
				BgL_loopz00_2735:
					if ((BgL_iz00_2734 == ((long) -1)))
						{	/* Module/class.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/class.scm 15 */
							{	/* Module/class.scm 15 */
								obj_t BgL_arg2034z00_2737;

								{	/* Module/class.scm 15 */

									{	/* Module/class.scm 15 */
										obj_t BgL_locationz00_2739;

										BgL_locationz00_2739 = BBOOL(((bool_t) 0));
										{	/* Module/class.scm 15 */

											BgL_arg2034z00_2737 =
												BGl_readz00zz__readerz00(BgL_cportz00_2733,
												BgL_locationz00_2739);
										}
									}
								}
								{	/* Module/class.scm 15 */
									int BgL_auxz00_2775;

									BgL_auxz00_2775 = (int) (BgL_iz00_2734);
									CNST_TABLE_SET(BgL_auxz00_2775, BgL_arg2034z00_2737);
							}}
							{	/* Module/class.scm 15 */
								int BgL_auxz00_2740;

								BgL_auxz00_2740 = (int) ((BgL_iz00_2734 - ((long) 1)));
								{
									long BgL_iz00_2780;

									BgL_iz00_2780 = (long) (BgL_auxz00_2740);
									BgL_iz00_2734 = BgL_iz00_2780;
									goto BgL_loopz00_2735;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 15 */
			BGl_za2objectzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
			BGl_za2methodzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
			BGl_za2genericzd2unitza2zd2zzmodule_classz00 = BUNSPEC;
			BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BNIL;
			return (BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BNIL, BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_classz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1607;

				BgL_headz00_1607 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1608;
					obj_t BgL_tailz00_1609;

					BgL_prevz00_1608 = BgL_headz00_1607;
					BgL_tailz00_1609 = BgL_l1z00_1;
				BgL_loopz00_1610:
					if (PAIRP(BgL_tailz00_1609))
						{
							obj_t BgL_newzd2prevzd2_1612;

							BgL_newzd2prevzd2_1612 =
								MAKE_PAIR(CAR(BgL_tailz00_1609), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1608, BgL_newzd2prevzd2_1612);
							{
								obj_t BgL_tailz00_2789;
								obj_t BgL_prevz00_2788;

								BgL_prevz00_2788 = BgL_newzd2prevzd2_1612;
								BgL_tailz00_2789 = CDR(BgL_tailz00_1609);
								BgL_tailz00_1609 = BgL_tailz00_2789;
								BgL_prevz00_1608 = BgL_prevz00_2788;
								goto BgL_loopz00_1610;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1607);
				}
			}
		}
	}



/* get-class-hash */
	long BGl_getzd2classzd2hashz00zzmodule_classz00(obj_t BgL_defz00_25)
	{
		AN_OBJECT;
		{	/* ../runtime/Llib/object.sch 19 */
			return BGl_loopz00zzmodule_classz00(BgL_defz00_25, ((long) 1705));
		}
	}



/* loop */
	long BGl_loopz00zzmodule_classz00(obj_t BgL_defz00_1624,
		long BgL_hashz00_1625)
	{
		AN_OBJECT;
		{	/* ../runtime/Llib/object.sch 24 */
		BGl_loopz00zzmodule_classz00:
			if (NULLP(BgL_defz00_1624))
				{	/* ../runtime/Llib/object.sch 27 */
					return BgL_hashz00_1625;
				}
			else
				{	/* ../runtime/Llib/object.sch 27 */
					if (PAIRP(BgL_defz00_1624))
						{
							long BgL_hashz00_2799;
							obj_t BgL_defz00_2797;

							BgL_defz00_2797 = CDR(BgL_defz00_1624);
							BgL_hashz00_2799 =
								BGl_loopz00zzmodule_classz00(CAR(BgL_defz00_1624),
								(((long) 1966) ^ BgL_hashz00_1625));
							BgL_hashz00_1625 = BgL_hashz00_2799;
							BgL_defz00_1624 = BgL_defz00_2797;
							goto BGl_loopz00zzmodule_classz00;
						}
					else
						{	/* ../runtime/Llib/object.sch 29 */
							return
								(
								(BGl_getzd2hashnumberzd2persistentz00zz__hashz00
									(BgL_defz00_1624) & ((long) 65535)) ^ BgL_hashz00_1625);
		}}}
	}



/* get-object-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2objectzd2unitz00zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 60 */
			return BGl_za2objectzd2unitza2zd2zzmodule_classz00;
		}
	}



/* &get-object-unit */
	obj_t BGl_z62getzd2objectzd2unitz62zzmodule_classz00(obj_t BgL_envz00_2689)
	{
		AN_OBJECT;
		{	/* Module/class.scm 60 */
			return BGl_za2objectzd2unitza2zd2zzmodule_classz00;
		}
	}



/* get-method-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2methodzd2unitz00zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 66 */
			return BGl_za2methodzd2unitza2zd2zzmodule_classz00;
		}
	}



/* &get-method-unit */
	obj_t BGl_z62getzd2methodzd2unitz62zzmodule_classz00(obj_t BgL_envz00_2690)
	{
		AN_OBJECT;
		{	/* Module/class.scm 66 */
			return BGl_za2methodzd2unitza2zd2zzmodule_classz00;
		}
	}



/* get-generic-unit */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genericzd2unitz00zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 72 */
			return BGl_za2genericzd2unitza2zd2zzmodule_classz00;
		}
	}



/* &get-generic-unit */
	obj_t BGl_z62getzd2genericzd2unitz62zzmodule_classz00(obj_t BgL_envz00_2691)
	{
		AN_OBJECT;
		{	/* Module/class.scm 72 */
			return BGl_za2genericzd2unitza2zd2zzmodule_classz00;
		}
	}



/* declare-class! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t
		BgL_classzd2defzd2_26, obj_t BgL_modulez00_27, obj_t BgL_importz00_28,
		bool_t BgL_finalzf3zf3_29, bool_t BgL_abstractzf3zf3_30,
		obj_t BgL_defzd2srczd2_31, obj_t BgL_declzd2srczd2_32)
	{
		AN_OBJECT;
		{	/* Module/class.scm 78 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_importz00_28,
						CNST_TABLE_REF(((long) 0)))))
				{	/* Module/class.scm 83 */
					obj_t BgL_arg1378z00_2315;

					if (BgL_finalzf3zf3_29)
						{	/* Module/class.scm 83 */
							BgL_arg1378z00_2315 = CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Module/class.scm 83 */
							BgL_arg1378z00_2315 = CNST_TABLE_REF(((long) 2));
						}
					return
						((obj_t)
						BGl_declarezd2exportzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_26, BgL_modulez00_27, BgL_arg1378z00_2315,
							BgL_abstractzf3zf3_30, BgL_defzd2srczd2_31, BgL_declzd2srczd2_32,
							BgL_importz00_28));
				}
			else
				{	/* Module/class.scm 89 */
					obj_t BgL_arg1379z00_2316;

					if (BgL_finalzf3zf3_29)
						{	/* Module/class.scm 89 */
							BgL_arg1379z00_2316 = CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Module/class.scm 89 */
							BgL_arg1379z00_2316 = CNST_TABLE_REF(((long) 2));
						}
					return
						((obj_t)
						BGl_declarezd2importzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_26, BgL_modulez00_27, BgL_arg1379z00_2316,
							BgL_abstractzf3zf3_30, BgL_defzd2srczd2_31,
							BgL_declzd2srczd2_32));
				}
		}
	}



/* &declare-class! */
	obj_t BGl_z62declarezd2classz12za2zzmodule_classz00(obj_t BgL_envz00_2692,
		obj_t BgL_classzd2defzd2_2693, obj_t BgL_modulez00_2694,
		obj_t BgL_importz00_2695, obj_t BgL_finalzf3zf3_2696,
		obj_t BgL_abstractzf3zf3_2697, obj_t BgL_defzd2srczd2_2698,
		obj_t BgL_declzd2srczd2_2699)
	{
		AN_OBJECT;
		{	/* Module/class.scm 78 */
			return
				BGl_declarezd2classz12zc0zzmodule_classz00(BgL_classzd2defzd2_2693,
				BgL_modulez00_2694, BgL_importz00_2695, CBOOL(BgL_finalzf3zf3_2696),
				CBOOL(BgL_abstractzf3zf3_2697), BgL_defzd2srczd2_2698,
				BgL_declzd2srczd2_2699);
		}
	}



/* declare-wide-class! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t
		BgL_classzd2defzd2_33, obj_t BgL_modulez00_34, obj_t BgL_importz00_35,
		obj_t BgL_defzd2srczd2_36, obj_t BgL_declzd2srczd2_37)
	{
		AN_OBJECT;
		{	/* Module/class.scm 96 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_importz00_35,
						CNST_TABLE_REF(((long) 0)))))
				{	/* Module/class.scm 98 */
					return
						((obj_t)
						BGl_declarezd2exportzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_33, BgL_modulez00_34,
							CNST_TABLE_REF(((long) 3)), ((bool_t) 0), BgL_defzd2srczd2_36,
							BgL_declzd2srczd2_37, BgL_importz00_35));
				}
			else
				{	/* Module/class.scm 98 */
					return
						((obj_t)
						BGl_declarezd2importzd2classz12z12zzmodule_classz00
						(BgL_classzd2defzd2_33, BgL_modulez00_34,
							CNST_TABLE_REF(((long) 3)), ((bool_t) 0), BgL_defzd2srczd2_36,
							BgL_declzd2srczd2_37));
		}}
	}



/* &declare-wide-class! */
	obj_t BGl_z62declarezd2widezd2classz12z70zzmodule_classz00(obj_t
		BgL_envz00_2700, obj_t BgL_classzd2defzd2_2701, obj_t BgL_modulez00_2702,
		obj_t BgL_importz00_2703, obj_t BgL_defzd2srczd2_2704,
		obj_t BgL_declzd2srczd2_2705)
	{
		AN_OBJECT;
		{	/* Module/class.scm 96 */
			return
				BGl_declarezd2widezd2classz12z12zzmodule_classz00
				(BgL_classzd2defzd2_2701, BgL_modulez00_2702, BgL_importz00_2703,
				BgL_defzd2srczd2_2704, BgL_declzd2srczd2_2705);
		}
	}



/* declare-export-class! */
	BgL_typez00_bglt BGl_declarezd2exportzd2classz12z12zzmodule_classz00(obj_t
		BgL_cdefz00_38, obj_t BgL_modulez00_39, obj_t BgL_kindz00_40,
		bool_t BgL_abstractzf3zf3_41, obj_t BgL_srczd2defzd2_42,
		obj_t BgL_srczd2declzd2_43, obj_t BgL_importz00_44)
	{
		AN_OBJECT;
		{	/* Module/class.scm 110 */
			{	/* Module/class.scm 114 */
				obj_t BgL_locz00_1643;

				BgL_locz00_1643 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2defzd2_42);
				{	/* Module/class.scm 114 */
					obj_t BgL_classzd2varzd2_1644;

					BgL_classzd2varzd2_1644 = CAR(BgL_cdefz00_38);
					{	/* Module/class.scm 115 */
						obj_t BgL_classzd2idzd2_1645;

						BgL_classzd2idzd2_1645 =
							BGl_idzd2ofzd2idz00zzast_identz00(BgL_classzd2varzd2_1644,
							BgL_locz00_1643);
						{	/* Module/class.scm 116 */
							obj_t BgL_holderz00_1646;

							{	/* Module/class.scm 118 */
								obj_t BgL_arg1441z00_1656;

								{	/* Module/class.scm 118 */
									obj_t BgL_arg1442z00_1657;

									BgL_arg1442z00_1657 = MAKE_PAIR(BgL_classzd2idzd2_1645, BNIL);
									BgL_arg1441z00_1656 =
										MAKE_PAIR(BgL_importz00_44, BgL_arg1442z00_1657);
								}
								BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
									(BgL_arg1441z00_1656);
							}
							BgL_holderz00_1646 =
								BGl_findzd2globalzf2modulez20zzast_envz00
								(BgL_classzd2idzd2_1645, BgL_modulez00_39);
							{	/* Module/class.scm 117 */
								bool_t BgL_finalzf3zf3_1647;

								BgL_finalzf3zf3_1647 =
									(BgL_kindz00_40 == CNST_TABLE_REF(((long) 1)));
								{	/* Module/class.scm 120 */
									obj_t BgL_widez00_1648;

									if ((BgL_kindz00_40 == CNST_TABLE_REF(((long) 3))))
										{	/* Module/class.scm 121 */
											BgL_widez00_1648 = CNST_TABLE_REF(((long) 4));
										}
									else
										{	/* Module/class.scm 121 */
											BgL_widez00_1648 = BFALSE;
										}
									{	/* Module/class.scm 121 */
										BgL_typez00_bglt BgL_tclassz00_1649;

										BgL_tclassz00_1649 =
											BGl_declarezd2classzd2typez12z12zzobject_classz00
											(BgL_cdefz00_38,
											((BgL_globalz00_bglt) BgL_holderz00_1646),
											BgL_widez00_1648, BgL_finalzf3zf3_1647,
											BgL_abstractzf3zf3_41, BgL_srczd2defzd2_42);
										{	/* Module/class.scm 122 */

											((((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt) BgL_holderz00_1646)))->
													BgL_srcz00) = ((obj_t) BgL_srczd2defzd2_42), BUNSPEC);
											((((BgL_typez00_bglt) CREF(BgL_tclassz00_1649))->
													BgL_importzd2locationzd2) =
												((obj_t)
													BGl_findzd2locationzf2locz20zztools_locationz00
													(BgL_srczd2declzd2_43, BgL_locz00_1643)), BUNSPEC);
											{	/* Module/class.scm 136 */
												obj_t BgL_arg1386z00_1651;

												{	/* Module/class.scm 136 */
													obj_t BgL_zc3anonymousza31399ze3z83_2706;

													BgL_zc3anonymousza31399ze3z83_2706 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3anonymousza31399ze3ze1zzmodule_classz00,
														(int) (((long) 0)), (int) (((long) 4)));
													PROCEDURE_SET(BgL_zc3anonymousza31399ze3z83_2706,
														(int) (((long) 0)), BgL_cdefz00_38);
													PROCEDURE_SET(BgL_zc3anonymousza31399ze3z83_2706,
														(int) (((long) 1)), BgL_holderz00_1646);
													PROCEDURE_SET(BgL_zc3anonymousza31399ze3z83_2706,
														(int) (((long) 2)), ((obj_t) BgL_tclassz00_1649));
													PROCEDURE_SET(BgL_zc3anonymousza31399ze3z83_2706,
														(int) (((long) 3)), BgL_srczd2defzd2_42);
													BgL_arg1386z00_1651 =
														BGl_makezd2promisezd2zz__r4_control_features_6_9z00
														(BgL_zc3anonymousza31399ze3z83_2706);
												}
												{	/* Module/class.scm 133 */
													BgL_typez00_bglt BgL_res1996z00_2326;

													{	/* Module/class.scm 176 */
														obj_t BgL_arg1459z00_2325;

														BgL_arg1459z00_2325 =
															MAKE_PAIR(
															((obj_t) BgL_tclassz00_1649),
															BgL_arg1386z00_1651);
														BGl_za2classzd2accessesza2zd2zzmodule_classz00 =
															MAKE_PAIR(BgL_arg1459z00_2325,
															BGl_za2classzd2accessesza2zd2zzmodule_classz00);
													}
													BgL_res1996z00_2326 = BgL_tclassz00_1649;
													return BgL_res1996z00_2326;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:1399> */
	obj_t BGl_z62zc3anonymousza31399ze3ze1zzmodule_classz00(obj_t BgL_envz00_2707)
	{
		AN_OBJECT;
		{	/* Module/class.scm 135 */
			{	/* Module/class.scm 136 */
				obj_t BgL_cdefz00_2708;
				obj_t BgL_holderz00_2709;
				BgL_typez00_bglt BgL_tclassz00_2710;
				obj_t BgL_srczd2defzd2_2711;

				BgL_cdefz00_2708 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2707, (int) (((long) 0))));
				BgL_holderz00_2709 = PROCEDURE_REF(BgL_envz00_2707, (int) (((long) 1)));
				BgL_tclassz00_2710 =
					((BgL_typez00_bglt)
					PROCEDURE_REF(BgL_envz00_2707, (int) (((long) 2))));
				BgL_srczd2defzd2_2711 =
					PROCEDURE_REF(BgL_envz00_2707, (int) (((long) 3)));
				{

					return
						BGl_genzd2registerzd2classz12z12zzmodule_classz00(BgL_cdefz00_2708,
						BgL_holderz00_2709, ((obj_t) BgL_tclassz00_2710),
						BgL_srczd2defzd2_2711);
				}
			}
		}
	}



/* declare-import-class! */
	BgL_typez00_bglt BGl_declarezd2importzd2classz12z12zzmodule_classz00(obj_t
		BgL_cdefz00_45, obj_t BgL_modulez00_46, obj_t BgL_kindz00_47,
		bool_t BgL_abstractzf3zf3_48, obj_t BgL_srczd2defzd2_49,
		obj_t BgL_srczd2declzd2_50)
	{
		AN_OBJECT;
		{	/* Module/class.scm 141 */
			{	/* Module/class.scm 145 */
				obj_t BgL_locz00_1658;

				BgL_locz00_1658 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srczd2defzd2_49);
				{	/* Module/class.scm 145 */
					obj_t BgL_classzd2varzd2_1659;

					BgL_classzd2varzd2_1659 = CAR(BgL_cdefz00_45);
					{	/* Module/class.scm 146 */
						obj_t BgL_classzd2idzd2_1660;

						BgL_classzd2idzd2_1660 =
							BGl_idzd2ofzd2idz00zzast_identz00(BgL_classzd2varzd2_1659,
							BgL_locz00_1658);
						{	/* Module/class.scm 147 */
							obj_t BgL_holderz00_1661;

							BgL_holderz00_1661 =
								BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_46,
								BgL_classzd2idzd2_1660, BFALSE, BNIL);
							{	/* Module/class.scm 148 */
								bool_t BgL_finalzf3zf3_1662;

								BgL_finalzf3zf3_1662 =
									(BgL_kindz00_47 == CNST_TABLE_REF(((long) 1)));
								{	/* Module/class.scm 149 */
									obj_t BgL_widez00_1663;

									if ((BgL_kindz00_47 == CNST_TABLE_REF(((long) 3))))
										{	/* Module/class.scm 150 */
											BgL_widez00_1663 = CNST_TABLE_REF(((long) 4));
										}
									else
										{	/* Module/class.scm 150 */
											BgL_widez00_1663 = BFALSE;
										}
									{	/* Module/class.scm 150 */
										BgL_typez00_bglt BgL_tclassz00_1664;

										BgL_tclassz00_1664 =
											BGl_declarezd2classzd2typez12z12zzobject_classz00
											(BgL_cdefz00_45,
											((BgL_globalz00_bglt) BgL_holderz00_1661),
											BgL_widez00_1663, BgL_finalzf3zf3_1662,
											BgL_abstractzf3zf3_48, BgL_srczd2defzd2_49);
										{	/* Module/class.scm 151 */

											((((BgL_typez00_bglt) CREF(BgL_tclassz00_1664))->
													BgL_importzd2locationzd2) =
												((obj_t)
													BGl_findzd2locationzf2locz20zztools_locationz00
													(BgL_srczd2declzd2_50, BgL_locz00_1658)), BUNSPEC);
											{	/* Module/class.scm 166 */
												obj_t BgL_arg1452z00_1666;

												{	/* Module/class.scm 166 */
													obj_t BgL_zc3anonymousza31455ze3z83_2712;

													BgL_zc3anonymousza31455ze3z83_2712 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3anonymousza31455ze3ze1zzmodule_classz00,
														(int) (((long) 0)), (int) (((long) 3)));
													PROCEDURE_SET(BgL_zc3anonymousza31455ze3z83_2712,
														(int) (((long) 0)), ((obj_t) BgL_tclassz00_1664));
													PROCEDURE_SET(BgL_zc3anonymousza31455ze3z83_2712,
														(int) (((long) 1)), BgL_cdefz00_45);
													PROCEDURE_SET(BgL_zc3anonymousza31455ze3z83_2712,
														(int) (((long) 2)), BgL_srczd2defzd2_49);
													BgL_arg1452z00_1666 =
														BGl_makezd2promisezd2zz__r4_control_features_6_9z00
														(BgL_zc3anonymousza31455ze3z83_2712);
												}
												{	/* Module/class.scm 160 */
													BgL_typez00_bglt BgL_res1997z00_2333;

													{	/* Module/class.scm 176 */
														obj_t BgL_arg1459z00_2332;

														BgL_arg1459z00_2332 =
															MAKE_PAIR(
															((obj_t) BgL_tclassz00_1664),
															BgL_arg1452z00_1666);
														BGl_za2classzd2accessesza2zd2zzmodule_classz00 =
															MAKE_PAIR(BgL_arg1459z00_2332,
															BGl_za2classzd2accessesza2zd2zzmodule_classz00);
													}
													BgL_res1997z00_2333 = BgL_tclassz00_1664;
													return BgL_res1997z00_2333;
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:1455> */
	obj_t BGl_z62zc3anonymousza31455ze3ze1zzmodule_classz00(obj_t BgL_envz00_2713)
	{
		AN_OBJECT;
		{	/* Module/class.scm 162 */
			{	/* Module/class.scm 166 */
				BgL_typez00_bglt BgL_tclassz00_2714;
				obj_t BgL_cdefz00_2715;
				obj_t BgL_srczd2defzd2_2716;

				BgL_tclassz00_2714 =
					((BgL_typez00_bglt)
					PROCEDURE_REF(BgL_envz00_2713, (int) (((long) 0))));
				BgL_cdefz00_2715 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2713, (int) (((long) 1))));
				BgL_srczd2defzd2_2716 =
					PROCEDURE_REF(BgL_envz00_2713, (int) (((long) 2)));
				{

					BGl_setzd2classzd2slotsz12z12zzobject_classz00(
						((BgL_typez00_bglt) BgL_tclassz00_2714), BgL_cdefz00_2715,
						BgL_srczd2defzd2_2716);
					BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(((obj_t)
							BgL_tclassz00_2714));
					return BNIL;
				}
			}
		}
	}



/* delay-class-accessors! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(BgL_typez00_bglt
		BgL_typez00_51, obj_t BgL_delayedz00_52)
	{
		AN_OBJECT;
		{	/* Module/class.scm 175 */
			{	/* Module/class.scm 176 */
				obj_t BgL_arg1459z00_2334;

				BgL_arg1459z00_2334 =
					MAKE_PAIR(((obj_t) BgL_typez00_51), BgL_delayedz00_52);
				BGl_za2classzd2accessesza2zd2zzmodule_classz00 =
					MAKE_PAIR(BgL_arg1459z00_2334,
					BGl_za2classzd2accessesza2zd2zzmodule_classz00);
			}
			return BgL_typez00_51;
		}
	}



/* &delay-class-accessors! */
	BgL_typez00_bglt BGl_z62delayzd2classzd2accessorsz12z70zzmodule_classz00(obj_t
		BgL_envz00_2717, obj_t BgL_typez00_2718, obj_t BgL_delayedz00_2719)
	{
		AN_OBJECT;
		{	/* Module/class.scm 175 */
			return
				BGl_delayzd2classzd2accessorsz12z12zzmodule_classz00(
				((BgL_typez00_bglt) BgL_typez00_2718), BgL_delayedz00_2719);
		}
	}



/* gen-register-class! */
	obj_t BGl_genzd2registerzd2classz12z12zzmodule_classz00(obj_t
		BgL_classzd2defzd2_53, obj_t BgL_holderz00_54, obj_t BgL_classz00_55,
		obj_t BgL_srczd2defzd2_56)
	{
		AN_OBJECT;
		{	/* Module/class.scm 194 */
			if (BGl_checkzd2classzd2declarationzf3zf3zzobject_classz00(
					((BgL_typez00_bglt) BgL_classz00_55), BgL_srczd2defzd2_56))
				{	/* Module/class.scm 195 */
					BGl_setzd2classzd2slotsz12z12zzobject_classz00(
						((BgL_typez00_bglt) BgL_classz00_55), BgL_classzd2defzd2_53,
						BgL_srczd2defzd2_56);
					BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00
						(BgL_classz00_55);
					{	/* Module/class.scm 202 */
						obj_t BgL_classidz00_1674;

						BgL_classidz00_1674 =
							(((BgL_typez00_bglt) CREF(
									((BgL_typez00_bglt) BgL_classz00_55)))->BgL_idz00);
						{	/* Module/class.scm 202 */
							obj_t BgL_classmodz00_1675;

							{
								BgL_globalz00_bglt BgL_auxz00_2934;

								{
									BgL_tclassz00_bglt BgL_auxz00_2935;

									{
										obj_t BgL_auxz00_2936;

										{	/* Module/class.scm 203 */
											BgL_objectz00_bglt BgL_auxz00_2937;

											BgL_auxz00_2937 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_classz00_55));
											BgL_auxz00_2936 = BGL_OBJECT_WIDENING(BgL_auxz00_2937);
										}
										BgL_auxz00_2935 = ((BgL_tclassz00_bglt) BgL_auxz00_2936);
									}
									BgL_auxz00_2934 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2935))->
										BgL_holderz00);
								}
								BgL_classmodz00_1675 =
									(((BgL_globalz00_bglt) CREF(BgL_auxz00_2934))->BgL_modulez00);
							}
							{	/* Module/class.scm 203 */
								obj_t BgL_superz00_1676;

								{
									BgL_tclassz00_bglt BgL_auxz00_2944;

									{
										obj_t BgL_auxz00_2945;

										{	/* Module/class.scm 204 */
											BgL_objectz00_bglt BgL_auxz00_2946;

											BgL_auxz00_2946 =
												((BgL_objectz00_bglt)
												((BgL_typez00_bglt) BgL_classz00_55));
											BgL_auxz00_2945 = BGL_OBJECT_WIDENING(BgL_auxz00_2946);
										}
										BgL_auxz00_2944 = ((BgL_tclassz00_bglt) BgL_auxz00_2945);
									}
									BgL_superz00_1676 =
										(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2944))->
										BgL_itszd2superzd2);
								}
								{	/* Module/class.scm 204 */
									obj_t BgL_supervz00_1677;

									if (BGl_isazf3zf3zz__objectz00(BgL_superz00_1676,
											BGl_tclassz00zzobject_classz00))
										{	/* Module/class.scm 206 */
											BgL_globalz00_bglt BgL_sholderz00_1718;

											{
												BgL_tclassz00_bglt BgL_auxz00_2954;

												{
													obj_t BgL_auxz00_2955;

													{	/* Module/class.scm 206 */
														BgL_objectz00_bglt BgL_auxz00_2956;

														BgL_auxz00_2956 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_superz00_1676));
														BgL_auxz00_2955 =
															BGL_OBJECT_WIDENING(BgL_auxz00_2956);
													}
													BgL_auxz00_2954 =
														((BgL_tclassz00_bglt) BgL_auxz00_2955);
												}
												BgL_sholderz00_1718 =
													(((BgL_tclassz00_bglt) CREF(BgL_auxz00_2954))->
													BgL_holderz00);
											}
											{	/* Module/class.scm 206 */
												obj_t BgL_sholderidz00_1719;

												BgL_sholderidz00_1719 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_sholderz00_1718)))->
													BgL_idz00);
												{	/* Module/class.scm 207 */
													obj_t BgL_sholdermodulez00_1720;

													BgL_sholdermodulez00_1720 =
														(((BgL_globalz00_bglt) CREF(BgL_sholderz00_1718))->
														BgL_modulez00);
													{	/* Module/class.scm 208 */

														{	/* Module/class.scm 209 */
															obj_t BgL_arg1591z00_1721;

															{	/* Module/class.scm 209 */
																obj_t BgL_arg1595z00_1722;

																BgL_arg1595z00_1722 =
																	MAKE_PAIR(BgL_sholdermodulez00_1720, BNIL);
																BgL_arg1591z00_1721 =
																	MAKE_PAIR(BgL_sholderidz00_1719,
																	BgL_arg1595z00_1722);
															}
															BgL_supervz00_1677 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg1591z00_1721);
										}}}}}
									else
										{	/* Module/class.scm 205 */
											BgL_supervz00_1677 = BFALSE;
										}
									{	/* Module/class.scm 205 */
										obj_t BgL_declz00_1678;

										{	/* Module/class.scm 210 */
											obj_t BgL_arg1482z00_1684;

											{	/* Module/class.scm 210 */
												obj_t BgL_arg1484z00_1685;
												obj_t BgL_arg1485z00_1686;

												BgL_arg1484z00_1685 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_holderz00_54))))->
													BgL_idz00);
												{	/* Module/class.scm 211 */
													obj_t BgL_arg1491z00_1687;

													{	/* Module/class.scm 211 */
														obj_t BgL_arg1492z00_1688;
														obj_t BgL_arg1493z00_1689;

														{	/* Module/class.scm 211 */
															obj_t BgL_arg1494z00_1690;

															{	/* Module/class.scm 211 */
																obj_t BgL_arg1496z00_1691;

																BgL_arg1496z00_1691 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 6)), BNIL);
																BgL_arg1494z00_1690 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
																	BgL_arg1496z00_1691);
															}
															BgL_arg1492z00_1688 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg1494z00_1690);
														}
														{	/* Module/class.scm 213 */
															obj_t BgL_arg1500z00_1692;
															obj_t BgL_arg1505z00_1693;

															{	/* Module/class.scm 213 */
																obj_t BgL_arg1509z00_1694;

																BgL_arg1509z00_1694 =
																	MAKE_PAIR(BgL_classidz00_1674, BNIL);
																BgL_arg1500z00_1692 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 8)),
																	BgL_arg1509z00_1694);
															}
															{	/* Module/class.scm 215 */
																obj_t BgL_arg1511z00_1695;
																obj_t BgL_arg1516z00_1696;

																{	/* Module/class.scm 215 */
																	obj_t BgL_arg1519z00_1697;

																	BgL_arg1519z00_1697 =
																		MAKE_PAIR(BgL_classmodz00_1675, BNIL);
																	BgL_arg1511z00_1695 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 8)),
																		BgL_arg1519z00_1697);
																}
																{	/* Module/class.scm 219 */
																	obj_t BgL_arg1526z00_1698;

																	{	/* Module/class.scm 219 */
																		long BgL_arg1527z00_1699;
																		obj_t BgL_arg1528z00_1700;

																		BgL_arg1527z00_1699 =
																			BGl_getzd2classzd2hashz00zzmodule_classz00
																			(BgL_srczd2defzd2_56);
																		{	/* Module/class.scm 221 */
																			obj_t BgL_arg1530z00_1701;
																			obj_t BgL_arg1547z00_1702;

																			{	/* Module/class.scm 221 */
																				bool_t BgL_testz00_2985;

																				{
																					BgL_tclassz00_bglt BgL_auxz00_2986;

																					{
																						obj_t BgL_auxz00_2987;

																						{	/* Module/class.scm 221 */
																							BgL_objectz00_bglt
																								BgL_auxz00_2988;
																							BgL_auxz00_2988 =
																								((BgL_objectz00_bglt) (
																									(BgL_typez00_bglt)
																									BgL_classz00_55));
																							BgL_auxz00_2987 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_2988);
																						}
																						BgL_auxz00_2986 =
																							((BgL_tclassz00_bglt)
																							BgL_auxz00_2987);
																					}
																					BgL_testz00_2985 =
																						(((BgL_tclassz00_bglt)
																							CREF(BgL_auxz00_2986))->
																						BgL_abstractzf3zf3);
																				}
																				if (BgL_testz00_2985)
																					{	/* Module/class.scm 221 */
																						BgL_arg1530z00_1701 = BFALSE;
																					}
																				else
																					{	/* Module/class.scm 221 */
																						BgL_arg1530z00_1701 =
																							BGl_classgenzd2makezd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																					}
																			}
																			{	/* Module/class.scm 225 */
																				obj_t BgL_arg1549z00_1704;
																				obj_t BgL_arg1552z00_1705;

																				if (BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_55))
																					{	/* Module/class.scm 225 */
																						BgL_arg1549z00_1704 =
																							BGl_classgenzd2widenzd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																					}
																				else
																					{	/* Module/class.scm 225 */
																						BgL_arg1549z00_1704 =
																							BGl_classgenzd2allocatezd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																					}
																				{	/* Module/class.scm 233 */
																					obj_t BgL_arg1555z00_1707;
																					obj_t BgL_arg1557z00_1708;

																					BgL_arg1555z00_1707 =
																						BGl_findzd2classzd2constructorz00zzobject_classz00
																						(((BgL_typez00_bglt)
																							BgL_classz00_55));
																					{	/* Module/class.scm 235 */
																						obj_t BgL_arg1569z00_1709;
																						obj_t BgL_arg1571z00_1710;

																						BgL_arg1569z00_1709 =
																							BGl_classgenzd2nilzd2anonymousz00zzobject_classgenz00
																							(((BgL_typez00_bglt)
																								BgL_classz00_55));
																						{	/* Module/class.scm 237 */
																							obj_t BgL_arg1572z00_1711;
																							obj_t BgL_arg1576z00_1712;

																							if (BGl_widezd2classzf3z21zzobject_classz00(BgL_classz00_55))
																								{	/* Module/class.scm 237 */
																									BgL_arg1572z00_1711 =
																										BGl_classgenzd2shrinkzd2anonymousz00zzobject_classgenz00
																										(((BgL_typez00_bglt)
																											BgL_classz00_55));
																								}
																							else
																								{	/* Module/class.scm 237 */
																									BgL_arg1572z00_1711 = BFALSE;
																								}
																							{	/* Module/class.scm 240 */
																								obj_t BgL_arg1582z00_1714;
																								obj_t BgL_arg1583z00_1715;

																								BgL_arg1582z00_1714 =
																									BGl_makezd2classzd2fieldsz00zzmodule_classz00
																									(BgL_classz00_55);
																								BgL_arg1583z00_1715 =
																									MAKE_PAIR
																									(BGl_makezd2classzd2virtualzd2fieldszd2zzmodule_classz00
																									(BgL_classz00_55), BNIL);
																								BgL_arg1576z00_1712 =
																									MAKE_PAIR(BgL_arg1582z00_1714,
																									BgL_arg1583z00_1715);
																							}
																							BgL_arg1571z00_1710 =
																								MAKE_PAIR(BgL_arg1572z00_1711,
																								BgL_arg1576z00_1712);
																						}
																						BgL_arg1557z00_1708 =
																							MAKE_PAIR(BgL_arg1569z00_1709,
																							BgL_arg1571z00_1710);
																					}
																					BgL_arg1552z00_1705 =
																						MAKE_PAIR(BgL_arg1555z00_1707,
																						BgL_arg1557z00_1708);
																				}
																				BgL_arg1547z00_1702 =
																					MAKE_PAIR(BgL_arg1549z00_1704,
																					BgL_arg1552z00_1705);
																			}
																			BgL_arg1528z00_1700 =
																				MAKE_PAIR(BgL_arg1530z00_1701,
																				BgL_arg1547z00_1702);
																		}
																		BgL_arg1526z00_1698 =
																			MAKE_PAIR(BINT(BgL_arg1527z00_1699),
																			BgL_arg1528z00_1700);
																	}
																	BgL_arg1516z00_1696 =
																		MAKE_PAIR(BgL_supervz00_1677,
																		BgL_arg1526z00_1698);
																}
																BgL_arg1505z00_1693 =
																	MAKE_PAIR(BgL_arg1511z00_1695,
																	BgL_arg1516z00_1696);
															}
															BgL_arg1493z00_1689 =
																MAKE_PAIR(BgL_arg1500z00_1692,
																BgL_arg1505z00_1693);
														}
														BgL_arg1491z00_1687 =
															MAKE_PAIR(BgL_arg1492z00_1688,
															BgL_arg1493z00_1689);
													}
													BgL_arg1485z00_1686 =
														MAKE_PAIR(BgL_arg1491z00_1687, BNIL);
												}
												BgL_arg1482z00_1684 =
													MAKE_PAIR(BgL_arg1484z00_1685, BgL_arg1485z00_1686);
											}
											BgL_declz00_1678 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
												BgL_arg1482z00_1684);
										}
										{	/* Module/class.scm 210 */
											obj_t BgL_edeclz00_1679;

											{	/* Module/class.scm 243 */
												bool_t BgL_testz00_3029;

												{	/* Module/class.scm 243 */
													bool_t BgL_res1999z00_2347;

													BgL_res1999z00_2347 =
														EXTENDED_PAIRP(BgL_srczd2defzd2_56);
													BgL_testz00_3029 = BgL_res1999z00_2347;
												}
												if (BgL_testz00_3029)
													{	/* Module/class.scm 244 */
														obj_t BgL_arg1467z00_1681;
														obj_t BgL_arg1468z00_1682;
														obj_t BgL_arg1476z00_1683;

														BgL_arg1467z00_1681 = CAR(BgL_declz00_1678);
														BgL_arg1468z00_1682 = CDR(BgL_declz00_1678);
														BgL_arg1476z00_1683 = CER(BgL_srczd2defzd2_56);
														{	/* Module/class.scm 244 */
															obj_t BgL_res2000z00_2354;

															BgL_res2000z00_2354 =
																MAKE_EXTENDED_PAIR(BgL_arg1467z00_1681,
																BgL_arg1468z00_1682, BgL_arg1476z00_1683);
															BgL_edeclz00_1679 = BgL_res2000z00_2354;
														}
													}
												else
													{	/* Module/class.scm 243 */
														BgL_edeclz00_1679 = BgL_declz00_1678;
													}
											}
											{	/* Module/class.scm 243 */

												BGl_za2declaredzd2classesza2zd2zzmodule_classz00 =
													MAKE_PAIR(BgL_edeclz00_1679,
													BGl_za2declaredzd2classesza2zd2zzmodule_classz00);
												return BNIL;
											}
										}
									}
								}
							}
						}
					}
				}
			else
				{	/* Module/class.scm 195 */
					{
						BgL_tclassz00_bglt BgL_auxz00_3036;

						{
							obj_t BgL_auxz00_3037;

							{	/* Module/class.scm 252 */
								BgL_objectz00_bglt BgL_auxz00_3038;

								BgL_auxz00_3038 =
									((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_55));
								BgL_auxz00_3037 = BGL_OBJECT_WIDENING(BgL_auxz00_3038);
							}
							BgL_auxz00_3036 = ((BgL_tclassz00_bglt) BgL_auxz00_3037);
						}
						((((BgL_tclassz00_bglt) CREF(BgL_auxz00_3036))->BgL_slotsz00) =
							((obj_t) BNIL), BUNSPEC);
					}
					return BNIL;
				}
		}
	}



/* make-class-fields */
	obj_t BGl_makezd2classzd2fieldsz00zzmodule_classz00(obj_t BgL_classz00_57)
	{
		AN_OBJECT;
		{	/* Module/class.scm 258 */
			{	/* Module/class.scm 299 */
				obj_t BgL_arg1610z00_1728;

				{	/* Module/class.scm 299 */
					obj_t BgL_arg1611z00_1729;

					{	/* Module/class.scm 299 */
						obj_t BgL_arg1614z00_1731;

						{
							BgL_tclassz00_bglt BgL_auxz00_3044;

							{
								obj_t BgL_auxz00_3045;

								{	/* Module/class.scm 305 */
									BgL_objectz00_bglt BgL_auxz00_3046;

									BgL_auxz00_3046 =
										((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_57));
									BgL_auxz00_3045 = BGL_OBJECT_WIDENING(BgL_auxz00_3046);
								}
								BgL_auxz00_3044 = ((BgL_tclassz00_bglt) BgL_auxz00_3045);
							}
							BgL_arg1614z00_1731 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3044))->BgL_slotsz00);
						}
						{	/* Module/class.scm 300 */
							obj_t BgL_zc3anonymousza31616ze3z83_2720;

							BgL_zc3anonymousza31616ze3z83_2720 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza31616ze3ze1zzmodule_classz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31616ze3z83_2720,
								(int) (((long) 0)), BgL_classz00_57);
							{	/* Module/class.scm 299 */
								obj_t BgL_list1615z00_1732;

								BgL_list1615z00_1732 = MAKE_PAIR(BgL_arg1614z00_1731, BNIL);
								BgL_arg1611z00_1729 =
									BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
									(BgL_zc3anonymousza31616ze3z83_2720, BgL_list1615z00_1732);
					}}}
					BgL_arg1610z00_1728 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1611z00_1729,
						BNIL);
				}
				return MAKE_PAIR(CNST_TABLE_REF(((long) 10)), BgL_arg1610z00_1728);
		}}
	}



/* &<anonymous:1616> */
	obj_t BGl_z62zc3anonymousza31616ze3ze1zzmodule_classz00(obj_t BgL_envz00_2721,
		obj_t BgL_sz00_2723)
	{
		AN_OBJECT;
		{	/* Module/class.scm 299 */
			{	/* Module/class.scm 300 */
				obj_t BgL_classz00_2722;

				BgL_classz00_2722 = PROCEDURE_REF(BgL_envz00_2721, (int) (((long) 0)));
				{
					obj_t BgL_sz00_1733;

					BgL_sz00_1733 = BgL_sz00_2723;
					{
						obj_t BgL_sz00_1740;
						obj_t BgL_sz00_1770;

						if (
							((((BgL_slotz00_bglt) CREF(
											((BgL_slotz00_bglt) BgL_sz00_1733)))->
									BgL_classzd2ownerzd2) == BgL_classz00_2722))
							{	/* Module/class.scm 300 */
								if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
										((BgL_slotz00_bglt) BgL_sz00_1733)))
									{	/* Module/class.scm 301 */
										if (
											(((BgL_slotz00_bglt) CREF(
														((BgL_slotz00_bglt) BgL_sz00_1733)))->
												BgL_virtualzd2overridezd2))
											{	/* Module/class.scm 302 */
												return BFALSE;
											}
										else
											{	/* Module/class.scm 302 */
												BgL_sz00_1770 = BgL_sz00_1733;
												{	/* Module/class.scm 271 */
													obj_t BgL_arg1684z00_1772;
													obj_t BgL_arg1685z00_1773;

													{	/* Module/class.scm 271 */
														obj_t BgL_arg1686z00_1774;

														{	/* Module/class.scm 271 */
															obj_t BgL_arg1687z00_1775;

															BgL_arg1687z00_1775 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 6)), BNIL);
															BgL_arg1686z00_1774 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																BgL_arg1687z00_1775);
														}
														BgL_arg1684z00_1772 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
															BgL_arg1686z00_1774);
													}
													{	/* Module/class.scm 272 */
														obj_t BgL_arg1688z00_1776;
														obj_t BgL_arg1689z00_1777;

														{	/* Module/class.scm 272 */
															obj_t BgL_arg1690z00_1778;

															{	/* Module/class.scm 272 */
																obj_t BgL_arg1691z00_1779;

																BgL_arg1691z00_1779 =
																	(((BgL_slotz00_bglt) CREF(
																			((BgL_slotz00_bglt) BgL_sz00_1770)))->
																	BgL_idz00);
																BgL_arg1690z00_1778 =
																	MAKE_PAIR(BgL_arg1691z00_1779, BNIL);
															}
															BgL_arg1688z00_1776 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 8)),
																BgL_arg1690z00_1778);
														}
														{	/* Module/class.scm 273 */
															obj_t BgL_arg1692z00_1780;
															obj_t BgL_arg1694z00_1781;

															{	/* Module/class.scm 273 */
																obj_t BgL_arg1695z00_1782;

																{	/* Module/class.scm 273 */
																	obj_t BgL_arg1696z00_1783;
																	obj_t BgL_arg1697z00_1784;

																	BgL_arg1696z00_1783 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
																		BNIL);
																	{	/* Module/class.scm 274 */
																		obj_t BgL_arg1698z00_1785;

																		{	/* Module/class.scm 274 */
																			obj_t BgL_arg1699z00_1786;
																			obj_t BgL_arg1700z00_1787;

																			{	/* Module/class.scm 274 */
																				obj_t BgL_arg1702z00_1788;

																				{	/* Module/class.scm 274 */
																					obj_t BgL_arg1703z00_1789;

																					BgL_arg1703z00_1789 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								6)), BNIL);
																					BgL_arg1702z00_1788 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								13)), BgL_arg1703z00_1789);
																				}
																				BgL_arg1699z00_1786 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																					BgL_arg1702z00_1788);
																			}
																			{	/* Module/class.scm 274 */
																				obj_t BgL_arg1705z00_1790;

																				{	/* Module/class.scm 274 */
																					obj_t BgL_arg1707z00_1791;

																					BgL_arg1707z00_1791 =
																						(((BgL_slotz00_bglt) CREF(
																								((BgL_slotz00_bglt)
																									BgL_sz00_1770)))->
																						BgL_virtualzd2numzd2);
																					BgL_arg1705z00_1790 =
																						MAKE_PAIR(BgL_arg1707z00_1791,
																						BNIL);
																				}
																				BgL_arg1700z00_1787 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
																					BgL_arg1705z00_1790);
																			}
																			BgL_arg1698z00_1785 =
																				MAKE_PAIR(BgL_arg1699z00_1786,
																				BgL_arg1700z00_1787);
																		}
																		BgL_arg1697z00_1784 =
																			MAKE_PAIR(BgL_arg1698z00_1785, BNIL);
																	}
																	BgL_arg1695z00_1782 =
																		MAKE_PAIR(BgL_arg1696z00_1783,
																		BgL_arg1697z00_1784);
																}
																BgL_arg1692z00_1780 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																	BgL_arg1695z00_1782);
															}
															{	/* Module/class.scm 275 */
																obj_t BgL_arg1708z00_1792;
																obj_t BgL_arg1709z00_1793;

																{	/* Module/class.scm 275 */
																	obj_t BgL_arg1710z00_1794;

																	{	/* Module/class.scm 275 */
																		obj_t BgL_arg1712z00_1795;
																		obj_t BgL_arg1713z00_1796;

																		{	/* Module/class.scm 275 */
																			obj_t BgL_arg1714z00_1797;

																			BgL_arg1714z00_1797 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 15)),
																				BNIL);
																			BgL_arg1712z00_1795 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
																				BgL_arg1714z00_1797);
																		}
																		{	/* Module/class.scm 276 */
																			obj_t BgL_arg1715z00_1798;

																			{	/* Module/class.scm 276 */
																				obj_t BgL_arg1716z00_1799;
																				obj_t BgL_arg1718z00_1800;

																				{	/* Module/class.scm 276 */
																					obj_t BgL_arg1719z00_1801;

																					{	/* Module/class.scm 276 */
																						obj_t BgL_arg1720z00_1802;

																						BgL_arg1720z00_1802 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									6)), BNIL);
																						BgL_arg1719z00_1801 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									16)), BgL_arg1720z00_1802);
																					}
																					BgL_arg1716z00_1799 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								5)), BgL_arg1719z00_1801);
																				}
																				{	/* Module/class.scm 276 */
																					obj_t BgL_arg1721z00_1803;

																					{	/* Module/class.scm 276 */
																						obj_t BgL_arg1723z00_1804;
																						obj_t BgL_arg1724z00_1805;

																						BgL_arg1723z00_1804 =
																							(((BgL_slotz00_bglt) CREF(
																									((BgL_slotz00_bglt)
																										BgL_sz00_1770)))->
																							BgL_virtualzd2numzd2);
																						BgL_arg1724z00_1805 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									15)), BNIL);
																						BgL_arg1721z00_1803 =
																							MAKE_PAIR(BgL_arg1723z00_1804,
																							BgL_arg1724z00_1805);
																					}
																					BgL_arg1718z00_1800 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								12)), BgL_arg1721z00_1803);
																				}
																				BgL_arg1715z00_1798 =
																					MAKE_PAIR(BgL_arg1716z00_1799,
																					BgL_arg1718z00_1800);
																			}
																			BgL_arg1713z00_1796 =
																				MAKE_PAIR(BgL_arg1715z00_1798, BNIL);
																		}
																		BgL_arg1710z00_1794 =
																			MAKE_PAIR(BgL_arg1712z00_1795,
																			BgL_arg1713z00_1796);
																	}
																	BgL_arg1708z00_1792 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																		BgL_arg1710z00_1794);
																}
																{	/* Module/class.scm 277 */
																	bool_t BgL_arg1727z00_1806;
																	obj_t BgL_arg1728z00_1807;

																	BgL_arg1727z00_1806 =
																		(((BgL_slotz00_bglt) CREF(
																				((BgL_slotz00_bglt) BgL_sz00_1770)))->
																		BgL_readzd2onlyzf3z21);
																	{	/* Module/class.scm 279 */
																		obj_t BgL_arg1730z00_1808;

																		{	/* Module/class.scm 279 */
																			obj_t BgL_arg1731z00_1809;
																			obj_t BgL_arg1732z00_1810;

																			BgL_arg1731z00_1809 =
																				(((BgL_slotz00_bglt) CREF(
																						((BgL_slotz00_bglt)
																							BgL_sz00_1770)))->
																				BgL_userzd2infozd2);
																			{	/* Module/class.scm 280 */
																				obj_t BgL_arg1735z00_1811;
																				obj_t BgL_arg1736z00_1812;

																				BgL_arg1735z00_1811 =
																					BGl_slotzd2defaultzd2exprz00zzmodule_classz00
																					(BgL_sz00_1770);
																				{	/* Module/class.scm 281 */
																					obj_t BgL_arg1738z00_1813;

																					{	/* Module/class.scm 281 */
																						bool_t BgL_testz00_3130;

																						{	/* Module/class.scm 281 */
																							obj_t BgL_arg1747z00_1819;

																							BgL_arg1747z00_1819 =
																								(((BgL_slotz00_bglt) CREF(
																										((BgL_slotz00_bglt)
																											BgL_sz00_1770)))->
																								BgL_typez00);
																							BgL_testz00_3130 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_arg1747z00_1819,
																								BGl_tclassz00zzobject_classz00);
																						}
																						if (BgL_testz00_3130)
																							{
																								BgL_globalz00_bglt
																									BgL_auxz00_3134;
																								{
																									BgL_tclassz00_bglt
																										BgL_auxz00_3135;
																									{
																										obj_t BgL_auxz00_3136;

																										{	/* Module/class.scm 282 */
																											BgL_objectz00_bglt
																												BgL_auxz00_3137;
																											BgL_auxz00_3137 =
																												((BgL_objectz00_bglt) (
																													(BgL_typez00_bglt) ((
																															(BgL_slotz00_bglt)
																															CREF((
																																	(BgL_slotz00_bglt)
																																	BgL_sz00_1770)))->
																														BgL_typez00)));
																											BgL_auxz00_3136 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_3137);
																										}
																										BgL_auxz00_3135 =
																											((BgL_tclassz00_bglt)
																											BgL_auxz00_3136);
																									}
																									BgL_auxz00_3134 =
																										(((BgL_tclassz00_bglt)
																											CREF(BgL_auxz00_3135))->
																										BgL_holderz00);
																								}
																								BgL_arg1738z00_1813 =
																									((obj_t) BgL_auxz00_3134);
																							}
																						else
																							{	/* Module/class.scm 283 */
																								obj_t BgL_arg1743z00_1816;

																								{	/* Module/class.scm 283 */
																									obj_t BgL_arg1744z00_1817;

																									{	/* Module/class.scm 283 */
																										obj_t BgL_arg1745z00_1818;

																										BgL_arg1745z00_1818 =
																											(((BgL_slotz00_bglt) CREF(
																													((BgL_slotz00_bglt)
																														BgL_sz00_1770)))->
																											BgL_typez00);
																										BgL_arg1744z00_1817 =
																											BGl_typezd2defaultzd2idz00zzmodule_classz00
																											(BgL_arg1745z00_1818);
																									}
																									BgL_arg1743z00_1816 =
																										MAKE_PAIR
																										(BgL_arg1744z00_1817, BNIL);
																								}
																								BgL_arg1738z00_1813 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 8)),
																									BgL_arg1743z00_1816);
																					}}
																					BgL_arg1736z00_1812 =
																						MAKE_PAIR(BgL_arg1738z00_1813,
																						BNIL);
																				}
																				BgL_arg1732z00_1810 =
																					MAKE_PAIR(BgL_arg1735z00_1811,
																					BgL_arg1736z00_1812);
																			}
																			BgL_arg1730z00_1808 =
																				MAKE_PAIR(BgL_arg1731z00_1809,
																				BgL_arg1732z00_1810);
																		}
																		BgL_arg1728z00_1807 =
																			MAKE_PAIR(BTRUE, BgL_arg1730z00_1808);
																	}
																	BgL_arg1709z00_1793 =
																		MAKE_PAIR(BBOOL(BgL_arg1727z00_1806),
																		BgL_arg1728z00_1807);
																}
																BgL_arg1694z00_1781 =
																	MAKE_PAIR(BgL_arg1708z00_1792,
																	BgL_arg1709z00_1793);
															}
															BgL_arg1689z00_1777 =
																MAKE_PAIR(BgL_arg1692z00_1780,
																BgL_arg1694z00_1781);
														}
														BgL_arg1685z00_1773 =
															MAKE_PAIR(BgL_arg1688z00_1776,
															BgL_arg1689z00_1777);
													}
													return
														MAKE_PAIR(BgL_arg1684z00_1772, BgL_arg1685z00_1773);
												}
											}
									}
								else
									{	/* Module/class.scm 301 */
										BgL_sz00_1740 = BgL_sz00_1733;
										{	/* Module/class.scm 286 */
											obj_t BgL_defsz00_1742;

											BgL_defsz00_1742 =
												BGl_classgenzd2slotzd2anonymousz00zzobject_classgenz00(
												((BgL_typez00_bglt) BgL_classz00_2722),
												((BgL_slotz00_bglt) BgL_sz00_1740));
											{	/* Module/class.scm 288 */
												obj_t BgL_arg1625z00_1743;
												obj_t BgL_arg1631z00_1744;

												{	/* Module/class.scm 288 */
													obj_t BgL_arg1633z00_1745;

													{	/* Module/class.scm 288 */
														obj_t BgL_arg1634z00_1746;

														BgL_arg1634z00_1746 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 6)), BNIL);
														BgL_arg1633z00_1745 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
															BgL_arg1634z00_1746);
													}
													BgL_arg1625z00_1743 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
														BgL_arg1633z00_1745);
												}
												{	/* Module/class.scm 289 */
													obj_t BgL_arg1635z00_1747;
													obj_t BgL_arg1643z00_1748;

													{	/* Module/class.scm 289 */
														obj_t BgL_arg1644z00_1749;

														{	/* Module/class.scm 289 */
															obj_t BgL_arg1647z00_1750;

															BgL_arg1647z00_1750 =
																(((BgL_slotz00_bglt) CREF(
																		((BgL_slotz00_bglt) BgL_sz00_1740)))->
																BgL_idz00);
															BgL_arg1644z00_1749 =
																MAKE_PAIR(BgL_arg1647z00_1750, BNIL);
														}
														BgL_arg1635z00_1747 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 8)),
															BgL_arg1644z00_1749);
													}
													{	/* Module/class.scm 290 */
														obj_t BgL_arg1651z00_1751;
														obj_t BgL_arg1652z00_1752;

														BgL_arg1651z00_1751 = CAR(BgL_defsz00_1742);
														{	/* Module/class.scm 290 */
															obj_t BgL_arg1656z00_1753;
															obj_t BgL_arg1657z00_1754;

															BgL_arg1656z00_1753 = CAR(CDR(BgL_defsz00_1742));
															{	/* Module/class.scm 290 */
																bool_t BgL_arg1663z00_1755;
																obj_t BgL_arg1669z00_1756;

																BgL_arg1663z00_1755 =
																	(((BgL_slotz00_bglt) CREF(
																			((BgL_slotz00_bglt) BgL_sz00_1740)))->
																	BgL_readzd2onlyzf3z21);
																{	/* Module/class.scm 292 */
																	obj_t BgL_arg1670z00_1757;

																	{	/* Module/class.scm 292 */
																		obj_t BgL_arg1671z00_1758;
																		obj_t BgL_arg1672z00_1759;

																		BgL_arg1671z00_1758 =
																			(((BgL_slotz00_bglt) CREF(
																					((BgL_slotz00_bglt) BgL_sz00_1740)))->
																			BgL_userzd2infozd2);
																		{	/* Module/class.scm 293 */
																			obj_t BgL_arg1673z00_1760;
																			obj_t BgL_arg1674z00_1761;

																			BgL_arg1673z00_1760 =
																				BGl_slotzd2defaultzd2exprz00zzmodule_classz00
																				(BgL_sz00_1740);
																			{	/* Module/class.scm 294 */
																				obj_t BgL_arg1675z00_1762;

																				{	/* Module/class.scm 294 */
																					bool_t BgL_testz00_3184;

																					{	/* Module/class.scm 294 */
																						obj_t BgL_arg1682z00_1768;

																						BgL_arg1682z00_1768 =
																							(((BgL_slotz00_bglt) CREF(
																									((BgL_slotz00_bglt)
																										BgL_sz00_1740)))->
																							BgL_typez00);
																						BgL_testz00_3184 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg1682z00_1768,
																							BGl_tclassz00zzobject_classz00);
																					}
																					if (BgL_testz00_3184)
																						{
																							BgL_globalz00_bglt
																								BgL_auxz00_3188;
																							{
																								BgL_tclassz00_bglt
																									BgL_auxz00_3189;
																								{
																									obj_t BgL_auxz00_3190;

																									{	/* Module/class.scm 295 */
																										BgL_objectz00_bglt
																											BgL_auxz00_3191;
																										BgL_auxz00_3191 =
																											((BgL_objectz00_bglt) (
																												(BgL_typez00_bglt) ((
																														(BgL_slotz00_bglt)
																														CREF((
																																(BgL_slotz00_bglt)
																																BgL_sz00_1740)))->
																													BgL_typez00)));
																										BgL_auxz00_3190 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_3191);
																									}
																									BgL_auxz00_3189 =
																										((BgL_tclassz00_bglt)
																										BgL_auxz00_3190);
																								}
																								BgL_auxz00_3188 =
																									(((BgL_tclassz00_bglt)
																										CREF(BgL_auxz00_3189))->
																									BgL_holderz00);
																							}
																							BgL_arg1675z00_1762 =
																								((obj_t) BgL_auxz00_3188);
																						}
																					else
																						{	/* Module/class.scm 296 */
																							obj_t BgL_arg1678z00_1765;

																							{	/* Module/class.scm 296 */
																								obj_t BgL_arg1679z00_1766;

																								{	/* Module/class.scm 296 */
																									obj_t BgL_arg1680z00_1767;

																									BgL_arg1680z00_1767 =
																										(((BgL_slotz00_bglt) CREF(
																												((BgL_slotz00_bglt)
																													BgL_sz00_1740)))->
																										BgL_typez00);
																									BgL_arg1679z00_1766 =
																										BGl_typezd2defaultzd2idz00zzmodule_classz00
																										(BgL_arg1680z00_1767);
																								}
																								BgL_arg1678z00_1765 =
																									MAKE_PAIR(BgL_arg1679z00_1766,
																									BNIL);
																							}
																							BgL_arg1675z00_1762 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										8)), BgL_arg1678z00_1765);
																				}}
																				BgL_arg1674z00_1761 =
																					MAKE_PAIR(BgL_arg1675z00_1762, BNIL);
																			}
																			BgL_arg1672z00_1759 =
																				MAKE_PAIR(BgL_arg1673z00_1760,
																				BgL_arg1674z00_1761);
																		}
																		BgL_arg1670z00_1757 =
																			MAKE_PAIR(BgL_arg1671z00_1758,
																			BgL_arg1672z00_1759);
																	}
																	BgL_arg1669z00_1756 =
																		MAKE_PAIR(BFALSE, BgL_arg1670z00_1757);
																}
																BgL_arg1657z00_1754 =
																	MAKE_PAIR(BBOOL(BgL_arg1663z00_1755),
																	BgL_arg1669z00_1756);
															}
															BgL_arg1652z00_1752 =
																MAKE_PAIR(BgL_arg1656z00_1753,
																BgL_arg1657z00_1754);
														}
														BgL_arg1643z00_1748 =
															MAKE_PAIR(BgL_arg1651z00_1751,
															BgL_arg1652z00_1752);
													}
													BgL_arg1631z00_1744 =
														MAKE_PAIR(BgL_arg1635z00_1747, BgL_arg1643z00_1748);
												}
												return
													MAKE_PAIR(BgL_arg1625z00_1743, BgL_arg1631z00_1744);
											}
										}
									}
							}
						else
							{	/* Module/class.scm 300 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* slot-default-expr */
	obj_t BGl_slotzd2defaultzd2exprz00zzmodule_classz00(obj_t BgL_sz00_1821)
	{
		AN_OBJECT;
		{	/* Module/class.scm 268 */
			if (BGl_slotzd2defaultzf3z21zzobject_slotsz00(
					((BgL_slotz00_bglt) BgL_sz00_1821)))
				{	/* Module/class.scm 267 */
					obj_t BgL_arg1751z00_1824;

					{	/* Module/class.scm 267 */
						obj_t BgL_arg1752z00_1825;

						{	/* Module/class.scm 267 */
							obj_t BgL_arg1754z00_1826;

							BgL_arg1754z00_1826 =
								(((BgL_slotz00_bglt) CREF(
										((BgL_slotz00_bglt) BgL_sz00_1821)))->
								BgL_defaultzd2valuezd2);
							BgL_arg1752z00_1825 = MAKE_PAIR(BgL_arg1754z00_1826, BNIL);
						}
						BgL_arg1751z00_1824 = MAKE_PAIR(BNIL, BgL_arg1752z00_1825);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg1751z00_1824);
				}
			else
				{	/* Module/class.scm 266 */
					return BFALSE;
				}
		}
	}



/* type-default-id */
	obj_t BGl_typezd2defaultzd2idz00zzmodule_classz00(obj_t BgL_typez00_1828)
	{
		AN_OBJECT;
		{	/* Module/class.scm 263 */
			if (
				((((BgL_typez00_bglt) CREF(
								((BgL_typez00_bglt) BgL_typez00_1828)))->BgL_idz00) ==
					CNST_TABLE_REF(((long) 17))))
				{	/* Module/class.scm 261 */
					return CNST_TABLE_REF(((long) 18));
				}
			else
				{	/* Module/class.scm 261 */
					return
						(((BgL_typez00_bglt) CREF(
								((BgL_typez00_bglt) BgL_typez00_1828)))->BgL_idz00);
				}
		}
	}



/* make-class-virtual-fields */
	obj_t BGl_makezd2classzd2virtualzd2fieldszd2zzmodule_classz00(obj_t
		BgL_classz00_58)
	{
		AN_OBJECT;
		{	/* Module/class.scm 310 */
			{	/* Module/class.scm 339 */
				obj_t BgL_arg1758z00_1836;

				{	/* Module/class.scm 339 */
					obj_t BgL_arg1759z00_1837;

					{	/* Module/class.scm 339 */
						obj_t BgL_arg1761z00_1839;

						{
							BgL_tclassz00_bglt BgL_auxz00_3233;

							{
								obj_t BgL_auxz00_3234;

								{	/* Module/class.scm 344 */
									BgL_objectz00_bglt BgL_auxz00_3235;

									BgL_auxz00_3235 =
										((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_classz00_58));
									BgL_auxz00_3234 = BGL_OBJECT_WIDENING(BgL_auxz00_3235);
								}
								BgL_auxz00_3233 = ((BgL_tclassz00_bglt) BgL_auxz00_3234);
							}
							BgL_arg1761z00_1839 =
								(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3233))->BgL_slotsz00);
						}
						{	/* Module/class.scm 340 */
							obj_t BgL_zc3anonymousza31763ze3z83_2724;

							BgL_zc3anonymousza31763ze3z83_2724 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza31763ze3ze1zzmodule_classz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31763ze3z83_2724,
								(int) (((long) 0)), BgL_classz00_58);
							{	/* Module/class.scm 339 */
								obj_t BgL_list1762z00_1840;

								BgL_list1762z00_1840 = MAKE_PAIR(BgL_arg1761z00_1839, BNIL);
								BgL_arg1759z00_1837 =
									BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
									(BgL_zc3anonymousza31763ze3z83_2724, BgL_list1762z00_1840);
					}}}
					BgL_arg1758z00_1836 =
						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg1759z00_1837,
						BNIL);
				}
				return MAKE_PAIR(CNST_TABLE_REF(((long) 10)), BgL_arg1758z00_1836);
		}}
	}



/* &<anonymous:1763> */
	obj_t BGl_z62zc3anonymousza31763ze3ze1zzmodule_classz00(obj_t BgL_envz00_2725,
		obj_t BgL_sz00_2727)
	{
		AN_OBJECT;
		{	/* Module/class.scm 339 */
			{	/* Module/class.scm 340 */
				obj_t BgL_classz00_2726;

				BgL_classz00_2726 = PROCEDURE_REF(BgL_envz00_2725, (int) (((long) 0)));
				{
					obj_t BgL_sz00_1841;

					BgL_sz00_1841 = BgL_sz00_2727;
					{	/* Module/class.scm 340 */
						bool_t BgL_testz00_3253;

						if (BGl_slotzd2virtualzf3z21zzobject_slotsz00(
								((BgL_slotz00_bglt) BgL_sz00_1841)))
							{	/* Module/class.scm 340 */
								BgL_testz00_3253 =
									(
									(((BgL_slotz00_bglt) CREF(
												((BgL_slotz00_bglt) BgL_sz00_1841)))->
										BgL_classzd2ownerzd2) == BgL_classz00_2726);
							}
						else
							{	/* Module/class.scm 340 */
								BgL_testz00_3253 = ((bool_t) 0);
							}
						if (BgL_testz00_3253)
							{	/* Module/class.scm 342 */
								obj_t BgL_arg1765z00_1844;

								{	/* Module/class.scm 342 */
									obj_t BgL_arg1766z00_1845;
									obj_t BgL_arg1767z00_1846;

									BgL_arg1766z00_1845 =
										(((BgL_slotz00_bglt) CREF(
												((BgL_slotz00_bglt) BgL_sz00_1841)))->
										BgL_virtualzd2numzd2);
									{	/* Module/class.scm 343 */
										obj_t BgL_arg1769z00_1847;

										{	/* Module/class.scm 343 */
											obj_t BgL_arg1770z00_1848;

											{	/* Module/class.scm 343 */
												obj_t BgL_arg1771z00_1849;
												obj_t BgL_arg1773z00_1850;

												BgL_arg1771z00_1849 =
													BGl_getterz00zzmodule_classz00(BgL_classz00_2726,
													BgL_sz00_1841);
												BgL_arg1773z00_1850 =
													MAKE_PAIR(BGl_setterz00zzmodule_classz00
													(BgL_classz00_2726, BgL_sz00_1841), BNIL);
												BgL_arg1770z00_1848 =
													MAKE_PAIR(BgL_arg1771z00_1849, BgL_arg1773z00_1850);
											}
											BgL_arg1769z00_1847 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
												BgL_arg1770z00_1848);
										}
										BgL_arg1767z00_1846 = MAKE_PAIR(BgL_arg1769z00_1847, BNIL);
									}
									BgL_arg1765z00_1844 =
										MAKE_PAIR(BgL_arg1766z00_1845, BgL_arg1767z00_1846);
								}
								return
									MAKE_PAIR(CNST_TABLE_REF(((long) 19)), BgL_arg1765z00_1844);
							}
						else
							{	/* Module/class.scm 340 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* epairify-slot */
	obj_t BGl_epairifyzd2slotzd2zzmodule_classz00(obj_t BgL_defz00_1901,
		obj_t BgL_slotz00_1902)
	{
		AN_OBJECT;
		{	/* Module/class.scm 316 */
			{	/* Module/class.scm 314 */
				bool_t BgL_testz00_3272;

				{	/* Module/class.scm 314 */
					obj_t BgL_arg1826z00_1907;

					BgL_arg1826z00_1907 =
						(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_1902)))->BgL_srcz00);
					{	/* Module/class.scm 314 */
						bool_t BgL_res2003z00_2389;

						BgL_res2003z00_2389 = EXTENDED_PAIRP(BgL_arg1826z00_1907);
						BgL_testz00_3272 = BgL_res2003z00_2389;
					}
				}
				if (BgL_testz00_3272)
					{	/* Module/class.scm 315 */
						obj_t BgL_arg1825z00_1906;

						BgL_arg1825z00_1906 =
							(((BgL_slotz00_bglt) CREF(
									((BgL_slotz00_bglt) BgL_slotz00_1902)))->BgL_srcz00);
						return
							BGl_epairifyzd2reczd2zztools_miscz00(BgL_defz00_1901,
							BgL_arg1825z00_1906);
					}
				else
					{	/* Module/class.scm 314 */
						return BgL_defz00_1901;
					}
			}
		}
	}



/* getter */
	obj_t BGl_getterz00zzmodule_classz00(obj_t BgL_classz00_2730,
		obj_t BgL_slotz00_1880)
	{
		AN_OBJECT;
		{	/* Module/class.scm 325 */
			{	/* Module/class.scm 320 */
				obj_t BgL_arg1804z00_1882;

				{	/* Module/class.scm 320 */
					obj_t BgL_arg1805z00_1883;

					{	/* Module/class.scm 320 */
						obj_t BgL_arg1807z00_1884;
						obj_t BgL_arg1808z00_1885;

						BgL_arg1807z00_1884 = MAKE_PAIR(CNST_TABLE_REF(((long) 12)), BNIL);
						{	/* Module/class.scm 321 */
							obj_t BgL_arg1809z00_1886;
							obj_t BgL_arg1810z00_1887;

							{	/* Module/class.scm 321 */
								obj_t BgL_arg1811z00_1888;

								{	/* Module/class.scm 321 */
									obj_t BgL_arg1812z00_1889;
									obj_t BgL_arg1813z00_1890;

									BgL_arg1812z00_1889 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 20)), BNIL);
									{	/* Module/class.scm 322 */
										obj_t BgL_arg1814z00_1891;

										{	/* Module/class.scm 322 */
											obj_t BgL_arg1815z00_1892;

											{	/* Module/class.scm 322 */
												obj_t BgL_arg1816z00_1893;
												obj_t BgL_arg1817z00_1894;

												BgL_arg1816z00_1893 =
													(((BgL_typez00_bglt) CREF(
															((BgL_typez00_bglt)
																((BgL_typez00_bglt) BgL_classz00_2730))))->
													BgL_idz00);
												{	/* Module/class.scm 323 */
													obj_t BgL_arg1818z00_1895;

													{	/* Module/class.scm 323 */
														obj_t BgL_arg1819z00_1896;

														BgL_arg1819z00_1896 =
															(((BgL_slotz00_bglt) CREF(
																	((BgL_slotz00_bglt) BgL_slotz00_1880)))->
															BgL_virtualzd2numzd2);
														BgL_arg1818z00_1895 =
															MAKE_PAIR(BgL_arg1819z00_1896, BNIL);
													}
													BgL_arg1817z00_1894 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
														BgL_arg1818z00_1895);
												}
												BgL_arg1815z00_1892 =
													MAKE_PAIR(BgL_arg1816z00_1893, BgL_arg1817z00_1894);
											}
											BgL_arg1814z00_1891 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 21)),
												BgL_arg1815z00_1892);
										}
										BgL_arg1813z00_1890 = MAKE_PAIR(BgL_arg1814z00_1891, BNIL);
									}
									BgL_arg1811z00_1888 =
										MAKE_PAIR(BgL_arg1812z00_1889, BgL_arg1813z00_1890);
								}
								BgL_arg1809z00_1886 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 9)), BgL_arg1811z00_1888);
							}
							{	/* Module/class.scm 324 */
								obj_t BgL_arg1820z00_1897;

								{	/* Module/class.scm 324 */
									obj_t BgL_arg1821z00_1898;
									obj_t BgL_arg1822z00_1899;

									BgL_arg1821z00_1898 =
										(((BgL_slotz00_bglt) CREF(
												((BgL_slotz00_bglt) BgL_slotz00_1880)))->BgL_getterz00);
									BgL_arg1822z00_1899 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 12)), BNIL);
									BgL_arg1820z00_1897 =
										MAKE_PAIR(BgL_arg1821z00_1898, BgL_arg1822z00_1899);
								}
								BgL_arg1810z00_1887 = MAKE_PAIR(BgL_arg1820z00_1897, BNIL);
							}
							BgL_arg1808z00_1885 =
								MAKE_PAIR(BgL_arg1809z00_1886, BgL_arg1810z00_1887);
						}
						BgL_arg1805z00_1883 =
							MAKE_PAIR(BgL_arg1807z00_1884, BgL_arg1808z00_1885);
					}
					BgL_arg1804z00_1882 =
						MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg1805z00_1883);
				}
				return
					BGl_epairifyzd2slotzd2zzmodule_classz00(BgL_arg1804z00_1882,
					BgL_slotz00_1880);
			}
		}
	}



/* setter */
	obj_t BGl_setterz00zzmodule_classz00(obj_t BgL_classz00_2731,
		obj_t BgL_slotz00_1855)
	{
		AN_OBJECT;
		{	/* Module/class.scm 336 */
			if (
				(((BgL_slotz00_bglt) CREF(
							((BgL_slotz00_bglt) BgL_slotz00_1855)))->BgL_readzd2onlyzf3z21))
				{	/* Module/class.scm 328 */
					return BFALSE;
				}
			else
				{	/* Module/class.scm 331 */
					obj_t BgL_arg1779z00_1858;

					{	/* Module/class.scm 331 */
						obj_t BgL_arg1780z00_1859;

						{	/* Module/class.scm 331 */
							obj_t BgL_arg1781z00_1860;
							obj_t BgL_arg1782z00_1861;

							{	/* Module/class.scm 331 */
								obj_t BgL_arg1784z00_1862;

								BgL_arg1784z00_1862 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
								BgL_arg1781z00_1860 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 12)), BgL_arg1784z00_1862);
							}
							{	/* Module/class.scm 332 */
								obj_t BgL_arg1785z00_1863;
								obj_t BgL_arg1786z00_1864;

								{	/* Module/class.scm 332 */
									obj_t BgL_arg1789z00_1865;

									{	/* Module/class.scm 332 */
										obj_t BgL_arg1790z00_1866;
										obj_t BgL_arg1791z00_1867;

										BgL_arg1790z00_1866 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 20)), BNIL);
										{	/* Module/class.scm 333 */
											obj_t BgL_arg1792z00_1868;

											{	/* Module/class.scm 333 */
												obj_t BgL_arg1793z00_1869;

												{	/* Module/class.scm 333 */
													obj_t BgL_arg1794z00_1870;
													obj_t BgL_arg1795z00_1871;

													BgL_arg1794z00_1870 =
														(((BgL_typez00_bglt) CREF(
																((BgL_typez00_bglt)
																	((BgL_typez00_bglt) BgL_classz00_2731))))->
														BgL_idz00);
													{	/* Module/class.scm 334 */
														obj_t BgL_arg1796z00_1872;

														{	/* Module/class.scm 334 */
															obj_t BgL_arg1797z00_1873;
															obj_t BgL_arg1798z00_1874;

															BgL_arg1797z00_1873 =
																(((BgL_slotz00_bglt) CREF(
																		((BgL_slotz00_bglt) BgL_slotz00_1855)))->
																BgL_virtualzd2numzd2);
															BgL_arg1798z00_1874 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
															BgL_arg1796z00_1872 =
																MAKE_PAIR(BgL_arg1797z00_1873,
																BgL_arg1798z00_1874);
														}
														BgL_arg1795z00_1871 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
															BgL_arg1796z00_1872);
													}
													BgL_arg1793z00_1869 =
														MAKE_PAIR(BgL_arg1794z00_1870, BgL_arg1795z00_1871);
												}
												BgL_arg1792z00_1868 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 22)),
													BgL_arg1793z00_1869);
											}
											BgL_arg1791z00_1867 =
												MAKE_PAIR(BgL_arg1792z00_1868, BNIL);
										}
										BgL_arg1789z00_1865 =
											MAKE_PAIR(BgL_arg1790z00_1866, BgL_arg1791z00_1867);
									}
									BgL_arg1785z00_1863 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 9)), BgL_arg1789z00_1865);
								}
								{	/* Module/class.scm 335 */
									obj_t BgL_arg1799z00_1875;

									{	/* Module/class.scm 335 */
										obj_t BgL_arg1800z00_1876;
										obj_t BgL_arg1801z00_1877;

										BgL_arg1800z00_1876 =
											(((BgL_slotz00_bglt) CREF(
													((BgL_slotz00_bglt) BgL_slotz00_1855)))->
											BgL_setterz00);
										{	/* Module/class.scm 335 */
											obj_t BgL_arg1802z00_1878;

											BgL_arg1802z00_1878 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
											BgL_arg1801z00_1877 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
												BgL_arg1802z00_1878);
										}
										BgL_arg1799z00_1875 =
											MAKE_PAIR(BgL_arg1800z00_1876, BgL_arg1801z00_1877);
									}
									BgL_arg1786z00_1864 = MAKE_PAIR(BgL_arg1799z00_1875, BNIL);
								}
								BgL_arg1782z00_1861 =
									MAKE_PAIR(BgL_arg1785z00_1863, BgL_arg1786z00_1864);
							}
							BgL_arg1780z00_1859 =
								MAKE_PAIR(BgL_arg1781z00_1860, BgL_arg1782z00_1861);
						}
						BgL_arg1779z00_1858 =
							MAKE_PAIR(CNST_TABLE_REF(((long) 14)), BgL_arg1780z00_1859);
					}
					return
						BGl_epairifyzd2slotzd2zzmodule_classz00(BgL_arg1779z00_1858,
						BgL_slotz00_1855);
				}
		}
	}



/* class-finalizer */
	BGL_EXPORTED_DEF obj_t BGl_classzd2finaliza7erz75zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 351 */
			{	/* Module/class.scm 353 */
				bool_t BgL_testz00_3348;

				if (NULLP(BGl_za2classzd2accessesza2zd2zzmodule_classz00))
					{	/* Module/class.scm 353 */
						if (
							(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
								CNST_TABLE_REF(((long) 23))))
							{	/* Module/class.scm 353 */
								BgL_testz00_3348 = ((bool_t) 0);
							}
						else
							{	/* Module/class.scm 353 */
								BgL_testz00_3348 = ((bool_t) 1);
							}
					}
				else
					{	/* Module/class.scm 353 */
						BgL_testz00_3348 = ((bool_t) 0);
					}
				if (BgL_testz00_3348)
					{	/* Module/class.scm 353 */
						return CNST_TABLE_REF(((long) 24));
					}
				else
					{	/* Module/class.scm 368 */
						obj_t BgL_bodyz00_1910;

						BgL_bodyz00_1910 =
							BGl_forcezd2classzd2accessesz00zzmodule_classz00();
						{	/* Module/class.scm 368 */
							obj_t BgL_bodyz00_1911;

							BgL_bodyz00_1911 =
								BGl_appendzd221011zd2zzmodule_classz00(bgl_reverse
								(BGl_za2declaredzd2classesza2zd2zzmodule_classz00),
								BgL_bodyz00_1910);
							{	/* Module/class.scm 369 */
								obj_t BgL_bodyz00_1912;

								{	/* Module/class.scm 370 */
									bool_t BgL_testz00_3358;

									if (
										((long) CINT(BGl_za2debugzd2moduleza2zd2zzengine_paramz00) >
											((long) 0)))
										{	/* Module/class.scm 371 */
											bool_t BgL_testz00_3362;

											{	/* Module/class.scm 372 */
												obj_t BgL_arg1850z00_1931;

												{	/* Module/class.scm 372 */
													obj_t BgL_arg1851z00_1932;

													BgL_arg1851z00_1932 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_arg1850z00_1931 =
														(((BgL_backendz00_bglt) CREF(
																((BgL_backendz00_bglt) BgL_arg1851z00_1932)))->
														BgL_debugzd2supportzd2);
												}
												BgL_testz00_3362 =
													CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 25)), BgL_arg1850z00_1931));
											}
											if (BgL_testz00_3362)
												{	/* Module/class.scm 371 */
													BgL_testz00_3358 =
														PAIRP
														(BGl_za2declaredzd2classesza2zd2zzmodule_classz00);
												}
											else
												{	/* Module/class.scm 371 */
													BgL_testz00_3358 = ((bool_t) 0);
												}
										}
									else
										{	/* Module/class.scm 370 */
											BgL_testz00_3358 = ((bool_t) 0);
										}
									if (BgL_testz00_3358)
										{	/* Module/class.scm 377 */
											obj_t BgL_arg1839z00_1922;

											{	/* Module/class.scm 377 */
												obj_t BgL_arg1841z00_1923;

												{	/* Module/class.scm 377 */
													obj_t BgL_arg1842z00_1924;
													obj_t BgL_arg1843z00_1925;

													{	/* Module/class.scm 377 */
														obj_t BgL_arg1845z00_1926;

														{	/* Module/class.scm 377 */
															obj_t BgL_arg1846z00_1927;

															{	/* Module/class.scm 377 */
																obj_t BgL_arg1847z00_1928;

																{	/* Module/class.scm 377 */
																	obj_t BgL_res2008z00_2412;

																	{	/* Module/class.scm 377 */
																		obj_t BgL_symbolz00_2410;

																		BgL_symbolz00_2410 =
																			BGl_za2moduleza2z00zzmodule_modulez00;
																		{	/* Module/class.scm 377 */
																			obj_t BgL_arg1362z00_2411;

																			BgL_arg1362z00_2411 =
																				SYMBOL_TO_STRING(BgL_symbolz00_2410);
																			BgL_res2008z00_2412 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1362z00_2411);
																		}
																	}
																	BgL_arg1847z00_1928 = BgL_res2008z00_2412;
																}
																BgL_arg1846z00_1927 =
																	string_append_3
																	(BGl_string2029z00zzmodule_classz00,
																	BgL_arg1847z00_1928,
																	BGl_string2030z00zzmodule_classz00);
															}
															BgL_arg1845z00_1926 =
																MAKE_PAIR(BgL_arg1846z00_1927, BNIL);
														}
														BgL_arg1842z00_1924 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 26)),
															BgL_arg1845z00_1926);
													}
													BgL_arg1843z00_1925 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_bodyz00_1911, BNIL);
													BgL_arg1841z00_1923 =
														MAKE_PAIR(BgL_arg1842z00_1924, BgL_arg1843z00_1925);
												}
												BgL_arg1839z00_1922 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 27)),
													BgL_arg1841z00_1923);
											}
											BgL_bodyz00_1912 = MAKE_PAIR(BgL_arg1839z00_1922, BNIL);
										}
									else
										{	/* Module/class.scm 370 */
											BgL_bodyz00_1912 = BgL_bodyz00_1911;
										}
								}
								{	/* Module/class.scm 370 */

									{	/* Module/class.scm 383 */
										obj_t BgL_arg1829z00_1913;
										bool_t BgL_arg1830z00_1914;

										if (PAIRP(BgL_bodyz00_1912))
											{	/* Module/class.scm 383 */
												BgL_arg1829z00_1913 = BgL_bodyz00_1912;
											}
										else
											{	/* Module/class.scm 383 */
												BgL_arg1829z00_1913 = CNST_TABLE_REF(((long) 28));
											}
										BgL_arg1830z00_1914 =
											(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
											CNST_TABLE_REF(((long) 23)));
										{	/* Module/class.scm 381 */
											obj_t BgL_idz00_2415;

											BgL_idz00_2415 = CNST_TABLE_REF(((long) 29));
											{	/* Module/class.scm 381 */
												obj_t BgL_newz00_2420;

												BgL_newz00_2420 =
													create_struct(CNST_TABLE_REF(((long) 30)),
													(int) (((long) 5)));
												{	/* Module/class.scm 381 */
													obj_t BgL_auxz00_3392;
													int BgL_auxz00_3390;

													BgL_auxz00_3392 = BBOOL(BgL_arg1830z00_1914);
													BgL_auxz00_3390 = (int) (((long) 4));
													STRUCT_SET(BgL_newz00_2420, BgL_auxz00_3390,
														BgL_auxz00_3392);
												}
												{	/* Module/class.scm 381 */
													int BgL_auxz00_3395;

													BgL_auxz00_3395 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_2420, BgL_auxz00_3395, BTRUE);
												}
												{	/* Module/class.scm 381 */
													int BgL_auxz00_3398;

													BgL_auxz00_3398 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_2420, BgL_auxz00_3398,
														BgL_arg1829z00_1913);
												}
												{	/* Module/class.scm 381 */
													obj_t BgL_auxz00_3403;
													int BgL_auxz00_3401;

													BgL_auxz00_3403 = BINT(((long) 19));
													BgL_auxz00_3401 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_2420, BgL_auxz00_3401,
														BgL_auxz00_3403);
												}
												{	/* Module/class.scm 381 */
													int BgL_auxz00_3406;

													BgL_auxz00_3406 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_2420, BgL_auxz00_3406,
														BgL_idz00_2415);
												}
												BGl_za2objectzd2unitza2zd2zzmodule_classz00 =
													BgL_newz00_2420;
									}}}
									{	/* Module/class.scm 398 */
										bool_t BgL_arg1832z00_1916;

										BgL_arg1832z00_1916 =
											(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
											CNST_TABLE_REF(((long) 23)));
										{	/* Module/class.scm 392 */
											obj_t BgL_idz00_2446;
											obj_t BgL_sexpza2za2_2448;

											BgL_idz00_2446 = CNST_TABLE_REF(((long) 31));
											BgL_sexpza2za2_2448 = CNST_TABLE_REF(((long) 28));
											{	/* Module/class.scm 392 */
												obj_t BgL_newz00_2451;

												BgL_newz00_2451 =
													create_struct(CNST_TABLE_REF(((long) 30)),
													(int) (((long) 5)));
												{	/* Module/class.scm 392 */
													obj_t BgL_auxz00_3418;
													int BgL_auxz00_3416;

													BgL_auxz00_3418 = BBOOL(BgL_arg1832z00_1916);
													BgL_auxz00_3416 = (int) (((long) 4));
													STRUCT_SET(BgL_newz00_2451, BgL_auxz00_3416,
														BgL_auxz00_3418);
												}
												{	/* Module/class.scm 392 */
													int BgL_auxz00_3421;

													BgL_auxz00_3421 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_2451, BgL_auxz00_3421, BTRUE);
												}
												{	/* Module/class.scm 392 */
													int BgL_auxz00_3424;

													BgL_auxz00_3424 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_2451, BgL_auxz00_3424,
														BgL_sexpza2za2_2448);
												}
												{	/* Module/class.scm 392 */
													obj_t BgL_auxz00_3429;
													int BgL_auxz00_3427;

													BgL_auxz00_3429 = BINT(((long) 21));
													BgL_auxz00_3427 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_2451, BgL_auxz00_3427,
														BgL_auxz00_3429);
												}
												{	/* Module/class.scm 392 */
													int BgL_auxz00_3432;

													BgL_auxz00_3432 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_2451, BgL_auxz00_3432,
														BgL_idz00_2446);
												}
												BGl_za2methodzd2unitza2zd2zzmodule_classz00 =
													BgL_newz00_2451;
									}}}
									{	/* Module/class.scm 405 */
										bool_t BgL_arg1833z00_1917;

										BgL_arg1833z00_1917 =
											(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
											CNST_TABLE_REF(((long) 23)));
										{	/* Module/class.scm 399 */
											obj_t BgL_idz00_2477;
											obj_t BgL_sexpza2za2_2479;

											BgL_idz00_2477 = CNST_TABLE_REF(((long) 32));
											BgL_sexpza2za2_2479 = CNST_TABLE_REF(((long) 28));
											{	/* Module/class.scm 399 */
												obj_t BgL_newz00_2482;

												BgL_newz00_2482 =
													create_struct(CNST_TABLE_REF(((long) 30)),
													(int) (((long) 5)));
												{	/* Module/class.scm 399 */
													obj_t BgL_auxz00_3444;
													int BgL_auxz00_3442;

													BgL_auxz00_3444 = BBOOL(BgL_arg1833z00_1917);
													BgL_auxz00_3442 = (int) (((long) 4));
													STRUCT_SET(BgL_newz00_2482, BgL_auxz00_3442,
														BgL_auxz00_3444);
												}
												{	/* Module/class.scm 399 */
													int BgL_auxz00_3447;

													BgL_auxz00_3447 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_2482, BgL_auxz00_3447, BTRUE);
												}
												{	/* Module/class.scm 399 */
													int BgL_auxz00_3450;

													BgL_auxz00_3450 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_2482, BgL_auxz00_3450,
														BgL_sexpza2za2_2479);
												}
												{	/* Module/class.scm 399 */
													obj_t BgL_auxz00_3455;
													int BgL_auxz00_3453;

													BgL_auxz00_3455 = BINT(((long) 20));
													BgL_auxz00_3453 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_2482, BgL_auxz00_3453,
														BgL_auxz00_3455);
												}
												{	/* Module/class.scm 399 */
													int BgL_auxz00_3458;

													BgL_auxz00_3458 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_2482, BgL_auxz00_3458,
														BgL_idz00_2477);
												}
												BGl_za2genericzd2unitza2zd2zzmodule_classz00 =
													BgL_newz00_2482;
									}}}
									BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BNIL;
									BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BNIL;
									{	/* Module/class.scm 409 */
										obj_t BgL_list1834z00_1918;

										{	/* Module/class.scm 409 */
											obj_t BgL_arg1835z00_1919;

											{	/* Module/class.scm 409 */
												obj_t BgL_arg1836z00_1920;

												BgL_arg1836z00_1920 =
													MAKE_PAIR(BGl_za2methodzd2unitza2zd2zzmodule_classz00,
													BNIL);
												BgL_arg1835z00_1919 =
													MAKE_PAIR
													(BGl_za2genericzd2unitza2zd2zzmodule_classz00,
													BgL_arg1836z00_1920);
											}
											BgL_list1834z00_1918 =
												MAKE_PAIR(BGl_za2objectzd2unitza2zd2zzmodule_classz00,
												BgL_arg1835z00_1919);
										}
										return BgL_list1834z00_1918;
									}
								}
							}
						}
					}
			}
		}
	}



/* &class-finalizer */
	obj_t BGl_z62classzd2finaliza7erz17zzmodule_classz00(obj_t BgL_envz00_2728)
	{
		AN_OBJECT;
		{	/* Module/class.scm 351 */
			return BGl_classzd2finaliza7erz75zzmodule_classz00();
		}
	}



/* class-finalizer-add-static! */
	BGL_EXPORTED_DEF obj_t
		BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 417 */
			{	/* Module/class.scm 418 */
				obj_t BgL_bodyz00_1936;

				BgL_bodyz00_1936 = BGl_forcezd2classzd2accessesz00zzmodule_classz00();
				{	/* Module/class.scm 418 */
					obj_t BgL_bodyz00_1937;

					BgL_bodyz00_1937 =
						BGl_appendzd221011zd2zzmodule_classz00(bgl_reverse
						(BGl_za2declaredzd2classesza2zd2zzmodule_classz00),
						BgL_bodyz00_1936);
					{	/* Module/class.scm 419 */

						{	/* Module/class.scm 420 */
							bool_t BgL_testz00_3468;

							{	/* Module/class.scm 420 */
								obj_t BgL_oz00_2510;

								BgL_oz00_2510 = BGl_za2objectzd2unitza2zd2zzmodule_classz00;
								if (STRUCTP(BgL_oz00_2510))
									{	/* Module/class.scm 420 */
										BgL_testz00_3468 =
											(STRUCT_KEY(BgL_oz00_2510) ==
											CNST_TABLE_REF(((long) 30)));
									}
								else
									{	/* Module/class.scm 420 */
										BgL_testz00_3468 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_3468)
								{	/* Module/class.scm 422 */
									obj_t BgL_arg1857z00_1939;

									BgL_arg1857z00_1939 =
										BGl_appendzd221011zd2zzmodule_classz00(STRUCT_REF
										(BGl_za2objectzd2unitza2zd2zzmodule_classz00,
											(int) (((long) 2))), BgL_bodyz00_1937);
									{	/* Module/class.scm 421 */
										int BgL_auxz00_3477;

										BgL_auxz00_3477 = (int) (((long) 2));
										STRUCT_SET(BGl_za2objectzd2unitza2zd2zzmodule_classz00,
											BgL_auxz00_3477, BgL_arg1857z00_1939);
								}}
							else
								{	/* Module/class.scm 426 */
									obj_t BgL_arg1859z00_1941;
									bool_t BgL_arg1860z00_1942;

									if (PAIRP(BgL_bodyz00_1937))
										{	/* Module/class.scm 426 */
											BgL_arg1859z00_1941 = BgL_bodyz00_1937;
										}
									else
										{	/* Module/class.scm 426 */
											BgL_arg1859z00_1941 = CNST_TABLE_REF(((long) 28));
										}
									BgL_arg1860z00_1942 =
										(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
										CNST_TABLE_REF(((long) 23)));
									{	/* Module/class.scm 424 */
										obj_t BgL_idz00_2527;

										BgL_idz00_2527 = CNST_TABLE_REF(((long) 29));
										{	/* Module/class.scm 424 */
											obj_t BgL_newz00_2532;

											BgL_newz00_2532 =
												create_struct(CNST_TABLE_REF(((long) 30)),
												(int) (((long) 5)));
											{	/* Module/class.scm 424 */
												obj_t BgL_auxz00_3491;
												int BgL_auxz00_3489;

												BgL_auxz00_3491 = BBOOL(BgL_arg1860z00_1942);
												BgL_auxz00_3489 = (int) (((long) 4));
												STRUCT_SET(BgL_newz00_2532, BgL_auxz00_3489,
													BgL_auxz00_3491);
											}
											{	/* Module/class.scm 424 */
												int BgL_auxz00_3494;

												BgL_auxz00_3494 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_2532, BgL_auxz00_3494, BTRUE);
											}
											{	/* Module/class.scm 424 */
												int BgL_auxz00_3497;

												BgL_auxz00_3497 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_2532, BgL_auxz00_3497,
													BgL_arg1859z00_1941);
											}
											{	/* Module/class.scm 424 */
												obj_t BgL_auxz00_3502;
												int BgL_auxz00_3500;

												BgL_auxz00_3502 = BINT(((long) 19));
												BgL_auxz00_3500 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_2532, BgL_auxz00_3500,
													BgL_auxz00_3502);
											}
											{	/* Module/class.scm 424 */
												int BgL_auxz00_3505;

												BgL_auxz00_3505 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_2532, BgL_auxz00_3505,
													BgL_idz00_2527);
											}
											BGl_za2objectzd2unitza2zd2zzmodule_classz00 =
												BgL_newz00_2532;
						}}}}
						{	/* Module/class.scm 429 */
							bool_t BgL_testz00_3508;

							{	/* Module/class.scm 429 */
								obj_t BgL_oz00_2558;

								BgL_oz00_2558 = BGl_za2methodzd2unitza2zd2zzmodule_classz00;
								if (STRUCTP(BgL_oz00_2558))
									{	/* Module/class.scm 429 */
										BgL_testz00_3508 =
											(STRUCT_KEY(BgL_oz00_2558) ==
											CNST_TABLE_REF(((long) 30)));
									}
								else
									{	/* Module/class.scm 429 */
										BgL_testz00_3508 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_3508)
								{	/* Module/class.scm 429 */
									BFALSE;
								}
							else
								{	/* Module/class.scm 437 */
									bool_t BgL_arg1863z00_1945;

									BgL_arg1863z00_1945 =
										(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
										CNST_TABLE_REF(((long) 23)));
									{	/* Module/class.scm 431 */
										obj_t BgL_idz00_2565;
										obj_t BgL_sexpza2za2_2567;

										BgL_idz00_2565 = CNST_TABLE_REF(((long) 31));
										BgL_sexpza2za2_2567 = CNST_TABLE_REF(((long) 28));
										{	/* Module/class.scm 431 */
											obj_t BgL_newz00_2570;

											BgL_newz00_2570 =
												create_struct(CNST_TABLE_REF(((long) 30)),
												(int) (((long) 5)));
											{	/* Module/class.scm 431 */
												obj_t BgL_auxz00_3523;
												int BgL_auxz00_3521;

												BgL_auxz00_3523 = BBOOL(BgL_arg1863z00_1945);
												BgL_auxz00_3521 = (int) (((long) 4));
												STRUCT_SET(BgL_newz00_2570, BgL_auxz00_3521,
													BgL_auxz00_3523);
											}
											{	/* Module/class.scm 431 */
												int BgL_auxz00_3526;

												BgL_auxz00_3526 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_2570, BgL_auxz00_3526, BTRUE);
											}
											{	/* Module/class.scm 431 */
												int BgL_auxz00_3529;

												BgL_auxz00_3529 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_2570, BgL_auxz00_3529,
													BgL_sexpza2za2_2567);
											}
											{	/* Module/class.scm 431 */
												obj_t BgL_auxz00_3534;
												int BgL_auxz00_3532;

												BgL_auxz00_3534 = BINT(((long) 21));
												BgL_auxz00_3532 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_2570, BgL_auxz00_3532,
													BgL_auxz00_3534);
											}
											{	/* Module/class.scm 431 */
												int BgL_auxz00_3537;

												BgL_auxz00_3537 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_2570, BgL_auxz00_3537,
													BgL_idz00_2565);
											}
											BGl_za2methodzd2unitza2zd2zzmodule_classz00 =
												BgL_newz00_2570;
						}}}}
						{	/* Module/class.scm 438 */
							bool_t BgL_testz00_3540;

							{	/* Module/class.scm 438 */
								obj_t BgL_oz00_2596;

								BgL_oz00_2596 = BGl_za2genericzd2unitza2zd2zzmodule_classz00;
								if (STRUCTP(BgL_oz00_2596))
									{	/* Module/class.scm 438 */
										BgL_testz00_3540 =
											(STRUCT_KEY(BgL_oz00_2596) ==
											CNST_TABLE_REF(((long) 30)));
									}
								else
									{	/* Module/class.scm 438 */
										BgL_testz00_3540 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_3540)
								{	/* Module/class.scm 438 */
									BFALSE;
								}
							else
								{	/* Module/class.scm 446 */
									bool_t BgL_arg1865z00_1947;

									BgL_arg1865z00_1947 =
										(BGl_za2objectzd2initzd2modeza2z00zzengine_paramz00 ==
										CNST_TABLE_REF(((long) 23)));
									{	/* Module/class.scm 440 */
										obj_t BgL_idz00_2603;
										obj_t BgL_sexpza2za2_2605;

										BgL_idz00_2603 = CNST_TABLE_REF(((long) 32));
										BgL_sexpza2za2_2605 = CNST_TABLE_REF(((long) 28));
										{	/* Module/class.scm 440 */
											obj_t BgL_newz00_2608;

											BgL_newz00_2608 =
												create_struct(CNST_TABLE_REF(((long) 30)),
												(int) (((long) 5)));
											{	/* Module/class.scm 440 */
												obj_t BgL_auxz00_3555;
												int BgL_auxz00_3553;

												BgL_auxz00_3555 = BBOOL(BgL_arg1865z00_1947);
												BgL_auxz00_3553 = (int) (((long) 4));
												STRUCT_SET(BgL_newz00_2608, BgL_auxz00_3553,
													BgL_auxz00_3555);
											}
											{	/* Module/class.scm 440 */
												int BgL_auxz00_3558;

												BgL_auxz00_3558 = (int) (((long) 3));
												STRUCT_SET(BgL_newz00_2608, BgL_auxz00_3558, BTRUE);
											}
											{	/* Module/class.scm 440 */
												int BgL_auxz00_3561;

												BgL_auxz00_3561 = (int) (((long) 2));
												STRUCT_SET(BgL_newz00_2608, BgL_auxz00_3561,
													BgL_sexpza2za2_2605);
											}
											{	/* Module/class.scm 440 */
												obj_t BgL_auxz00_3566;
												int BgL_auxz00_3564;

												BgL_auxz00_3566 = BINT(((long) 21));
												BgL_auxz00_3564 = (int) (((long) 1));
												STRUCT_SET(BgL_newz00_2608, BgL_auxz00_3564,
													BgL_auxz00_3566);
											}
											{	/* Module/class.scm 440 */
												int BgL_auxz00_3569;

												BgL_auxz00_3569 = (int) (((long) 0));
												STRUCT_SET(BgL_newz00_2608, BgL_auxz00_3569,
													BgL_idz00_2603);
											}
											BGl_za2genericzd2unitza2zd2zzmodule_classz00 =
												BgL_newz00_2608;
						}}}}
						BGl_za2classzd2accessesza2zd2zzmodule_classz00 = BNIL;
						BGl_za2declaredzd2classesza2zd2zzmodule_classz00 = BNIL;
						return BUNSPEC;
					}
				}
			}
		}
	}



/* &class-finalizer-add-static! */
	obj_t BGl_z62classzd2finaliza7erzd2addzd2staticz12z05zzmodule_classz00(obj_t
		BgL_envz00_2729)
	{
		AN_OBJECT;
		{	/* Module/class.scm 417 */
			return BGl_classzd2finaliza7erzd2addzd2staticz12z67zzmodule_classz00();
		}
	}



/* force-class-accesses */
	obj_t BGl_forcezd2classzd2accessesz00zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 458 */
			{	/* Module/class.scm 460 */
				obj_t BgL_g1109z00_1949;

				BgL_g1109z00_1949 =
					bgl_reverse(BGl_za2classzd2accessesza2zd2zzmodule_classz00);
				{
					obj_t BgL_curz00_1953;
					obj_t BgL_nextz00_1954;
					obj_t BgL_accessz00_1955;

					BgL_curz00_1953 = BgL_g1109z00_1949;
					BgL_nextz00_1954 = BNIL;
					BgL_accessz00_1955 = BNIL;
				BgL_zc3anonymousza31867ze3z83_1956:
					if (NULLP(BgL_curz00_1953))
						{	/* Module/class.scm 463 */
							if (NULLP(BgL_nextz00_1954))
								{	/* Module/class.scm 464 */
									return BgL_accessz00_1955;
								}
							else
								{
									obj_t BgL_nextz00_3579;
									obj_t BgL_curz00_3578;

									BgL_curz00_3578 = BgL_nextz00_1954;
									BgL_nextz00_3579 = BNIL;
									BgL_nextz00_1954 = BgL_nextz00_3579;
									BgL_curz00_1953 = BgL_curz00_3578;
									goto BgL_zc3anonymousza31867ze3z83_1956;
								}
						}
					else
						{	/* Module/class.scm 467 */
							obj_t BgL_classz00_1959;

							BgL_classz00_1959 = CAR(CAR(BgL_curz00_1953));
							{	/* Module/class.scm 467 */
								obj_t BgL_superz00_1960;

								if (BGl_isazf3zf3zz__objectz00(BgL_classz00_1959,
										BGl_tclassz00zzobject_classz00))
									{
										BgL_tclassz00_bglt BgL_auxz00_3584;

										{
											obj_t BgL_auxz00_3585;

											{	/* Module/class.scm 469 */
												BgL_objectz00_bglt BgL_auxz00_3586;

												BgL_auxz00_3586 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_classz00_1959));
												BgL_auxz00_3585 = BGL_OBJECT_WIDENING(BgL_auxz00_3586);
											}
											BgL_auxz00_3584 = ((BgL_tclassz00_bglt) BgL_auxz00_3585);
										}
										BgL_superz00_1960 =
											(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3584))->
											BgL_itszd2superzd2);
									}
								else
									{
										BgL_jclassz00_bglt BgL_auxz00_3592;

										{
											obj_t BgL_auxz00_3593;

											{	/* Module/class.scm 470 */
												BgL_objectz00_bglt BgL_auxz00_3594;

												BgL_auxz00_3594 =
													((BgL_objectz00_bglt)
													((BgL_typez00_bglt) BgL_classz00_1959));
												BgL_auxz00_3593 = BGL_OBJECT_WIDENING(BgL_auxz00_3594);
											}
											BgL_auxz00_3592 = ((BgL_jclassz00_bglt) BgL_auxz00_3593);
										}
										BgL_superz00_1960 =
											(((BgL_jclassz00_bglt) CREF(BgL_auxz00_3592))->
											BgL_itszd2superzd2);
									}
								{	/* Module/class.scm 468 */

									if ((BgL_superz00_1960 == BgL_classz00_1959))
										{	/* Module/class.scm 474 */
											obj_t BgL_arg1871z00_1962;
											obj_t BgL_arg1872z00_1963;

											BgL_arg1871z00_1962 = CDR(BgL_curz00_1953);
											{	/* Module/class.scm 476 */
												obj_t BgL_arg1873z00_1964;

												{	/* Module/class.scm 476 */
													obj_t BgL_arg1874z00_1965;

													BgL_arg1874z00_1965 = CDR(CAR(BgL_curz00_1953));
													BgL_arg1873z00_1964 =
														PROCEDURE_ENTRY(BgL_arg1874z00_1965)
														(BgL_arg1874z00_1965, BEOA);
												}
												BgL_arg1872z00_1963 =
													BGl_appendzd221011zd2zzmodule_classz00
													(BgL_arg1873z00_1964, BgL_accessz00_1955);
											}
											{
												obj_t BgL_accessz00_3610;
												obj_t BgL_curz00_3609;

												BgL_curz00_3609 = BgL_arg1871z00_1962;
												BgL_accessz00_3610 = BgL_arg1872z00_1963;
												BgL_accessz00_1955 = BgL_accessz00_3610;
												BgL_curz00_1953 = BgL_curz00_3609;
												goto BgL_zc3anonymousza31867ze3z83_1956;
											}
										}
									else
										{	/* Module/class.scm 477 */
											bool_t BgL_testz00_3611;

											if (BGl_isazf3zf3zz__objectz00(BgL_classz00_1959,
													BGl_tclassz00zzobject_classz00))
												{	/* Module/class.scm 477 */
													if (BGl_isazf3zf3zz__objectz00(BgL_superz00_1960,
															BGl_tclassz00zzobject_classz00))
														{	/* Module/class.scm 477 */
															BgL_testz00_3611 = ((bool_t) 0);
														}
													else
														{	/* Module/class.scm 477 */
															BgL_testz00_3611 = ((bool_t) 1);
														}
												}
											else
												{	/* Module/class.scm 477 */
													BgL_testz00_3611 = ((bool_t) 0);
												}
											if (BgL_testz00_3611)
												{	/* Module/class.scm 477 */
													if (BGl_isazf3zf3zz__objectz00(BgL_superz00_1960,
															BGl_typez00zztype_typez00))
														{	/* Module/class.scm 478 */
															{
																BgL_tclassz00_bglt BgL_auxz00_3618;

																{
																	obj_t BgL_auxz00_3619;

																	{	/* Module/class.scm 482 */
																		BgL_objectz00_bglt BgL_auxz00_3620;

																		BgL_auxz00_3620 =
																			((BgL_objectz00_bglt)
																			((BgL_typez00_bglt) BgL_classz00_1959));
																		BgL_auxz00_3619 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3620);
																	}
																	BgL_auxz00_3618 =
																		((BgL_tclassz00_bglt) BgL_auxz00_3619);
																}
																((((BgL_tclassz00_bglt) CREF(BgL_auxz00_3618))->
																		BgL_slotsz00) = ((obj_t) BNIL), BUNSPEC);
															}
															{
																obj_t BgL_curz00_3626;

																BgL_curz00_3626 = CDR(BgL_curz00_1953);
																BgL_curz00_1953 = BgL_curz00_3626;
																goto BgL_zc3anonymousza31867ze3z83_1956;
															}
														}
													else
														{	/* Module/class.scm 486 */
															obj_t BgL_arg1879z00_1970;
															obj_t BgL_arg1880z00_1971;

															BgL_arg1879z00_1970 = CDR(BgL_curz00_1953);
															{	/* Module/class.scm 488 */
																obj_t BgL_arg1881z00_1972;

																{	/* Module/class.scm 488 */
																	obj_t BgL_arg1882z00_1973;

																	BgL_arg1882z00_1973 =
																		CDR(CAR(BgL_curz00_1953));
																	BgL_arg1881z00_1972 =
																		PROCEDURE_ENTRY(BgL_arg1882z00_1973)
																		(BgL_arg1882z00_1973, BEOA);
																}
																BgL_arg1880z00_1971 =
																	BGl_appendzd221011zd2zzmodule_classz00
																	(BgL_arg1881z00_1972, BgL_accessz00_1955);
															}
															{
																obj_t BgL_accessz00_3636;
																obj_t BgL_curz00_3635;

																BgL_curz00_3635 = BgL_arg1879z00_1970;
																BgL_accessz00_3636 = BgL_arg1880z00_1971;
																BgL_accessz00_1955 = BgL_accessz00_3636;
																BgL_curz00_1953 = BgL_curz00_3635;
																goto BgL_zc3anonymousza31867ze3z83_1956;
															}
														}
												}
											else
												{	/* Module/class.scm 489 */
													bool_t BgL_testz00_3637;

													if (BGl_isazf3zf3zz__objectz00(BgL_classz00_1959,
															BGl_jclassz00zzobject_classz00))
														{	/* Module/class.scm 489 */
															if (BGl_isazf3zf3zz__objectz00(BgL_superz00_1960,
																	BGl_jclassz00zzobject_classz00))
																{	/* Module/class.scm 489 */
																	BgL_testz00_3637 = ((bool_t) 0);
																}
															else
																{	/* Module/class.scm 489 */
																	BgL_testz00_3637 = ((bool_t) 1);
																}
														}
													else
														{	/* Module/class.scm 489 */
															BgL_testz00_3637 = ((bool_t) 0);
														}
													if (BgL_testz00_3637)
														{	/* Module/class.scm 489 */
															if (BGl_isazf3zf3zz__objectz00(BgL_superz00_1960,
																	BGl_typez00zztype_typez00))
																{	/* Module/class.scm 490 */
																	{
																		BgL_jclassz00_bglt BgL_auxz00_3644;

																		{
																			obj_t BgL_auxz00_3645;

																			{	/* Module/class.scm 494 */
																				BgL_objectz00_bglt BgL_auxz00_3646;

																				BgL_auxz00_3646 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_classz00_1959));
																				BgL_auxz00_3645 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3646);
																			}
																			BgL_auxz00_3644 =
																				((BgL_jclassz00_bglt) BgL_auxz00_3645);
																		}
																		((((BgL_jclassz00_bglt)
																					CREF(BgL_auxz00_3644))->
																				BgL_slotsz00) =
																			((obj_t) BNIL), BUNSPEC);
																	}
																	{
																		obj_t BgL_curz00_3652;

																		BgL_curz00_3652 = CDR(BgL_curz00_1953);
																		BgL_curz00_1953 = BgL_curz00_3652;
																		goto BgL_zc3anonymousza31867ze3z83_1956;
																	}
																}
															else
																{	/* Module/class.scm 498 */
																	obj_t BgL_arg1887z00_1978;
																	obj_t BgL_arg1888z00_1979;

																	BgL_arg1887z00_1978 = CDR(BgL_curz00_1953);
																	{	/* Module/class.scm 500 */
																		obj_t BgL_arg1889z00_1980;

																		{	/* Module/class.scm 500 */
																			obj_t BgL_arg1890z00_1981;

																			BgL_arg1890z00_1981 =
																				CDR(CAR(BgL_curz00_1953));
																			BgL_arg1889z00_1980 =
																				PROCEDURE_ENTRY(BgL_arg1890z00_1981)
																				(BgL_arg1890z00_1981, BEOA);
																		}
																		BgL_arg1888z00_1979 =
																			BGl_appendzd221011zd2zzmodule_classz00
																			(BgL_arg1889z00_1980, BgL_accessz00_1955);
																	}
																	{
																		obj_t BgL_accessz00_3662;
																		obj_t BgL_curz00_3661;

																		BgL_curz00_3661 = BgL_arg1887z00_1978;
																		BgL_accessz00_3662 = BgL_arg1888z00_1979;
																		BgL_accessz00_1955 = BgL_accessz00_3662;
																		BgL_curz00_1953 = BgL_curz00_3661;
																		goto BgL_zc3anonymousza31867ze3z83_1956;
																	}
																}
														}
													else
														{	/* Module/class.scm 501 */
															bool_t BgL_testz00_3663;

															if (BGl_isazf3zf3zz__objectz00(BgL_classz00_1959,
																	BGl_tclassz00zzobject_classz00))
																{	/* Module/class.scm 501 */
																	obj_t BgL_auxz00_3666;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_3667;

																		{
																			obj_t BgL_auxz00_3668;

																			{	/* Module/class.scm 501 */
																				BgL_objectz00_bglt BgL_auxz00_3669;

																				BgL_auxz00_3669 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt)
																						BgL_superz00_1960));
																				BgL_auxz00_3668 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3669);
																			}
																			BgL_auxz00_3667 =
																				((BgL_tclassz00_bglt) BgL_auxz00_3668);
																		}
																		BgL_auxz00_3666 =
																			(((BgL_tclassz00_bglt)
																				CREF(BgL_auxz00_3667))->BgL_slotsz00);
																	}
																	BgL_testz00_3663 =
																		(BgL_auxz00_3666 == BUNSPEC);
																}
															else
																{	/* Module/class.scm 501 */
																	BgL_testz00_3663 = ((bool_t) 0);
																}
															if (BgL_testz00_3663)
																{	/* Module/class.scm 503 */
																	obj_t BgL_arg1893z00_1984;
																	obj_t BgL_arg1894z00_1985;

																	BgL_arg1893z00_1984 = CDR(BgL_curz00_1953);
																	BgL_arg1894z00_1985 =
																		MAKE_PAIR(CAR(BgL_curz00_1953),
																		BgL_nextz00_1954);
																	{
																		obj_t BgL_nextz00_3680;
																		obj_t BgL_curz00_3679;

																		BgL_curz00_3679 = BgL_arg1893z00_1984;
																		BgL_nextz00_3680 = BgL_arg1894z00_1985;
																		BgL_nextz00_1954 = BgL_nextz00_3680;
																		BgL_curz00_1953 = BgL_curz00_3679;
																		goto BgL_zc3anonymousza31867ze3z83_1956;
																	}
																}
															else
																{	/* Module/class.scm 506 */
																	bool_t BgL_testz00_3681;

																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_classz00_1959,
																			BGl_jclassz00zzobject_classz00))
																		{	/* Module/class.scm 506 */
																			obj_t BgL_auxz00_3684;

																			{
																				BgL_jclassz00_bglt BgL_auxz00_3685;

																				{
																					obj_t BgL_auxz00_3686;

																					{	/* Module/class.scm 506 */
																						BgL_objectz00_bglt BgL_auxz00_3687;

																						BgL_auxz00_3687 =
																							((BgL_objectz00_bglt)
																							((BgL_typez00_bglt)
																								BgL_superz00_1960));
																						BgL_auxz00_3686 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_3687);
																					}
																					BgL_auxz00_3685 =
																						((BgL_jclassz00_bglt)
																						BgL_auxz00_3686);
																				}
																				BgL_auxz00_3684 =
																					(((BgL_jclassz00_bglt)
																						CREF(BgL_auxz00_3685))->
																					BgL_slotsz00);
																			}
																			BgL_testz00_3681 =
																				(BgL_auxz00_3684 == BUNSPEC);
																		}
																	else
																		{	/* Module/class.scm 506 */
																			BgL_testz00_3681 = ((bool_t) 0);
																		}
																	if (BgL_testz00_3681)
																		{	/* Module/class.scm 508 */
																			obj_t BgL_arg1897z00_1988;
																			obj_t BgL_arg1898z00_1989;

																			BgL_arg1897z00_1988 =
																				CDR(BgL_curz00_1953);
																			BgL_arg1898z00_1989 =
																				MAKE_PAIR(CAR(BgL_curz00_1953),
																				BgL_nextz00_1954);
																			{
																				obj_t BgL_nextz00_3698;
																				obj_t BgL_curz00_3697;

																				BgL_curz00_3697 = BgL_arg1897z00_1988;
																				BgL_nextz00_3698 = BgL_arg1898z00_1989;
																				BgL_nextz00_1954 = BgL_nextz00_3698;
																				BgL_curz00_1953 = BgL_curz00_3697;
																				goto BgL_zc3anonymousza31867ze3z83_1956;
																			}
																		}
																	else
																		{	/* Module/class.scm 513 */
																			obj_t BgL_arg1901z00_1991;
																			obj_t BgL_arg1902z00_1992;

																			BgL_arg1901z00_1991 =
																				CDR(BgL_curz00_1953);
																			{	/* Module/class.scm 515 */
																				obj_t BgL_arg1903z00_1993;

																				{	/* Module/class.scm 515 */
																					obj_t BgL_arg1904z00_1994;

																					BgL_arg1904z00_1994 =
																						CDR(CAR(BgL_curz00_1953));
																					BgL_arg1903z00_1993 =
																						PROCEDURE_ENTRY(BgL_arg1904z00_1994)
																						(BgL_arg1904z00_1994, BEOA);
																				}
																				BgL_arg1902z00_1992 =
																					BGl_appendzd221011zd2zzmodule_classz00
																					(BgL_arg1903z00_1993,
																					BgL_accessz00_1955);
																			}
																			{
																				obj_t BgL_accessz00_3707;
																				obj_t BgL_curz00_3706;

																				BgL_curz00_3706 = BgL_arg1901z00_1991;
																				BgL_accessz00_3707 =
																					BgL_arg1902z00_1992;
																				BgL_accessz00_1955 = BgL_accessz00_3707;
																				BgL_curz00_1953 = BgL_curz00_3706;
																				goto BgL_zc3anonymousza31867ze3z83_1956;
																			}
																		}
																}
														}
												}
										}
								}
							}
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_classz00()
	{
		AN_OBJECT;
		{	/* Module/class.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 478324304),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 520121496),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzobject_coercionz00(((long) 208160543),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			BGl_modulezd2initializa7ationz75zzobject_classgenz00(((long) 502726840),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2031z00zzmodule_classz00));
		}
	}

#ifdef __cplusplus
}
#endif
