/*===========================================================================*/
/*   (Object/getter.scm)                                                     */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Object/getter.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_jclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		obj_t BgL_packagez00;
	}                *BgL_jclassz00_bglt;

	typedef struct BgL_slotz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_srcz00;
		obj_t BgL_classzd2ownerzd2;
		long BgL_indexz00;
		obj_t BgL_typez00;
		bool_t BgL_readzd2onlyzf3z21;
		obj_t BgL_defaultzd2valuezd2;
		obj_t BgL_virtualzd2numzd2;
		bool_t BgL_virtualzd2overridezd2;
		obj_t BgL_getterz00;
		obj_t BgL_setterz00;
		obj_t BgL_userzd2infozd2;
	}              *BgL_slotz00_bglt;


	extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t
		BGl_genzd2javazd2classzd2slotzd2accessz00zzobject_getterz00(obj_t,
		BgL_typez00_bglt, BgL_typez00_bglt, obj_t);
	static obj_t BGl_objectzd2initzd2zzobject_getterz00();
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_slotz00zzobject_slotsz00;
	static obj_t BGl_appendzd221011zd2zzobject_getterz00(obj_t, obj_t);
	extern obj_t BGl_makezd2typedzd2formalz00zzast_identz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzobject_getterz00();
	static obj_t
		BGl_z62genzd2javazd2classzd2slotszd2accessz12z70zzobject_getterz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_slotzd2directzd2refz00zzobject_getterz00(obj_t,
		BgL_typez00_bglt, obj_t, bool_t, obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	extern obj_t BGl_makezd2classzd2refz00zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_slotzd2directzd2setz12z12zzobject_getterz00(obj_t,
		BgL_typez00_bglt, obj_t, bool_t, obj_t);
	extern obj_t BGl_makezd2classzd2setz12z12zzobject_toolsz00(BgL_typez00_bglt,
		BgL_slotz00_bglt, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00
		(BgL_typez00_bglt, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzobject_getterz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzobject_getterz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzobject_getterz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzobject_getterz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzobject_getterz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzobject_getterz00();
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	extern obj_t BGl_addzd2macrozd2aliasz12z12zzexpand_epsz00(obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1547z00zzobject_getterz00,
		BgL_bgl_string1547za700za7za7o1554za7, "object_getter", 13);
	      DEFINE_STRING(BGl_string1548z00zzobject_getterz00,
		BgL_bgl_string1548za700za7za7o1555za7,
		"write val ::obj -set! define-inline pragma side-effect-free no-cfa-top effect read static inline obj - ",
		103);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_genzd2javazd2classzd2slotszd2accessz12zd2envzc0zzobject_getterz00,
		BgL_bgl_za762genza7d2javaza7d21556za7,
		BGl_z62genzd2javazd2classzd2slotszd2accessz12z70zzobject_getterz00, 0L,
		BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzobject_getterz00(long
		BgL_checksumz00_990, char *BgL_fromz00_991)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzobject_getterz00))
				{
					BGl_requirezd2initializa7ationz75zzobject_getterz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzobject_getterz00();
					BGl_cnstzd2initzd2zzobject_getterz00();
					BGl_importedzd2moduleszd2initz00zzobject_getterz00();
					return BGl_methodzd2initzd2zzobject_getterz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzobject_getterz00()
	{
		AN_OBJECT;
		{	/* Object/getter.scm 18 */
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"object_getter");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"object_getter");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"object_getter");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"object_getter");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"object_getter");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"object_getter");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzobject_getterz00()
	{
		AN_OBJECT;
		{	/* Object/getter.scm 18 */
			{	/* Object/getter.scm 18 */
				obj_t BgL_cportz00_977;

				{	/* Object/getter.scm 18 */
					obj_t BgL_startz00_986;

					BgL_startz00_986 = BINT(((long) 0));
					{	/* Object/getter.scm 18 */
						obj_t BgL_endz00_987;

						BgL_endz00_987 =
							BINT(STRING_LENGTH(BGl_string1548z00zzobject_getterz00));
						{	/* Object/getter.scm 18 */

							BgL_cportz00_977 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1548z00zzobject_getterz00, BgL_startz00_986,
								BgL_endz00_987);
				}}}
				{
					long BgL_iz00_978;

					BgL_iz00_978 = ((long) 13);
				BgL_loopz00_979:
					if ((BgL_iz00_978 == ((long) -1)))
						{	/* Object/getter.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Object/getter.scm 18 */
							{	/* Object/getter.scm 18 */
								obj_t BgL_arg1552z00_981;

								{	/* Object/getter.scm 18 */

									{	/* Object/getter.scm 18 */
										obj_t BgL_locationz00_983;

										BgL_locationz00_983 = BBOOL(((bool_t) 0));
										{	/* Object/getter.scm 18 */

											BgL_arg1552z00_981 =
												BGl_readz00zz__readerz00(BgL_cportz00_977,
												BgL_locationz00_983);
										}
									}
								}
								{	/* Object/getter.scm 18 */
									int BgL_auxz00_1013;

									BgL_auxz00_1013 = (int) (BgL_iz00_978);
									CNST_TABLE_SET(BgL_auxz00_1013, BgL_arg1552z00_981);
							}}
							{	/* Object/getter.scm 18 */
								int BgL_auxz00_984;

								BgL_auxz00_984 = (int) ((BgL_iz00_978 - ((long) 1)));
								{
									long BgL_iz00_1018;

									BgL_iz00_1018 = (long) (BgL_auxz00_984);
									BgL_iz00_978 = BgL_iz00_1018;
									goto BgL_loopz00_979;
								}
							}
						}
				}
			}
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzobject_getterz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_678;

				BgL_headz00_678 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_679;
					obj_t BgL_tailz00_680;

					BgL_prevz00_679 = BgL_headz00_678;
					BgL_tailz00_680 = BgL_l1z00_1;
				BgL_loopz00_681:
					if (PAIRP(BgL_tailz00_680))
						{
							obj_t BgL_newzd2prevzd2_683;

							BgL_newzd2prevzd2_683 =
								MAKE_PAIR(CAR(BgL_tailz00_680), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_679, BgL_newzd2prevzd2_683);
							{
								obj_t BgL_tailz00_1027;
								obj_t BgL_prevz00_1026;

								BgL_prevz00_1026 = BgL_newzd2prevzd2_683;
								BgL_tailz00_1027 = CDR(BgL_tailz00_680);
								BgL_tailz00_680 = BgL_tailz00_1027;
								BgL_prevz00_679 = BgL_prevz00_1026;
								goto BgL_loopz00_681;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_678);
				}
			}
		}
	}



/* gen-java-class-slots-access! */
	BGL_EXPORTED_DEF obj_t
		BGl_genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00
		(BgL_typez00_bglt BgL_jclassz00_3, obj_t BgL_slotsz00_4,
		obj_t BgL_srczd2defzd2_5)
	{
		AN_OBJECT;
		{	/* Object/getter.scm 41 */
			{	/* Object/getter.scm 48 */
				obj_t BgL_runner1138z00_704;

				if (NULLP(BgL_slotsz00_4))
					{	/* Object/getter.scm 48 */
						BgL_runner1138z00_704 = BNIL;
					}
				else
					{	/* Object/getter.scm 48 */
						obj_t BgL_head1117z00_690;

						{	/* Object/getter.scm 48 */
							obj_t BgL_arg1135z00_702;

							BgL_arg1135z00_702 =
								BGl_genzd2javazd2classzd2slotzd2accessz00zzobject_getterz00
								(BgL_srczd2defzd2_5, BgL_jclassz00_3, BgL_jclassz00_3,
								CAR(BgL_slotsz00_4));
							{	/* Object/getter.scm 48 */
								obj_t BgL_res1529z00_908;

								BgL_res1529z00_908 = MAKE_PAIR(BgL_arg1135z00_702, BNIL);
								BgL_head1117z00_690 = BgL_res1529z00_908;
							}
						}
						{	/* Object/getter.scm 48 */
							obj_t BgL_g1122z00_691;

							BgL_g1122z00_691 = CDR(BgL_slotsz00_4);
							{
								obj_t BgL_l1115z00_693;
								obj_t BgL_tail1118z00_694;

								BgL_l1115z00_693 = BgL_g1122z00_691;
								BgL_tail1118z00_694 = BgL_head1117z00_690;
							BgL_zc3anonymousza31128ze3z83_695:
								if (NULLP(BgL_l1115z00_693))
									{	/* Object/getter.scm 48 */
										BgL_runner1138z00_704 = BgL_head1117z00_690;
									}
								else
									{	/* Object/getter.scm 48 */
										obj_t BgL_newtail1119z00_697;

										{	/* Object/getter.scm 48 */
											obj_t BgL_arg1132z00_699;

											BgL_arg1132z00_699 =
												BGl_genzd2javazd2classzd2slotzd2accessz00zzobject_getterz00
												(BgL_srczd2defzd2_5, BgL_jclassz00_3, BgL_jclassz00_3,
												CAR(BgL_l1115z00_693));
											{	/* Object/getter.scm 48 */
												obj_t BgL_res1531z00_915;

												BgL_res1531z00_915 =
													MAKE_PAIR(BgL_arg1132z00_699, BNIL);
												BgL_newtail1119z00_697 = BgL_res1531z00_915;
											}
										}
										SET_CDR(BgL_tail1118z00_694, BgL_newtail1119z00_697);
										{
											obj_t BgL_tail1118z00_1044;
											obj_t BgL_l1115z00_1042;

											BgL_l1115z00_1042 = CDR(BgL_l1115z00_693);
											BgL_tail1118z00_1044 = BgL_newtail1119z00_697;
											BgL_tail1118z00_694 = BgL_tail1118z00_1044;
											BgL_l1115z00_693 = BgL_l1115z00_1042;
											goto BgL_zc3anonymousza31128ze3z83_695;
										}
									}
							}
						}
					}
				return
					BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner1138z00_704);
			}
		}
	}



/* gen-java-class-slot-access */
	obj_t BGl_genzd2javazd2classzd2slotzd2accessz00zzobject_getterz00(obj_t
		BgL_srczd2defzd2_976, BgL_typez00_bglt BgL_jclassz00_975,
		BgL_typez00_bglt BgL_i1068z00_974, obj_t BgL_slotz00_705)
	{
		AN_OBJECT;
		{	/* Object/getter.scm 47 */
			{	/* Object/getter.scm 44 */
				obj_t BgL_refz00_707;

				{	/* Object/getter.scm 44 */
					obj_t BgL_arg1145z00_711;

					BgL_arg1145z00_711 =
						(((BgL_typez00_bglt) CREF(
								((BgL_typez00_bglt) BgL_i1068z00_974)))->BgL_idz00);
					BgL_refz00_707 =
						BGl_slotzd2directzd2refz00zzobject_getterz00(BgL_arg1145z00_711,
						BgL_jclassz00_975, BgL_slotz00_705, ((bool_t) 0),
						BgL_srczd2defzd2_976);
				}
				if (
					(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_705)))->BgL_readzd2onlyzf3z21))
					{	/* Object/getter.scm 45 */
						return BgL_refz00_707;
					}
				else
					{	/* Object/getter.scm 47 */
						obj_t BgL_arg1141z00_709;

						{	/* Object/getter.scm 47 */
							obj_t BgL_arg1144z00_710;

							BgL_arg1144z00_710 =
								(((BgL_typez00_bglt) CREF(
										((BgL_typez00_bglt) BgL_i1068z00_974)))->BgL_idz00);
							BgL_arg1141z00_709 =
								BGl_slotzd2directzd2setz12z12zzobject_getterz00
								(BgL_arg1144z00_710, BgL_jclassz00_975, BgL_slotz00_705,
								((bool_t) 0), BgL_srczd2defzd2_976);
						}
						return
							BGl_appendzd221011zd2zzobject_getterz00(BgL_refz00_707,
							BgL_arg1141z00_709);
					}
			}
		}
	}



/* &gen-java-class-slots-access! */
	obj_t BGl_z62genzd2javazd2classzd2slotszd2accessz12z70zzobject_getterz00(obj_t
		BgL_envz00_970, obj_t BgL_jclassz00_971, obj_t BgL_slotsz00_972,
		obj_t BgL_srczd2defzd2_973)
	{
		AN_OBJECT;
		{	/* Object/getter.scm 41 */
			return
				BGl_genzd2javazd2classzd2slotszd2accessz12z12zzobject_getterz00(
				((BgL_typez00_bglt) BgL_jclassz00_971), BgL_slotsz00_972,
				BgL_srczd2defzd2_973);
		}
	}



/* slot-direct-ref */
	obj_t BGl_slotzd2directzd2refz00zzobject_getterz00(obj_t BgL_classzd2idzd2_6,
		BgL_typez00_bglt BgL_classz00_7, obj_t BgL_slotz00_8,
		bool_t BgL_wideningz00_9, obj_t BgL_srczd2defzd2_10)
	{
		AN_OBJECT;
		{	/* Object/getter.scm 53 */
			{	/* Object/getter.scm 55 */
				obj_t BgL_slotzd2refzd2idz00_714;

				{	/* Object/getter.scm 55 */
					obj_t BgL_arg1220z00_764;

					BgL_arg1220z00_764 =
						(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_8)))->BgL_idz00);
					{	/* Object/getter.scm 55 */
						obj_t BgL_list1221z00_765;

						{	/* Object/getter.scm 55 */
							obj_t BgL_arg1223z00_766;

							{	/* Object/getter.scm 55 */
								obj_t BgL_arg1224z00_767;

								BgL_arg1224z00_767 = MAKE_PAIR(BgL_arg1220z00_764, BNIL);
								BgL_arg1223z00_766 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BgL_arg1224z00_767);
							}
							BgL_list1221z00_765 =
								MAKE_PAIR(BgL_classzd2idzd2_6, BgL_arg1223z00_766);
						}
						BgL_slotzd2refzd2idz00_714 =
							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1221z00_765);
				}}
				{	/* Object/getter.scm 56 */
					obj_t BgL_slotzd2refzd2tidz00_716;

					{	/* Object/getter.scm 57 */
						obj_t BgL_arg1216z00_762;

						BgL_arg1216z00_762 =
							(((BgL_typez00_bglt) CREF(
									((BgL_typez00_bglt)
										(((BgL_slotz00_bglt) CREF(
													((BgL_slotz00_bglt) BgL_slotz00_8)))->
											BgL_typez00))))->BgL_idz00);
						BgL_slotzd2refzd2tidz00_716 =
							BGl_makezd2typedzd2identz00zzast_identz00
							(BgL_slotzd2refzd2idz00_714, BgL_arg1216z00_762);
					}
					{	/* Object/getter.scm 57 */
						obj_t BgL_objz00_717;

						BgL_objz00_717 =
							BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
							(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1))));
						{	/* Object/getter.scm 58 */
							obj_t BgL_tidz00_718;

							{	/* Object/getter.scm 59 */
								obj_t BgL_arg1212z00_760;

								BgL_arg1212z00_760 =
									(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt) BgL_classz00_7)))->BgL_idz00);
								BgL_tidz00_718 =
									BGl_makezd2typedzd2formalz00zzast_identz00
									(BgL_arg1212z00_760);
							}
							{	/* Object/getter.scm 59 */

								if (
									(BgL_classzd2idzd2_6 ==
										(((BgL_typez00_bglt) CREF(
													((BgL_typez00_bglt)
														(((BgL_slotz00_bglt) CREF(
																	((BgL_slotz00_bglt) BgL_slotz00_8)))->
															BgL_classzd2ownerzd2))))->BgL_idz00)))
									{	/* Object/getter.scm 60 */
										{	/* Object/getter.scm 66 */
											obj_t BgL_arg1147z00_720;

											{	/* Object/getter.scm 66 */
												obj_t BgL_arg1148z00_721;

												{	/* Object/getter.scm 66 */
													obj_t BgL_arg1149z00_722;

													{	/* Object/getter.scm 66 */
														obj_t BgL_arg1152z00_723;

														{	/* Object/getter.scm 66 */
															obj_t BgL_arg1153z00_724;

															BgL_arg1153z00_724 =
																MAKE_PAIR(BgL_tidz00_718, BNIL);
															BgL_arg1152z00_723 =
																MAKE_PAIR(BgL_slotzd2refzd2tidz00_716,
																BgL_arg1153z00_724);
														}
														BgL_arg1149z00_722 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
															BgL_arg1152z00_723);
													}
													BgL_arg1148z00_721 =
														MAKE_PAIR(BgL_arg1149z00_722, BNIL);
												}
												BgL_arg1147z00_720 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
													BgL_arg1148z00_721);
											}
											BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
												(BgL_arg1147z00_720);
										}
										{	/* Object/getter.scm 69 */
											obj_t BgL_arg1155z00_725;

											{	/* Object/getter.scm 69 */
												obj_t BgL_arg1156z00_726;

												{	/* Object/getter.scm 69 */
													obj_t BgL_arg1157z00_727;

													{	/* Object/getter.scm 69 */
														obj_t BgL_arg1160z00_728;

														{	/* Object/getter.scm 69 */
															obj_t BgL_arg1162z00_729;

															{	/* Object/getter.scm 69 */
																obj_t BgL_arg1163z00_730;

																{	/* Object/getter.scm 69 */
																	obj_t BgL_arg1166z00_731;

																	{	/* Object/getter.scm 69 */
																		obj_t BgL_arg1167z00_732;

																		{	/* Object/getter.scm 69 */
																			obj_t BgL_arg1168z00_733;

																			{	/* Object/getter.scm 69 */
																				obj_t BgL_arg1169z00_734;

																				{	/* Object/getter.scm 69 */
																					obj_t BgL_arg1172z00_735;

																					BgL_arg1172z00_735 =
																						MAKE_PAIR
																						(BgL_slotzd2refzd2idz00_714, BNIL);
																					BgL_arg1169z00_734 =
																						MAKE_PAIR(BgL_arg1172z00_735, BNIL);
																				}
																				BgL_arg1168z00_733 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 4)),
																					BgL_arg1169z00_734);
																			}
																			BgL_arg1167z00_732 =
																				MAKE_PAIR(BgL_arg1168z00_733, BNIL);
																		}
																		BgL_arg1166z00_731 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																			BgL_arg1167z00_732);
																	}
																	BgL_arg1163z00_730 =
																		MAKE_PAIR(BgL_arg1166z00_731, BNIL);
																}
																BgL_arg1162z00_729 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
																	BgL_arg1163z00_730);
															}
															BgL_arg1160z00_728 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
																BgL_arg1162z00_729);
														}
														BgL_arg1157z00_727 =
															MAKE_PAIR(BgL_slotzd2refzd2idz00_714,
															BgL_arg1160z00_728);
													}
													BgL_arg1156z00_726 =
														MAKE_PAIR(BgL_arg1157z00_727, BNIL);
												}
												BgL_arg1155z00_725 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 8)),
													BgL_arg1156z00_726);
											}
											BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
												(BgL_arg1155z00_725);
										}
										{	/* Object/getter.scm 72 */
											obj_t BgL_arg1173z00_736;

											{	/* Object/getter.scm 72 */
												obj_t BgL_arg1175z00_738;
												obj_t BgL_arg1178z00_739;

												{	/* Object/getter.scm 72 */
													obj_t BgL_arg1181z00_742;

													{	/* Object/getter.scm 72 */
														obj_t BgL_arg1182z00_743;
														obj_t BgL_arg1183z00_744;

														{	/* Object/getter.scm 72 */
															obj_t BgL_arg1184z00_745;

															{	/* Object/getter.scm 72 */
																obj_t BgL_arg1186z00_746;

																{	/* Object/getter.scm 72 */
																	obj_t BgL_arg1190z00_747;

																	{	/* Object/getter.scm 72 */
																		obj_t BgL_arg1193z00_748;
																		obj_t BgL_arg1198z00_749;

																		{	/* Object/getter.scm 72 */
																			obj_t BgL_res1532z00_924;

																			{	/* Object/getter.scm 72 */
																				obj_t BgL_arg1362z00_923;

																				BgL_arg1362z00_923 =
																					SYMBOL_TO_STRING(BgL_objz00_717);
																				BgL_res1532z00_924 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1362z00_923);
																			}
																			BgL_arg1193z00_748 = BgL_res1532z00_924;
																		}
																		{	/* Object/getter.scm 72 */
																			obj_t BgL_res1533z00_927;

																			{	/* Object/getter.scm 72 */
																				obj_t BgL_arg1362z00_926;

																				BgL_arg1362z00_926 =
																					SYMBOL_TO_STRING(BgL_tidz00_718);
																				BgL_res1533z00_927 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1362z00_926);
																			}
																			BgL_arg1198z00_749 = BgL_res1533z00_927;
																		}
																		BgL_arg1190z00_747 =
																			string_append(BgL_arg1193z00_748,
																			BgL_arg1198z00_749);
																	}
																	BgL_arg1186z00_746 =
																		bstring_to_symbol(BgL_arg1190z00_747);
																}
																BgL_arg1184z00_745 =
																	MAKE_PAIR(BgL_arg1186z00_746, BNIL);
															}
															BgL_arg1182z00_743 =
																MAKE_PAIR(BgL_slotzd2refzd2tidz00_716,
																BgL_arg1184z00_745);
														}
														{	/* Object/getter.scm 73 */
															obj_t BgL_arg1199z00_750;

															BgL_arg1199z00_750 =
																BGl_makezd2classzd2refz00zzobject_toolsz00(
																((BgL_typez00_bglt) BgL_classz00_7),
																((BgL_slotz00_bglt) BgL_slotz00_8),
																BgL_objz00_717);
															BgL_arg1183z00_744 =
																MAKE_PAIR(BgL_arg1199z00_750, BNIL);
														}
														BgL_arg1181z00_742 =
															MAKE_PAIR(BgL_arg1182z00_743, BgL_arg1183z00_744);
													}
													BgL_arg1175z00_738 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
														BgL_arg1181z00_742);
												}
												BgL_arg1178z00_739 =
													(((BgL_slotz00_bglt) CREF(
															((BgL_slotz00_bglt) BgL_slotz00_8)))->BgL_srcz00);
												{	/* Object/getter.scm 71 */
													obj_t BgL_list1179z00_740;

													{	/* Object/getter.scm 71 */
														obj_t BgL_arg1180z00_741;

														BgL_arg1180z00_741 =
															MAKE_PAIR(BgL_srczd2defzd2_10, BNIL);
														BgL_list1179z00_740 =
															MAKE_PAIR(BgL_arg1178z00_739, BgL_arg1180z00_741);
													}
													BgL_arg1173z00_736 =
														BGl_epairifyza2za2zztools_miscz00
														(BgL_arg1175z00_738, BgL_list1179z00_740);
											}}
											{	/* Object/getter.scm 70 */
												obj_t BgL_list1174z00_737;

												BgL_list1174z00_737 =
													MAKE_PAIR(BgL_arg1173z00_736, BNIL);
												return BgL_list1174z00_737;
											}
										}
									}
								else
									{	/* Object/getter.scm 77 */
										obj_t BgL_slotzd2refzd2oidz00_751;

										{	/* Object/getter.scm 77 */
											obj_t BgL_arg1201z00_752;
											obj_t BgL_arg1202z00_753;

											BgL_arg1201z00_752 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt)
															(((BgL_slotz00_bglt) CREF(
																		((BgL_slotz00_bglt) BgL_slotz00_8)))->
																BgL_classzd2ownerzd2))))->BgL_idz00);
											BgL_arg1202z00_753 =
												(((BgL_slotz00_bglt) CREF(((BgL_slotz00_bglt)
															BgL_slotz00_8)))->BgL_idz00);
											{	/* Object/getter.scm 77 */
												obj_t BgL_list1203z00_754;

												{	/* Object/getter.scm 77 */
													obj_t BgL_arg1205z00_755;

													{	/* Object/getter.scm 77 */
														obj_t BgL_arg1206z00_756;

														BgL_arg1206z00_756 =
															MAKE_PAIR(BgL_arg1202z00_753, BNIL);
														BgL_arg1205z00_755 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
															BgL_arg1206z00_756);
													}
													BgL_list1203z00_754 =
														MAKE_PAIR(BgL_arg1201z00_752, BgL_arg1205z00_755);
												}
												BgL_slotzd2refzd2oidz00_751 =
													BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
													(BgL_list1203z00_754);
										}}
										BGl_addzd2macrozd2aliasz12z12zzexpand_epsz00
											(BgL_slotzd2refzd2idz00_714, BgL_slotzd2refzd2oidz00_751);
										return BNIL;
									}
							}
						}
					}
				}
			}
		}
	}



/* slot-direct-set! */
	obj_t BGl_slotzd2directzd2setz12z12zzobject_getterz00(obj_t
		BgL_classzd2idzd2_11, BgL_typez00_bglt BgL_classz00_12,
		obj_t BgL_slotz00_13, bool_t BgL_wideningz00_14, obj_t BgL_srczd2defzd2_15)
	{
		AN_OBJECT;
		{	/* Object/getter.scm 84 */
			{	/* Object/getter.scm 85 */
				obj_t BgL_slotzd2refzd2idz00_768;

				{	/* Object/getter.scm 85 */
					obj_t BgL_arg1441z00_828;

					BgL_arg1441z00_828 =
						(((BgL_slotz00_bglt) CREF(
								((BgL_slotz00_bglt) BgL_slotz00_13)))->BgL_idz00);
					{	/* Object/getter.scm 85 */
						obj_t BgL_list1443z00_829;

						{	/* Object/getter.scm 85 */
							obj_t BgL_arg1447z00_830;

							{	/* Object/getter.scm 85 */
								obj_t BgL_arg1452z00_831;

								BgL_arg1452z00_831 = MAKE_PAIR(BgL_arg1441z00_828, BNIL);
								BgL_arg1447z00_830 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BgL_arg1452z00_831);
							}
							BgL_list1443z00_829 =
								MAKE_PAIR(BgL_classzd2idzd2_11, BgL_arg1447z00_830);
						}
						BgL_slotzd2refzd2idz00_768 =
							BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1443z00_829);
				}}
				{	/* Object/getter.scm 85 */
					obj_t BgL_slotzd2setz12zd2idz12_769;

					{	/* Object/getter.scm 86 */
						obj_t BgL_arg1386z00_825;

						{	/* Object/getter.scm 86 */
							obj_t BgL_arg1398z00_826;
							obj_t BgL_arg1399z00_827;

							{	/* Object/getter.scm 86 */
								obj_t BgL_res1536z00_936;

								{	/* Object/getter.scm 86 */
									obj_t BgL_arg1362z00_935;

									BgL_arg1362z00_935 =
										SYMBOL_TO_STRING(BgL_slotzd2refzd2idz00_768);
									BgL_res1536z00_936 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1362z00_935);
								}
								BgL_arg1398z00_826 = BgL_res1536z00_936;
							}
							{	/* Object/getter.scm 86 */
								obj_t BgL_res1537z00_939;

								{	/* Object/getter.scm 86 */
									obj_t BgL_symbolz00_937;

									BgL_symbolz00_937 = CNST_TABLE_REF(((long) 10));
									{	/* Object/getter.scm 86 */
										obj_t BgL_arg1362z00_938;

										BgL_arg1362z00_938 = SYMBOL_TO_STRING(BgL_symbolz00_937);
										BgL_res1537z00_939 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1362z00_938);
								}}
								BgL_arg1399z00_827 = BgL_res1537z00_939;
							}
							BgL_arg1386z00_825 =
								string_append(BgL_arg1398z00_826, BgL_arg1399z00_827);
						}
						BgL_slotzd2setz12zd2idz12_769 =
							bstring_to_symbol(BgL_arg1386z00_825);
					}
					{	/* Object/getter.scm 86 */
						obj_t BgL_slotzd2setz12zd2tidz12_770;

						{	/* Object/getter.scm 87 */
							obj_t BgL_arg1378z00_822;

							{	/* Object/getter.scm 87 */
								obj_t BgL_arg1379z00_823;
								obj_t BgL_arg1385z00_824;

								{	/* Object/getter.scm 87 */
									obj_t BgL_res1539z00_944;

									{	/* Object/getter.scm 87 */
										obj_t BgL_arg1362z00_943;

										BgL_arg1362z00_943 =
											SYMBOL_TO_STRING(BgL_slotzd2setz12zd2idz12_769);
										BgL_res1539z00_944 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1362z00_943);
									}
									BgL_arg1379z00_823 = BgL_res1539z00_944;
								}
								{	/* Object/getter.scm 87 */
									obj_t BgL_res1540z00_947;

									{	/* Object/getter.scm 87 */
										obj_t BgL_symbolz00_945;

										BgL_symbolz00_945 = CNST_TABLE_REF(((long) 11));
										{	/* Object/getter.scm 87 */
											obj_t BgL_arg1362z00_946;

											BgL_arg1362z00_946 = SYMBOL_TO_STRING(BgL_symbolz00_945);
											BgL_res1540z00_947 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1362z00_946);
									}}
									BgL_arg1385z00_824 = BgL_res1540z00_947;
								}
								BgL_arg1378z00_822 =
									string_append(BgL_arg1379z00_823, BgL_arg1385z00_824);
							}
							BgL_slotzd2setz12zd2tidz12_770 =
								bstring_to_symbol(BgL_arg1378z00_822);
						}
						{	/* Object/getter.scm 87 */
							obj_t BgL_tidz00_771;

							{	/* Object/getter.scm 88 */
								obj_t BgL_arg1374z00_821;

								BgL_arg1374z00_821 =
									(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt) BgL_classz00_12)))->BgL_idz00);
								BgL_tidz00_771 =
									BGl_makezd2typedzd2formalz00zzast_identz00
									(BgL_arg1374z00_821);
							}
							{	/* Object/getter.scm 88 */
								obj_t BgL_vzd2idzd2_772;

								BgL_vzd2idzd2_772 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												12))));
								{	/* Object/getter.scm 89 */
									obj_t BgL_objz00_773;

									BgL_objz00_773 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													1))));
									{	/* Object/getter.scm 90 */
										obj_t BgL_vzd2tidzd2_774;

										{	/* Object/getter.scm 91 */
											obj_t BgL_arg1361z00_817;

											BgL_arg1361z00_817 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt)
															(((BgL_slotz00_bglt) CREF(
																		((BgL_slotz00_bglt) BgL_slotz00_13)))->
																BgL_typez00))))->BgL_idz00);
											BgL_vzd2tidzd2_774 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_vzd2idzd2_772, BgL_arg1361z00_817);
										}
										{	/* Object/getter.scm 91 */
											obj_t BgL_classzd2ownerzd2_775;

											BgL_classzd2ownerzd2_775 =
												(((BgL_slotz00_bglt) CREF(
														((BgL_slotz00_bglt) BgL_slotz00_13)))->
												BgL_classzd2ownerzd2);
											{	/* Object/getter.scm 92 */

												if (
													(BgL_classzd2idzd2_11 ==
														(((BgL_typez00_bglt) CREF(
																	((BgL_typez00_bglt)
																		BgL_classzd2ownerzd2_775)))->BgL_idz00)))
													{	/* Object/getter.scm 93 */
														{	/* Object/getter.scm 97 */
															obj_t BgL_arg1227z00_777;

															{	/* Object/getter.scm 97 */
																obj_t BgL_arg1231z00_778;

																{	/* Object/getter.scm 97 */
																	obj_t BgL_arg1233z00_779;

																	{	/* Object/getter.scm 97 */
																		obj_t BgL_arg1234z00_780;

																		{	/* Object/getter.scm 97 */
																			obj_t BgL_arg1236z00_781;

																			{	/* Object/getter.scm 97 */
																				obj_t BgL_arg1237z00_782;

																				BgL_arg1237z00_782 =
																					MAKE_PAIR(BgL_vzd2tidzd2_774, BNIL);
																				BgL_arg1236z00_781 =
																					MAKE_PAIR(BgL_tidz00_771,
																					BgL_arg1237z00_782);
																			}
																			BgL_arg1234z00_780 =
																				MAKE_PAIR
																				(BgL_slotzd2setz12zd2tidz12_770,
																				BgL_arg1236z00_781);
																		}
																		BgL_arg1233z00_779 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
																			BgL_arg1234z00_780);
																	}
																	BgL_arg1231z00_778 =
																		MAKE_PAIR(BgL_arg1233z00_779, BNIL);
																}
																BgL_arg1227z00_777 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
																	BgL_arg1231z00_778);
															}
															BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																(BgL_arg1227z00_777);
														}
														{	/* Object/getter.scm 99 */
															obj_t BgL_arg1238z00_783;

															{	/* Object/getter.scm 99 */
																obj_t BgL_arg1239z00_784;

																{	/* Object/getter.scm 99 */
																	obj_t BgL_arg1241z00_785;

																	{	/* Object/getter.scm 99 */
																		obj_t BgL_arg1242z00_786;

																		{	/* Object/getter.scm 99 */
																			obj_t BgL_arg1246z00_787;

																			{	/* Object/getter.scm 99 */
																				obj_t BgL_arg1248z00_788;

																				{	/* Object/getter.scm 99 */
																					obj_t BgL_arg1249z00_789;

																					{	/* Object/getter.scm 99 */
																						obj_t BgL_arg1250z00_790;

																						{	/* Object/getter.scm 99 */
																							obj_t BgL_arg1251z00_791;

																							BgL_arg1251z00_791 =
																								MAKE_PAIR
																								(BgL_slotzd2refzd2idz00_768,
																								BNIL);
																							BgL_arg1250z00_790 =
																								MAKE_PAIR(BgL_arg1251z00_791,
																								BNIL);
																						}
																						BgL_arg1249z00_789 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									13)), BgL_arg1250z00_790);
																					}
																					BgL_arg1248z00_788 =
																						MAKE_PAIR(BgL_arg1249z00_789, BNIL);
																				}
																				BgL_arg1246z00_787 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																					BgL_arg1248z00_788);
																			}
																			BgL_arg1242z00_786 =
																				MAKE_PAIR(BgL_arg1246z00_787, BNIL);
																		}
																		BgL_arg1241z00_785 =
																			MAKE_PAIR(BgL_slotzd2setz12zd2idz12_769,
																			BgL_arg1242z00_786);
																	}
																	BgL_arg1239z00_784 =
																		MAKE_PAIR(BgL_arg1241z00_785, BNIL);
																}
																BgL_arg1238z00_783 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 8)),
																	BgL_arg1239z00_784);
															}
															BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																(BgL_arg1238z00_783);
														}
														{	/* Object/getter.scm 102 */
															obj_t BgL_arg1254z00_792;

															{	/* Object/getter.scm 102 */
																obj_t BgL_arg1256z00_794;
																obj_t BgL_arg1258z00_795;

																{	/* Object/getter.scm 102 */
																	obj_t BgL_arg1266z00_798;

																	{	/* Object/getter.scm 102 */
																		obj_t BgL_arg1267z00_799;
																		obj_t BgL_arg1268z00_800;

																		{	/* Object/getter.scm 102 */
																			obj_t BgL_arg1269z00_801;

																			{	/* Object/getter.scm 102 */
																				obj_t BgL_arg1270z00_802;
																				obj_t BgL_arg1272z00_803;

																				{	/* Object/getter.scm 102 */
																					obj_t BgL_arg1273z00_804;

																					{	/* Object/getter.scm 102 */
																						obj_t BgL_arg1274z00_805;
																						obj_t BgL_arg1275z00_806;

																						{	/* Object/getter.scm 102 */
																							obj_t BgL_res1542z00_957;

																							{	/* Object/getter.scm 102 */
																								obj_t BgL_arg1362z00_956;

																								BgL_arg1362z00_956 =
																									SYMBOL_TO_STRING
																									(BgL_objz00_773);
																								BgL_res1542z00_957 =
																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																									(BgL_arg1362z00_956);
																							}
																							BgL_arg1274z00_805 =
																								BgL_res1542z00_957;
																						}
																						{	/* Object/getter.scm 102 */
																							obj_t BgL_res1543z00_960;

																							{	/* Object/getter.scm 102 */
																								obj_t BgL_arg1362z00_959;

																								BgL_arg1362z00_959 =
																									SYMBOL_TO_STRING
																									(BgL_tidz00_771);
																								BgL_res1543z00_960 =
																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																									(BgL_arg1362z00_959);
																							}
																							BgL_arg1275z00_806 =
																								BgL_res1543z00_960;
																						}
																						BgL_arg1273z00_804 =
																							string_append(BgL_arg1274z00_805,
																							BgL_arg1275z00_806);
																					}
																					BgL_arg1270z00_802 =
																						bstring_to_symbol
																						(BgL_arg1273z00_804);
																				}
																				BgL_arg1272z00_803 =
																					MAKE_PAIR(BgL_vzd2tidzd2_774, BNIL);
																				BgL_arg1269z00_801 =
																					MAKE_PAIR(BgL_arg1270z00_802,
																					BgL_arg1272z00_803);
																			}
																			BgL_arg1267z00_799 =
																				MAKE_PAIR
																				(BgL_slotzd2setz12zd2tidz12_770,
																				BgL_arg1269z00_801);
																		}
																		{	/* Object/getter.scm 103 */
																			obj_t BgL_arg1310z00_807;

																			BgL_arg1310z00_807 =
																				BGl_makezd2classzd2setz12z12zzobject_toolsz00
																				(((BgL_typez00_bglt) BgL_classz00_12),
																				((BgL_slotz00_bglt) BgL_slotz00_13),
																				BgL_objz00_773, BgL_vzd2idzd2_772);
																			BgL_arg1268z00_800 =
																				MAKE_PAIR(BgL_arg1310z00_807, BNIL);
																		}
																		BgL_arg1266z00_798 =
																			MAKE_PAIR(BgL_arg1267z00_799,
																			BgL_arg1268z00_800);
																	}
																	BgL_arg1256z00_794 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
																		BgL_arg1266z00_798);
																}
																if (BGl_isazf3zf3zz__objectz00(BgL_slotz00_13,
																		BGl_slotz00zzobject_slotsz00))
																	{	/* Object/getter.scm 104 */
																		BgL_arg1258z00_795 =
																			(((BgL_slotz00_bglt) CREF(
																					((BgL_slotz00_bglt)
																						BgL_slotz00_13)))->BgL_srcz00);
																	}
																else
																	{	/* Object/getter.scm 104 */
																		BgL_arg1258z00_795 = BgL_slotz00_13;
																	}
																{	/* Object/getter.scm 101 */
																	obj_t BgL_list1259z00_796;

																	{	/* Object/getter.scm 101 */
																		obj_t BgL_arg1264z00_797;

																		BgL_arg1264z00_797 =
																			MAKE_PAIR(BgL_srczd2defzd2_15, BNIL);
																		BgL_list1259z00_796 =
																			MAKE_PAIR(BgL_arg1258z00_795,
																			BgL_arg1264z00_797);
																	}
																	BgL_arg1254z00_792 =
																		BGl_epairifyza2za2zztools_miscz00
																		(BgL_arg1256z00_794, BgL_list1259z00_796);
																}
															}
															{	/* Object/getter.scm 100 */
																obj_t BgL_list1255z00_793;

																BgL_list1255z00_793 =
																	MAKE_PAIR(BgL_arg1254z00_792, BNIL);
																return BgL_list1255z00_793;
															}
														}
													}
												else
													{	/* Object/getter.scm 108 */
														obj_t BgL_slotzd2setz12zd2oidz12_809;

														{	/* Object/getter.scm 108 */
															obj_t BgL_arg1316z00_810;
															obj_t BgL_arg1328z00_811;

															BgL_arg1316z00_810 =
																(((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt)
																			BgL_classzd2ownerzd2_775)))->BgL_idz00);
															BgL_arg1328z00_811 =
																(((BgL_slotz00_bglt) CREF(((BgL_slotz00_bglt)
																			BgL_slotz00_13)))->BgL_idz00);
															{	/* Object/getter.scm 108 */
																obj_t BgL_list1329z00_812;

																{	/* Object/getter.scm 108 */
																	obj_t BgL_arg1331z00_813;

																	{	/* Object/getter.scm 108 */
																		obj_t BgL_arg1335z00_814;

																		{	/* Object/getter.scm 108 */
																			obj_t BgL_arg1344z00_815;

																			BgL_arg1344z00_815 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 10)),
																				BNIL);
																			BgL_arg1335z00_814 =
																				MAKE_PAIR(BgL_arg1328z00_811,
																				BgL_arg1344z00_815);
																		}
																		BgL_arg1331z00_813 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																			BgL_arg1335z00_814);
																	}
																	BgL_list1329z00_812 =
																		MAKE_PAIR(BgL_arg1316z00_810,
																		BgL_arg1331z00_813);
																}
																BgL_slotzd2setz12zd2oidz12_809 =
																	BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																	(BgL_list1329z00_812);
														}}
														BGl_addzd2macrozd2aliasz12z12zzexpand_epsz00
															(BgL_slotzd2setz12zd2idz12_769,
															BgL_slotzd2setz12zd2oidz12_809);
														return BNIL;
													}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzobject_getterz00()
	{
		AN_OBJECT;
		{	/* Object/getter.scm 18 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzobject_getterz00()
	{
		AN_OBJECT;
		{	/* Object/getter.scm 18 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzobject_getterz00()
	{
		AN_OBJECT;
		{	/* Object/getter.scm 18 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzobject_getterz00()
	{
		AN_OBJECT;
		{	/* Object/getter.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 216926614),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long) 196511171),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long) 478324304),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1547z00zzobject_getterz00));
		}
	}

#ifdef __cplusplus
}
#endif
