/*===========================================================================*/
/*   (SawMill/rtl.scm)                                                       */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/rtl.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;

	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;


	static obj_t BGl_z62namez62zzsaw_rtlz00(obj_t, obj_t);
	static obj_t BGl_z62unlinkz12z70zzsaw_rtlz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_rtlz00();
	static obj_t BGl_methodzd2initzd2zzsaw_rtlz00();
	BGL_EXPORTED_DECL obj_t BGl_rtl_dfsz00zzsaw_rtlz00(BgL_blockz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_substz00zzsaw_libz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unlinkz12z12zzsaw_rtlz00(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_rtlz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_namez00zzsaw_rtlz00(BgL_rtl_insz00_bglt);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t BGl_neighboursz00zzsaw_rtlz00(BgL_rtl_insz00_bglt);
	static obj_t BGl_z62neighboursz62zzsaw_rtlz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_rtlz00();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsaw_rtlz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzsaw_rtlz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_rtlz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_rtlz00();
	static obj_t BGl_z62rtl_dfsz62zzsaw_rtlz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_substzd2appendzd2zzsaw_libz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_namezd2envzd2zzsaw_rtlz00,
		BgL_bgl_za762nameza762za7za7saw_1730z00, BGl_z62namez62zzsaw_rtlz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_neighbourszd2envzd2zzsaw_rtlz00,
		BgL_bgl_za762neighboursza7621731z00, BGl_z62neighboursz62zzsaw_rtlz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_rtl_dfszd2envzd2zzsaw_rtlz00,
		BgL_bgl_za762rtl_dfsza762za7za7s1732z00, BGl_z62rtl_dfsz62zzsaw_rtlz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1724z00zzsaw_rtlz00,
		BgL_bgl_string1724za700za7za7s1733za7, "must have only one successor", 28);
	      DEFINE_STRING(BGl_string1725z00zzsaw_rtlz00,
		BgL_bgl_string1725za700za7za7s1734za7, "saw_rtl", 7);
	      DEFINE_STRING(BGl_string1726z00zzsaw_rtlz00,
		BgL_bgl_string1726za700za7za7s1735za7, "unlink! (froms) -> (to) ", 24);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unlinkz12zd2envzc0zzsaw_rtlz00,
		BgL_bgl_za762unlinkza712za770za71736z00, BGl_z62unlinkz12z70zzsaw_rtlz00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_rtlz00(long
		BgL_checksumz00_2022, char *BgL_fromz00_2023)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_rtlz00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_rtlz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsaw_rtlz00();
					BGl_cnstzd2initzd2zzsaw_rtlz00();
					BGl_importedzd2moduleszd2initz00zzsaw_rtlz00();
					return BGl_methodzd2initzd2zzsaw_rtlz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_rtlz00()
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "saw_rtl");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_rtl");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_rtl");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_rtl");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_rtl");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_rtl");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_rtl");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_rtl");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_rtlz00()
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 1 */
			{	/* SawMill/rtl.scm 1 */
				obj_t BgL_cportz00_2009;

				{	/* SawMill/rtl.scm 1 */
					obj_t BgL_startz00_2018;

					BgL_startz00_2018 = BINT(((long) 0));
					{	/* SawMill/rtl.scm 1 */
						obj_t BgL_endz00_2019;

						BgL_endz00_2019 =
							BINT(STRING_LENGTH(BGl_string1726z00zzsaw_rtlz00));
						{	/* SawMill/rtl.scm 1 */

							BgL_cportz00_2009 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1726z00zzsaw_rtlz00, BgL_startz00_2018,
								BgL_endz00_2019);
				}}}
				{
					long BgL_iz00_2010;

					BgL_iz00_2010 = ((long) 3);
				BgL_loopz00_2011:
					if ((BgL_iz00_2010 == ((long) -1)))
						{	/* SawMill/rtl.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/rtl.scm 1 */
							{	/* SawMill/rtl.scm 1 */
								obj_t BgL_arg1728z00_2013;

								{	/* SawMill/rtl.scm 1 */

									{	/* SawMill/rtl.scm 1 */
										obj_t BgL_locationz00_2015;

										BgL_locationz00_2015 = BBOOL(((bool_t) 0));
										{	/* SawMill/rtl.scm 1 */

											BgL_arg1728z00_2013 =
												BGl_readz00zz__readerz00(BgL_cportz00_2009,
												BgL_locationz00_2015);
										}
									}
								}
								{	/* SawMill/rtl.scm 1 */
									int BgL_auxz00_2047;

									BgL_auxz00_2047 = (int) (BgL_iz00_2010);
									CNST_TABLE_SET(BgL_auxz00_2047, BgL_arg1728z00_2013);
							}}
							{	/* SawMill/rtl.scm 1 */
								int BgL_auxz00_2016;

								BgL_auxz00_2016 = (int) ((BgL_iz00_2010 - ((long) 1)));
								{
									long BgL_iz00_2052;

									BgL_iz00_2052 = (long) (BgL_auxz00_2016);
									BgL_iz00_2010 = BgL_iz00_2052;
									goto BgL_loopz00_2011;
								}
							}
						}
				}
			}
		}
	}



/* name */
	BGL_EXPORTED_DEF obj_t BGl_namez00zzsaw_rtlz00(BgL_rtl_insz00_bglt
		BgL_insz00_3)
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 21 */
			{	/* SawMill/rtl.scm 22 */
				obj_t BgL_arg1361z00_1951;

				{	/* SawMill/rtl.scm 22 */
					BgL_rtl_funz00_bglt BgL_arg1366z00_1952;

					BgL_arg1366z00_1952 =
						(((BgL_rtl_insz00_bglt) CREF(BgL_insz00_3))->BgL_funz00);
					{	/* SawMill/rtl.scm 22 */
						long BgL_arg1667z00_1955;

						{	/* SawMill/rtl.scm 22 */
							long BgL_arg1668z00_1956;

							{	/* SawMill/rtl.scm 22 */
								long BgL_res1714z00_1958;

								BgL_res1714z00_1958 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt) BgL_arg1366z00_1952));
								BgL_arg1668z00_1956 = BgL_res1714z00_1958;
							}
							BgL_arg1667z00_1955 = (BgL_arg1668z00_1956 - OBJECT_TYPE);
						}
						BgL_arg1361z00_1951 =
							VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
							(int) (BgL_arg1667z00_1955));
				}}
				return BGl_classzd2namezd2zz__objectz00(BgL_arg1361z00_1951);
			}
		}
	}



/* &name */
	obj_t BGl_z62namez62zzsaw_rtlz00(obj_t BgL_envz00_1999, obj_t BgL_insz00_2000)
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 21 */
			return BGl_namez00zzsaw_rtlz00(((BgL_rtl_insz00_bglt) BgL_insz00_2000));
		}
	}



/* neighbours */
	BGL_EXPORTED_DEF obj_t BGl_neighboursz00zzsaw_rtlz00(BgL_rtl_insz00_bglt
		BgL_insz00_4)
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 27 */
			{	/* SawMill/rtl.scm 31 */
				obj_t BgL_arg1371z00_1632;

				{	/* SawMill/rtl.scm 31 */
					obj_t BgL_res1718z00_1978;

					{	/* SawMill/rtl.scm 22 */
						obj_t BgL_arg1361z00_1965;

						{	/* SawMill/rtl.scm 22 */
							BgL_rtl_funz00_bglt BgL_arg1366z00_1966;

							BgL_arg1366z00_1966 =
								(((BgL_rtl_insz00_bglt) CREF(BgL_insz00_4))->BgL_funz00);
							{	/* SawMill/rtl.scm 22 */
								long BgL_arg1667z00_1969;

								{	/* SawMill/rtl.scm 22 */
									long BgL_arg1668z00_1970;

									{	/* SawMill/rtl.scm 22 */
										long BgL_res1716z00_1972;

										BgL_res1716z00_1972 =
											BGL_OBJECT_CLASS_NUM(
											((BgL_objectz00_bglt) BgL_arg1366z00_1966));
										BgL_arg1668z00_1970 = BgL_res1716z00_1972;
									}
									BgL_arg1667z00_1969 = (BgL_arg1668z00_1970 - OBJECT_TYPE);
								}
								BgL_arg1361z00_1965 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									(int) (BgL_arg1667z00_1969));
						}}
						BgL_res1718z00_1978 =
							BGl_classzd2namezd2zz__objectz00(BgL_arg1361z00_1965);
					}
					BgL_arg1371z00_1632 = BgL_res1718z00_1978;
				}
				{	/* SawMill/rtl.scm 29 */
					obj_t BgL_list1372z00_1633;

					{	/* SawMill/rtl.scm 29 */
						obj_t BgL_arg1374z00_1634;

						{	/* SawMill/rtl.scm 29 */
							obj_t BgL_arg1378z00_1635;

							{	/* SawMill/rtl.scm 29 */
								obj_t BgL_arg1379z00_1636;

								{	/* SawMill/rtl.scm 29 */
									obj_t BgL_arg1385z00_1637;

									BgL_arg1385z00_1637 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BNIL);
									BgL_arg1379z00_1636 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BgL_arg1385z00_1637);
								}
								BgL_arg1378z00_1635 =
									MAKE_PAIR(BgL_arg1371z00_1632, BgL_arg1379z00_1636);
							}
							BgL_arg1374z00_1634 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BgL_arg1378z00_1635);
						}
						BgL_list1372z00_1633 =
							MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BgL_arg1374z00_1634);
					}
					return BgL_list1372z00_1633;
				}
			}
		}
	}



/* &neighbours */
	obj_t BGl_z62neighboursz62zzsaw_rtlz00(obj_t BgL_envz00_2001,
		obj_t BgL_insz00_2002)
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 27 */
			return
				BGl_neighboursz00zzsaw_rtlz00(((BgL_rtl_insz00_bglt) BgL_insz00_2002));
		}
	}



/* unlink! */
	BGL_EXPORTED_DEF obj_t BGl_unlinkz12z12zzsaw_rtlz00(BgL_blockz00_bglt
		BgL_bz00_5)
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 39 */
			{	/* SawMill/rtl.scm 41 */
				bool_t BgL_testz00_2081;

				if (NULLP((((BgL_blockz00_bglt) CREF(BgL_bz00_5))->BgL_succsz00)))
					{	/* SawMill/rtl.scm 41 */
						BgL_testz00_2081 = ((bool_t) 1);
					}
				else
					{	/* SawMill/rtl.scm 41 */
						obj_t BgL_auxz00_2085;

						BgL_auxz00_2085 =
							CDR((((BgL_blockz00_bglt) CREF(BgL_bz00_5))->BgL_succsz00));
						BgL_testz00_2081 = PAIRP(BgL_auxz00_2085);
					}
				if (BgL_testz00_2081)
					{	/* SawMill/rtl.scm 41 */
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 3)),
							BGl_string1724z00zzsaw_rtlz00, ((obj_t) BgL_bz00_5));
					}
				else
					{	/* SawMill/rtl.scm 41 */
						BFALSE;
					}
			}
			{	/* SawMill/rtl.scm 43 */
				obj_t BgL_sz00_1644;

				BgL_sz00_1644 =
					CAR((((BgL_blockz00_bglt) CREF(BgL_bz00_5))->BgL_succsz00));
				{	/* SawMill/rtl.scm 44 */
					obj_t BgL_g1339z00_1645;

					BgL_g1339z00_1645 =
						(((BgL_blockz00_bglt) CREF(BgL_bz00_5))->BgL_predsz00);
					{
						obj_t BgL_l1337z00_1647;

						BgL_l1337z00_1647 = BgL_g1339z00_1645;
					BgL_zc3anonymousza31442ze3z83_1648:
						if (PAIRP(BgL_l1337z00_1647))
							{	/* SawMill/rtl.scm 44 */
								{	/* SawMill/rtl.scm 44 */
									obj_t BgL_pz00_1650;

									BgL_pz00_1650 = CAR(BgL_l1337z00_1647);
									{
										obj_t BgL_auxz00_2098;

										{	/* SawMill/rtl.scm 45 */
											obj_t BgL_arg1447z00_1652;

											BgL_arg1447z00_1652 =
												(((BgL_blockz00_bglt) CREF(
														((BgL_blockz00_bglt) BgL_pz00_1650)))->
												BgL_succsz00);
											BgL_auxz00_2098 =
												BGl_substz00zzsaw_libz00(BgL_arg1447z00_1652,
												((obj_t) BgL_bz00_5), BgL_sz00_1644);
										}
										((((BgL_blockz00_bglt) CREF(
														((BgL_blockz00_bglt) BgL_pz00_1650)))->
												BgL_succsz00) = ((obj_t) BgL_auxz00_2098), BUNSPEC);
									}
								}
								{
									obj_t BgL_l1337z00_2105;

									BgL_l1337z00_2105 = CDR(BgL_l1337z00_1647);
									BgL_l1337z00_1647 = BgL_l1337z00_2105;
									goto BgL_zc3anonymousza31442ze3z83_1648;
								}
							}
						else
							{	/* SawMill/rtl.scm 44 */
								((bool_t) 1);
							}
					}
				}
				{	/* SawMill/rtl.scm 47 */
					obj_t BgL_arg1454z00_1655;

					{	/* SawMill/rtl.scm 47 */
						obj_t BgL_arg1459z00_1656;
						obj_t BgL_arg1460z00_1657;

						BgL_arg1459z00_1656 =
							(((BgL_blockz00_bglt) CREF(
									((BgL_blockz00_bglt) BgL_sz00_1644)))->BgL_predsz00);
						BgL_arg1460z00_1657 =
							(((BgL_blockz00_bglt) CREF(BgL_bz00_5))->BgL_predsz00);
						BgL_arg1454z00_1655 =
							BGl_substzd2appendzd2zzsaw_libz00(BgL_arg1459z00_1656,
							((obj_t) BgL_bz00_5), BgL_arg1460z00_1657);
					}
					return
						((((BgL_blockz00_bglt) CREF(
									((BgL_blockz00_bglt) BgL_sz00_1644)))->BgL_predsz00) =
						((obj_t) BgL_arg1454z00_1655), BUNSPEC);
				}
			}
		}
	}



/* &unlink! */
	obj_t BGl_z62unlinkz12z70zzsaw_rtlz00(obj_t BgL_envz00_2003,
		obj_t BgL_bz00_2004)
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 39 */
			return BGl_unlinkz12z12zzsaw_rtlz00(((BgL_blockz00_bglt) BgL_bz00_2004));
		}
	}



/* rtl_dfs */
	BGL_EXPORTED_DEF obj_t BGl_rtl_dfsz00zzsaw_rtlz00(BgL_blockz00_bglt
		BgL_bz00_7, obj_t BgL_visitz00_8, obj_t BgL_visitzf3zf3_9)
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 89 */
			PROCEDURE_ENTRY(BgL_visitz00_8) (BgL_visitz00_8,
				((obj_t) BgL_bz00_7), BEOA);
			{	/* SawMill/rtl.scm 91 */
				obj_t BgL_g1342z00_1663;

				BgL_g1342z00_1663 =
					(((BgL_blockz00_bglt) CREF(BgL_bz00_7))->BgL_succsz00);
				{
					obj_t BgL_l1340z00_1665;

					{	/* SawMill/rtl.scm 93 */
						bool_t BgL_auxz00_2122;

						BgL_l1340z00_1665 = BgL_g1342z00_1663;
					BgL_zc3anonymousza31469ze3z83_1666:
						if (PAIRP(BgL_l1340z00_1665))
							{	/* SawMill/rtl.scm 93 */
								{	/* SawMill/rtl.scm 92 */
									obj_t BgL_succz00_1668;

									BgL_succz00_1668 = CAR(BgL_l1340z00_1665);
									if (CBOOL(PROCEDURE_ENTRY(BgL_visitzf3zf3_9)
											(BgL_visitzf3zf3_9, BgL_succz00_1668, BEOA)))
										{	/* SawMill/rtl.scm 92 */
											BFALSE;
										}
									else
										{	/* SawMill/rtl.scm 92 */
											BGl_rtl_dfsz00zzsaw_rtlz00(
												((BgL_blockz00_bglt) BgL_succz00_1668), BgL_visitz00_8,
												BgL_visitzf3zf3_9);
										}
								}
								{
									obj_t BgL_l1340z00_2134;

									BgL_l1340z00_2134 = CDR(BgL_l1340z00_1665);
									BgL_l1340z00_1665 = BgL_l1340z00_2134;
									goto BgL_zc3anonymousza31469ze3z83_1666;
								}
							}
						else
							{	/* SawMill/rtl.scm 93 */
								BgL_auxz00_2122 = ((bool_t) 1);
							}
						return BBOOL(BgL_auxz00_2122);
					}
				}
			}
		}
	}



/* &rtl_dfs */
	obj_t BGl_z62rtl_dfsz62zzsaw_rtlz00(obj_t BgL_envz00_2005,
		obj_t BgL_bz00_2006, obj_t BgL_visitz00_2007, obj_t BgL_visitzf3zf3_2008)
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 89 */
			return
				BGl_rtl_dfsz00zzsaw_rtlz00(
				((BgL_blockz00_bglt) BgL_bz00_2006), BgL_visitz00_2007,
				BgL_visitzf3zf3_2008);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_rtlz00()
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 1 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_rtlz00()
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 1 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_rtlz00()
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 1 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_rtlz00()
	{
		AN_OBJECT;
		{	/* SawMill/rtl.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1725z00zzsaw_rtlz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1725z00zzsaw_rtlz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1725z00zzsaw_rtlz00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string1725z00zzsaw_rtlz00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 58109075),
				BSTRING_TO_STRING(BGl_string1725z00zzsaw_rtlz00));
		}
	}

#ifdef __cplusplus
}
#endif
