/*===========================================================================*/
/*   (Tools/shape.scm)                                                       */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/shape.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;


	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_objectzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_z62shape1204z62zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_IMPORT obj_t make_vector(int, obj_t);
	static obj_t BGl_methodzd2initzd2zztools_shapez00();
	static obj_t BGl_z62shapez62zztools_shapez00(obj_t, obj_t);
	static obj_t BGl_z62shapezd2type1211zb0zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	extern obj_t BGl_za2namezd2shapezf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2typenamezd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2namezd2zz__objectz00(obj_t);
	extern obj_t BGl_za2userzd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t make_struct(obj_t, int, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodezd2ze3sexpz31zzast_dumpz00(BgL_nodez00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zztools_shapez00 = BUNSPEC;
	extern obj_t BGl_za2accesszd2shapezf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_za2typezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_genericzd2initzd2zztools_shapez00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_za2keyzd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62shapezd2local1209zb0zztools_shapez00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2modulezd2shapezf3za2z21zzengine_paramz00;
	static obj_t BGl_z62shapezd2global1207zb0zztools_shapez00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62shapezd2node1213zb0zztools_shapez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	BGL_IMPORT obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zztools_shapez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00();
	extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00();
	static obj_t BGl_loopz00zztools_shapez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_GENERIC(BGl_shapezd2envzd2zztools_shapez00,
		BgL_bgl_za762shapeza762za7za7too1767z00, BGl_z62shapez62zztools_shapez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1742z00zztools_shapez00,
		BgL_bgl_za762shape1204za762za71768za7, BGl_z62shape1204z62zztools_shapez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1745z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2globa1769z00,
		BGl_z62shapezd2global1207zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1747z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2local1770z00,
		BGl_z62shapezd2local1209zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1748z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2type11771z00,
		BGl_z62shapezd2type1211zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1749z00zztools_shapez00,
		BgL_bgl_za762shapeza7d2node11772z00,
		BGl_z62shapezd2node1213zb0zztools_shapez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1743z00zztools_shapez00,
		BgL_bgl_string1743za700za7za7t1773za7, "shape1204", 9);
	      DEFINE_STRING(BGl_string1744z00zztools_shapez00,
		BgL_bgl_string1744za700za7za7t1774za7, "#<class:~a>", 11);
	      DEFINE_STRING(BGl_string1746z00zztools_shapez00,
		BgL_bgl_string1746za700za7za7t1775za7, "shape", 5);
	      DEFINE_STRING(BGl_string1750z00zztools_shapez00,
		BgL_bgl_string1750za700za7za7t1776za7, "-", 1);
	      DEFINE_STRING(BGl_string1751z00zztools_shapez00,
		BgL_bgl_string1751za700za7za7t1777za7, "\"", 1);
	      DEFINE_STRING(BGl_string1752z00zztools_shapez00,
		BgL_bgl_string1752za700za7za7t1778za7, "::", 2);
	      DEFINE_STRING(BGl_string1753z00zztools_shapez00,
		BgL_bgl_string1753za700za7za7t1779za7, "", 0);
	      DEFINE_STRING(BGl_string1754z00zztools_shapez00,
		BgL_bgl_string1754za700za7za7t1780za7, "-<user>", 7);
	      DEFINE_STRING(BGl_string1755z00zztools_shapez00,
		BgL_bgl_string1755za700za7za7t1781za7, "-<no-user>", 10);
	      DEFINE_STRING(BGl_string1756z00zztools_shapez00,
		BgL_bgl_string1756za700za7za7t1782za7, "{", 1);
	      DEFINE_STRING(BGl_string1757z00zztools_shapez00,
		BgL_bgl_string1757za700za7za7t1783za7, "}", 1);
	      DEFINE_STRING(BGl_string1758z00zztools_shapez00,
		BgL_bgl_string1758za700za7za7t1784za7, "~a<<~a>>", 8);
	      DEFINE_STRING(BGl_string1759z00zztools_shapez00,
		BgL_bgl_string1759za700za7za7t1785za7, "@", 1);
	      DEFINE_STRING(BGl_string1760z00zztools_shapez00,
		BgL_bgl_string1760za700za7za7t1786za7, "Can't find global anymore -- ", 29);
	      DEFINE_STRING(BGl_string1761z00zztools_shapez00,
		BgL_bgl_string1761za700za7za7t1787za7, "global-shape:", 13);
	      DEFINE_STRING(BGl_string1762z00zztools_shapez00,
		BgL_bgl_string1762za700za7za7t1788za7, "tools_shape", 11);
	      DEFINE_STRING(BGl_string1763z00zztools_shapez00,
		BgL_bgl_string1763za700za7za7t1789za7, "@ _ a-tvector ", 14);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long
		BgL_checksumz00_1758, char *BgL_fromz00_1759)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_shapez00))
				{
					BGl_requirezd2initializa7ationz75zztools_shapez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_shapez00();
					BGl_cnstzd2initzd2zztools_shapez00();
					BGl_importedzd2moduleszd2initz00zztools_shapez00();
					BGl_genericzd2initzd2zztools_shapez00();
					BGl_methodzd2initzd2zztools_shapez00();
					return BGl_toplevelzd2initzd2zztools_shapez00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"tools_shape");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "tools_shape");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			{	/* Tools/shape.scm 16 */
				obj_t BgL_cportz00_1744;

				{	/* Tools/shape.scm 16 */
					obj_t BgL_startz00_1753;

					BgL_startz00_1753 = BINT(((long) 0));
					{	/* Tools/shape.scm 16 */
						obj_t BgL_endz00_1754;

						BgL_endz00_1754 =
							BINT(STRING_LENGTH(BGl_string1763z00zztools_shapez00));
						{	/* Tools/shape.scm 16 */

							BgL_cportz00_1744 =
								BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
								(BGl_string1763z00zztools_shapez00, BgL_startz00_1753,
								BgL_endz00_1754);
				}}}
				{
					long BgL_iz00_1745;

					BgL_iz00_1745 = ((long) 2);
				BgL_loopz00_1746:
					if ((BgL_iz00_1745 == ((long) -1)))
						{	/* Tools/shape.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Tools/shape.scm 16 */
							{	/* Tools/shape.scm 16 */
								obj_t BgL_arg1765z00_1748;

								{	/* Tools/shape.scm 16 */

									{	/* Tools/shape.scm 16 */
										obj_t BgL_locationz00_1750;

										BgL_locationz00_1750 = BBOOL(((bool_t) 0));
										{	/* Tools/shape.scm 16 */

											BgL_arg1765z00_1748 =
												BGl_readz00zz__readerz00(BgL_cportz00_1744,
												BgL_locationz00_1750);
										}
									}
								}
								{	/* Tools/shape.scm 16 */
									int BgL_auxz00_1789;

									BgL_auxz00_1789 = (int) (BgL_iz00_1745);
									CNST_TABLE_SET(BgL_auxz00_1789, BgL_arg1765z00_1748);
							}}
							{	/* Tools/shape.scm 16 */
								int BgL_auxz00_1751;

								BgL_auxz00_1751 = (int) ((BgL_iz00_1745 - ((long) 1)));
								{
									long BgL_iz00_1794;

									BgL_iz00_1794 = (long) (BgL_auxz00_1751);
									BgL_iz00_1745 = BgL_iz00_1794;
									goto BgL_loopz00_1746;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_proc1742z00zztools_shapez00,
				BFALSE, BGl_string1743z00zztools_shapez00);
		}
	}



/* &shape1204 */
	obj_t BGl_z62shape1204z62zztools_shapez00(obj_t BgL_envz00_1727,
		obj_t BgL_expz00_1728)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			{
				obj_t BgL_expz00_1231;

				BgL_expz00_1231 = BgL_expz00_1728;
				if (BGl_classzf3zf3zz__objectz00(BgL_expz00_1231))
					{	/* Tools/shape.scm 31 */
						obj_t BgL_arg1236z00_1234;

						BgL_arg1236z00_1234 =
							BGl_classzd2namezd2zz__objectz00(BgL_expz00_1231);
						{	/* Tools/shape.scm 31 */
							obj_t BgL_list1237z00_1235;

							BgL_list1237z00_1235 = MAKE_PAIR(BgL_arg1236z00_1234, BNIL);
							return
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1744z00zztools_shapez00, BgL_list1237z00_1235);
						}
					}
				else
					{	/* Tools/shape.scm 30 */
						if (PAIRP(BgL_expz00_1231))
							{	/* Tools/shape.scm 32 */
								return BGl_loopz00zztools_shapez00(BgL_expz00_1231);
							}
						else
							{	/* Tools/shape.scm 32 */
								if (VECTORP(BgL_expz00_1231))
									{	/* Tools/shape.scm 44 */
										obj_t BgL_resz00_1255;

										BgL_resz00_1255 =
											make_vector(VECTOR_LENGTH(BgL_expz00_1231), BNIL);
										{	/* Tools/shape.scm 45 */

											{
												long BgL_indicez00_1257;

												BgL_indicez00_1257 = ((long) 0);
											BgL_zc3anonymousza31266ze3z83_1258:
												if (
													(BgL_indicez00_1257 ==
														(long) (VECTOR_LENGTH(BgL_expz00_1231))))
													{	/* Tools/shape.scm 47 */
														return BgL_resz00_1255;
													}
												else
													{	/* Tools/shape.scm 47 */
														VECTOR_SET(BgL_resz00_1255,
															(int) (BgL_indicez00_1257),
															BGl_shapez00zztools_shapez00(VECTOR_REF
																(BgL_expz00_1231, (int) (BgL_indicez00_1257))));
														{
															long BgL_indicez00_1818;

															BgL_indicez00_1818 =
																(BgL_indicez00_1257 + ((long) 1));
															BgL_indicez00_1257 = BgL_indicez00_1818;
															goto BgL_zc3anonymousza31266ze3z83_1258;
														}
													}
											}
										}
									}
								else
									{	/* Tools/shape.scm 54 */
										bool_t BgL_testz00_1820;

										if (STRUCTP(BgL_expz00_1231))
											{	/* Tools/shape.scm 54 */
												BgL_testz00_1820 =
													(STRUCT_KEY(BgL_expz00_1231) ==
													CNST_TABLE_REF(((long) 0)));
											}
										else
											{	/* Tools/shape.scm 54 */
												BgL_testz00_1820 = ((bool_t) 0);
											}
										if (BgL_testz00_1820)
											{	/* Tools/shape.scm 55 */
												obj_t BgL_arg1272z00_1265;
												obj_t BgL_arg1273z00_1266;

												BgL_arg1272z00_1265 =
													BGl_shapez00zztools_shapez00(STRUCT_REF
													(BgL_expz00_1231, (int) (((long) 0))));
												BgL_arg1273z00_1266 =
													BGl_shapez00zztools_shapez00(STRUCT_REF
													(BgL_expz00_1231, (int) (((long) 1))));
												{	/* Tools/shape.scm 55 */
													obj_t BgL_newz00_1611;

													BgL_newz00_1611 =
														create_struct(CNST_TABLE_REF(((long) 0)),
														(int) (((long) 2)));
													{	/* Tools/shape.scm 55 */
														int BgL_auxz00_1835;

														BgL_auxz00_1835 = (int) (((long) 1));
														STRUCT_SET(BgL_newz00_1611, BgL_auxz00_1835,
															BgL_arg1273z00_1266);
													}
													{	/* Tools/shape.scm 55 */
														int BgL_auxz00_1838;

														BgL_auxz00_1838 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_1611, BgL_auxz00_1838,
															BgL_arg1272z00_1265);
													}
													return BgL_newz00_1611;
												}
											}
										else
											{	/* Tools/shape.scm 54 */
												if (STRUCTP(BgL_expz00_1231))
													{	/* Tools/shape.scm 57 */
														obj_t BgL_keyz00_1270;

														BgL_keyz00_1270 = STRUCT_KEY(BgL_expz00_1231);
														{	/* Tools/shape.scm 57 */
															int BgL_lenz00_1271;

															BgL_lenz00_1271 = STRUCT_LENGTH(BgL_expz00_1231);
															{	/* Tools/shape.scm 58 */
																obj_t BgL_resz00_1272;

																BgL_resz00_1272 =
																	make_struct(BgL_keyz00_1270, BgL_lenz00_1271,
																	BNIL);
																{	/* Tools/shape.scm 59 */

																	{
																		long BgL_indicez00_1274;

																		BgL_indicez00_1274 = ((long) 0);
																	BgL_zc3anonymousza31277ze3z83_1275:
																		if (
																			(BgL_indicez00_1274 ==
																				(long) (BgL_lenz00_1271)))
																			{	/* Tools/shape.scm 61 */
																				return BgL_resz00_1272;
																			}
																		else
																			{	/* Tools/shape.scm 61 */
																				{	/* Tools/shape.scm 64 */
																					obj_t BgL_auxz00_1851;
																					int BgL_auxz00_1849;

																					BgL_auxz00_1851 =
																						BGl_shapez00zztools_shapez00
																						(STRUCT_REF(BgL_expz00_1231,
																							(int) (BgL_indicez00_1274)));
																					BgL_auxz00_1849 =
																						(int) (BgL_indicez00_1274);
																					STRUCT_SET(BgL_resz00_1272,
																						BgL_auxz00_1849, BgL_auxz00_1851);
																				}
																				{
																					long BgL_indicez00_1856;

																					BgL_indicez00_1856 =
																						(BgL_indicez00_1274 + ((long) 1));
																					BgL_indicez00_1274 =
																						BgL_indicez00_1856;
																					goto
																						BgL_zc3anonymousza31277ze3z83_1275;
																				}
																			}
																	}
																}
															}
														}
													}
												else
													{	/* Tools/shape.scm 56 */
														return BgL_expz00_1231;
													}
											}
									}
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zztools_shapez00(obj_t BgL_expz00_1238)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 33 */
			if (NULLP(BgL_expz00_1238))
				{	/* Tools/shape.scm 35 */
					return BNIL;
				}
			else
				{	/* Tools/shape.scm 35 */
					if (PAIRP(BgL_expz00_1238))
						{	/* Tools/shape.scm 39 */
							bool_t BgL_testz00_1862;

							{	/* Tools/shape.scm 39 */
								bool_t BgL_res1707z00_1572;

								BgL_res1707z00_1572 = EXTENDED_PAIRP(BgL_expz00_1238);
								BgL_testz00_1862 = BgL_res1707z00_1572;
							}
							if (BgL_testz00_1862)
								{	/* Tools/shape.scm 40 */
									obj_t BgL_arg1248z00_1243;
									obj_t BgL_arg1249z00_1244;
									obj_t BgL_arg1250z00_1245;

									BgL_arg1248z00_1243 =
										BGl_shapez00zztools_shapez00(CAR(BgL_expz00_1238));
									BgL_arg1249z00_1244 =
										BGl_loopz00zztools_shapez00(CDR(BgL_expz00_1238));
									BgL_arg1250z00_1245 = CER(BgL_expz00_1238);
									{	/* Tools/shape.scm 40 */
										obj_t BgL_res1708z00_1579;

										BgL_res1708z00_1579 =
											MAKE_EXTENDED_PAIR(BgL_arg1248z00_1243,
											BgL_arg1249z00_1244, BgL_arg1250z00_1245);
										return BgL_res1708z00_1579;
									}
								}
							else
								{	/* Tools/shape.scm 39 */
									return
										MAKE_PAIR(BGl_shapez00zztools_shapez00(CAR
											(BgL_expz00_1238)),
										BGl_loopz00zztools_shapez00(CDR(BgL_expz00_1238)));
								}
						}
					else
						{	/* Tools/shape.scm 37 */
							return BGl_shapez00zztools_shapez00(BgL_expz00_1238);
						}
				}
		}
	}



/* shape */
	BGL_EXPORTED_DEF obj_t BGl_shapez00zztools_shapez00(obj_t BgL_expz00_13)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			if (BGL_OBJECTP(BgL_expz00_13))
				{	/* Tools/shape.scm 28 */
					obj_t BgL_method1205z00_1283;

					{	/* Tools/shape.scm 28 */
						obj_t BgL_res1727z00_1673;

						{	/* Tools/shape.scm 28 */
							long BgL_objzd2classzd2numz00_1646;

							{	/* Tools/shape.scm 28 */
								long BgL_res1721z00_1649;

								BgL_res1721z00_1649 =
									BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_expz00_13));
								BgL_objzd2classzd2numz00_1646 = BgL_res1721z00_1649;
							}
							{	/* Tools/shape.scm 28 */
								obj_t BgL_arg1664z00_1647;

								BgL_arg1664z00_1647 =
									PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00,
									(int) (((long) 1)));
								{	/* Tools/shape.scm 28 */
									int BgL_offsetz00_1651;

									BgL_offsetz00_1651 = (int) (BgL_objzd2classzd2numz00_1646);
									{	/* Tools/shape.scm 28 */
										long BgL_offsetz00_1652;

										BgL_offsetz00_1652 =
											((long) (BgL_offsetz00_1651) - OBJECT_TYPE);
										{	/* Tools/shape.scm 28 */
											long BgL_modz00_1653;

											{	/* Tools/shape.scm 28 */
												int BgL_arg1666z00_1654;

												BgL_arg1666z00_1654 = (int) (((long) 16));
												{	/* Tools/shape.scm 28 */
													long BgL_res1724z00_1664;

													{	/* Tools/shape.scm 28 */
														long BgL_auxz00_1886;

														BgL_auxz00_1886 = (long) (BgL_arg1666z00_1654);
														BgL_res1724z00_1664 =
															(BgL_offsetz00_1652 / BgL_auxz00_1886);
													}
													BgL_modz00_1653 = BgL_res1724z00_1664;
											}}
											{	/* Tools/shape.scm 28 */
												long BgL_restz00_1655;

												{	/* Tools/shape.scm 28 */
													int BgL_arg1665z00_1656;

													BgL_arg1665z00_1656 = (int) (((long) 16));
													{	/* Tools/shape.scm 28 */
														long BgL_res1726z00_1668;

														{	/* Tools/shape.scm 28 */
															long BgL_auxz00_1890;

															BgL_auxz00_1890 = (long) (BgL_arg1665z00_1656);
															BgL_res1726z00_1668 =
																(BgL_offsetz00_1652 % BgL_auxz00_1890);
														}
														BgL_restz00_1655 = BgL_res1726z00_1668;
												}}
												{	/* Tools/shape.scm 28 */

													BgL_res1727z00_1673 =
														VECTOR_REF(VECTOR_REF(BgL_arg1664z00_1647,
															(int) (BgL_modz00_1653)),
														(int) (BgL_restz00_1655));
						}}}}}}}
						BgL_method1205z00_1283 = BgL_res1727z00_1673;
					}
					return
						PROCEDURE_ENTRY(BgL_method1205z00_1283) (BgL_method1205z00_1283,
						BgL_expz00_13, BEOA);
				}
			else
				{	/* Tools/shape.scm 28 */
					obj_t BgL_fun1330z00_1284;

					BgL_fun1330z00_1284 =
						PROCEDURE_REF(BGl_shapezd2envzd2zztools_shapez00,
						(int) (((long) 0)));
					return
						PROCEDURE_ENTRY(BgL_fun1330z00_1284) (BgL_fun1330z00_1284,
						BgL_expz00_13, BEOA);
				}
		}
	}



/* &shape */
	obj_t BGl_z62shapez62zztools_shapez00(obj_t BgL_envz00_1729,
		obj_t BgL_expz00_1730)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 28 */
			return BGl_shapez00zztools_shapez00(BgL_expz00_1730);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_globalz00zzast_varz00,
				BGl_proc1745z00zztools_shapez00, BGl_string1746z00zztools_shapez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_localz00zzast_varz00,
				BGl_proc1747z00zztools_shapez00, BGl_string1746z00zztools_shapez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_typez00zztype_typez00,
				BGl_proc1748z00zztools_shapez00, BGl_string1746z00zztools_shapez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shapezd2envzd2zztools_shapez00, BGl_nodez00zzast_nodez00,
				BGl_proc1749z00zztools_shapez00, BGl_string1746z00zztools_shapez00);
		}
	}



/* &shape-node1213 */
	obj_t BGl_z62shapezd2node1213zb0zztools_shapez00(obj_t BgL_envz00_1735,
		obj_t BgL_nodez00_1736)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 161 */
			return
				BGl_nodezd2ze3sexpz31zzast_dumpz00(
				((BgL_nodez00_bglt) BgL_nodez00_1736));
		}
	}



/* &shape-type1211 */
	obj_t BGl_z62shapezd2type1211zb0zztools_shapez00(obj_t BgL_envz00_1737,
		obj_t BgL_typez00_1738)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 143 */
			{
				BgL_typez00_bglt BgL_typez00_1372;

				BgL_typez00_1372 = ((BgL_typez00_bglt) BgL_typez00_1738);
				{	/* Tools/shape.scm 144 */
					obj_t BgL_spz00_1375;

					{	/* Tools/shape.scm 144 */
						obj_t BgL_arg1611z00_1384;

						BgL_arg1611z00_1384 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_1372))->BgL_idz00);
						{	/* Tools/shape.scm 144 */
							obj_t BgL_res1741z00_1724;

							{	/* Tools/shape.scm 144 */
								obj_t BgL_arg1362z00_1723;

								BgL_arg1362z00_1723 = SYMBOL_TO_STRING(BgL_arg1611z00_1384);
								BgL_res1741z00_1724 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1362z00_1723);
							}
							BgL_spz00_1375 = BgL_res1741z00_1724;
						}
					}
					{	/* Tools/shape.scm 144 */
						obj_t BgL_sz00_1376;

						if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
							{	/* Tools/shape.scm 151 */
								obj_t BgL_arg1606z00_1382;

								{	/* Tools/shape.scm 151 */
									long BgL_arg1610z00_1383;

									BgL_arg1610z00_1383 = (long) (BgL_typez00_1372);
									BgL_arg1606z00_1382 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
										(BgL_arg1610z00_1383, ((long) 16));
								}
								BgL_sz00_1376 =
									string_append_3(BgL_spz00_1375,
									BGl_string1750z00zztools_shapez00, BgL_arg1606z00_1382);
							}
						else
							{	/* Tools/shape.scm 145 */
								BgL_sz00_1376 = BgL_spz00_1375;
							}
						{	/* Tools/shape.scm 145 */

							if (CBOOL(BGl_za2typenamezd2shapezf3za2z21zzengine_paramz00))
								{	/* Tools/shape.scm 155 */
									obj_t BgL_arg1583z00_1377;

									BgL_arg1583z00_1377 =
										(((BgL_typez00_bglt) CREF(BgL_typez00_1372))->BgL_namez00);
									{	/* Tools/shape.scm 155 */
										obj_t BgL_list1584z00_1378;

										{	/* Tools/shape.scm 155 */
											obj_t BgL_arg1587z00_1379;

											{	/* Tools/shape.scm 155 */
												obj_t BgL_arg1591z00_1380;

												{	/* Tools/shape.scm 155 */
													obj_t BgL_arg1595z00_1381;

													BgL_arg1595z00_1381 =
														MAKE_PAIR(BGl_string1751z00zztools_shapez00, BNIL);
													BgL_arg1591z00_1380 =
														MAKE_PAIR(BgL_arg1583z00_1377, BgL_arg1595z00_1381);
												}
												BgL_arg1587z00_1379 =
													MAKE_PAIR(BGl_string1751z00zztools_shapez00,
													BgL_arg1591z00_1380);
											}
											BgL_list1584z00_1378 =
												MAKE_PAIR(BgL_sz00_1376, BgL_arg1587z00_1379);
										}
										return
											BGl_stringzd2appendzd2zz__r4_strings_6_7z00
											(BgL_list1584z00_1378);
									}
								}
							else
								{	/* Tools/shape.scm 154 */
									return BgL_sz00_1376;
								}
						}
					}
				}
			}
		}
	}



/* &shape-local1209 */
	obj_t BGl_z62shapezd2local1209zb0zztools_shapez00(obj_t BgL_envz00_1739,
		obj_t BgL_varz00_1740)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 115 */
			{
				BgL_localz00_bglt BgL_varz00_1344;

				BgL_varz00_1344 = ((BgL_localz00_bglt) BgL_varz00_1740);
				{	/* Tools/shape.scm 116 */
					obj_t BgL_symz00_1347;

					if (CBOOL(BGl_za2keyzd2shapezf3za2z21zzengine_paramz00))
						{	/* Tools/shape.scm 117 */
							obj_t BgL_arg1557z00_1362;
							obj_t BgL_arg1569z00_1363;

							BgL_arg1557z00_1362 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1344)))->BgL_idz00);
							{	/* Tools/shape.scm 120 */
								obj_t BgL_arg1576z00_1367;

								{	/* Tools/shape.scm 120 */

									BgL_arg1576z00_1367 =
										BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
										(((BgL_localz00_bglt) CREF(BgL_varz00_1344))->BgL_keyz00),
										((long) 10));
								}
								BgL_arg1569z00_1363 = bstring_to_symbol(BgL_arg1576z00_1367);
							}
							{	/* Tools/shape.scm 117 */
								obj_t BgL_list1570z00_1364;

								{	/* Tools/shape.scm 117 */
									obj_t BgL_arg1571z00_1365;

									{	/* Tools/shape.scm 117 */
										obj_t BgL_arg1572z00_1366;

										BgL_arg1572z00_1366 = MAKE_PAIR(BgL_arg1569z00_1363, BNIL);
										BgL_arg1571z00_1365 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 1)),
											BgL_arg1572z00_1366);
									}
									BgL_list1570z00_1364 =
										MAKE_PAIR(BgL_arg1557z00_1362, BgL_arg1571z00_1365);
								}
								BgL_symz00_1347 =
									BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
									(BgL_list1570z00_1364);
						}}
					else
						{	/* Tools/shape.scm 116 */
							BgL_symz00_1347 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1344)))->BgL_idz00);
						}
					{	/* Tools/shape.scm 116 */
						obj_t BgL_symz00_1348;

						{	/* Tools/shape.scm 122 */
							obj_t BgL_res1738z00_1712;

							{	/* Tools/shape.scm 122 */
								obj_t BgL_arg1362z00_1711;

								BgL_arg1362z00_1711 = SYMBOL_TO_STRING(BgL_symz00_1347);
								BgL_res1738z00_1712 =
									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
									(BgL_arg1362z00_1711);
							}
							BgL_symz00_1348 = BgL_res1738z00_1712;
						}
						{	/* Tools/shape.scm 122 */
							BgL_typez00_bglt BgL_typez00_1349;

							BgL_typez00_1349 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1344)))->BgL_typez00);
							{	/* Tools/shape.scm 123 */
								obj_t BgL_tshapez00_1350;

								if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
									{	/* Tools/shape.scm 126 */
										obj_t BgL_arg1555z00_1361;

										BgL_arg1555z00_1361 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_1349));
										BgL_tshapez00_1350 =
											string_append(BGl_string1752z00zztools_shapez00,
											BgL_arg1555z00_1361);
									}
								else
									{	/* Tools/shape.scm 124 */
										BgL_tshapez00_1350 = BGl_string1753z00zztools_shapez00;
									}
								{	/* Tools/shape.scm 124 */
									obj_t BgL_ushapez00_1351;

									if (CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
										{	/* Tools/shape.scm 127 */
											if (
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_1344)))->
													BgL_userzf3zf3))
												{	/* Tools/shape.scm 129 */
													BgL_ushapez00_1351 =
														BGl_string1754z00zztools_shapez00;
												}
											else
												{	/* Tools/shape.scm 129 */
													BgL_ushapez00_1351 =
														BGl_string1755z00zztools_shapez00;
												}
										}
									else
										{	/* Tools/shape.scm 127 */
											BgL_ushapez00_1351 = BGl_string1753z00zztools_shapez00;
										}
									{	/* Tools/shape.scm 127 */
										obj_t BgL_ashapez00_1352;

										if (CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
											{	/* Tools/shape.scm 136 */
												obj_t BgL_arg1549z00_1358;

												{	/* Tools/shape.scm 136 */
													obj_t BgL_arg1552z00_1359;

													BgL_arg1552z00_1359 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1344)))->
														BgL_accessz00);
													{	/* Tools/shape.scm 136 */
														obj_t BgL_res1739z00_1718;

														{	/* Tools/shape.scm 136 */
															obj_t BgL_arg1362z00_1717;

															BgL_arg1362z00_1717 =
																SYMBOL_TO_STRING(BgL_arg1552z00_1359);
															BgL_res1739z00_1718 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1362z00_1717);
														}
														BgL_arg1549z00_1358 = BgL_res1739z00_1718;
													}
												}
												BgL_ashapez00_1352 =
													string_append_3(BGl_string1756z00zztools_shapez00,
													BgL_arg1549z00_1358,
													BGl_string1757z00zztools_shapez00);
											}
										else
											{	/* Tools/shape.scm 133 */
												BgL_ashapez00_1352 = BGl_string1753z00zztools_shapez00;
											}
										{	/* Tools/shape.scm 132 */

											{	/* Tools/shape.scm 138 */
												obj_t BgL_arg1526z00_1353;

												{	/* Tools/shape.scm 138 */
													obj_t BgL_list1527z00_1354;

													{	/* Tools/shape.scm 138 */
														obj_t BgL_arg1528z00_1355;

														{	/* Tools/shape.scm 138 */
															obj_t BgL_arg1530z00_1356;

															{	/* Tools/shape.scm 138 */
																obj_t BgL_arg1547z00_1357;

																BgL_arg1547z00_1357 =
																	MAKE_PAIR(BgL_ashapez00_1352, BNIL);
																BgL_arg1530z00_1356 =
																	MAKE_PAIR(BgL_ushapez00_1351,
																	BgL_arg1547z00_1357);
															}
															BgL_arg1528z00_1355 =
																MAKE_PAIR(BgL_tshapez00_1350,
																BgL_arg1530z00_1356);
														}
														BgL_list1527z00_1354 =
															MAKE_PAIR(BgL_symz00_1348, BgL_arg1528z00_1355);
													}
													BgL_arg1526z00_1353 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list1527z00_1354);
												}
												return bstring_to_symbol(BgL_arg1526z00_1353);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &shape-global1207 */
	obj_t BGl_z62shapezd2global1207zb0zztools_shapez00(obj_t BgL_envz00_1741,
		obj_t BgL_varz00_1742)
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 74 */
			{
				BgL_globalz00_bglt BgL_varz00_1285;

				BgL_varz00_1285 = ((BgL_globalz00_bglt) BgL_varz00_1742);
				{	/* Tools/shape.scm 75 */
					obj_t BgL_strzd2idzd2_1288;

					if (CBOOL(BGl_za2namezd2shapezf3za2z21zzengine_paramz00))
						{	/* Tools/shape.scm 77 */
							obj_t BgL_arg1509z00_1338;
							obj_t BgL_arg1511z00_1339;

							BgL_arg1509z00_1338 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1285)))->BgL_idz00);
							BgL_arg1511z00_1339 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1285)))->BgL_namez00);
							{	/* Tools/shape.scm 77 */
								obj_t BgL_list1512z00_1340;

								{	/* Tools/shape.scm 77 */
									obj_t BgL_arg1516z00_1341;

									BgL_arg1516z00_1341 = MAKE_PAIR(BgL_arg1511z00_1339, BNIL);
									BgL_list1512z00_1340 =
										MAKE_PAIR(BgL_arg1509z00_1338, BgL_arg1516z00_1341);
								}
								BgL_strzd2idzd2_1288 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string1758z00zztools_shapez00, BgL_list1512z00_1340);
							}
						}
					else
						{	/* Tools/shape.scm 76 */
							obj_t BgL_arg1519z00_1342;

							BgL_arg1519z00_1342 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1285)))->BgL_idz00);
							{	/* Tools/shape.scm 76 */
								obj_t BgL_res1729z00_1680;

								{	/* Tools/shape.scm 76 */
									obj_t BgL_arg1362z00_1679;

									BgL_arg1362z00_1679 = SYMBOL_TO_STRING(BgL_arg1519z00_1342);
									BgL_res1729z00_1680 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1362z00_1679);
								}
								BgL_strzd2idzd2_1288 = BgL_res1729z00_1680;
							}
						}
					{	/* Tools/shape.scm 75 */
						obj_t BgL_modulez00_1289;

						{	/* Tools/shape.scm 78 */
							obj_t BgL_arg1505z00_1337;

							BgL_arg1505z00_1337 =
								(((BgL_globalz00_bglt) CREF(BgL_varz00_1285))->BgL_modulez00);
							{	/* Tools/shape.scm 78 */
								obj_t BgL_res1730z00_1684;

								{	/* Tools/shape.scm 78 */
									obj_t BgL_arg1362z00_1683;

									BgL_arg1362z00_1683 = SYMBOL_TO_STRING(BgL_arg1505z00_1337);
									BgL_res1730z00_1684 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg1362z00_1683);
								}
								BgL_modulez00_1289 = BgL_res1730z00_1684;
							}
						}
						{	/* Tools/shape.scm 78 */
							BgL_typez00_bglt BgL_typez00_1290;

							BgL_typez00_1290 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt) BgL_varz00_1285)))->BgL_typez00);
							{	/* Tools/shape.scm 79 */
								obj_t BgL_tshapez00_1291;

								if (CBOOL(BGl_za2typezd2shapezf3za2z21zzengine_paramz00))
									{	/* Tools/shape.scm 82 */
										obj_t BgL_arg1500z00_1336;

										BgL_arg1500z00_1336 =
											BGl_shapez00zztools_shapez00(((obj_t) BgL_typez00_1290));
										BgL_tshapez00_1291 =
											string_append(BGl_string1752z00zztools_shapez00,
											BgL_arg1500z00_1336);
									}
								else
									{	/* Tools/shape.scm 80 */
										BgL_tshapez00_1291 = BGl_string1753z00zztools_shapez00;
									}
								{	/* Tools/shape.scm 80 */
									obj_t BgL_ushapez00_1292;

									if (CBOOL(BGl_za2userzd2shapezf3za2z21zzengine_paramz00))
										{	/* Tools/shape.scm 83 */
											if (
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_1285)))->
													BgL_userzf3zf3))
												{	/* Tools/shape.scm 85 */
													BgL_ushapez00_1292 =
														BGl_string1754z00zztools_shapez00;
												}
											else
												{	/* Tools/shape.scm 85 */
													BgL_ushapez00_1292 =
														BGl_string1755z00zztools_shapez00;
												}
										}
									else
										{	/* Tools/shape.scm 83 */
											BgL_ushapez00_1292 = BGl_string1753z00zztools_shapez00;
										}
									{	/* Tools/shape.scm 83 */
										obj_t BgL_ashapez00_1293;

										if (CBOOL(BGl_za2accesszd2shapezf3za2z21zzengine_paramz00))
											{	/* Tools/shape.scm 92 */
												obj_t BgL_arg1494z00_1333;

												{	/* Tools/shape.scm 92 */
													obj_t BgL_arg1496z00_1334;

													BgL_arg1496z00_1334 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_varz00_1285)))->
														BgL_accessz00);
													{	/* Tools/shape.scm 92 */
														obj_t BgL_res1731z00_1690;

														{	/* Tools/shape.scm 92 */
															obj_t BgL_arg1362z00_1689;

															BgL_arg1362z00_1689 =
																SYMBOL_TO_STRING(BgL_arg1496z00_1334);
															BgL_res1731z00_1690 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1362z00_1689);
														}
														BgL_arg1494z00_1333 = BgL_res1731z00_1690;
													}
												}
												BgL_ashapez00_1293 =
													string_append_3(BGl_string1756z00zztools_shapez00,
													BgL_arg1494z00_1333,
													BGl_string1757z00zztools_shapez00);
											}
										else
											{	/* Tools/shape.scm 89 */
												BgL_ashapez00_1293 = BGl_string1753z00zztools_shapez00;
											}
										{	/* Tools/shape.scm 88 */

											if (CBOOL
												(BGl_za2modulezd2shapezf3za2z21zzengine_paramz00))
												{	/* Tools/shape.scm 97 */
													obj_t BgL_arg1331z00_1294;

													{	/* Tools/shape.scm 97 */
														obj_t BgL_list1332z00_1295;

														{	/* Tools/shape.scm 97 */
															obj_t BgL_arg1335z00_1296;

															{	/* Tools/shape.scm 97 */
																obj_t BgL_arg1344z00_1297;

																{	/* Tools/shape.scm 97 */
																	obj_t BgL_arg1360z00_1298;

																	{	/* Tools/shape.scm 97 */
																		obj_t BgL_arg1361z00_1299;

																		{	/* Tools/shape.scm 97 */
																			obj_t BgL_arg1366z00_1300;

																			BgL_arg1366z00_1300 =
																				MAKE_PAIR(BgL_ashapez00_1293, BNIL);
																			BgL_arg1361z00_1299 =
																				MAKE_PAIR(BgL_ushapez00_1292,
																				BgL_arg1366z00_1300);
																		}
																		BgL_arg1360z00_1298 =
																			MAKE_PAIR(BgL_tshapez00_1291,
																			BgL_arg1361z00_1299);
																	}
																	BgL_arg1344z00_1297 =
																		MAKE_PAIR(BgL_modulez00_1289,
																		BgL_arg1360z00_1298);
																}
																BgL_arg1335z00_1296 =
																	MAKE_PAIR(BGl_string1759z00zztools_shapez00,
																	BgL_arg1344z00_1297);
															}
															BgL_list1332z00_1295 =
																MAKE_PAIR(BgL_strzd2idzd2_1288,
																BgL_arg1335z00_1296);
														}
														BgL_arg1331z00_1294 =
															BGl_stringzd2appendzd2zz__r4_strings_6_7z00
															(BgL_list1332z00_1295);
													}
													return bstring_to_symbol(BgL_arg1331z00_1294);
												}
											else
												{

													{	/* Tools/shape.scm 99 */
														obj_t BgL_aux1096z00_1302;

														{	/* Tools/shape.scm 99 */
															obj_t BgL_arg1467z00_1322;
															obj_t BgL_arg1468z00_1323;

															BgL_arg1467z00_1322 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt) BgL_varz00_1285)))->
																BgL_idz00);
															BgL_arg1468z00_1323 =
																(((BgL_globalz00_bglt) CREF(BgL_varz00_1285))->
																BgL_modulez00);
															BgL_aux1096z00_1302 =
																BGl_globalzd2bucketzd2positionz00zzast_envz00
																(BgL_arg1467z00_1322, BgL_arg1468z00_1323);
														}
														if (INTEGERP(BgL_aux1096z00_1302))
															{	/* Tools/shape.scm 99 */
																switch ((long) CINT(BgL_aux1096z00_1302))
																	{
																	case ((long) -1):

																		{	/* Tools/shape.scm 103 */
																			obj_t BgL_arg1371z00_1304;

																			{	/* Tools/shape.scm 103 */
																				obj_t BgL_arg1379z00_1308;

																				{	/* Tools/shape.scm 103 */
																					obj_t BgL_arg1385z00_1309;
																					obj_t BgL_arg1386z00_1310;

																					BgL_arg1385z00_1309 =
																						(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									BgL_varz00_1285)))->
																						BgL_idz00);
																					BgL_arg1386z00_1310 =
																						MAKE_PAIR((((BgL_globalz00_bglt)
																								CREF(BgL_varz00_1285))->
																							BgL_modulez00), BNIL);
																					BgL_arg1379z00_1308 =
																						MAKE_PAIR(BgL_arg1385z00_1309,
																						BgL_arg1386z00_1310);
																				}
																				BgL_arg1371z00_1304 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
																					BgL_arg1379z00_1308);
																			}
																			{	/* Tools/shape.scm 101 */
																				obj_t BgL_list1372z00_1305;

																				{	/* Tools/shape.scm 101 */
																					obj_t BgL_arg1374z00_1306;

																					{	/* Tools/shape.scm 101 */
																						obj_t BgL_arg1378z00_1307;

																						BgL_arg1378z00_1307 =
																							MAKE_PAIR(BgL_arg1371z00_1304,
																							BNIL);
																						BgL_arg1374z00_1306 =
																							MAKE_PAIR
																							(BGl_string1760z00zztools_shapez00,
																							BgL_arg1378z00_1307);
																					}
																					BgL_list1372z00_1305 =
																						MAKE_PAIR
																						(BGl_string1761z00zztools_shapez00,
																						BgL_arg1374z00_1306);
																				}
																				BGl_warningz00zz__errorz00
																					(BgL_list1372z00_1305);
																		}}
																		{	/* Tools/shape.scm 104 */
																			obj_t BgL_arg1399z00_1312;

																			{	/* Tools/shape.scm 104 */
																				obj_t BgL_list1400z00_1313;

																				{	/* Tools/shape.scm 104 */
																					obj_t BgL_arg1441z00_1314;

																					{	/* Tools/shape.scm 104 */
																						obj_t BgL_arg1442z00_1315;

																						{	/* Tools/shape.scm 104 */
																							obj_t BgL_arg1447z00_1316;

																							BgL_arg1447z00_1316 =
																								MAKE_PAIR(BgL_ashapez00_1293,
																								BNIL);
																							BgL_arg1442z00_1315 =
																								MAKE_PAIR(BgL_ushapez00_1292,
																								BgL_arg1447z00_1316);
																						}
																						BgL_arg1441z00_1314 =
																							MAKE_PAIR(BgL_tshapez00_1291,
																							BgL_arg1442z00_1315);
																					}
																					BgL_list1400z00_1313 =
																						MAKE_PAIR(BgL_strzd2idzd2_1288,
																						BgL_arg1441z00_1314);
																				}
																				BgL_arg1399z00_1312 =
																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																					(BgL_list1400z00_1313);
																			}
																			return
																				bstring_to_symbol(BgL_arg1399z00_1312);
																		}
																		break;
																	case ((long) 0):

																		{	/* Tools/shape.scm 106 */
																			obj_t BgL_arg1452z00_1317;

																			{	/* Tools/shape.scm 106 */
																				obj_t BgL_list1453z00_1318;

																				{	/* Tools/shape.scm 106 */
																					obj_t BgL_arg1454z00_1319;

																					{	/* Tools/shape.scm 106 */
																						obj_t BgL_arg1459z00_1320;

																						{	/* Tools/shape.scm 106 */
																							obj_t BgL_arg1460z00_1321;

																							BgL_arg1460z00_1321 =
																								MAKE_PAIR(BgL_ashapez00_1293,
																								BNIL);
																							BgL_arg1459z00_1320 =
																								MAKE_PAIR(BgL_ushapez00_1292,
																								BgL_arg1460z00_1321);
																						}
																						BgL_arg1454z00_1319 =
																							MAKE_PAIR(BgL_tshapez00_1291,
																							BgL_arg1459z00_1320);
																					}
																					BgL_list1453z00_1318 =
																						MAKE_PAIR(BgL_strzd2idzd2_1288,
																						BgL_arg1454z00_1319);
																				}
																				BgL_arg1452z00_1317 =
																					BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																					(BgL_list1453z00_1318);
																			}
																			return
																				bstring_to_symbol(BgL_arg1452z00_1317);
																		}
																		break;
																	default:
																	BgL_case_else1095z00_1301:
																		{	/* Tools/shape.scm 108 */
																			obj_t BgL_symz00_1324;

																			{	/* Tools/shape.scm 109 */
																				obj_t BgL_arg1485z00_1328;

																				{	/* Tools/shape.scm 109 */
																					obj_t BgL_list1486z00_1329;

																					{	/* Tools/shape.scm 109 */
																						obj_t BgL_arg1491z00_1330;

																						{	/* Tools/shape.scm 109 */
																							obj_t BgL_arg1492z00_1331;

																							{	/* Tools/shape.scm 109 */
																								obj_t BgL_arg1493z00_1332;

																								BgL_arg1493z00_1332 =
																									MAKE_PAIR(BgL_ashapez00_1293,
																									BNIL);
																								BgL_arg1492z00_1331 =
																									MAKE_PAIR(BgL_ushapez00_1292,
																									BgL_arg1493z00_1332);
																							}
																							BgL_arg1491z00_1330 =
																								MAKE_PAIR(BgL_tshapez00_1291,
																								BgL_arg1492z00_1331);
																						}
																						BgL_list1486z00_1329 =
																							MAKE_PAIR(BgL_strzd2idzd2_1288,
																							BgL_arg1491z00_1330);
																					}
																					BgL_arg1485z00_1328 =
																						BGl_stringzd2appendzd2zz__r4_strings_6_7z00
																						(BgL_list1486z00_1329);
																				}
																				BgL_symz00_1324 =
																					bstring_to_symbol
																					(BgL_arg1485z00_1328);
																			}
																			{	/* Tools/shape.scm 110 */
																				obj_t BgL_arg1476z00_1325;

																				{	/* Tools/shape.scm 110 */
																					obj_t BgL_arg1482z00_1326;

																					BgL_arg1482z00_1326 =
																						MAKE_PAIR(bstring_to_symbol
																						(BgL_modulez00_1289), BNIL);
																					BgL_arg1476z00_1325 =
																						MAKE_PAIR(BgL_symz00_1324,
																						BgL_arg1482z00_1326);
																				}
																				return
																					MAKE_PAIR(CNST_TABLE_REF(((long) 2)),
																					BgL_arg1476z00_1325);
															}}}}
														else
															{	/* Tools/shape.scm 99 */
																goto BgL_case_else1095z00_1301;
															}
													}
												}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztools_shapez00()
	{
		AN_OBJECT;
		{	/* Tools/shape.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1762z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1762z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 458567972),
				BSTRING_TO_STRING(BGl_string1762z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1762z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1762z00zztools_shapez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 122361728),
				BSTRING_TO_STRING(BGl_string1762z00zztools_shapez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1762z00zztools_shapez00));
		}
	}

#ifdef __cplusplus
}
#endif
