/*===========================================================================*/
/*   (Llib/tvector.scm)                                                      */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c +rm -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -copt -fPIC -c Llib/tvector.scm -indent -o objs/obj_s/Llib/tvector.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_symbol1759z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1765z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1767z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__tvectorz00();
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__tvectorz00();
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t);
static obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__tvectorz00();
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t get_tvector_descriptor(obj_t);
static obj_t BGl_methodzd2initzd2zz__tvectorz00();
BGL_EXPORTED_DECL bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t);
static obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t, obj_t);
static obj_t BGl_list1732z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list1742z00zz__tvectorz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_list1758z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_list1764z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t, obj_t);
extern obj_t create_struct(obj_t, int);
static obj_t BGl_cnstzd2initzd2zz__tvectorz00();
extern long bgl_list_length(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00();
BGL_EXPORTED_DECL obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char *, obj_t, obj_t, obj_t);
extern obj_t BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(obj_t, obj_t, obj_t, obj_t, int, int);
static obj_t BGl_symbol1714z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1719z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1721z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2casezd2sensitivityz00zz__readerz00();
static obj_t BGl_symbol1733z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1735z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1737z00zz__tvectorz00 = BUNSPEC;
extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_symbol1743z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1745z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1747z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_symbol1749z00zz__tvectorz00 = BUNSPEC;
static obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzf3zd2envz21zz__tvectorz00, BgL_bgl_za762tvectorza7f3za7911773za7, BGl_z62tvectorzf3z91zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl_za762listza7d2za7e3tve1774za7, BGl_z62listzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1708z00zz__tvectorz00, BgL_bgl_string1708za700za7za7_1775za7, "/tmp/bigloo/runtime/Llib/tvector.scm", 36 );
DEFINE_STRING( BGl_string1709z00zz__tvectorz00, BgL_bgl_string1709za700za7za7_1776za7, "&tvector-length", 15 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2lengthzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2len1777z00, BGl_z62tvectorzd2lengthzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1710z00zz__tvectorz00, BgL_bgl_string1710za700za7za7_1778za7, "tvector", 7 );
DEFINE_STRING( BGl_string1711z00zz__tvectorz00, BgL_bgl_string1711za700za7za7_1779za7, "tvector-id", 10 );
DEFINE_STRING( BGl_string1712z00zz__tvectorz00, BgL_bgl_string1712za700za7za7_1780za7, "struct", 6 );
DEFINE_STRING( BGl_string1713z00zz__tvectorz00, BgL_bgl_string1713za700za7za7_1781za7, "symbol", 6 );
DEFINE_STRING( BGl_string1715z00zz__tvectorz00, BgL_bgl_string1715za700za7za7_1782za7, "tvect-descr", 11 );
DEFINE_STRING( BGl_string1716z00zz__tvectorz00, BgL_bgl_string1716za700za7za7_1783za7, "struct-ref:not an instance of", 29 );
DEFINE_STRING( BGl_string1717z00zz__tvectorz00, BgL_bgl_string1717za700za7za7_1784za7, "&tvector-id", 11 );
DEFINE_STRING( BGl_string1718z00zz__tvectorz00, BgL_bgl_string1718za700za7za7_1785za7, "&get-tvector-descriptor", 23 );
DEFINE_STRING( BGl_string1720z00zz__tvectorz00, BgL_bgl_string1720za700za7za7_1786za7, "upcase", 6 );
DEFINE_STRING( BGl_string1722z00zz__tvectorz00, BgL_bgl_string1722za700za7za7_1787za7, "downcase", 8 );
DEFINE_STRING( BGl_string1723z00zz__tvectorz00, BgL_bgl_string1723za700za7za7_1788za7, "declare-tvector!", 16 );
DEFINE_STRING( BGl_string1724z00zz__tvectorz00, BgL_bgl_string1724za700za7za7_1789za7, "struct-set!:not an instance of", 30 );
DEFINE_STRING( BGl_string1725z00zz__tvectorz00, BgL_bgl_string1725za700za7za7_1790za7, "&declare-tvector!", 17 );
DEFINE_STRING( BGl_string1726z00zz__tvectorz00, BgL_bgl_string1726za700za7za7_1791za7, "bstring", 7 );
DEFINE_STRING( BGl_string1727z00zz__tvectorz00, BgL_bgl_string1727za700za7za7_1792za7, "procedure", 9 );
DEFINE_STRING( BGl_string1728z00zz__tvectorz00, BgL_bgl_string1728za700za7za7_1793za7, "tvector-ref", 11 );
DEFINE_STRING( BGl_string1729z00zz__tvectorz00, BgL_bgl_string1729za700za7za7_1794za7, "&tvector-ref", 12 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00, BgL_bgl_za762getza7d2tvector1795z00, BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00, BgL_bgl_za762declareza7d2tve1796z00, BGl_z62declarezd2tvectorz12za2zz__tvectorz00, 0L, BUNSPEC, 4 );
DEFINE_STRING( BGl_string1730z00zz__tvectorz00, BgL_bgl_string1730za700za7za7_1797za7, "list->tvector", 13 );
DEFINE_STRING( BGl_string1731z00zz__tvectorz00, BgL_bgl_string1731za700za7za7_1798za7, "list->tvector:Wrong number of arguments", 39 );
DEFINE_STRING( BGl_string1734z00zz__tvectorz00, BgL_bgl_string1734za700za7za7_1799za7, "funcall", 7 );
DEFINE_STRING( BGl_string1736z00zz__tvectorz00, BgL_bgl_string1736za700za7za7_1800za7, "allocate", 8 );
DEFINE_STRING( BGl_string1738z00zz__tvectorz00, BgL_bgl_string1738za700za7za7_1801za7, "len", 3 );
DEFINE_STRING( BGl_string1739z00zz__tvectorz00, BgL_bgl_string1739za700za7za7_1802za7, "loop", 4 );
DEFINE_STRING( BGl_string1740z00zz__tvectorz00, BgL_bgl_string1740za700za7za7_1803za7, "pair", 4 );
DEFINE_STRING( BGl_string1741z00zz__tvectorz00, BgL_bgl_string1741za700za7za7_1804za7, "loop:Wrong number of arguments", 30 );
DEFINE_STRING( BGl_string1744z00zz__tvectorz00, BgL_bgl_string1744za700za7za7_1805za7, "set", 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2refzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2ref1806z00, BGl_z62tvectorzd2refzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1746z00zz__tvectorz00, BgL_bgl_string1746za700za7za7_1807za7, "tvec", 4 );
DEFINE_STRING( BGl_string1748z00zz__tvectorz00, BgL_bgl_string1748za700za7za7_1808za7, "i", 1 );
DEFINE_STRING( BGl_string1750z00zz__tvectorz00, BgL_bgl_string1750za700za7za7_1809za7, "arg1156", 7 );
DEFINE_STRING( BGl_string1751z00zz__tvectorz00, BgL_bgl_string1751za700za7za7_1810za7, "Unable to convert to such tvector", 33 );
DEFINE_STRING( BGl_string1752z00zz__tvectorz00, BgL_bgl_string1752za700za7za7_1811za7, "Undeclared tvector", 18 );
DEFINE_STRING( BGl_string1753z00zz__tvectorz00, BgL_bgl_string1753za700za7za7_1812za7, "&list->tvector", 14 );
DEFINE_STRING( BGl_string1754z00zz__tvectorz00, BgL_bgl_string1754za700za7za7_1813za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1755z00zz__tvectorz00, BgL_bgl_string1755za700za7za7_1814za7, "vector->tvector", 15 );
DEFINE_STRING( BGl_string1756z00zz__tvectorz00, BgL_bgl_string1756za700za7za7_1815za7, "vector->tvector:Wrong number of arguments", 41 );
DEFINE_STRING( BGl_string1757z00zz__tvectorz00, BgL_bgl_string1757za700za7za7_1816za7, "vector-ref", 10 );
DEFINE_STRING( BGl_string1760z00zz__tvectorz00, BgL_bgl_string1760za700za7za7_1817za7, "arg1166", 7 );
DEFINE_STRING( BGl_string1761z00zz__tvectorz00, BgL_bgl_string1761za700za7za7_1818za7, "&vector->tvector", 16 );
DEFINE_STRING( BGl_string1762z00zz__tvectorz00, BgL_bgl_string1762za700za7za7_1819za7, "vector", 6 );
DEFINE_STRING( BGl_string1763z00zz__tvectorz00, BgL_bgl_string1763za700za7za7_1820za7, "tvector->vector", 15 );
DEFINE_STRING( BGl_string1766z00zz__tvectorz00, BgL_bgl_string1766za700za7za7_1821za7, "ref", 3 );
DEFINE_STRING( BGl_string1768z00zz__tvectorz00, BgL_bgl_string1768za700za7za7_1822za7, "tv", 2 );
DEFINE_STRING( BGl_string1769z00zz__tvectorz00, BgL_bgl_string1769za700za7za7_1823za7, "vector-set!", 11 );
DEFINE_STRING( BGl_string1770z00zz__tvectorz00, BgL_bgl_string1770za700za7za7_1824za7, "&tvector->vector", 16 );
DEFINE_STRING( BGl_string1771z00zz__tvectorz00, BgL_bgl_string1771za700za7za7_1825za7, "__tvector", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2idzd2envz00zz__tvectorz00, BgL_bgl_za762tvectorza7d2idza71826za7, BGl_z62tvectorzd2idzb0zz__tvectorz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00, BgL_bgl_za762vectorza7d2za7e3t1827za7, BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00, BgL_bgl_za762tvectorza7d2za7e31828za7, BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00, 0L, BUNSPEC, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long BgL_checksumz00_1854, char * BgL_fromz00_1855)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__tvectorz00))
{ 
BGl_requirezd2initializa7ationz75zz__tvectorz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__tvectorz00(); 
BGl_importedzd2moduleszd2initz00zz__tvectorz00(); 
return 
BGl_toplevelzd2initzd2zz__tvectorz00();}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
BGl_symbol1714z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1715z00zz__tvectorz00); 
BGl_symbol1719z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1720z00zz__tvectorz00); 
BGl_symbol1721z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1722z00zz__tvectorz00); 
BGl_symbol1733z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1734z00zz__tvectorz00); 
BGl_symbol1735z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1736z00zz__tvectorz00); 
BGl_symbol1737z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1738z00zz__tvectorz00); 
BGl_list1732z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1733z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1735z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1735z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1737z00zz__tvectorz00, BNIL)))); 
BGl_symbol1743z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1744z00zz__tvectorz00); 
BGl_symbol1745z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1746z00zz__tvectorz00); 
BGl_symbol1747z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1748z00zz__tvectorz00); 
BGl_symbol1749z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1750z00zz__tvectorz00); 
BGl_list1742z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1733z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1743z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1743z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1745z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1747z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1749z00zz__tvectorz00, BNIL)))))); 
BGl_symbol1759z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1760z00zz__tvectorz00); 
BGl_list1758z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1733z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1743z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1743z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1745z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1747z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1759z00zz__tvectorz00, BNIL)))))); 
BGl_symbol1765z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1766z00zz__tvectorz00); 
BGl_symbol1767z00zz__tvectorz00 = 
bstring_to_symbol(BGl_string1768z00zz__tvectorz00); 
return ( 
BGl_list1764z00zz__tvectorz00 = 
MAKE_PAIR(BGl_symbol1733z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1765z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1765z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1767z00zz__tvectorz00, 
MAKE_PAIR(BGl_symbol1747z00zz__tvectorz00, BNIL))))), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
return ( 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BNIL, BUNSPEC) ;} 
}



/* tvector? */
BGL_EXPORTED_DEF bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t BgL_objz00_3)
{ AN_OBJECT;
{ /* Llib/tvector.scm 91 */
return 
TVECTORP(BgL_objz00_3);} 
}



/* &tvector? */
obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t BgL_envz00_1716, obj_t BgL_objz00_1717)
{ AN_OBJECT;
{ /* Llib/tvector.scm 91 */
return 
BBOOL(
TVECTORP(BgL_objz00_1717));} 
}



/* tvector-length */
BGL_EXPORTED_DEF int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t BgL_objz00_4)
{ AN_OBJECT;
{ /* Llib/tvector.scm 97 */
return 
TVECTOR_LENGTH(BgL_objz00_4);} 
}



/* &tvector-length */
obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t BgL_envz00_1718, obj_t BgL_objz00_1719)
{ AN_OBJECT;
{ /* Llib/tvector.scm 97 */
{ /* Llib/tvector.scm 98 */
int BgL_auxz00_1900;
{ /* Llib/tvector.scm 98 */
obj_t BgL_objz00_1846;
if(
TVECTORP(BgL_objz00_1719))
{ /* Llib/tvector.scm 98 */
BgL_objz00_1846 = BgL_objz00_1719; }  else 
{ 
obj_t BgL_auxz00_1903;
BgL_auxz00_1903 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)3547)), BGl_string1709z00zz__tvectorz00, BGl_string1710z00zz__tvectorz00, BgL_objz00_1719); 
FAILURE(BgL_auxz00_1903,BFALSE,BFALSE);} 
BgL_auxz00_1900 = 
TVECTOR_LENGTH(BgL_objz00_1846); } 
return 
BINT(BgL_auxz00_1900);} } 
}



/* tvector-id */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t BgL_tvectz00_5)
{ AN_OBJECT;
{ /* Llib/tvector.scm 103 */
{ /* Llib/tvector.scm 104 */
obj_t BgL_arg1111z00_1298;
BgL_arg1111z00_1298 = 
TVECTOR_DESCR(BgL_tvectz00_5); 
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_1910;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_1911;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1526z00_1303;
{ /* Llib/tvector.scm 112 */
obj_t BgL_sz00_1302;
if(
STRUCTP(BgL_arg1111z00_1298))
{ /* Llib/tvector.scm 112 */
BgL_sz00_1302 = BgL_arg1111z00_1298; }  else 
{ 
obj_t BgL_auxz00_1914;
BgL_auxz00_1914 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1711z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_arg1111z00_1298); 
FAILURE(BgL_auxz00_1914,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1620z00_1752;
BgL_aux1620z00_1752 = 
STRUCT_KEY(BgL_sz00_1302); 
if(
SYMBOLP(BgL_aux1620z00_1752))
{ /* Llib/tvector.scm 112 */
BgL_res1526z00_1303 = BgL_aux1620z00_1752; }  else 
{ 
obj_t BgL_auxz00_1921;
BgL_auxz00_1921 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1711z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1620z00_1752); 
FAILURE(BgL_auxz00_1921,BFALSE,BFALSE);} } } 
BgL_auxz00_1911 = BgL_res1526z00_1303; } 
BgL_testz00_1910 = 
(BgL_auxz00_1911==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_1910)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_1926;
BgL_auxz00_1926 = 
(int)(((long)0)); 
return 
STRUCT_REF(BgL_arg1111z00_1298, BgL_auxz00_1926);}  else 
{ /* Llib/tvector.scm 112 */
return 
BGl_errorz00zz__errorz00(BGl_string1716z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_arg1111z00_1298);} } } } 
}



/* &tvector-id */
obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t BgL_envz00_1720, obj_t BgL_tvectz00_1721)
{ AN_OBJECT;
{ /* Llib/tvector.scm 103 */
{ /* Llib/tvector.scm 104 */
obj_t BgL_auxz00_1930;
if(
TVECTORP(BgL_tvectz00_1721))
{ /* Llib/tvector.scm 104 */
BgL_auxz00_1930 = BgL_tvectz00_1721
; }  else 
{ 
obj_t BgL_auxz00_1933;
BgL_auxz00_1933 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)3839)), BGl_string1717z00zz__tvectorz00, BGl_string1710z00zz__tvectorz00, BgL_tvectz00_1721); 
FAILURE(BgL_auxz00_1933,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2idzd2zz__tvectorz00(BgL_auxz00_1930);} } 
}



/* get-tvector-descriptor */
BGL_EXPORTED_DEF obj_t get_tvector_descriptor(obj_t BgL_idz00_24)
{ AN_OBJECT;
{ /* Llib/tvector.scm 126 */
if(
NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
{ /* Llib/tvector.scm 127 */
return BFALSE;}  else 
{ /* Llib/tvector.scm 128 */
obj_t BgL_cellz00_925;
BgL_cellz00_925 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_24, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); 
if(
PAIRP(BgL_cellz00_925))
{ /* Llib/tvector.scm 129 */
return 
CDR(BgL_cellz00_925);}  else 
{ /* Llib/tvector.scm 129 */
return BFALSE;} } } 
}



/* &get-tvector-descriptor */
obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t BgL_envz00_1722, obj_t BgL_idz00_1723)
{ AN_OBJECT;
{ /* Llib/tvector.scm 126 */
{ /* Llib/tvector.scm 127 */
obj_t BgL_auxz00_1944;
if(
SYMBOLP(BgL_idz00_1723))
{ /* Llib/tvector.scm 127 */
BgL_auxz00_1944 = BgL_idz00_1723
; }  else 
{ 
obj_t BgL_auxz00_1947;
BgL_auxz00_1947 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)5090)), BGl_string1718z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_idz00_1723); 
FAILURE(BgL_auxz00_1947,BFALSE,BFALSE);} 
return 
get_tvector_descriptor(BgL_auxz00_1944);} } 
}



/* declare-tvector! */
BGL_EXPORTED_DEF obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char * BgL_idz00_25, obj_t BgL_allocatez00_26, obj_t BgL_refz00_27, obj_t BgL_setz00_28)
{ AN_OBJECT;
{ /* Llib/tvector.scm 140 */
{ /* Llib/tvector.scm 141 */
obj_t BgL_idz00_927;
{ /* Llib/tvector.scm 141 */
obj_t BgL_arg1145z00_932;
{ /* Llib/tvector.scm 141 */
obj_t BgL_casezd2valuezd2_933;
BgL_casezd2valuezd2_933 = 
BGl_bigloozd2casezd2sensitivityz00zz__readerz00(); 
if(
(BgL_casezd2valuezd2_933==BGl_symbol1719z00zz__tvectorz00))
{ /* Llib/tvector.scm 141 */
BgL_arg1145z00_932 = 
BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_25)); }  else 
{ /* Llib/tvector.scm 141 */
if(
(BgL_casezd2valuezd2_933==BGl_symbol1721z00zz__tvectorz00))
{ /* Llib/tvector.scm 141 */
BgL_arg1145z00_932 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(
string_to_bstring(BgL_idz00_25)); }  else 
{ /* Llib/tvector.scm 141 */
BgL_arg1145z00_932 = 
string_to_bstring(BgL_idz00_25); } } } 
BgL_idz00_927 = 
bstring_to_symbol(BgL_arg1145z00_932); } 
{ /* Llib/tvector.scm 141 */
obj_t BgL_oldz00_928;
BgL_oldz00_928 = 
get_tvector_descriptor(BgL_idz00_927); 
{ /* Llib/tvector.scm 148 */

{ /* Llib/tvector.scm 149 */
bool_t BgL_testz00_1964;
if(
STRUCTP(BgL_oldz00_928))
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_1967;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1547z00_1386;
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1626z00_1758;
BgL_aux1626z00_1758 = 
STRUCT_KEY(BgL_oldz00_928); 
if(
SYMBOLP(BgL_aux1626z00_1758))
{ /* Llib/tvector.scm 112 */
BgL_res1547z00_1386 = BgL_aux1626z00_1758; }  else 
{ 
obj_t BgL_auxz00_1971;
BgL_auxz00_1971 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1723z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1626z00_1758); 
FAILURE(BgL_auxz00_1971,BFALSE,BFALSE);} } 
BgL_auxz00_1967 = BgL_res1547z00_1386; } 
BgL_testz00_1964 = 
(BgL_auxz00_1967==BGl_symbol1714z00zz__tvectorz00); }  else 
{ /* Llib/tvector.scm 112 */
BgL_testz00_1964 = ((bool_t)0)
; } 
if(BgL_testz00_1964)
{ /* Llib/tvector.scm 149 */
return BgL_oldz00_928;}  else 
{ /* Llib/tvector.scm 150 */
obj_t BgL_newz00_930;
{ /* Llib/tvector.scm 112 */
obj_t BgL_newz00_1391;
BgL_newz00_1391 = 
create_struct(BGl_symbol1714z00zz__tvectorz00, 
(int)(((long)4))); 
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_1978;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_1979;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1548z00_1397;
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1628z00_1760;
BgL_aux1628z00_1760 = 
STRUCT_KEY(BgL_newz00_1391); 
if(
SYMBOLP(BgL_aux1628z00_1760))
{ /* Llib/tvector.scm 112 */
BgL_res1548z00_1397 = BgL_aux1628z00_1760; }  else 
{ 
obj_t BgL_auxz00_1983;
BgL_auxz00_1983 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1723z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1628z00_1760); 
FAILURE(BgL_auxz00_1983,BFALSE,BFALSE);} } 
BgL_auxz00_1979 = BgL_res1548z00_1397; } 
BgL_testz00_1978 = 
(BgL_auxz00_1979==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_1978)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_1988;
BgL_auxz00_1988 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_1391, BgL_auxz00_1988, BgL_setz00_28); }  else 
{ /* Llib/tvector.scm 112 */
BGl_errorz00zz__errorz00(BGl_string1724z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_newz00_1391); } } 
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_1992;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_1993;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1549z00_1403;
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1630z00_1762;
BgL_aux1630z00_1762 = 
STRUCT_KEY(BgL_newz00_1391); 
if(
SYMBOLP(BgL_aux1630z00_1762))
{ /* Llib/tvector.scm 112 */
BgL_res1549z00_1403 = BgL_aux1630z00_1762; }  else 
{ 
obj_t BgL_auxz00_1997;
BgL_auxz00_1997 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1723z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1630z00_1762); 
FAILURE(BgL_auxz00_1997,BFALSE,BFALSE);} } 
BgL_auxz00_1993 = BgL_res1549z00_1403; } 
BgL_testz00_1992 = 
(BgL_auxz00_1993==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_1992)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2002;
BgL_auxz00_2002 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_1391, BgL_auxz00_2002, BgL_refz00_27); }  else 
{ /* Llib/tvector.scm 112 */
BGl_errorz00zz__errorz00(BGl_string1724z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_newz00_1391); } } 
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_2006;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_2007;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1550z00_1409;
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1632z00_1764;
BgL_aux1632z00_1764 = 
STRUCT_KEY(BgL_newz00_1391); 
if(
SYMBOLP(BgL_aux1632z00_1764))
{ /* Llib/tvector.scm 112 */
BgL_res1550z00_1409 = BgL_aux1632z00_1764; }  else 
{ 
obj_t BgL_auxz00_2011;
BgL_auxz00_2011 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1723z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1632z00_1764); 
FAILURE(BgL_auxz00_2011,BFALSE,BFALSE);} } 
BgL_auxz00_2007 = BgL_res1550z00_1409; } 
BgL_testz00_2006 = 
(BgL_auxz00_2007==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_2006)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2016;
BgL_auxz00_2016 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_1391, BgL_auxz00_2016, BgL_allocatez00_26); }  else 
{ /* Llib/tvector.scm 112 */
BGl_errorz00zz__errorz00(BGl_string1724z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_newz00_1391); } } 
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_2020;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_2021;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1551z00_1415;
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1634z00_1766;
BgL_aux1634z00_1766 = 
STRUCT_KEY(BgL_newz00_1391); 
if(
SYMBOLP(BgL_aux1634z00_1766))
{ /* Llib/tvector.scm 112 */
BgL_res1551z00_1415 = BgL_aux1634z00_1766; }  else 
{ 
obj_t BgL_auxz00_2025;
BgL_auxz00_2025 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1723z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1634z00_1766); 
FAILURE(BgL_auxz00_2025,BFALSE,BFALSE);} } 
BgL_auxz00_2021 = BgL_res1551z00_1415; } 
BgL_testz00_2020 = 
(BgL_auxz00_2021==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_2020)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2030;
BgL_auxz00_2030 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_1391, BgL_auxz00_2030, BgL_idz00_927); }  else 
{ /* Llib/tvector.scm 112 */
BGl_errorz00zz__errorz00(BGl_string1724z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_newz00_1391); } } 
BgL_newz00_930 = BgL_newz00_1391; } 
{ /* Llib/tvector.scm 151 */
obj_t BgL_arg1144z00_931;
BgL_arg1144z00_931 = 
MAKE_PAIR(BgL_idz00_927, BgL_newz00_930); 
BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = 
MAKE_PAIR(BgL_arg1144z00_931, BGl_za2tvectorzd2tableza2zd2zz__tvectorz00); } 
return BgL_newz00_930;} } } } } } 
}



/* &declare-tvector! */
obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t BgL_envz00_1724, obj_t BgL_idz00_1725, obj_t BgL_allocatez00_1726, obj_t BgL_refz00_1727, obj_t BgL_setz00_1728)
{ AN_OBJECT;
{ /* Llib/tvector.scm 140 */
{ /* Llib/tvector.scm 141 */
obj_t BgL_auxz00_2045;char * BgL_auxz00_2036;
if(
PROCEDUREP(BgL_allocatez00_1726))
{ /* Llib/tvector.scm 141 */
BgL_auxz00_2045 = BgL_allocatez00_1726
; }  else 
{ 
obj_t BgL_auxz00_2048;
BgL_auxz00_2048 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)5779)), BGl_string1725z00zz__tvectorz00, BGl_string1727z00zz__tvectorz00, BgL_allocatez00_1726); 
FAILURE(BgL_auxz00_2048,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 141 */
obj_t BgL_auxz00_2037;
if(
STRINGP(BgL_idz00_1725))
{ /* Llib/tvector.scm 141 */
BgL_auxz00_2037 = BgL_idz00_1725
; }  else 
{ 
obj_t BgL_auxz00_2040;
BgL_auxz00_2040 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)5779)), BGl_string1725z00zz__tvectorz00, BGl_string1726z00zz__tvectorz00, BgL_idz00_1725); 
FAILURE(BgL_auxz00_2040,BFALSE,BFALSE);} 
BgL_auxz00_2036 = 
BSTRING_TO_STRING(BgL_auxz00_2037); } 
return 
BGl_declarezd2tvectorz12zc0zz__tvectorz00(BgL_auxz00_2036, BgL_auxz00_2045, BgL_refz00_1727, BgL_setz00_1728);} } 
}



/* tvector-ref */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t BgL_tvectorz00_29)
{ AN_OBJECT;
{ /* Llib/tvector.scm 158 */
{ /* Llib/tvector.scm 159 */
obj_t BgL_arg1152z00_1416;
BgL_arg1152z00_1416 = 
TVECTOR_DESCR(BgL_tvectorz00_29); 
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_2054;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_2055;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1552z00_1421;
{ /* Llib/tvector.scm 112 */
obj_t BgL_sz00_1420;
if(
STRUCTP(BgL_arg1152z00_1416))
{ /* Llib/tvector.scm 112 */
BgL_sz00_1420 = BgL_arg1152z00_1416; }  else 
{ 
obj_t BgL_auxz00_2058;
BgL_auxz00_2058 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1728z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_arg1152z00_1416); 
FAILURE(BgL_auxz00_2058,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1642z00_1774;
BgL_aux1642z00_1774 = 
STRUCT_KEY(BgL_sz00_1420); 
if(
SYMBOLP(BgL_aux1642z00_1774))
{ /* Llib/tvector.scm 112 */
BgL_res1552z00_1421 = BgL_aux1642z00_1774; }  else 
{ 
obj_t BgL_auxz00_2065;
BgL_auxz00_2065 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1728z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1642z00_1774); 
FAILURE(BgL_auxz00_2065,BFALSE,BFALSE);} } } 
BgL_auxz00_2055 = BgL_res1552z00_1421; } 
BgL_testz00_2054 = 
(BgL_auxz00_2055==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_2054)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2070;
BgL_auxz00_2070 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_arg1152z00_1416, BgL_auxz00_2070);}  else 
{ /* Llib/tvector.scm 112 */
return 
BGl_errorz00zz__errorz00(BGl_string1716z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_arg1152z00_1416);} } } } 
}



/* &tvector-ref */
obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t BgL_envz00_1729, obj_t BgL_tvectorz00_1730)
{ AN_OBJECT;
{ /* Llib/tvector.scm 158 */
{ /* Llib/tvector.scm 159 */
obj_t BgL_auxz00_2074;
if(
TVECTORP(BgL_tvectorz00_1730))
{ /* Llib/tvector.scm 159 */
BgL_auxz00_2074 = BgL_tvectorz00_1730
; }  else 
{ 
obj_t BgL_auxz00_2077;
BgL_auxz00_2077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)6500)), BGl_string1729z00zz__tvectorz00, BGl_string1710z00zz__tvectorz00, BgL_tvectorz00_1730); 
FAILURE(BgL_auxz00_2077,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2refzd2zz__tvectorz00(BgL_auxz00_2074);} } 
}



/* list->tvector */
BGL_EXPORTED_DEF obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_30, obj_t BgL_lz00_31)
{ AN_OBJECT;
{ /* Llib/tvector.scm 164 */
{ /* Llib/tvector.scm 165 */
obj_t BgL_descrz00_939;
BgL_descrz00_939 = 
get_tvector_descriptor(BgL_idz00_30); 
if(
CBOOL(BgL_descrz00_939))
{ /* Llib/tvector.scm 168 */
obj_t BgL_allocatez00_940;obj_t BgL_setz00_941;
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_2085;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_2086;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1553z00_1426;
{ /* Llib/tvector.scm 112 */
obj_t BgL_sz00_1425;
if(
STRUCTP(BgL_descrz00_939))
{ /* Llib/tvector.scm 112 */
BgL_sz00_1425 = BgL_descrz00_939; }  else 
{ 
obj_t BgL_auxz00_2089;
BgL_auxz00_2089 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1730z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_descrz00_939); 
FAILURE(BgL_auxz00_2089,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1648z00_1780;
BgL_aux1648z00_1780 = 
STRUCT_KEY(BgL_sz00_1425); 
if(
SYMBOLP(BgL_aux1648z00_1780))
{ /* Llib/tvector.scm 112 */
BgL_res1553z00_1426 = BgL_aux1648z00_1780; }  else 
{ 
obj_t BgL_auxz00_2096;
BgL_auxz00_2096 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1730z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1648z00_1780); 
FAILURE(BgL_auxz00_2096,BFALSE,BFALSE);} } } 
BgL_auxz00_2086 = BgL_res1553z00_1426; } 
BgL_testz00_2085 = 
(BgL_auxz00_2086==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_2085)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2101;
BgL_auxz00_2101 = 
(int)(((long)1)); 
BgL_allocatez00_940 = 
STRUCT_REF(BgL_descrz00_939, BgL_auxz00_2101); }  else 
{ /* Llib/tvector.scm 112 */
BgL_allocatez00_940 = 
BGl_errorz00zz__errorz00(BGl_string1716z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_939); } } 
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_2105;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_2106;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1554z00_1431;
{ /* Llib/tvector.scm 112 */
obj_t BgL_sz00_1430;
if(
STRUCTP(BgL_descrz00_939))
{ /* Llib/tvector.scm 112 */
BgL_sz00_1430 = BgL_descrz00_939; }  else 
{ 
obj_t BgL_auxz00_2109;
BgL_auxz00_2109 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1730z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_descrz00_939); 
FAILURE(BgL_auxz00_2109,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1652z00_1784;
BgL_aux1652z00_1784 = 
STRUCT_KEY(BgL_sz00_1430); 
if(
SYMBOLP(BgL_aux1652z00_1784))
{ /* Llib/tvector.scm 112 */
BgL_res1554z00_1431 = BgL_aux1652z00_1784; }  else 
{ 
obj_t BgL_auxz00_2116;
BgL_auxz00_2116 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1730z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1652z00_1784); 
FAILURE(BgL_auxz00_2116,BFALSE,BFALSE);} } } 
BgL_auxz00_2106 = BgL_res1554z00_1431; } 
BgL_testz00_2105 = 
(BgL_auxz00_2106==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_2105)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2121;
BgL_auxz00_2121 = 
(int)(((long)3)); 
BgL_setz00_941 = 
STRUCT_REF(BgL_descrz00_939, BgL_auxz00_2121); }  else 
{ /* Llib/tvector.scm 112 */
BgL_setz00_941 = 
BGl_errorz00zz__errorz00(BGl_string1716z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_939); } } 
if(
PROCEDUREP(BgL_setz00_941))
{ /* Llib/tvector.scm 174 */
long BgL_lenz00_943;
BgL_lenz00_943 = 
bgl_list_length(BgL_lz00_31); 
{ /* Llib/tvector.scm 174 */
obj_t BgL_tvecz00_944;
{ /* Llib/tvector.scm 175 */
obj_t BgL_funz00_1788;
if(
PROCEDUREP(BgL_allocatez00_940))
{ /* Llib/tvector.scm 175 */
BgL_funz00_1788 = BgL_allocatez00_940; }  else 
{ 
obj_t BgL_auxz00_2130;
BgL_auxz00_2130 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)7146)), BGl_string1730z00zz__tvectorz00, BGl_string1727z00zz__tvectorz00, BgL_allocatez00_940); 
FAILURE(BgL_auxz00_2130,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1788, ((long)1)))
{ /* Llib/tvector.scm 175 */
BgL_tvecz00_944 = 
PROCEDURE_ENTRY(BgL_funz00_1788)(BgL_allocatez00_940, 
BINT(BgL_lenz00_943), BEOA); }  else 
{ /* Llib/tvector.scm 175 */
FAILURE(BGl_string1731z00zz__tvectorz00,BGl_list1732z00zz__tvectorz00,BgL_funz00_1788);} } 
{ /* Llib/tvector.scm 175 */

{ 
obj_t BgL_lz00_1442;long BgL_iz00_1443;
BgL_lz00_1442 = BgL_lz00_31; 
BgL_iz00_1443 = ((long)0); 
BgL_loopz00_1441:
if(
NULLP(BgL_lz00_1442))
{ /* Llib/tvector.scm 178 */
return BgL_tvecz00_944;}  else 
{ /* Llib/tvector.scm 178 */
{ /* Llib/tvector.scm 181 */
obj_t BgL_arg1156z00_1447;
{ /* Llib/tvector.scm 181 */
obj_t BgL_pairz00_1448;
if(
PAIRP(BgL_lz00_1442))
{ /* Llib/tvector.scm 181 */
BgL_pairz00_1448 = BgL_lz00_1442; }  else 
{ 
obj_t BgL_auxz00_2146;
BgL_auxz00_2146 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)7276)), BGl_string1739z00zz__tvectorz00, BGl_string1740z00zz__tvectorz00, BgL_lz00_1442); 
FAILURE(BgL_auxz00_2146,BFALSE,BFALSE);} 
BgL_arg1156z00_1447 = 
CAR(BgL_pairz00_1448); } 
if(
PROCEDURE_CORRECT_ARITYP(BgL_setz00_941, ((long)3)))
{ /* Llib/tvector.scm 181 */
PROCEDURE_ENTRY(BgL_setz00_941)(BgL_setz00_941, BgL_tvecz00_944, 
BINT(BgL_iz00_1443), BgL_arg1156z00_1447, BEOA); }  else 
{ /* Llib/tvector.scm 181 */
FAILURE(BGl_string1741z00zz__tvectorz00,BGl_list1742z00zz__tvectorz00,BgL_setz00_941);} } 
{ /* Llib/tvector.scm 182 */
obj_t BgL_arg1157z00_1449;long BgL_arg1160z00_1450;
{ /* Llib/tvector.scm 182 */
obj_t BgL_pairz00_1451;
if(
PAIRP(BgL_lz00_1442))
{ /* Llib/tvector.scm 182 */
BgL_pairz00_1451 = BgL_lz00_1442; }  else 
{ 
obj_t BgL_auxz00_2163;
BgL_auxz00_2163 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)7300)), BGl_string1739z00zz__tvectorz00, BGl_string1740z00zz__tvectorz00, BgL_lz00_1442); 
FAILURE(BgL_auxz00_2163,BFALSE,BFALSE);} 
BgL_arg1157z00_1449 = 
CDR(BgL_pairz00_1451); } 
BgL_arg1160z00_1450 = 
(BgL_iz00_1443+((long)1)); 
{ 
long BgL_iz00_2170;obj_t BgL_lz00_2169;
BgL_lz00_2169 = BgL_arg1157z00_1449; 
BgL_iz00_2170 = BgL_arg1160z00_1450; 
BgL_iz00_1443 = BgL_iz00_2170; 
BgL_lz00_1442 = BgL_lz00_2169; 
goto BgL_loopz00_1441;} } } } } } }  else 
{ /* Llib/tvector.scm 170 */
return 
BGl_errorz00zz__errorz00(BGl_string1730z00zz__tvectorz00, BGl_string1751z00zz__tvectorz00, BgL_idz00_30);} }  else 
{ /* Llib/tvector.scm 166 */
return 
BGl_errorz00zz__errorz00(BGl_string1730z00zz__tvectorz00, BGl_string1752z00zz__tvectorz00, BgL_idz00_30);} } } 
}



/* &list->tvector */
obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1731, obj_t BgL_idz00_1732, obj_t BgL_lz00_1733)
{ AN_OBJECT;
{ /* Llib/tvector.scm 164 */
{ /* Llib/tvector.scm 165 */
obj_t BgL_auxz00_2180;obj_t BgL_auxz00_2173;
{ /* Llib/tvector.scm 165 */
bool_t BgL_testz00_2181;
if(
PAIRP(BgL_lz00_1733))
{ /* Llib/tvector.scm 165 */
BgL_testz00_2181 = ((bool_t)1)
; }  else 
{ /* Llib/tvector.scm 165 */
BgL_testz00_2181 = 
NULLP(BgL_lz00_1733)
; } 
if(BgL_testz00_2181)
{ /* Llib/tvector.scm 165 */
BgL_auxz00_2180 = BgL_lz00_1733
; }  else 
{ 
obj_t BgL_auxz00_2185;
BgL_auxz00_2185 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)6801)), BGl_string1753z00zz__tvectorz00, BGl_string1754z00zz__tvectorz00, BgL_lz00_1733); 
FAILURE(BgL_auxz00_2185,BFALSE,BFALSE);} } 
if(
SYMBOLP(BgL_idz00_1732))
{ /* Llib/tvector.scm 165 */
BgL_auxz00_2173 = BgL_idz00_1732
; }  else 
{ 
obj_t BgL_auxz00_2176;
BgL_auxz00_2176 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)6801)), BGl_string1753z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_idz00_1732); 
FAILURE(BgL_auxz00_2176,BFALSE,BFALSE);} 
return 
BGl_listzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_2173, BgL_auxz00_2180);} } 
}



/* vector->tvector */
BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t BgL_idz00_32, obj_t BgL_vz00_33)
{ AN_OBJECT;
{ /* Llib/tvector.scm 187 */
{ /* Llib/tvector.scm 188 */
obj_t BgL_descrz00_954;
BgL_descrz00_954 = 
get_tvector_descriptor(BgL_idz00_32); 
if(
CBOOL(BgL_descrz00_954))
{ /* Llib/tvector.scm 191 */
obj_t BgL_allocatez00_955;obj_t BgL_setz00_956;
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_2193;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_2194;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1558z00_1459;
{ /* Llib/tvector.scm 112 */
obj_t BgL_sz00_1458;
if(
STRUCTP(BgL_descrz00_954))
{ /* Llib/tvector.scm 112 */
BgL_sz00_1458 = BgL_descrz00_954; }  else 
{ 
obj_t BgL_auxz00_2197;
BgL_auxz00_2197 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1755z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_descrz00_954); 
FAILURE(BgL_auxz00_2197,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1672z00_1806;
BgL_aux1672z00_1806 = 
STRUCT_KEY(BgL_sz00_1458); 
if(
SYMBOLP(BgL_aux1672z00_1806))
{ /* Llib/tvector.scm 112 */
BgL_res1558z00_1459 = BgL_aux1672z00_1806; }  else 
{ 
obj_t BgL_auxz00_2204;
BgL_auxz00_2204 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1755z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1672z00_1806); 
FAILURE(BgL_auxz00_2204,BFALSE,BFALSE);} } } 
BgL_auxz00_2194 = BgL_res1558z00_1459; } 
BgL_testz00_2193 = 
(BgL_auxz00_2194==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_2193)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2209;
BgL_auxz00_2209 = 
(int)(((long)1)); 
BgL_allocatez00_955 = 
STRUCT_REF(BgL_descrz00_954, BgL_auxz00_2209); }  else 
{ /* Llib/tvector.scm 112 */
BgL_allocatez00_955 = 
BGl_errorz00zz__errorz00(BGl_string1716z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_954); } } 
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_2213;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_2214;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1559z00_1464;
{ /* Llib/tvector.scm 112 */
obj_t BgL_sz00_1463;
if(
STRUCTP(BgL_descrz00_954))
{ /* Llib/tvector.scm 112 */
BgL_sz00_1463 = BgL_descrz00_954; }  else 
{ 
obj_t BgL_auxz00_2217;
BgL_auxz00_2217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1755z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_descrz00_954); 
FAILURE(BgL_auxz00_2217,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1676z00_1810;
BgL_aux1676z00_1810 = 
STRUCT_KEY(BgL_sz00_1463); 
if(
SYMBOLP(BgL_aux1676z00_1810))
{ /* Llib/tvector.scm 112 */
BgL_res1559z00_1464 = BgL_aux1676z00_1810; }  else 
{ 
obj_t BgL_auxz00_2224;
BgL_auxz00_2224 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1755z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1676z00_1810); 
FAILURE(BgL_auxz00_2224,BFALSE,BFALSE);} } } 
BgL_auxz00_2214 = BgL_res1559z00_1464; } 
BgL_testz00_2213 = 
(BgL_auxz00_2214==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_2213)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2229;
BgL_auxz00_2229 = 
(int)(((long)3)); 
BgL_setz00_956 = 
STRUCT_REF(BgL_descrz00_954, BgL_auxz00_2229); }  else 
{ /* Llib/tvector.scm 112 */
BgL_setz00_956 = 
BGl_errorz00zz__errorz00(BGl_string1716z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_954); } } 
if(
PROCEDUREP(BgL_setz00_956))
{ /* Llib/tvector.scm 197 */
obj_t BgL_tvecz00_959;
{ /* Llib/tvector.scm 198 */
obj_t BgL_funz00_1814;
if(
PROCEDUREP(BgL_allocatez00_955))
{ /* Llib/tvector.scm 198 */
BgL_funz00_1814 = BgL_allocatez00_955; }  else 
{ 
obj_t BgL_auxz00_2237;
BgL_auxz00_2237 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)7952)), BGl_string1755z00zz__tvectorz00, BGl_string1727z00zz__tvectorz00, BgL_allocatez00_955); 
FAILURE(BgL_auxz00_2237,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1814, ((long)1)))
{ /* Llib/tvector.scm 198 */
BgL_tvecz00_959 = 
PROCEDURE_ENTRY(BgL_funz00_1814)(BgL_allocatez00_955, 
BINT(
VECTOR_LENGTH(BgL_vz00_33)), BEOA); }  else 
{ /* Llib/tvector.scm 198 */
FAILURE(BGl_string1756z00zz__tvectorz00,BGl_list1732z00zz__tvectorz00,BgL_funz00_1814);} } 
{ /* Llib/tvector.scm 198 */

{ /* Llib/tvector.scm 199 */
long BgL_g1039z00_960;
BgL_g1039z00_960 = 
(
(long)(
VECTOR_LENGTH(BgL_vz00_33))-((long)1)); 
{ 
long BgL_iz00_962;
BgL_iz00_962 = BgL_g1039z00_960; 
BgL_zc3anonymousza31162ze3z83_963:
if(
(BgL_iz00_962==((long)-1)))
{ /* Llib/tvector.scm 200 */
return BgL_tvecz00_959;}  else 
{ /* Llib/tvector.scm 200 */
{ /* Llib/tvector.scm 203 */
obj_t BgL_arg1166z00_965;
{ /* Llib/tvector.scm 203 */
int BgL_kz00_1475;
BgL_kz00_1475 = 
(int)(BgL_iz00_962); 
{ /* Llib/tvector.scm 203 */
bool_t BgL_testz00_2256;
{ /* Llib/tvector.scm 203 */
int BgL_auxz00_2257;
BgL_auxz00_2257 = 
VECTOR_LENGTH(BgL_vz00_33); 
BgL_testz00_2256 = 
BOUND_CHECK(BgL_kz00_1475, BgL_auxz00_2257); } 
if(BgL_testz00_2256)
{ /* Llib/tvector.scm 203 */
BgL_arg1166z00_965 = 
VECTOR_REF(BgL_vz00_33,BgL_kz00_1475); }  else 
{ 
obj_t BgL_auxz00_2261;
BgL_auxz00_2261 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)8072)), BGl_string1757z00zz__tvectorz00, BgL_vz00_33, 
VECTOR_LENGTH(BgL_vz00_33), BgL_kz00_1475); 
FAILURE(BgL_auxz00_2261,BFALSE,BFALSE);} } } 
if(
PROCEDURE_CORRECT_ARITYP(BgL_setz00_956, ((long)3)))
{ /* Llib/tvector.scm 203 */
PROCEDURE_ENTRY(BgL_setz00_956)(BgL_setz00_956, BgL_tvecz00_959, 
BINT(BgL_iz00_962), BgL_arg1166z00_965, BEOA); }  else 
{ /* Llib/tvector.scm 203 */
FAILURE(BGl_string1741z00zz__tvectorz00,BGl_list1758z00zz__tvectorz00,BgL_setz00_956);} } 
{ 
long BgL_iz00_2276;
BgL_iz00_2276 = 
(BgL_iz00_962-((long)1)); 
BgL_iz00_962 = BgL_iz00_2276; 
goto BgL_zc3anonymousza31162ze3z83_963;} } } } } }  else 
{ /* Llib/tvector.scm 193 */
return 
BGl_errorz00zz__errorz00(BGl_string1755z00zz__tvectorz00, BGl_string1751z00zz__tvectorz00, BgL_idz00_32);} }  else 
{ /* Llib/tvector.scm 189 */
return 
BGl_errorz00zz__errorz00(BGl_string1755z00zz__tvectorz00, BGl_string1752z00zz__tvectorz00, BgL_idz00_32);} } } 
}



/* &vector->tvector */
obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1734, obj_t BgL_idz00_1735, obj_t BgL_vz00_1736)
{ AN_OBJECT;
{ /* Llib/tvector.scm 187 */
{ /* Llib/tvector.scm 188 */
obj_t BgL_auxz00_2287;obj_t BgL_auxz00_2280;
if(
VECTORP(BgL_vz00_1736))
{ /* Llib/tvector.scm 188 */
BgL_auxz00_2287 = BgL_vz00_1736
; }  else 
{ 
obj_t BgL_auxz00_2290;
BgL_auxz00_2290 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)7596)), BGl_string1761z00zz__tvectorz00, BGl_string1762z00zz__tvectorz00, BgL_vz00_1736); 
FAILURE(BgL_auxz00_2290,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_idz00_1735))
{ /* Llib/tvector.scm 188 */
BgL_auxz00_2280 = BgL_idz00_1735
; }  else 
{ 
obj_t BgL_auxz00_2283;
BgL_auxz00_2283 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)7596)), BGl_string1761z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_idz00_1735); 
FAILURE(BgL_auxz00_2283,BFALSE,BFALSE);} 
return 
BGl_vectorzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_2280, BgL_auxz00_2287);} } 
}



/* tvector->vector */
BGL_EXPORTED_DEF obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t BgL_tvz00_34)
{ AN_OBJECT;
{ /* Llib/tvector.scm 209 */
{ /* Llib/tvector.scm 210 */
obj_t BgL_descrz00_968;
BgL_descrz00_968 = 
TVECTOR_DESCR(BgL_tvz00_34); 
{ /* Llib/tvector.scm 211 */
obj_t BgL_allocatez00_969;obj_t BgL_refz00_970;
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_2296;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_2297;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1564z00_1483;
{ /* Llib/tvector.scm 112 */
obj_t BgL_sz00_1482;
if(
STRUCTP(BgL_descrz00_968))
{ /* Llib/tvector.scm 112 */
BgL_sz00_1482 = BgL_descrz00_968; }  else 
{ 
obj_t BgL_auxz00_2300;
BgL_auxz00_2300 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1763z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_descrz00_968); 
FAILURE(BgL_auxz00_2300,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1692z00_1828;
BgL_aux1692z00_1828 = 
STRUCT_KEY(BgL_sz00_1482); 
if(
SYMBOLP(BgL_aux1692z00_1828))
{ /* Llib/tvector.scm 112 */
BgL_res1564z00_1483 = BgL_aux1692z00_1828; }  else 
{ 
obj_t BgL_auxz00_2307;
BgL_auxz00_2307 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1763z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1692z00_1828); 
FAILURE(BgL_auxz00_2307,BFALSE,BFALSE);} } } 
BgL_auxz00_2297 = BgL_res1564z00_1483; } 
BgL_testz00_2296 = 
(BgL_auxz00_2297==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_2296)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2312;
BgL_auxz00_2312 = 
(int)(((long)1)); 
BgL_allocatez00_969 = 
STRUCT_REF(BgL_descrz00_968, BgL_auxz00_2312); }  else 
{ /* Llib/tvector.scm 112 */
BgL_allocatez00_969 = 
BGl_errorz00zz__errorz00(BGl_string1716z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_968); } } 
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_2316;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_2317;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1565z00_1488;
{ /* Llib/tvector.scm 112 */
obj_t BgL_sz00_1487;
if(
STRUCTP(BgL_descrz00_968))
{ /* Llib/tvector.scm 112 */
BgL_sz00_1487 = BgL_descrz00_968; }  else 
{ 
obj_t BgL_auxz00_2320;
BgL_auxz00_2320 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1763z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_descrz00_968); 
FAILURE(BgL_auxz00_2320,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1696z00_1832;
BgL_aux1696z00_1832 = 
STRUCT_KEY(BgL_sz00_1487); 
if(
SYMBOLP(BgL_aux1696z00_1832))
{ /* Llib/tvector.scm 112 */
BgL_res1565z00_1488 = BgL_aux1696z00_1832; }  else 
{ 
obj_t BgL_auxz00_2327;
BgL_auxz00_2327 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1763z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1696z00_1832); 
FAILURE(BgL_auxz00_2327,BFALSE,BFALSE);} } } 
BgL_auxz00_2317 = BgL_res1565z00_1488; } 
BgL_testz00_2316 = 
(BgL_auxz00_2317==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_2316)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2332;
BgL_auxz00_2332 = 
(int)(((long)2)); 
BgL_refz00_970 = 
STRUCT_REF(BgL_descrz00_968, BgL_auxz00_2332); }  else 
{ /* Llib/tvector.scm 112 */
BgL_refz00_970 = 
BGl_errorz00zz__errorz00(BGl_string1716z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_descrz00_968); } } 
if(
PROCEDUREP(BgL_refz00_970))
{ /* Llib/tvector.scm 217 */
int BgL_lenz00_972;
BgL_lenz00_972 = 
TVECTOR_LENGTH(BgL_tvz00_34); 
{ /* Llib/tvector.scm 217 */
obj_t BgL_vecz00_973;
BgL_vecz00_973 = 
create_vector(BgL_lenz00_972); 
{ /* Llib/tvector.scm 218 */

{ /* Llib/tvector.scm 219 */
long BgL_g1040z00_974;
BgL_g1040z00_974 = 
(
(long)(BgL_lenz00_972)-((long)1)); 
{ 
long BgL_iz00_976;
BgL_iz00_976 = BgL_g1040z00_974; 
BgL_zc3anonymousza31169ze3z83_977:
if(
(BgL_iz00_976==((long)-1)))
{ /* Llib/tvector.scm 220 */
return BgL_vecz00_973;}  else 
{ /* Llib/tvector.scm 220 */
{ /* Llib/tvector.scm 223 */
obj_t BgL_arg1172z00_979;
if(
PROCEDURE_CORRECT_ARITYP(BgL_refz00_970, ((long)2)))
{ /* Llib/tvector.scm 223 */
BgL_arg1172z00_979 = 
PROCEDURE_ENTRY(BgL_refz00_970)(BgL_refz00_970, BgL_tvz00_34, 
BINT(BgL_iz00_976), BEOA); }  else 
{ /* Llib/tvector.scm 223 */
FAILURE(BGl_string1741z00zz__tvectorz00,BGl_list1764z00zz__tvectorz00,BgL_refz00_970);} 
{ /* Llib/tvector.scm 223 */
int BgL_kz00_1500;
BgL_kz00_1500 = 
(int)(BgL_iz00_976); 
{ /* Llib/tvector.scm 223 */
bool_t BgL_testz00_2354;
{ /* Llib/tvector.scm 223 */
int BgL_auxz00_2355;
BgL_auxz00_2355 = 
VECTOR_LENGTH(BgL_vecz00_973); 
BgL_testz00_2354 = 
BOUND_CHECK(BgL_kz00_1500, BgL_auxz00_2355); } 
if(BgL_testz00_2354)
{ /* Llib/tvector.scm 223 */
VECTOR_SET(BgL_vecz00_973,BgL_kz00_1500,BgL_arg1172z00_979); }  else 
{ 
obj_t BgL_auxz00_2359;
BgL_auxz00_2359 = 
BGl_indexzd2outzd2ofzd2boundszd2errorz00zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)8801)), BGl_string1769z00zz__tvectorz00, BgL_vecz00_973, 
VECTOR_LENGTH(BgL_vecz00_973), BgL_kz00_1500); 
FAILURE(BgL_auxz00_2359,BFALSE,BFALSE);} } } } 
{ 
long BgL_iz00_2364;
BgL_iz00_2364 = 
(BgL_iz00_976-((long)1)); 
BgL_iz00_976 = BgL_iz00_2364; 
goto BgL_zc3anonymousza31169ze3z83_977;} } } } } } }  else 
{ /* Llib/tvector.scm 216 */
obj_t BgL_arg1175z00_982;
{ /* Llib/tvector.scm 104 */
obj_t BgL_arg1111z00_1506;
BgL_arg1111z00_1506 = 
TVECTOR_DESCR(BgL_tvz00_34); 
{ /* Llib/tvector.scm 112 */
bool_t BgL_testz00_2367;
{ /* Llib/tvector.scm 112 */
obj_t BgL_auxz00_2368;
{ /* Llib/tvector.scm 112 */
obj_t BgL_res1571z00_1511;
{ /* Llib/tvector.scm 112 */
obj_t BgL_sz00_1510;
if(
STRUCTP(BgL_arg1111z00_1506))
{ /* Llib/tvector.scm 112 */
BgL_sz00_1510 = BgL_arg1111z00_1506; }  else 
{ 
obj_t BgL_auxz00_2371;
BgL_auxz00_2371 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1763z00zz__tvectorz00, BGl_string1712z00zz__tvectorz00, BgL_arg1111z00_1506); 
FAILURE(BgL_auxz00_2371,BFALSE,BFALSE);} 
{ /* Llib/tvector.scm 112 */
obj_t BgL_aux1704z00_1841;
BgL_aux1704z00_1841 = 
STRUCT_KEY(BgL_sz00_1510); 
if(
SYMBOLP(BgL_aux1704z00_1841))
{ /* Llib/tvector.scm 112 */
BgL_res1571z00_1511 = BgL_aux1704z00_1841; }  else 
{ 
obj_t BgL_auxz00_2378;
BgL_auxz00_2378 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)4309)), BGl_string1763z00zz__tvectorz00, BGl_string1713z00zz__tvectorz00, BgL_aux1704z00_1841); 
FAILURE(BgL_auxz00_2378,BFALSE,BFALSE);} } } 
BgL_auxz00_2368 = BgL_res1571z00_1511; } 
BgL_testz00_2367 = 
(BgL_auxz00_2368==BGl_symbol1714z00zz__tvectorz00); } 
if(BgL_testz00_2367)
{ /* Llib/tvector.scm 112 */
int BgL_auxz00_2383;
BgL_auxz00_2383 = 
(int)(((long)0)); 
BgL_arg1175z00_982 = 
STRUCT_REF(BgL_arg1111z00_1506, BgL_auxz00_2383); }  else 
{ /* Llib/tvector.scm 112 */
BgL_arg1175z00_982 = 
BGl_errorz00zz__errorz00(BGl_string1716z00zz__tvectorz00, BGl_string1715z00zz__tvectorz00, BgL_arg1111z00_1506); } } } 
return 
BGl_errorz00zz__errorz00(BGl_string1763z00zz__tvectorz00, BGl_string1751z00zz__tvectorz00, BgL_arg1175z00_982);} } } } 
}



/* &tvector->vector */
obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t BgL_envz00_1737, obj_t BgL_tvz00_1738)
{ AN_OBJECT;
{ /* Llib/tvector.scm 209 */
{ /* Llib/tvector.scm 210 */
obj_t BgL_auxz00_2388;
if(
TVECTORP(BgL_tvz00_1738))
{ /* Llib/tvector.scm 210 */
BgL_auxz00_2388 = BgL_tvz00_1738
; }  else 
{ 
obj_t BgL_auxz00_2391;
BgL_auxz00_2391 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1708z00zz__tvectorz00, 
BINT(((long)8389)), BGl_string1770z00zz__tvectorz00, BGl_string1710z00zz__tvectorz00, BgL_tvz00_1738); 
FAILURE(BgL_auxz00_2391,BFALSE,BFALSE);} 
return 
BGl_tvectorzd2ze3vectorz31zz__tvectorz00(BgL_auxz00_2388);} } 
}



/* object-init */
obj_t BGl_objectzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 
}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00()
{ AN_OBJECT;
{ /* Llib/tvector.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)430898742), 
BSTRING_TO_STRING(BGl_string1771z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)298032684), 
BSTRING_TO_STRING(BGl_string1771z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string1771z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1771z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string1771z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string1771z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)1047446), 
BSTRING_TO_STRING(BGl_string1771z00zz__tvectorz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)316564000), 
BSTRING_TO_STRING(BGl_string1771z00zz__tvectorz00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460263214), 
BSTRING_TO_STRING(BGl_string1771z00zz__tvectorz00));} 
}

#ifdef __cplusplus
}
#endif
