/*===========================================================================*/
/*   (Unsafe/kmp.scm)                                                        */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c +rm -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Unsafe/kmp.scm -indent -o objs/obj_u/Unsafe/kmp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__kmpz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__kmpz00();
	static obj_t BGl_genericzd2initzd2zz__kmpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00();
	static obj_t BGl_objectzd2initzd2zz__kmpz00();
	BGL_EXPORTED_DECL obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t);
	BGL_EXPORTED_DECL long BGl_kmpzd2stringzd2zz__kmpz00(obj_t, obj_t, long);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t, obj_t, long);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__kmpz00();
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1661z00zz__kmpz00 = BUNSPEC;
	static obj_t BGl_symbol1664z00zz__kmpz00 = BUNSPEC;
	static obj_t BGl_symbol1666z00zz__kmpz00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2stringzd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2stringza71675za7, BGl_z62kmpzd2stringzb0zz__kmpz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2mmapzd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2mmapza7b01676za7, BGl_z62kmpzd2mmapzb0zz__kmpz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1658z00zz__kmpz00,
		BgL_bgl_string1658za700za7za7_1677za7, "/tmp/bigloo/runtime/Unsafe/kmp.scm",
		34);
	      DEFINE_STRING(BGl_string1659z00zz__kmpz00,
		BgL_bgl_string1659za700za7za7_1678za7, "&kmp-table", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2tablezd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2tableza7b1679za7, BGl_z62kmpzd2tablezb0zz__kmpz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1660z00zz__kmpz00,
		BgL_bgl_string1660za700za7za7_1680za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1662z00zz__kmpz00,
		BgL_bgl_string1662za700za7za7_1681za7, "kmp-mmap", 8);
	      DEFINE_STRING(BGl_string1663z00zz__kmpz00,
		BgL_bgl_string1663za700za7za7_1682za7, "Illegal kmp-table", 17);
	      DEFINE_STRING(BGl_string1665z00zz__kmpz00,
		BgL_bgl_string1665za700za7za7_1683za7, "string", 6);
	      DEFINE_STRING(BGl_string1667z00zz__kmpz00,
		BgL_bgl_string1667za700za7za7_1684za7, "vector", 6);
	      DEFINE_STRING(BGl_string1668z00zz__kmpz00,
		BgL_bgl_string1668za700za7za7_1685za7, "&kmp-mmap", 9);
	      DEFINE_STRING(BGl_string1669z00zz__kmpz00,
		BgL_bgl_string1669za700za7za7_1686za7, "pair", 4);
	      DEFINE_STRING(BGl_string1670z00zz__kmpz00,
		BgL_bgl_string1670za700za7za7_1687za7, "mmap", 4);
	      DEFINE_STRING(BGl_string1671z00zz__kmpz00,
		BgL_bgl_string1671za700za7za7_1688za7, "belong", 6);
	      DEFINE_STRING(BGl_string1672z00zz__kmpz00,
		BgL_bgl_string1672za700za7za7_1689za7, "&kmp-string", 11);
	      DEFINE_STRING(BGl_string1673z00zz__kmpz00,
		BgL_bgl_string1673za700za7za7_1690za7, "bint", 4);
	      DEFINE_STRING(BGl_string1674z00zz__kmpz00,
		BgL_bgl_string1674za700za7za7_1691za7, "__kmp", 5);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long
		BgL_checksumz00_1722, char *BgL_fromz00_1723)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__kmpz00))
				{
					BGl_requirezd2initializa7ationz75zz__kmpz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__kmpz00();
					BGl_importedzd2moduleszd2initz00zz__kmpz00();
					return BGl_methodzd2initzd2zz__kmpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__kmpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 15 */
			BGl_symbol1661z00zz__kmpz00 =
				bstring_to_symbol(BGl_string1662z00zz__kmpz00);
			BGl_symbol1664z00zz__kmpz00 =
				bstring_to_symbol(BGl_string1665z00zz__kmpz00);
			return (BGl_symbol1666z00zz__kmpz00 =
				bstring_to_symbol(BGl_string1667z00zz__kmpz00), BUNSPEC);
		}
	}



/* kmp-table */
	BGL_EXPORTED_DEF obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t BgL_pz00_3)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 50 */
			{	/* Unsafe/kmp.scm 51 */
				long BgL_lpz00_898;

				BgL_lpz00_898 = STRING_LENGTH(BgL_pz00_3);
				{	/* Unsafe/kmp.scm 51 */
					obj_t BgL_tz00_899;

					{	/* Unsafe/kmp.scm 52 */
						long BgL_arg1129z00_913;

						BgL_arg1129z00_913 = (BgL_lpz00_898 + ((long) 2));
						BgL_tz00_899 =
							make_vector((int) (BgL_arg1129z00_913), BINT(((long) 0)));
					}
					{	/* Unsafe/kmp.scm 52 */
						long BgL_iz00_900;

						BgL_iz00_900 = ((long) 0);
						{	/* Unsafe/kmp.scm 53 */
							obj_t BgL_jz00_901;

							BgL_jz00_901 = BINT(((long) -1));
							{	/* Unsafe/kmp.scm 54 */
								unsigned char BgL_cz00_902;

								BgL_cz00_902 = ((unsigned char) '\000');
								{	/* Unsafe/kmp.scm 55 */

									VECTOR_SET(BgL_tz00_899, (int) (((long) 0)), BgL_jz00_901);
									{

									BgL_zc3anonymousza31116ze3z83_904:
										if ((BgL_iz00_900 < BgL_lpz00_898))
											{	/* Unsafe/kmp.scm 58 */
												{	/* Unsafe/kmp.scm 60 */
													bool_t BgL_testz00_1743;

													{	/* Unsafe/kmp.scm 60 */
														unsigned char BgL_char2z00_1327;

														BgL_char2z00_1327 = BgL_cz00_902;
														BgL_testz00_1743 =
															(STRING_REF(BgL_pz00_3,
																BgL_iz00_900) == BgL_char2z00_1327);
													}
													if (BgL_testz00_1743)
														{	/* Unsafe/kmp.scm 60 */
															{	/* Unsafe/kmp.scm 61 */
																long BgL_arg1121z00_907;
																long BgL_arg1122z00_908;

																BgL_arg1121z00_907 =
																	(BgL_iz00_900 + ((long) 1));
																BgL_arg1122z00_908 =
																	((long) CINT(BgL_jz00_901) + ((long) 1));
																VECTOR_SET(BgL_tz00_899,
																	(int) (BgL_arg1121z00_907),
																	BINT(BgL_arg1122z00_908));
															}
															{	/* Unsafe/kmp.scm 62 */
																long BgL_za71za7_1338;

																BgL_za71za7_1338 = (long) CINT(BgL_jz00_901);
																BgL_jz00_901 =
																	BINT((BgL_za71za7_1338 + ((long) 1)));
															}
															BgL_iz00_900 = (BgL_iz00_900 + ((long) 1));
														}
													else
														{	/* Unsafe/kmp.scm 60 */
															if (((long) CINT(BgL_jz00_901) > ((long) 0)))
																{	/* Unsafe/kmp.scm 64 */
																	BgL_jz00_901 =
																		VECTOR_REF(BgL_tz00_899,
																		CINT(BgL_jz00_901));
																}
															else
																{	/* Unsafe/kmp.scm 64 */
																	{	/* Unsafe/kmp.scm 67 */
																		long BgL_arg1124z00_910;

																		BgL_arg1124z00_910 =
																			(BgL_iz00_900 + ((long) 1));
																		VECTOR_SET(BgL_tz00_899,
																			(int) (BgL_arg1124z00_910),
																			BINT(((long) 0)));
																	}
																	BgL_iz00_900 = (BgL_iz00_900 + ((long) 1));
																	BgL_jz00_901 = BINT(((long) 0));
												}}}
												BgL_cz00_902 =
													STRING_REF(BgL_pz00_3, (long) CINT(BgL_jz00_901));
												goto BgL_zc3anonymousza31116ze3z83_904;
											}
										else
											{	/* Unsafe/kmp.scm 58 */
												((bool_t) 0);
											}
									}
									return MAKE_PAIR(BgL_tz00_899, BgL_pz00_3);
								}
							}
						}
					}
				}
			}
		}
	}



/* &kmp-table */
	obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t BgL_envz00_1698,
		obj_t BgL_pz00_1699)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 50 */
			{	/* Unsafe/kmp.scm 51 */
				obj_t BgL_auxz00_1770;

				if (STRINGP(BgL_pz00_1699))
					{	/* Unsafe/kmp.scm 51 */
						BgL_auxz00_1770 = BgL_pz00_1699;
					}
				else
					{
						obj_t BgL_auxz00_1773;

						BgL_auxz00_1773 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1658z00zz__kmpz00,
							BINT(((long) 1822)), BGl_string1659z00zz__kmpz00,
							BGl_string1660z00zz__kmpz00, BgL_pz00_1699);
						FAILURE(BgL_auxz00_1773, BFALSE, BFALSE);
					}
				return BGl_kmpzd2tablezd2zz__kmpz00(BgL_auxz00_1770);
			}
		}
	}



/* kmp-mmap */
	BGL_EXPORTED_DEF long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t BgL_tpz00_4,
		obj_t BgL_mmz00_5, long BgL_mz00_6)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 77 */
			{	/* Unsafe/kmp.scm 79 */
				bool_t BgL_testz00_1778;

				{	/* Unsafe/kmp.scm 79 */
					obj_t BgL_auxz00_1779;

					BgL_auxz00_1779 = CAR(BgL_tpz00_4);
					BgL_testz00_1778 = VECTORP(BgL_auxz00_1779);
				}
				if (BgL_testz00_1778)
					{	/* Unsafe/kmp.scm 81 */
						bool_t BgL_testz00_1782;

						{	/* Unsafe/kmp.scm 81 */
							obj_t BgL_auxz00_1783;

							BgL_auxz00_1783 = CDR(BgL_tpz00_4);
							BgL_testz00_1782 = STRINGP(BgL_auxz00_1783);
						}
						if (BgL_testz00_1782)
							{	/* Unsafe/kmp.scm 83 */
								bool_t BgL_testz00_1786;

								{	/* Unsafe/kmp.scm 83 */
									int BgL_arg1153z00_939;

									BgL_arg1153z00_939 = VECTOR_LENGTH(CAR(BgL_tpz00_4));
									BgL_testz00_1786 =
										(
										(long) (BgL_arg1153z00_939) ==
										(((long) 2) + STRING_LENGTH(CDR(BgL_tpz00_4))));
								}
								if (BgL_testz00_1786)
									{	/* Unsafe/kmp.scm 86 */
										obj_t BgL_tz00_917;

										BgL_tz00_917 = CAR(BgL_tpz00_4);
										{	/* Unsafe/kmp.scm 86 */
											obj_t BgL_pz00_918;

											BgL_pz00_918 = CDR(BgL_tpz00_4);
											{	/* Unsafe/kmp.scm 87 */
												long BgL_lsz00_919;

												{	/* Unsafe/kmp.scm 88 */
													long BgL_res1570z00_1381;

													BgL_res1570z00_1381 = BGL_MMAP_LENGTH(BgL_mmz00_5);
													BgL_lsz00_919 = BgL_res1570z00_1381;
												}
												{	/* Unsafe/kmp.scm 88 */
													long BgL_lpz00_920;

													{	/* Unsafe/kmp.scm 89 */
														long BgL_arg1152z00_938;

														BgL_arg1152z00_938 = STRING_LENGTH(BgL_pz00_918);
														{	/* Unsafe/kmp.scm 89 */
															long BgL_res1572z00_1385;

															BgL_res1572z00_1385 = (long) (BgL_arg1152z00_938);
															BgL_lpz00_920 = BgL_res1572z00_1385;
													}}
													{	/* Unsafe/kmp.scm 89 */

														{
															long BgL_iz00_922;

															BgL_iz00_922 = ((long) 0);
														BgL_zc3anonymousza31133ze3z83_923:
															if ((BgL_iz00_922 == BgL_lpz00_920))
																{	/* Unsafe/kmp.scm 92 */
																	return BgL_mz00_6;
																}
															else
																{	/* Unsafe/kmp.scm 92 */
																	if (
																		((BgL_iz00_922 + BgL_mz00_6) >=
																			BgL_lsz00_919))
																		{	/* Unsafe/kmp.scm 94 */
																			return ((long) -1);
																		}
																	else
																		{	/* Unsafe/kmp.scm 97 */
																			long BgL_fiz00_926;

																			{	/* Unsafe/kmp.scm 97 */
																				long BgL_res1576z00_1396;

																				{	/* Unsafe/kmp.scm 97 */
																					long BgL_auxz00_1804;

																					{	/* Unsafe/kmp.scm 97 */
																						long BgL_auxz00_1805;

																						BgL_auxz00_1805 =
																							(long) (BgL_iz00_922);
																						BgL_auxz00_1804 =
																							(long) (BgL_auxz00_1805);
																					}
																					BgL_res1576z00_1396 =
																						(long) (BgL_auxz00_1804);
																				}
																				BgL_fiz00_926 = BgL_res1576z00_1396;
																			}
																			{	/* Unsafe/kmp.scm 98 */
																				bool_t BgL_testz00_1809;

																				{	/* Unsafe/kmp.scm 98 */
																					unsigned char BgL_arg1145z00_933;
																					unsigned char BgL_arg1147z00_934;

																					{	/* Unsafe/kmp.scm 98 */
																						long BgL_arg1148z00_935;

																						BgL_arg1148z00_935 =
																							(BgL_iz00_922 + BgL_mz00_6);
																						{	/* Unsafe/kmp.scm 98 */
																							unsigned char BgL_res1580z00_1410;

																							{	/* Unsafe/kmp.scm 98 */
																								unsigned char BgL_cz00_1402;

																								BgL_cz00_1402 =
																									BGL_MMAP_REF(BgL_mmz00_5,
																									BgL_arg1148z00_935);
																								{	/* Unsafe/kmp.scm 98 */
																									long BgL_arg1551z00_1403;

																									BgL_arg1551z00_1403 =
																										(BgL_arg1148z00_935 +
																										((long) 1));
																									{	/* Unsafe/kmp.scm 98 */
																										long BgL_res1579z00_1409;

																										BGL_MMAP_RP_SET(BgL_mmz00_5,
																											BgL_arg1551z00_1403);
																										BUNSPEC;
																										BgL_res1579z00_1409 =
																											BgL_arg1551z00_1403;
																										BgL_res1579z00_1409;
																								}}
																								BgL_res1580z00_1410 =
																									BgL_cz00_1402;
																							}
																							BgL_arg1145z00_933 =
																								BgL_res1580z00_1410;
																					}}
																					BgL_arg1147z00_934 =
																						STRING_REF(BgL_pz00_918,
																						BgL_fiz00_926);
																					BgL_testz00_1809 =
																						(BgL_arg1145z00_933 ==
																						BgL_arg1147z00_934);
																				}
																				if (BgL_testz00_1809)
																					{
																						long BgL_iz00_1816;

																						BgL_iz00_1816 =
																							(BgL_iz00_922 + ((long) 1));
																						BgL_iz00_922 = BgL_iz00_1816;
																						goto
																							BgL_zc3anonymousza31133ze3z83_923;
																					}
																				else
																					{	/* Unsafe/kmp.scm 100 */
																						long BgL_tiz00_929;

																						{	/* Unsafe/kmp.scm 100 */
																							obj_t BgL_arg1144z00_932;

																							BgL_arg1144z00_932 =
																								VECTOR_REF(BgL_tz00_917,
																								(int) (BgL_fiz00_926));
																							{	/* Unsafe/kmp.scm 100 */
																								long BgL_res1584z00_1423;

																								{	/* Unsafe/kmp.scm 100 */
																									long BgL_auxz00_1820;

																									BgL_auxz00_1820 =
																										(long)
																										CINT(BgL_arg1144z00_932);
																									BgL_res1584z00_1423 =
																										(long) (BgL_auxz00_1820);
																								}
																								BgL_tiz00_929 =
																									BgL_res1584z00_1423;
																						}}
																						{	/* Unsafe/kmp.scm 101 */
																							long BgL_za71za7_1427;

																							BgL_za71za7_1427 = BgL_mz00_6;
																							{	/* Unsafe/kmp.scm 101 */
																								long BgL_auxz00_1823;

																								{	/* Unsafe/kmp.scm 101 */
																									long BgL_res1585z00_1426;

																									{	/* Unsafe/kmp.scm 101 */
																										long BgL_auxz00_1824;

																										BgL_auxz00_1824 =
																											(BgL_iz00_922 -
																											BgL_tiz00_929);
																										BgL_res1585z00_1426 =
																											(long) (BgL_auxz00_1824);
																									}
																									BgL_auxz00_1823 =
																										BgL_res1585z00_1426;
																								}
																								BgL_mz00_6 =
																									(BgL_za71za7_1427 +
																									BgL_auxz00_1823);
																						}}
																						if ((BgL_iz00_922 > ((long) 0)))
																							{
																								long BgL_iz00_1830;

																								BgL_iz00_1830 = BgL_tiz00_929;
																								BgL_iz00_922 = BgL_iz00_1830;
																								goto
																									BgL_zc3anonymousza31133ze3z83_923;
																							}
																						else
																							{

																								goto
																									BgL_zc3anonymousza31133ze3z83_923;
																							}
																					}
																			}
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/kmp.scm 84 */
										obj_t BgL_auxz00_1831;

										BgL_auxz00_1831 =
											BGl_errorz00zz__errorz00(BGl_symbol1661z00zz__kmpz00,
											BGl_string1663z00zz__kmpz00, BgL_tpz00_4);
										return BELONG_TO_LONG(BgL_auxz00_1831);
									}
							}
						else
							{	/* Unsafe/kmp.scm 82 */
								obj_t BgL_arg1162z00_944;

								BgL_arg1162z00_944 = CDR(BgL_tpz00_4);
								{	/* Unsafe/kmp.scm 82 */
									obj_t BgL_auxz00_1835;

									BgL_auxz00_1835 =
										BGl_bigloozd2typezd2errorz00zz__errorz00
										(BGl_symbol1661z00zz__kmpz00, BGl_symbol1664z00zz__kmpz00,
										BgL_arg1162z00_944);
									return BELONG_TO_LONG(BgL_auxz00_1835);
								}
							}
					}
				else
					{	/* Unsafe/kmp.scm 80 */
						obj_t BgL_arg1166z00_946;

						BgL_arg1166z00_946 = CAR(BgL_tpz00_4);
						{	/* Unsafe/kmp.scm 80 */
							obj_t BgL_auxz00_1839;

							BgL_auxz00_1839 =
								BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_symbol1661z00zz__kmpz00, BGl_symbol1666z00zz__kmpz00,
								BgL_arg1166z00_946);
							return BELONG_TO_LONG(BgL_auxz00_1839);
						}
					}
			}
		}
	}



/* &kmp-mmap */
	obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t BgL_envz00_1700,
		obj_t BgL_tpz00_1701, obj_t BgL_mmz00_1702, obj_t BgL_mz00_1703)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 77 */
			{	/* Unsafe/kmp.scm 79 */
				long BgL_auxz00_1842;

				{	/* Unsafe/kmp.scm 79 */
					long BgL_auxz00_1857;
					obj_t BgL_auxz00_1850;
					obj_t BgL_auxz00_1843;

					{	/* Unsafe/kmp.scm 79 */
						obj_t BgL_auxz00_1858;

						if (ELONGP(BgL_mz00_1703))
							{	/* Unsafe/kmp.scm 79 */
								BgL_auxz00_1858 = BgL_mz00_1703;
							}
						else
							{
								obj_t BgL_auxz00_1861;

								BgL_auxz00_1861 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1658z00zz__kmpz00,
									BINT(((long) 2571)), BGl_string1668z00zz__kmpz00,
									BGl_string1671z00zz__kmpz00, BgL_mz00_1703);
								FAILURE(BgL_auxz00_1861, BFALSE, BFALSE);
							}
						BgL_auxz00_1857 = BELONG_TO_LONG(BgL_auxz00_1858);
					}
					if (BGL_MMAPP(BgL_mmz00_1702))
						{	/* Unsafe/kmp.scm 79 */
							BgL_auxz00_1850 = BgL_mmz00_1702;
						}
					else
						{
							obj_t BgL_auxz00_1853;

							BgL_auxz00_1853 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1658z00zz__kmpz00,
								BINT(((long) 2571)), BGl_string1668z00zz__kmpz00,
								BGl_string1670z00zz__kmpz00, BgL_mmz00_1702);
							FAILURE(BgL_auxz00_1853, BFALSE, BFALSE);
						}
					if (PAIRP(BgL_tpz00_1701))
						{	/* Unsafe/kmp.scm 79 */
							BgL_auxz00_1843 = BgL_tpz00_1701;
						}
					else
						{
							obj_t BgL_auxz00_1846;

							BgL_auxz00_1846 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1658z00zz__kmpz00,
								BINT(((long) 2571)), BGl_string1668z00zz__kmpz00,
								BGl_string1669z00zz__kmpz00, BgL_tpz00_1701);
							FAILURE(BgL_auxz00_1846, BFALSE, BFALSE);
						}
					BgL_auxz00_1842 =
						BGl_kmpzd2mmapzd2zz__kmpz00(BgL_auxz00_1843, BgL_auxz00_1850,
						BgL_auxz00_1857);
				}
				return make_belong(BgL_auxz00_1842);
			}
		}
	}



/* kmp-string */
	BGL_EXPORTED_DEF long BGl_kmpzd2stringzd2zz__kmpz00(obj_t BgL_tpz00_7,
		obj_t BgL_strz00_8, long BgL_mz00_9)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 109 */
			{	/* Unsafe/kmp.scm 111 */
				bool_t BgL_testz00_1868;

				{	/* Unsafe/kmp.scm 111 */
					obj_t BgL_auxz00_1869;

					BgL_auxz00_1869 = CAR(BgL_tpz00_7);
					BgL_testz00_1868 = VECTORP(BgL_auxz00_1869);
				}
				if (BgL_testz00_1868)
					{	/* Unsafe/kmp.scm 113 */
						bool_t BgL_testz00_1872;

						{	/* Unsafe/kmp.scm 113 */
							obj_t BgL_auxz00_1873;

							BgL_auxz00_1873 = CDR(BgL_tpz00_7);
							BgL_testz00_1872 = STRINGP(BgL_auxz00_1873);
						}
						if (BgL_testz00_1872)
							{	/* Unsafe/kmp.scm 115 */
								bool_t BgL_testz00_1876;

								{	/* Unsafe/kmp.scm 115 */
									int BgL_arg1184z00_970;

									BgL_arg1184z00_970 = VECTOR_LENGTH(CAR(BgL_tpz00_7));
									BgL_testz00_1876 =
										(
										(long) (BgL_arg1184z00_970) ==
										(((long) 2) + STRING_LENGTH(CDR(BgL_tpz00_7))));
								}
								if (BgL_testz00_1876)
									{	/* Unsafe/kmp.scm 118 */
										obj_t BgL_tz00_951;

										BgL_tz00_951 = CAR(BgL_tpz00_7);
										{	/* Unsafe/kmp.scm 118 */
											obj_t BgL_pz00_952;

											BgL_pz00_952 = CDR(BgL_tpz00_7);
											{	/* Unsafe/kmp.scm 119 */
												long BgL_lsz00_953;

												BgL_lsz00_953 = STRING_LENGTH(BgL_strz00_8);
												{	/* Unsafe/kmp.scm 120 */
													long BgL_lpz00_954;

													BgL_lpz00_954 = STRING_LENGTH(BgL_pz00_952);
													{	/* Unsafe/kmp.scm 121 */

														{
															obj_t BgL_iz00_956;

															BgL_iz00_956 = BINT(((long) 0));
														BgL_zc3anonymousza31171ze3z83_957:
															if (((long) CINT(BgL_iz00_956) == BgL_lpz00_954))
																{	/* Unsafe/kmp.scm 124 */
																	return BgL_mz00_9;
																}
															else
																{	/* Unsafe/kmp.scm 124 */
																	if (
																		(((long) CINT(BgL_iz00_956) + BgL_mz00_9) >=
																			BgL_lsz00_953))
																		{	/* Unsafe/kmp.scm 126 */
																			return ((long) -1);
																		}
																	else
																		{	/* Unsafe/kmp.scm 126 */
																			if (
																				(STRING_REF(BgL_strz00_8,
																						((long) CINT(BgL_iz00_956) +
																							BgL_mz00_9)) ==
																					STRING_REF(BgL_pz00_952,
																						(long) CINT(BgL_iz00_956))))
																				{	/* Unsafe/kmp.scm 130 */
																					long BgL_arg1175z00_961;

																					BgL_arg1175z00_961 =
																						(
																						(long) CINT(BgL_iz00_956) +
																						((long) 1));
																					{
																						obj_t BgL_iz00_1904;

																						BgL_iz00_1904 =
																							BINT(BgL_arg1175z00_961);
																						BgL_iz00_956 = BgL_iz00_1904;
																						goto
																							BgL_zc3anonymousza31171ze3z83_957;
																					}
																				}
																			else
																				{	/* Unsafe/kmp.scm 131 */
																					obj_t BgL_tiz00_962;

																					BgL_tiz00_962 =
																						VECTOR_REF(BgL_tz00_951,
																						CINT(BgL_iz00_956));
																					BgL_mz00_9 =
																						(BgL_mz00_9 +
																						((long) CINT(BgL_iz00_956) -
																							(long) CINT(BgL_tiz00_962)));
																					if (
																						((long) CINT(BgL_iz00_956) >
																							((long) 0)))
																						{
																							obj_t BgL_iz00_1915;

																							BgL_iz00_1915 = BgL_tiz00_962;
																							BgL_iz00_956 = BgL_iz00_1915;
																							goto
																								BgL_zc3anonymousza31171ze3z83_957;
																						}
																					else
																						{

																							goto
																								BgL_zc3anonymousza31171ze3z83_957;
																						}
																				}
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/kmp.scm 115 */
										return
											(long)
											CINT(BGl_errorz00zz__errorz00(BGl_symbol1661z00zz__kmpz00,
												BGl_string1663z00zz__kmpz00, BgL_tpz00_7));
							}}
						else
							{	/* Unsafe/kmp.scm 114 */
								obj_t BgL_arg1199z00_975;

								BgL_arg1199z00_975 = CDR(BgL_tpz00_7);
								return
									(long)
									CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_symbol1661z00zz__kmpz00, BGl_symbol1664z00zz__kmpz00,
										BgL_arg1199z00_975));
					}}
				else
					{	/* Unsafe/kmp.scm 112 */
						obj_t BgL_arg1202z00_977;

						BgL_arg1202z00_977 = CAR(BgL_tpz00_7);
						return
							(long)
							CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_symbol1661z00zz__kmpz00, BGl_symbol1666z00zz__kmpz00,
								BgL_arg1202z00_977));
		}}}
	}



/* &kmp-string */
	obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t BgL_envz00_1704,
		obj_t BgL_tpz00_1705, obj_t BgL_strz00_1706, obj_t BgL_mz00_1707)
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 109 */
			{	/* Unsafe/kmp.scm 111 */
				long BgL_auxz00_1925;

				{	/* Unsafe/kmp.scm 111 */
					long BgL_auxz00_1940;
					obj_t BgL_auxz00_1933;
					obj_t BgL_auxz00_1926;

					{	/* Unsafe/kmp.scm 111 */
						obj_t BgL_auxz00_1941;

						if (INTEGERP(BgL_mz00_1707))
							{	/* Unsafe/kmp.scm 111 */
								BgL_auxz00_1941 = BgL_mz00_1707;
							}
						else
							{
								obj_t BgL_auxz00_1944;

								BgL_auxz00_1944 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1658z00zz__kmpz00,
									BINT(((long) 3662)), BGl_string1672z00zz__kmpz00,
									BGl_string1673z00zz__kmpz00, BgL_mz00_1707);
								FAILURE(BgL_auxz00_1944, BFALSE, BFALSE);
							}
						BgL_auxz00_1940 = (long) CINT(BgL_auxz00_1941);
					}
					if (STRINGP(BgL_strz00_1706))
						{	/* Unsafe/kmp.scm 111 */
							BgL_auxz00_1933 = BgL_strz00_1706;
						}
					else
						{
							obj_t BgL_auxz00_1936;

							BgL_auxz00_1936 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1658z00zz__kmpz00,
								BINT(((long) 3662)), BGl_string1672z00zz__kmpz00,
								BGl_string1660z00zz__kmpz00, BgL_strz00_1706);
							FAILURE(BgL_auxz00_1936, BFALSE, BFALSE);
						}
					if (PAIRP(BgL_tpz00_1705))
						{	/* Unsafe/kmp.scm 111 */
							BgL_auxz00_1926 = BgL_tpz00_1705;
						}
					else
						{
							obj_t BgL_auxz00_1929;

							BgL_auxz00_1929 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1658z00zz__kmpz00,
								BINT(((long) 3662)), BGl_string1672z00zz__kmpz00,
								BGl_string1669z00zz__kmpz00, BgL_tpz00_1705);
							FAILURE(BgL_auxz00_1929, BFALSE, BFALSE);
						}
					BgL_auxz00_1925 =
						BGl_kmpzd2stringzd2zz__kmpz00(BgL_auxz00_1926, BgL_auxz00_1933,
						BgL_auxz00_1940);
				}
				return BINT(BgL_auxz00_1925);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__kmpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__kmpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__kmpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/kmp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1674z00zz__kmpz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1674z00zz__kmpz00));
		}
	}

#ifdef __cplusplus
}
#endif
