/*===========================================================================*/
/*   (Unsafe/pcre.scm)                                                       */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c +rm -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Unsafe/pcre.scm -indent -o objs/obj_u/Unsafe/pcre.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t bgl_regfree(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_regexpzd2patternzd2zz__regexpz00(obj_t);
	static obj_t BGl_z62regexpzf3z91zz__regexpz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__regexpz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62pregexpzd2quotezb0zz__regexpz00(obj_t, obj_t);
	static obj_t BGl_z62pregexpzd2matchzd2positionsz62zz__regexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__regexpz00();
	static obj_t BGl_objectzd2initzd2zz__regexpz00();
	extern obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_memvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpz00zz__regexpz00(obj_t, obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2replacezd2zz__regexpz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62pregexpzd2replacezb0zz__regexpz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__regexpz00();
	static obj_t BGl_z62pregexpzd2splitzb0zz__regexpz00(obj_t, obj_t, obj_t);
	extern obj_t string_append(obj_t, obj_t);
	static obj_t BGl_list1718z00zz__regexpz00 = BUNSPEC;
	extern obj_t BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2quotezd2zz__regexpz00(obj_t);
	static obj_t BGl_z62pregexpzd2matchzb0zz__regexpz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_regexpzf3zf3zz__regexpz00(obj_t);
	extern obj_t bgl_regmatch(obj_t, char *, bool_t, int, int);
	static obj_t BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00(obj_t,
		obj_t, long);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_matchz00zz__regexpz00(obj_t, obj_t, bool_t, obj_t);
	static obj_t BGl_pregexpzd2listzd2refz00zz__regexpz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2replaceza2z70zz__regexpz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__regexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__regexpz00();
	static obj_t BGl_pregexpzd2replacezd2auxz00zz__regexpz00(obj_t, obj_t, long,
		obj_t);
	static obj_t BGl_z62pregexpz62zz__regexpz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2splitzd2zz__regexpz00(obj_t, obj_t);
	extern obj_t bgl_regcomp(obj_t, obj_t);
	static obj_t BGl_z62pregexpzd2replaceza2z12zz__regexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t c_substring(obj_t, long, long);
	static obj_t BGl_z62regexpzd2patternzb0zz__regexpz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1707z00zz__regexpz00,
		BgL_bgl_string1707za700za7za7_1721za7,
		"/tmp/bigloo/runtime/Unsafe/pcre.scm", 35);
	      DEFINE_STRING(BGl_string1708z00zz__regexpz00,
		BgL_bgl_string1708za700za7za7_1722za7, "&regexp-pattern", 15);
	      DEFINE_STRING(BGl_string1709z00zz__regexpz00,
		BgL_bgl_string1709za700za7za7_1723za7, "regexp", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2splitzd2envz00zz__regexpz00,
		BgL_bgl_za762pregexpza7d2spl1724z00, BGl_z62pregexpzd2splitzb0zz__regexpz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2quotezd2envz00zz__regexpz00,
		BgL_bgl_za762pregexpza7d2quo1725z00, BGl_z62pregexpzd2quotezb0zz__regexpz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1710z00zz__regexpz00,
		BgL_bgl_string1710za700za7za7_1726za7, "&pregexp", 8);
	      DEFINE_STRING(BGl_string1711z00zz__regexpz00,
		BgL_bgl_string1711za700za7za7_1727za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1712z00zz__regexpz00,
		BgL_bgl_string1712za700za7za7_1728za7, "&pregexp-match-positions", 24);
	      DEFINE_STRING(BGl_string1713z00zz__regexpz00,
		BgL_bgl_string1713za700za7za7_1729za7, "&pregexp-match", 14);
	      DEFINE_STRING(BGl_string1714z00zz__regexpz00,
		BgL_bgl_string1714za700za7za7_1730za7, "", 0);
	      DEFINE_STRING(BGl_string1715z00zz__regexpz00,
		BgL_bgl_string1715za700za7za7_1731za7, "&pregexp-split", 14);
	      DEFINE_STRING(BGl_string1716z00zz__regexpz00,
		BgL_bgl_string1716za700za7za7_1732za7, "&pregexp-replace", 16);
	      DEFINE_STRING(BGl_string1717z00zz__regexpz00,
		BgL_bgl_string1717za700za7za7_1733za7, "&pregexp-replace*", 17);
	      DEFINE_STRING(BGl_string1719z00zz__regexpz00,
		BgL_bgl_string1719za700za7za7_1734za7, "&pregexp-quote", 14);
	      DEFINE_STRING(BGl_string1720z00zz__regexpz00,
		BgL_bgl_string1720za700za7za7_1735za7, "__regexp", 8);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2replaceza2zd2envza2zz__regexpz00,
		BgL_bgl_za762pregexpza7d2rep1736z00,
		BGl_z62pregexpzd2replaceza2z12zz__regexpz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2matchzd2envz00zz__regexpz00,
		BgL_bgl_za762pregexpza7d2mat1737z00, va_generic_entry,
		BGl_z62pregexpzd2matchzb0zz__regexpz00, BUNSPEC, -3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2envzd2zz__regexpz00,
		BgL_bgl_za762pregexpza762za7za7_1738z00, va_generic_entry,
		BGl_z62pregexpz62zz__regexpz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regexpzd2patternzd2envz00zz__regexpz00,
		BgL_bgl_za762regexpza7d2patt1739z00,
		BGl_z62regexpzd2patternzb0zz__regexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_pregexpzd2replacezd2envz00zz__regexpz00,
		BgL_bgl_za762pregexpza7d2rep1740z00,
		BGl_z62pregexpzd2replacezb0zz__regexpz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_regexpzf3zd2envz21zz__regexpz00,
		BgL_bgl_za762regexpza7f3za791za71741z00, BGl_z62regexpzf3z91zz__regexpz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_pregexpzd2matchzd2positionszd2envzd2zz__regexpz00,
		BgL_bgl_za762pregexpza7d2mat1742z00, va_generic_entry,
		BGl_z62pregexpzd2matchzd2positionsz62zz__regexpz00, BUNSPEC, -3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long
		BgL_checksumz00_1985, char *BgL_fromz00_1986)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__regexpz00))
				{
					BGl_requirezd2initializa7ationz75zz__regexpz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__regexpz00();
					BGl_importedzd2moduleszd2initz00zz__regexpz00();
					return BGl_methodzd2initzd2zz__regexpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__regexpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 15 */
			return (BGl_list1718z00zz__regexpz00 =
				MAKE_PAIR(BCHAR(((unsigned char) '\\')),
					MAKE_PAIR(BCHAR(((unsigned char) '.')),
						MAKE_PAIR(BCHAR(((unsigned char) '?')),
							MAKE_PAIR(BCHAR(((unsigned char) '*')),
								MAKE_PAIR(BCHAR(((unsigned char) '+')),
									MAKE_PAIR(BCHAR(((unsigned char) '|')),
										MAKE_PAIR(BCHAR(((unsigned char) '^')),
											MAKE_PAIR(BCHAR(((unsigned char) '$')),
												MAKE_PAIR(BCHAR(((unsigned char) '[')),
													MAKE_PAIR(BCHAR(((unsigned char) ']')),
														MAKE_PAIR(BCHAR(((unsigned char) '{')),
															MAKE_PAIR(BCHAR(((unsigned char) '}')),
																MAKE_PAIR(BCHAR(((unsigned char) '(')),
																	MAKE_PAIR(BCHAR(((unsigned char) ')')),
																		BNIL)))))))))))))), BUNSPEC);
		}
	}



/* regexp? */
	BGL_EXPORTED_DEF bool_t BGl_regexpzf3zf3zz__regexpz00(obj_t BgL_objz00_3)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 80 */
			return BGL_REGEXPP(BgL_objz00_3);
		}
	}



/* &regexp? */
	obj_t BGl_z62regexpzf3z91zz__regexpz00(obj_t BgL_envz00_1932,
		obj_t BgL_objz00_1933)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 80 */
			return BBOOL(BGL_REGEXPP(BgL_objz00_1933));
		}
	}



/* regexp-pattern */
	BGL_EXPORTED_DEF obj_t BGl_regexpzd2patternzd2zz__regexpz00(obj_t BgL_rez00_4)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 86 */
			return BGL_REGEXP_PAT(BgL_rez00_4);
		}
	}



/* &regexp-pattern */
	obj_t BGl_z62regexpzd2patternzb0zz__regexpz00(obj_t BgL_envz00_1934,
		obj_t BgL_rez00_1935)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 86 */
			{	/* Unsafe/pcre.scm 87 */
				obj_t BgL_rez00_1982;

				if (BGL_REGEXPP(BgL_rez00_1935))
					{	/* Unsafe/pcre.scm 87 */
						BgL_rez00_1982 = BgL_rez00_1935;
					}
				else
					{
						obj_t BgL_auxz00_2027;

						BgL_auxz00_2027 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1707z00zz__regexpz00,
							BINT(((long) 3537)), BGl_string1708z00zz__regexpz00,
							BGl_string1709z00zz__regexpz00, BgL_rez00_1935);
						FAILURE(BgL_auxz00_2027, BFALSE, BFALSE);
					}
				return BGL_REGEXP_PAT(BgL_rez00_1982);
			}
		}
	}



/* pregexp */
	BGL_EXPORTED_DEF obj_t BGl_pregexpz00zz__regexpz00(obj_t BgL_rez00_5,
		obj_t BgL_optzd2argszd2_6)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 101 */
			return bgl_regcomp(BgL_rez00_5, BgL_optzd2argszd2_6);
		}
	}



/* &pregexp */
	obj_t BGl_z62pregexpz62zz__regexpz00(obj_t BgL_envz00_1936,
		obj_t BgL_rez00_1937, obj_t BgL_optzd2argszd2_1938)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 101 */
			{	/* Unsafe/pcre.scm 102 */
				obj_t BgL_rez00_1983;

				if (STRINGP(BgL_rez00_1937))
					{	/* Unsafe/pcre.scm 102 */
						BgL_rez00_1983 = BgL_rez00_1937;
					}
				else
					{
						obj_t BgL_auxz00_2035;

						BgL_auxz00_2035 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1707z00zz__regexpz00,
							BINT(((long) 4161)), BGl_string1710z00zz__regexpz00,
							BGl_string1711z00zz__regexpz00, BgL_rez00_1937);
						FAILURE(BgL_auxz00_2035, BFALSE, BFALSE);
					}
				return bgl_regcomp(BgL_rez00_1983, BgL_optzd2argszd2_1938);
			}
		}
	}



/* match */
	obj_t BGl_matchz00zz__regexpz00(obj_t BgL_patz00_7, obj_t BgL_strz00_8,
		bool_t BgL_stringpz00_9, obj_t BgL_optzd2argszd2_10)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 107 */
			{	/* Unsafe/pcre.scm 108 */
				obj_t BgL_begz00_935;
				obj_t BgL_endz00_936;

				BgL_begz00_935 = BINT(((long) 0));
				BgL_endz00_936 = BINT(STRING_LENGTH(BgL_strz00_8));
				if (PAIRP(BgL_optzd2argszd2_10))
					{	/* Unsafe/pcre.scm 110 */
						BgL_begz00_935 = CAR(BgL_optzd2argszd2_10);
						{	/* Unsafe/pcre.scm 112 */
							bool_t BgL_testz00_2046;

							{	/* Unsafe/pcre.scm 112 */
								obj_t BgL_auxz00_2047;

								BgL_auxz00_2047 = CDR(BgL_optzd2argszd2_10);
								BgL_testz00_2046 = PAIRP(BgL_auxz00_2047);
							}
							if (BgL_testz00_2046)
								{	/* Unsafe/pcre.scm 112 */
									BgL_endz00_936 = CAR(CDR(BgL_optzd2argszd2_10));
								}
							else
								{	/* Unsafe/pcre.scm 112 */
									BFALSE;
								}
						}
					}
				else
					{	/* Unsafe/pcre.scm 110 */
						BFALSE;
					}
				{	/* Unsafe/pcre.scm 114 */
					bool_t BgL_testz00_2052;

					{	/* Unsafe/pcre.scm 114 */
						bool_t BgL_res1588z00_1426;

						BgL_res1588z00_1426 = BGL_REGEXPP(BgL_patz00_7);
						BgL_testz00_2052 = BgL_res1588z00_1426;
					}
					if (BgL_testz00_2052)
						{	/* Unsafe/pcre.scm 114 */
							return
								bgl_regmatch(BgL_patz00_7,
								BSTRING_TO_STRING(BgL_strz00_8), BgL_stringpz00_9,
								CINT(BgL_begz00_935), CINT(BgL_endz00_936));
						}
					else
						{	/* Unsafe/pcre.scm 116 */
							obj_t BgL_rxz00_941;

							BgL_rxz00_941 = bgl_regcomp(BgL_patz00_7, BNIL);
							{	/* Unsafe/pcre.scm 116 */
								obj_t BgL_valz00_942;

								BgL_valz00_942 =
									bgl_regmatch(BgL_rxz00_941,
									BSTRING_TO_STRING(BgL_strz00_8), BgL_stringpz00_9,
									CINT(BgL_begz00_935), CINT(BgL_endz00_936));
								{	/* Unsafe/pcre.scm 117 */

									bgl_regfree(BgL_rxz00_941);
									return BgL_valz00_942;
								}
							}
						}
				}
			}
		}
	}



/* pregexp-match-positions */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(obj_t
		BgL_patz00_11, obj_t BgL_strz00_12, obj_t BgL_optzd2argszd2_13)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 124 */
			{	/* Unsafe/pcre.scm 108 */
				obj_t BgL_begz00_1433;
				obj_t BgL_endz00_1434;

				BgL_begz00_1433 = BINT(((long) 0));
				BgL_endz00_1434 = BINT(STRING_LENGTH(BgL_strz00_12));
				if (PAIRP(BgL_optzd2argszd2_13))
					{	/* Unsafe/pcre.scm 110 */
						BgL_begz00_1433 = CAR(BgL_optzd2argszd2_13);
						{	/* Unsafe/pcre.scm 112 */
							bool_t BgL_testz00_2070;

							{	/* Unsafe/pcre.scm 112 */
								obj_t BgL_auxz00_2071;

								BgL_auxz00_2071 = CDR(BgL_optzd2argszd2_13);
								BgL_testz00_2070 = PAIRP(BgL_auxz00_2071);
							}
							if (BgL_testz00_2070)
								{	/* Unsafe/pcre.scm 112 */
									BgL_endz00_1434 = CAR(CDR(BgL_optzd2argszd2_13));
								}
							else
								{	/* Unsafe/pcre.scm 112 */
									BFALSE;
								}
						}
					}
				else
					{	/* Unsafe/pcre.scm 110 */
						BFALSE;
					}
				{	/* Unsafe/pcre.scm 114 */
					bool_t BgL_testz00_2076;

					{	/* Unsafe/pcre.scm 114 */
						bool_t BgL_res1588z00_1451;

						BgL_res1588z00_1451 = BGL_REGEXPP(BgL_patz00_11);
						BgL_testz00_2076 = BgL_res1588z00_1451;
					}
					if (BgL_testz00_2076)
						{	/* Unsafe/pcre.scm 114 */
							return
								bgl_regmatch(BgL_patz00_11,
								BSTRING_TO_STRING(BgL_strz00_12), ((bool_t) 0),
								CINT(BgL_begz00_1433), CINT(BgL_endz00_1434));
						}
					else
						{	/* Unsafe/pcre.scm 116 */
							obj_t BgL_rxz00_1453;

							BgL_rxz00_1453 = bgl_regcomp(BgL_patz00_11, BNIL);
							{	/* Unsafe/pcre.scm 116 */
								obj_t BgL_valz00_1457;

								BgL_valz00_1457 =
									bgl_regmatch(BgL_rxz00_1453,
									BSTRING_TO_STRING(BgL_strz00_12), ((bool_t) 0),
									CINT(BgL_begz00_1433), CINT(BgL_endz00_1434));
								{	/* Unsafe/pcre.scm 117 */

									bgl_regfree(BgL_rxz00_1453);
									return BgL_valz00_1457;
								}
							}
						}
				}
			}
		}
	}



/* &pregexp-match-positions */
	obj_t BGl_z62pregexpzd2matchzd2positionsz62zz__regexpz00(obj_t
		BgL_envz00_1939, obj_t BgL_patz00_1940, obj_t BgL_strz00_1941,
		obj_t BgL_optzd2argszd2_1942)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 124 */
			{	/* Unsafe/pcre.scm 125 */
				obj_t BgL_auxz00_2088;

				if (STRINGP(BgL_strz00_1941))
					{	/* Unsafe/pcre.scm 125 */
						BgL_auxz00_2088 = BgL_strz00_1941;
					}
				else
					{
						obj_t BgL_auxz00_2091;

						BgL_auxz00_2091 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1707z00zz__regexpz00,
							BINT(((long) 5067)), BGl_string1712z00zz__regexpz00,
							BGl_string1711z00zz__regexpz00, BgL_strz00_1941);
						FAILURE(BgL_auxz00_2091, BFALSE, BFALSE);
					}
				return
					BGl_pregexpzd2matchzd2positionsz00zz__regexpz00(BgL_patz00_1940,
					BgL_auxz00_2088, BgL_optzd2argszd2_1942);
			}
		}
	}



/* pregexp-match */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t
		BgL_patz00_14, obj_t BgL_strz00_15, obj_t BgL_optzd2argszd2_16)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 130 */
			{	/* Unsafe/pcre.scm 108 */
				obj_t BgL_begz00_1462;
				obj_t BgL_endz00_1463;

				BgL_begz00_1462 = BINT(((long) 0));
				BgL_endz00_1463 = BINT(STRING_LENGTH(BgL_strz00_15));
				if (PAIRP(BgL_optzd2argszd2_16))
					{	/* Unsafe/pcre.scm 110 */
						BgL_begz00_1462 = CAR(BgL_optzd2argszd2_16);
						{	/* Unsafe/pcre.scm 112 */
							bool_t BgL_testz00_2102;

							{	/* Unsafe/pcre.scm 112 */
								obj_t BgL_auxz00_2103;

								BgL_auxz00_2103 = CDR(BgL_optzd2argszd2_16);
								BgL_testz00_2102 = PAIRP(BgL_auxz00_2103);
							}
							if (BgL_testz00_2102)
								{	/* Unsafe/pcre.scm 112 */
									BgL_endz00_1463 = CAR(CDR(BgL_optzd2argszd2_16));
								}
							else
								{	/* Unsafe/pcre.scm 112 */
									BFALSE;
								}
						}
					}
				else
					{	/* Unsafe/pcre.scm 110 */
						BFALSE;
					}
				{	/* Unsafe/pcre.scm 114 */
					bool_t BgL_testz00_2108;

					{	/* Unsafe/pcre.scm 114 */
						bool_t BgL_res1588z00_1480;

						BgL_res1588z00_1480 = BGL_REGEXPP(BgL_patz00_14);
						BgL_testz00_2108 = BgL_res1588z00_1480;
					}
					if (BgL_testz00_2108)
						{	/* Unsafe/pcre.scm 114 */
							return
								bgl_regmatch(BgL_patz00_14,
								BSTRING_TO_STRING(BgL_strz00_15), ((bool_t) 1),
								CINT(BgL_begz00_1462), CINT(BgL_endz00_1463));
						}
					else
						{	/* Unsafe/pcre.scm 116 */
							obj_t BgL_rxz00_1482;

							BgL_rxz00_1482 = bgl_regcomp(BgL_patz00_14, BNIL);
							{	/* Unsafe/pcre.scm 116 */
								obj_t BgL_valz00_1486;

								BgL_valz00_1486 =
									bgl_regmatch(BgL_rxz00_1482,
									BSTRING_TO_STRING(BgL_strz00_15), ((bool_t) 1),
									CINT(BgL_begz00_1462), CINT(BgL_endz00_1463));
								{	/* Unsafe/pcre.scm 117 */

									bgl_regfree(BgL_rxz00_1482);
									return BgL_valz00_1486;
								}
							}
						}
				}
			}
		}
	}



/* &pregexp-match */
	obj_t BGl_z62pregexpzd2matchzb0zz__regexpz00(obj_t BgL_envz00_1943,
		obj_t BgL_patz00_1944, obj_t BgL_strz00_1945, obj_t BgL_optzd2argszd2_1946)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 130 */
			{	/* Unsafe/pcre.scm 131 */
				obj_t BgL_auxz00_2120;

				if (STRINGP(BgL_strz00_1945))
					{	/* Unsafe/pcre.scm 131 */
						BgL_auxz00_2120 = BgL_strz00_1945;
					}
				else
					{
						obj_t BgL_auxz00_2123;

						BgL_auxz00_2123 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1707z00zz__regexpz00,
							BINT(((long) 5365)), BGl_string1713z00zz__regexpz00,
							BGl_string1711z00zz__regexpz00, BgL_strz00_1945);
						FAILURE(BgL_auxz00_2123, BFALSE, BFALSE);
					}
				return
					BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_1944, BgL_auxz00_2120,
					BgL_optzd2argszd2_1946);
			}
		}
	}



/* pregexp-read-escaped-number */
	obj_t BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00(obj_t BgL_sz00_17,
		obj_t BgL_iz00_18, long BgL_nz00_19)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 136 */
			if ((((long) CINT(BgL_iz00_18) + ((long) 1)) < BgL_nz00_19))
				{	/* Unsafe/pcre.scm 139 */
					unsigned char BgL_cz00_945;

					BgL_cz00_945 =
						STRING_REF(BgL_sz00_17, ((long) CINT(BgL_iz00_18) + ((long) 1)));
					{	/* Unsafe/pcre.scm 140 */
						bool_t BgL_testz00_2135;

						{	/* Unsafe/pcre.scm 140 */
							bool_t BgL_res1593z00_1500;

							BgL_res1593z00_1500 = isdigit(BgL_cz00_945);
							BgL_testz00_2135 = BgL_res1593z00_1500;
						}
						if (BgL_testz00_2135)
							{	/* Unsafe/pcre.scm 141 */
								long BgL_g1043z00_947;
								obj_t BgL_g1044z00_948;

								BgL_g1043z00_947 = ((long) CINT(BgL_iz00_18) + ((long) 2));
								{	/* Unsafe/pcre.scm 141 */
									obj_t BgL_list1156z00_973;

									BgL_list1156z00_973 = MAKE_PAIR(BCHAR(BgL_cz00_945), BNIL);
									BgL_g1044z00_948 = BgL_list1156z00_973;
								}
								{
									long BgL_iz00_950;
									obj_t BgL_rz00_951;

									BgL_iz00_950 = BgL_g1043z00_947;
									BgL_rz00_951 = BgL_g1044z00_948;
								BgL_zc3anonymousza31132ze3z83_952:
									if ((BgL_iz00_950 >= BgL_nz00_19))
										{	/* Unsafe/pcre.scm 143 */
											obj_t BgL_arg1135z00_954;

											{	/* Unsafe/pcre.scm 143 */
												obj_t BgL_arg1140z00_957;

												BgL_arg1140z00_957 =
													BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
													(bgl_reverse_bang(BgL_rz00_951));
												{	/* Ieee/number.scm 165 */

													BgL_arg1135z00_954 =
														BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
														(BgL_arg1140z00_957, BINT(((long) 10)));
											}}
											{	/* Unsafe/pcre.scm 143 */
												obj_t BgL_list1136z00_955;

												{	/* Unsafe/pcre.scm 143 */
													obj_t BgL_arg1137z00_956;

													BgL_arg1137z00_956 =
														MAKE_PAIR(BINT(BgL_iz00_950), BNIL);
													BgL_list1136z00_955 =
														MAKE_PAIR(BgL_arg1135z00_954, BgL_arg1137z00_956);
												}
												return BgL_list1136z00_955;
											}
										}
									else
										{	/* Unsafe/pcre.scm 144 */
											unsigned char BgL_cz00_961;

											BgL_cz00_961 = STRING_REF(BgL_sz00_17, BgL_iz00_950);
											{	/* Unsafe/pcre.scm 145 */
												bool_t BgL_testz00_2151;

												{	/* Unsafe/pcre.scm 145 */
													bool_t BgL_res1599z00_1515;

													BgL_res1599z00_1515 = isdigit(BgL_cz00_961);
													BgL_testz00_2151 = BgL_res1599z00_1515;
												}
												if (BgL_testz00_2151)
													{	/* Unsafe/pcre.scm 146 */
														long BgL_arg1147z00_963;
														obj_t BgL_arg1148z00_964;

														BgL_arg1147z00_963 = (BgL_iz00_950 + ((long) 1));
														BgL_arg1148z00_964 =
															MAKE_PAIR(BCHAR(BgL_cz00_961), BgL_rz00_951);
														{
															obj_t BgL_rz00_2157;
															long BgL_iz00_2156;

															BgL_iz00_2156 = BgL_arg1147z00_963;
															BgL_rz00_2157 = BgL_arg1148z00_964;
															BgL_rz00_951 = BgL_rz00_2157;
															BgL_iz00_950 = BgL_iz00_2156;
															goto BgL_zc3anonymousza31132ze3z83_952;
														}
													}
												else
													{	/* Unsafe/pcre.scm 147 */
														obj_t BgL_arg1149z00_965;

														{	/* Unsafe/pcre.scm 147 */
															obj_t BgL_arg1153z00_968;

															BgL_arg1153z00_968 =
																BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
																(bgl_reverse_bang(BgL_rz00_951));
															{	/* Ieee/number.scm 165 */

																BgL_arg1149z00_965 =
																	BGl_stringzd2ze3numberz31zz__r4_numbers_6_5z00
																	(BgL_arg1153z00_968, BINT(((long) 10)));
														}}
														{	/* Unsafe/pcre.scm 147 */
															obj_t BgL_list1150z00_966;

															{	/* Unsafe/pcre.scm 147 */
																obj_t BgL_arg1152z00_967;

																BgL_arg1152z00_967 =
																	MAKE_PAIR(BINT(BgL_iz00_950), BNIL);
																BgL_list1150z00_966 =
																	MAKE_PAIR(BgL_arg1149z00_965,
																	BgL_arg1152z00_967);
															}
															return BgL_list1150z00_966;
														}
													}
											}
										}
								}
							}
						else
							{	/* Unsafe/pcre.scm 140 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Unsafe/pcre.scm 138 */
					return BFALSE;
				}
		}
	}



/* pregexp-list-ref */
	obj_t BGl_pregexpzd2listzd2refz00zz__regexpz00(obj_t BgL_sz00_20,
		obj_t BgL_iz00_21)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 153 */
			{
				obj_t BgL_sz00_1552;
				long BgL_kz00_1553;

				BgL_sz00_1552 = BgL_sz00_20;
				BgL_kz00_1553 = ((long) 0);
			BgL_loopz00_1551:
				if (NULLP(BgL_sz00_1552))
					{	/* Unsafe/pcre.scm 157 */
						return BFALSE;
					}
				else
					{	/* Unsafe/pcre.scm 157 */
						if ((BgL_kz00_1553 == (long) CINT(BgL_iz00_21)))
							{	/* Unsafe/pcre.scm 158 */
								return CAR(BgL_sz00_1552);
							}
						else
							{
								long BgL_kz00_2173;
								obj_t BgL_sz00_2171;

								BgL_sz00_2171 = CDR(BgL_sz00_1552);
								BgL_kz00_2173 = (BgL_kz00_1553 + ((long) 1));
								BgL_kz00_1553 = BgL_kz00_2173;
								BgL_sz00_1552 = BgL_sz00_2171;
								goto BgL_loopz00_1551;
							}
					}
			}
		}
	}



/* pregexp-replace-aux */
	obj_t BGl_pregexpzd2replacezd2auxz00zz__regexpz00(obj_t BgL_strz00_22,
		obj_t BgL_insz00_23, long BgL_nz00_24, obj_t BgL_backrefsz00_25)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 164 */
			{
				obj_t BgL_iz00_986;
				obj_t BgL_rz00_987;

				BgL_iz00_986 = BINT(((long) 0));
				BgL_rz00_987 = BGl_string1714z00zz__regexpz00;
			BgL_zc3anonymousza31168ze3z83_988:
				if (((long) CINT(BgL_iz00_986) >= BgL_nz00_24))
					{	/* Unsafe/pcre.scm 166 */
						return BgL_rz00_987;
					}
				else
					{	/* Unsafe/pcre.scm 167 */
						unsigned char BgL_cz00_990;

						BgL_cz00_990 = STRING_REF(BgL_insz00_23, (long) CINT(BgL_iz00_986));
						if ((BgL_cz00_990 == ((unsigned char) '\\')))
							{	/* Unsafe/pcre.scm 169 */
								obj_t BgL_brzd2izd2_992;

								BgL_brzd2izd2_992 =
									BGl_pregexpzd2readzd2escapedzd2numberzd2zz__regexpz00
									(BgL_insz00_23, BgL_iz00_986, BgL_nz00_24);
								{	/* Unsafe/pcre.scm 169 */
									obj_t BgL_brz00_993;

									if (CBOOL(BgL_brzd2izd2_992))
										{	/* Unsafe/pcre.scm 170 */
											BgL_brz00_993 = CAR(BgL_brzd2izd2_992);
										}
									else
										{	/* Unsafe/pcre.scm 170 */
											if (
												(STRING_REF(BgL_insz00_23,
														((long) CINT(BgL_iz00_986) + ((long) 1))) ==
													((unsigned char) '&')))
												{	/* Unsafe/pcre.scm 171 */
													BgL_brz00_993 = BINT(((long) 0));
												}
											else
												{	/* Unsafe/pcre.scm 171 */
													BgL_brz00_993 = BFALSE;
												}
										}
									{	/* Unsafe/pcre.scm 170 */
										obj_t BgL_iz00_994;

										if (CBOOL(BgL_brzd2izd2_992))
											{	/* Unsafe/pcre.scm 173 */
												BgL_iz00_994 = CAR(CDR(BgL_brzd2izd2_992));
											}
										else
											{	/* Unsafe/pcre.scm 173 */
												if (CBOOL(BgL_brz00_993))
													{	/* Unsafe/pcre.scm 174 */
														BgL_iz00_994 =
															BINT(((long) CINT(BgL_iz00_986) + ((long) 2)));
													}
												else
													{	/* Unsafe/pcre.scm 174 */
														BgL_iz00_994 =
															BINT(((long) CINT(BgL_iz00_986) + ((long) 1)));
											}}
										{	/* Unsafe/pcre.scm 173 */

											if (CBOOL(BgL_brz00_993))
												{	/* Unsafe/pcre.scm 182 */
													obj_t BgL_arg1172z00_995;

													{	/* Unsafe/pcre.scm 182 */
														obj_t BgL_backrefz00_996;

														BgL_backrefz00_996 =
															BGl_pregexpzd2listzd2refz00zz__regexpz00
															(BgL_backrefsz00_25, BgL_brz00_993);
														if (CBOOL(BgL_backrefz00_996))
															{	/* Unsafe/pcre.scm 185 */
																obj_t BgL_arg1173z00_997;

																{	/* Unsafe/pcre.scm 185 */
																	obj_t BgL_arg1175z00_998;
																	obj_t BgL_arg1178z00_999;

																	BgL_arg1175z00_998 = CAR(BgL_backrefz00_996);
																	BgL_arg1178z00_999 = CDR(BgL_backrefz00_996);
																	BgL_arg1173z00_997 =
																		c_substring(BgL_strz00_22,
																		(long) CINT(BgL_arg1175z00_998),
																		(long) CINT(BgL_arg1178z00_999));
																}
																BgL_arg1172z00_995 =
																	string_append(BgL_rz00_987,
																	BgL_arg1173z00_997);
															}
														else
															{	/* Unsafe/pcre.scm 183 */
																BgL_arg1172z00_995 = BgL_rz00_987;
															}
													}
													{
														obj_t BgL_rz00_2216;
														obj_t BgL_iz00_2215;

														BgL_iz00_2215 = BgL_iz00_994;
														BgL_rz00_2216 = BgL_arg1172z00_995;
														BgL_rz00_987 = BgL_rz00_2216;
														BgL_iz00_986 = BgL_iz00_2215;
														goto BgL_zc3anonymousza31168ze3z83_988;
													}
												}
											else
												{	/* Unsafe/pcre.scm 177 */
													unsigned char BgL_c2z00_1000;

													BgL_c2z00_1000 =
														STRING_REF(BgL_insz00_23,
														(long) CINT(BgL_iz00_994));
													{	/* Unsafe/pcre.scm 178 */
														long BgL_arg1179z00_1001;
														obj_t BgL_arg1180z00_1002;

														BgL_arg1179z00_1001 =
															((long) CINT(BgL_iz00_994) + ((long) 1));
														if ((BgL_c2z00_1000 == ((unsigned char) '$')))
															{	/* Unsafe/pcre.scm 179 */
																BgL_arg1180z00_1002 = BgL_rz00_987;
															}
														else
															{	/* Unsafe/pcre.scm 180 */
																obj_t BgL_arg1182z00_1004;

																{	/* Unsafe/pcre.scm 180 */
																	obj_t BgL_list1183z00_1005;

																	BgL_list1183z00_1005 =
																		MAKE_PAIR(BCHAR(BgL_c2z00_1000), BNIL);
																	BgL_arg1182z00_1004 =
																		BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
																		(BgL_list1183z00_1005);
																}
																BgL_arg1180z00_1002 =
																	string_append(BgL_rz00_987,
																	BgL_arg1182z00_1004);
															}
														{
															obj_t BgL_rz00_2229;
															obj_t BgL_iz00_2227;

															BgL_iz00_2227 = BINT(BgL_arg1179z00_1001);
															BgL_rz00_2229 = BgL_arg1180z00_1002;
															BgL_rz00_987 = BgL_rz00_2229;
															BgL_iz00_986 = BgL_iz00_2227;
															goto BgL_zc3anonymousza31168ze3z83_988;
														}
													}
												}
										}
									}
								}
							}
						else
							{	/* Unsafe/pcre.scm 187 */
								long BgL_arg1193z00_1009;
								obj_t BgL_arg1198z00_1010;

								BgL_arg1193z00_1009 = ((long) CINT(BgL_iz00_986) + ((long) 1));
								{	/* Unsafe/pcre.scm 187 */
									obj_t BgL_arg1199z00_1011;

									{	/* Unsafe/pcre.scm 187 */
										obj_t BgL_list1200z00_1012;

										BgL_list1200z00_1012 = MAKE_PAIR(BCHAR(BgL_cz00_990), BNIL);
										BgL_arg1199z00_1011 =
											BGl_listzd2ze3stringz31zz__r4_strings_6_7z00
											(BgL_list1200z00_1012);
									}
									BgL_arg1198z00_1010 =
										string_append(BgL_rz00_987, BgL_arg1199z00_1011);
								}
								{
									obj_t BgL_rz00_2238;
									obj_t BgL_iz00_2236;

									BgL_iz00_2236 = BINT(BgL_arg1193z00_1009);
									BgL_rz00_2238 = BgL_arg1198z00_1010;
									BgL_rz00_987 = BgL_rz00_2238;
									BgL_iz00_986 = BgL_iz00_2236;
									goto BgL_zc3anonymousza31168ze3z83_988;
								}
							}
					}
			}
		}
	}



/* pregexp-split */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2splitzd2zz__regexpz00(obj_t
		BgL_patz00_26, obj_t BgL_strz00_27)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 192 */
			{	/* Unsafe/pcre.scm 194 */
				long BgL_nz00_1014;

				BgL_nz00_1014 = STRING_LENGTH(BgL_strz00_27);
				{
					obj_t BgL_iz00_1017;
					obj_t BgL_rz00_1018;
					bool_t BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1019;

					BgL_iz00_1017 = BINT(((long) 0));
					BgL_rz00_1018 = BNIL;
					BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1019 = ((bool_t) 0);
				BgL_zc3anonymousza31201ze3z83_1020:
					if (((long) CINT(BgL_iz00_1017) >= BgL_nz00_1014))
						{	/* Unsafe/pcre.scm 196 */
							return bgl_reverse_bang(BgL_rz00_1018);
						}
					else
						{	/* Unsafe/pcre.scm 197 */
							obj_t BgL_g1046z00_1022;

							{	/* Unsafe/pcre.scm 197 */
								obj_t BgL_list1219z00_1039;

								{	/* Unsafe/pcre.scm 197 */
									obj_t BgL_arg1220z00_1040;

									BgL_arg1220z00_1040 = MAKE_PAIR(BINT(BgL_nz00_1014), BNIL);
									BgL_list1219z00_1039 =
										MAKE_PAIR(BgL_iz00_1017, BgL_arg1220z00_1040);
								}
								BgL_g1046z00_1022 =
									BGl_matchz00zz__regexpz00(BgL_patz00_26, BgL_strz00_27,
									((bool_t) 0), BgL_list1219z00_1039);
							}
							if (CBOOL(BgL_g1046z00_1022))
								{	/* Unsafe/pcre.scm 200 */
									obj_t BgL_jkz00_1025;

									BgL_jkz00_1025 = CAR(BgL_g1046z00_1022);
									{	/* Unsafe/pcre.scm 201 */
										obj_t BgL_jz00_1026;
										obj_t BgL_kz00_1027;

										BgL_jz00_1026 = CAR(BgL_jkz00_1025);
										BgL_kz00_1027 = CDR(BgL_jkz00_1025);
										if (
											((long) CINT(BgL_jz00_1026) ==
												(long) CINT(BgL_kz00_1027)))
											{	/* Unsafe/pcre.scm 203 */
												long BgL_arg1205z00_1029;
												obj_t BgL_arg1206z00_1030;

												BgL_arg1205z00_1029 =
													((long) CINT(BgL_kz00_1027) + ((long) 1));
												BgL_arg1206z00_1030 =
													MAKE_PAIR(c_substring(BgL_strz00_27,
														(long) CINT(BgL_iz00_1017),
														((long) CINT(BgL_jz00_1026) + ((long) 1))),
													BgL_rz00_1018);
												{
													bool_t
														BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2268;
													obj_t BgL_rz00_2267;
													obj_t BgL_iz00_2265;

													BgL_iz00_2265 = BINT(BgL_arg1205z00_1029);
													BgL_rz00_2267 = BgL_arg1206z00_1030;
													BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2268
														= ((bool_t) 1);
													BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1019
														=
														BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2268;
													BgL_rz00_1018 = BgL_rz00_2267;
													BgL_iz00_1017 = BgL_iz00_2265;
													goto BgL_zc3anonymousza31201ze3z83_1020;
												}
											}
										else
											{	/* Unsafe/pcre.scm 205 */
												bool_t BgL_testz00_2269;

												if (
													((long) CINT(BgL_jz00_1026) ==
														(long) CINT(BgL_iz00_1017)))
													{	/* Unsafe/pcre.scm 205 */
														BgL_testz00_2269 =
															BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1019;
													}
												else
													{	/* Unsafe/pcre.scm 205 */
														BgL_testz00_2269 = ((bool_t) 0);
													}
												if (BgL_testz00_2269)
													{
														bool_t
															BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2275;
														obj_t BgL_iz00_2274;

														BgL_iz00_2274 = BgL_kz00_1027;
														BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2275
															= ((bool_t) 0);
														BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1019
															=
															BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2275;
														BgL_iz00_1017 = BgL_iz00_2274;
														goto BgL_zc3anonymousza31201ze3z83_1020;
													}
												else
													{	/* Unsafe/pcre.scm 208 */
														obj_t BgL_arg1212z00_1034;

														BgL_arg1212z00_1034 =
															MAKE_PAIR(c_substring(BgL_strz00_27,
																(long) CINT(BgL_iz00_1017),
																(long) CINT(BgL_jz00_1026)), BgL_rz00_1018);
														{
															bool_t
																BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2282;
															obj_t BgL_rz00_2281;
															obj_t BgL_iz00_2280;

															BgL_iz00_2280 = BgL_kz00_1027;
															BgL_rz00_2281 = BgL_arg1212z00_1034;
															BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2282
																= ((bool_t) 0);
															BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1019
																=
																BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2282;
															BgL_rz00_1018 = BgL_rz00_2281;
															BgL_iz00_1017 = BgL_iz00_2280;
															goto BgL_zc3anonymousza31201ze3z83_1020;
														}
													}
											}
									}
								}
							else
								{	/* Unsafe/pcre.scm 209 */
									obj_t BgL_arg1216z00_1037;

									BgL_arg1216z00_1037 =
										MAKE_PAIR(c_substring(BgL_strz00_27,
											(long) CINT(BgL_iz00_1017), BgL_nz00_1014),
										BgL_rz00_1018);
									{
										bool_t
											BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2289;
										obj_t BgL_rz00_2288;
										obj_t BgL_iz00_2286;

										BgL_iz00_2286 = BINT(BgL_nz00_1014);
										BgL_rz00_2288 = BgL_arg1216z00_1037;
										BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2289 =
											((bool_t) 0);
										BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_1019 =
											BgL_pickedzd2upzd2onezd2undelimitedzd2charzf3zf3_2289;
										BgL_rz00_1018 = BgL_rz00_2288;
										BgL_iz00_1017 = BgL_iz00_2286;
										goto BgL_zc3anonymousza31201ze3z83_1020;
									}
								}
						}
				}
			}
		}
	}



/* &pregexp-split */
	obj_t BGl_z62pregexpzd2splitzb0zz__regexpz00(obj_t BgL_envz00_1947,
		obj_t BgL_patz00_1948, obj_t BgL_strz00_1949)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 192 */
			{	/* Unsafe/pcre.scm 194 */
				obj_t BgL_auxz00_2291;

				if (STRINGP(BgL_strz00_1949))
					{	/* Unsafe/pcre.scm 194 */
						BgL_auxz00_2291 = BgL_strz00_1949;
					}
				else
					{
						obj_t BgL_auxz00_2294;

						BgL_auxz00_2294 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1707z00zz__regexpz00,
							BINT(((long) 7812)), BGl_string1715z00zz__regexpz00,
							BGl_string1711z00zz__regexpz00, BgL_strz00_1949);
						FAILURE(BgL_auxz00_2294, BFALSE, BFALSE);
					}
				return
					BGl_pregexpzd2splitzd2zz__regexpz00(BgL_patz00_1948, BgL_auxz00_2291);
			}
		}
	}



/* pregexp-replace */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2replacezd2zz__regexpz00(obj_t
		BgL_patz00_28, obj_t BgL_strz00_29, obj_t BgL_insz00_30)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 214 */
			{	/* Unsafe/pcre.scm 215 */
				long BgL_nz00_1042;

				BgL_nz00_1042 = STRING_LENGTH(BgL_strz00_29);
				{	/* Unsafe/pcre.scm 215 */
					obj_t BgL_ppz00_1043;

					{	/* Unsafe/pcre.scm 216 */
						obj_t BgL_list1225z00_1050;

						{	/* Unsafe/pcre.scm 216 */
							obj_t BgL_arg1227z00_1051;

							BgL_arg1227z00_1051 = MAKE_PAIR(BINT(BgL_nz00_1042), BNIL);
							BgL_list1225z00_1050 =
								MAKE_PAIR(BINT(((long) 0)), BgL_arg1227z00_1051);
						}
						BgL_ppz00_1043 =
							BGl_matchz00zz__regexpz00(BgL_patz00_28, BgL_strz00_29,
							((bool_t) 0), BgL_list1225z00_1050);
					}
					{	/* Unsafe/pcre.scm 216 */

						if (CBOOL(BgL_ppz00_1043))
							{	/* Unsafe/pcre.scm 218 */
								long BgL_inszd2lenzd2_1044;
								obj_t BgL_mzd2izd2_1045;
								obj_t BgL_mzd2nzd2_1046;

								BgL_inszd2lenzd2_1044 = STRING_LENGTH(BgL_insz00_30);
								BgL_mzd2izd2_1045 = CAR(CAR(BgL_ppz00_1043));
								BgL_mzd2nzd2_1046 = CDR(CAR(BgL_ppz00_1043));
								return
									string_append_3(c_substring(BgL_strz00_29, ((long) 0),
										(long) CINT(BgL_mzd2izd2_1045)),
									BGl_pregexpzd2replacezd2auxz00zz__regexpz00(BgL_strz00_29,
										BgL_insz00_30, BgL_inszd2lenzd2_1044, BgL_ppz00_1043),
									c_substring(BgL_strz00_29, (long) CINT(BgL_mzd2nzd2_1046),
										BgL_nz00_1042));
							}
						else
							{	/* Unsafe/pcre.scm 217 */
								return BgL_strz00_29;
							}
					}
				}
			}
		}
	}



/* &pregexp-replace */
	obj_t BGl_z62pregexpzd2replacezb0zz__regexpz00(obj_t BgL_envz00_1950,
		obj_t BgL_patz00_1951, obj_t BgL_strz00_1952, obj_t BgL_insz00_1953)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 214 */
			{	/* Unsafe/pcre.scm 215 */
				obj_t BgL_auxz00_2325;
				obj_t BgL_auxz00_2318;

				if (STRINGP(BgL_insz00_1953))
					{	/* Unsafe/pcre.scm 215 */
						BgL_auxz00_2325 = BgL_insz00_1953;
					}
				else
					{
						obj_t BgL_auxz00_2328;

						BgL_auxz00_2328 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1707z00zz__regexpz00,
							BINT(((long) 8628)), BGl_string1716z00zz__regexpz00,
							BGl_string1711z00zz__regexpz00, BgL_insz00_1953);
						FAILURE(BgL_auxz00_2328, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_strz00_1952))
					{	/* Unsafe/pcre.scm 215 */
						BgL_auxz00_2318 = BgL_strz00_1952;
					}
				else
					{
						obj_t BgL_auxz00_2321;

						BgL_auxz00_2321 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1707z00zz__regexpz00,
							BINT(((long) 8628)), BGl_string1716z00zz__regexpz00,
							BGl_string1711z00zz__regexpz00, BgL_strz00_1952);
						FAILURE(BgL_auxz00_2321, BFALSE, BFALSE);
					}
				return
					BGl_pregexpzd2replacezd2zz__regexpz00(BgL_patz00_1951,
					BgL_auxz00_2318, BgL_auxz00_2325);
			}
		}
	}



/* pregexp-replace* */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2replaceza2z70zz__regexpz00(obj_t
		BgL_patz00_31, obj_t BgL_strz00_32, obj_t BgL_insz00_33)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 229 */
			{	/* Unsafe/pcre.scm 232 */
				obj_t BgL_patz00_1052;
				long BgL_nz00_1053;
				long BgL_inszd2lenzd2_1054;

				if (STRINGP(BgL_patz00_31))
					{	/* Unsafe/pcre.scm 232 */
						BgL_patz00_1052 = bgl_regcomp(BgL_patz00_31, BNIL);
					}
				else
					{	/* Unsafe/pcre.scm 232 */
						BgL_patz00_1052 = BgL_patz00_31;
					}
				BgL_nz00_1053 = STRING_LENGTH(BgL_strz00_32);
				BgL_inszd2lenzd2_1054 = STRING_LENGTH(BgL_insz00_33);
				{
					obj_t BgL_iz00_1056;
					obj_t BgL_rz00_1057;

					BgL_iz00_1056 = BINT(((long) 0));
					BgL_rz00_1057 = BGl_string1714z00zz__regexpz00;
				BgL_zc3anonymousza31228ze3z83_1058:
					if (((long) CINT(BgL_iz00_1056) >= BgL_nz00_1053))
						{	/* Unsafe/pcre.scm 238 */
							return BgL_rz00_1057;
						}
					else
						{	/* Unsafe/pcre.scm 239 */
							obj_t BgL_ppz00_1060;

							{	/* Unsafe/pcre.scm 239 */
								obj_t BgL_list1240z00_1068;

								{	/* Unsafe/pcre.scm 239 */
									obj_t BgL_arg1241z00_1069;

									BgL_arg1241z00_1069 = MAKE_PAIR(BINT(BgL_nz00_1053), BNIL);
									BgL_list1240z00_1068 =
										MAKE_PAIR(BgL_iz00_1056, BgL_arg1241z00_1069);
								}
								BgL_ppz00_1060 =
									BGl_matchz00zz__regexpz00(BgL_patz00_1052, BgL_strz00_32,
									((bool_t) 0), BgL_list1240z00_1068);
							}
							if (CBOOL(BgL_ppz00_1060))
								{	/* Unsafe/pcre.scm 250 */
									obj_t BgL_arg1231z00_1061;
									obj_t BgL_arg1233z00_1062;

									BgL_arg1231z00_1061 = CDR(CAR(BgL_ppz00_1060));
									{	/* Unsafe/pcre.scm 253 */
										obj_t BgL_arg1234z00_1063;
										obj_t BgL_arg1236z00_1064;

										{	/* Unsafe/pcre.scm 253 */
											obj_t BgL_arg1237z00_1065;

											BgL_arg1237z00_1065 = CAR(CAR(BgL_ppz00_1060));
											BgL_arg1234z00_1063 =
												c_substring(BgL_strz00_32,
												(long) CINT(BgL_iz00_1056),
												(long) CINT(BgL_arg1237z00_1065));
										}
										BgL_arg1236z00_1064 =
											BGl_pregexpzd2replacezd2auxz00zz__regexpz00(BgL_strz00_32,
											BgL_insz00_33, BgL_inszd2lenzd2_1054, BgL_ppz00_1060);
										BgL_arg1233z00_1062 =
											string_append_3(BgL_rz00_1057, BgL_arg1234z00_1063,
											BgL_arg1236z00_1064);
									}
									{
										obj_t BgL_rz00_2357;
										obj_t BgL_iz00_2356;

										BgL_iz00_2356 = BgL_arg1231z00_1061;
										BgL_rz00_2357 = BgL_arg1233z00_1062;
										BgL_rz00_1057 = BgL_rz00_2357;
										BgL_iz00_1056 = BgL_iz00_2356;
										goto BgL_zc3anonymousza31228ze3z83_1058;
									}
								}
							else
								{	/* Unsafe/pcre.scm 240 */
									if (((long) CINT(BgL_iz00_1056) == ((long) 0)))
										{	/* Unsafe/pcre.scm 241 */
											return BgL_strz00_32;
										}
									else
										{	/* Unsafe/pcre.scm 241 */
											return
												string_append(BgL_rz00_1057,
												c_substring(BgL_strz00_32,
													(long) CINT(BgL_iz00_1056), BgL_nz00_1053));
		}}}}}}
	}



/* &pregexp-replace* */
	obj_t BGl_z62pregexpzd2replaceza2z12zz__regexpz00(obj_t BgL_envz00_1954,
		obj_t BgL_patz00_1955, obj_t BgL_strz00_1956, obj_t BgL_insz00_1957)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 229 */
			{	/* Unsafe/pcre.scm 232 */
				obj_t BgL_auxz00_2372;
				obj_t BgL_auxz00_2365;

				if (STRINGP(BgL_insz00_1957))
					{	/* Unsafe/pcre.scm 232 */
						BgL_auxz00_2372 = BgL_insz00_1957;
					}
				else
					{
						obj_t BgL_auxz00_2375;

						BgL_auxz00_2375 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1707z00zz__regexpz00,
							BINT(((long) 9252)), BGl_string1717z00zz__regexpz00,
							BGl_string1711z00zz__regexpz00, BgL_insz00_1957);
						FAILURE(BgL_auxz00_2375, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_strz00_1956))
					{	/* Unsafe/pcre.scm 232 */
						BgL_auxz00_2365 = BgL_strz00_1956;
					}
				else
					{
						obj_t BgL_auxz00_2368;

						BgL_auxz00_2368 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1707z00zz__regexpz00,
							BINT(((long) 9252)), BGl_string1717z00zz__regexpz00,
							BGl_string1711z00zz__regexpz00, BgL_strz00_1956);
						FAILURE(BgL_auxz00_2368, BFALSE, BFALSE);
					}
				return
					BGl_pregexpzd2replaceza2z70zz__regexpz00(BgL_patz00_1955,
					BgL_auxz00_2365, BgL_auxz00_2372);
			}
		}
	}



/* pregexp-quote */
	BGL_EXPORTED_DEF obj_t BGl_pregexpzd2quotezd2zz__regexpz00(obj_t BgL_sz00_34)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 259 */
			{	/* Unsafe/pcre.scm 260 */
				long BgL_g1048z00_1073;

				BgL_g1048z00_1073 = (STRING_LENGTH(BgL_sz00_34) - ((long) 1));
				{
					long BgL_iz00_1076;
					obj_t BgL_rz00_1077;

					BgL_iz00_1076 = BgL_g1048z00_1073;
					BgL_rz00_1077 = BNIL;
				BgL_zc3anonymousza31244ze3z83_1078:
					if ((BgL_iz00_1076 < ((long) 0)))
						{	/* Unsafe/pcre.scm 261 */
							return
								BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_rz00_1077);
						}
					else
						{	/* Unsafe/pcre.scm 263 */
							long BgL_arg1246z00_1080;
							obj_t BgL_arg1248z00_1081;

							BgL_arg1246z00_1080 = (BgL_iz00_1076 - ((long) 1));
							{	/* Unsafe/pcre.scm 264 */
								unsigned char BgL_cz00_1082;

								BgL_cz00_1082 = STRING_REF(BgL_sz00_34, BgL_iz00_1076);
								if (CBOOL(BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BCHAR
											(BgL_cz00_1082), BGl_list1718z00zz__regexpz00)))
									{	/* Unsafe/pcre.scm 267 */
										obj_t BgL_arg1250z00_1084;

										BgL_arg1250z00_1084 =
											MAKE_PAIR(BCHAR(BgL_cz00_1082), BgL_rz00_1077);
										BgL_arg1248z00_1081 =
											MAKE_PAIR(BCHAR(((unsigned char) '\\')),
											BgL_arg1250z00_1084);
									}
								else
									{	/* Unsafe/pcre.scm 265 */
										BgL_arg1248z00_1081 =
											MAKE_PAIR(BCHAR(BgL_cz00_1082), BgL_rz00_1077);
									}
							}
							{
								obj_t BgL_rz00_2398;
								long BgL_iz00_2397;

								BgL_iz00_2397 = BgL_arg1246z00_1080;
								BgL_rz00_2398 = BgL_arg1248z00_1081;
								BgL_rz00_1077 = BgL_rz00_2398;
								BgL_iz00_1076 = BgL_iz00_2397;
								goto BgL_zc3anonymousza31244ze3z83_1078;
							}
						}
				}
			}
		}
	}



/* &pregexp-quote */
	obj_t BGl_z62pregexpzd2quotezb0zz__regexpz00(obj_t BgL_envz00_1958,
		obj_t BgL_sz00_1959)
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 259 */
			{	/* Unsafe/pcre.scm 260 */
				obj_t BgL_auxz00_2399;

				if (STRINGP(BgL_sz00_1959))
					{	/* Unsafe/pcre.scm 260 */
						BgL_auxz00_2399 = BgL_sz00_1959;
					}
				else
					{
						obj_t BgL_auxz00_2402;

						BgL_auxz00_2402 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1707z00zz__regexpz00,
							BINT(((long) 10213)), BGl_string1719z00zz__regexpz00,
							BGl_string1711z00zz__regexpz00, BgL_sz00_1959);
						FAILURE(BgL_auxz00_2402, BFALSE, BFALSE);
					}
				return BGl_pregexpzd2quotezd2zz__regexpz00(BgL_auxz00_2399);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__regexpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__regexpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__regexpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__regexpz00()
	{
		AN_OBJECT;
		{	/* Unsafe/pcre.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 430898742),
				BSTRING_TO_STRING(BGl_string1720z00zz__regexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
