/*===========================================================================*/
/*   (Unsafe/sha1.scm)                                                       */
/*   Bigloo (4.2c)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 21 13:29:02 CET 2015        */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c +rm -lib-dir /home/serrano/prgm/project/bigloo/lib/bigloo/4.2c -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Unsafe/sha1.scm -indent -o objs/obj_u/Unsafe/sha1.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__sha1z00 = BUNSPEC;
	static obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t, obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__sha1z00();
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__sha1z00();
	static obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__sha1z00();
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t);
	extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_z62zc3anonymousza31461ze3ze1zz__sha1z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__sha1z00();
	static obj_t BGl_z62zc3anonymousza31462ze3ze1zz__sha1z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumz00zz__sha1z00(obj_t);
	extern obj_t make_string(long, unsigned char);
	extern obj_t bgl_close_input_port(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_Kz00zz__sha1z00 = BUNSPEC;
	extern obj_t BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t,
		unsigned char);
	static uint32_t BGl_fz00zz__sha1z00(int, uint32_t, uint32_t, uint32_t);
	static obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t, obj_t);
	static obj_t BGl_sha1z00zz__sha1z00(long, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t);
	extern obj_t BGl_ceilingz00zz__r4_numbers_6_5z00(obj_t);
	extern bool_t rgc_buffer_eof_p(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00();
	extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	extern long bgl_rgc_blit_string(obj_t, char *, long, long);
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	static obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t, long, uint32_t);
	static obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2portzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2por2199z00, BGl_z62sha1sumzd2portzb0zz__sha1z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2187z00zz__sha1z00,
		BgL_bgl_string2187za700za7za7_2200za7,
		"/tmp/bigloo/runtime/Unsafe/sha1.scm", 35);
	      DEFINE_STRING(BGl_string2188z00zz__sha1z00,
		BgL_bgl_string2188za700za7za7_2201za7, "&sha1sum-string", 15);
	      DEFINE_STRING(BGl_string2189z00zz__sha1z00,
		BgL_bgl_string2189za700za7za7_2202za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2190z00zz__sha1z00,
		BgL_bgl_string2190za700za7za7_2203za7, "&sha1sum-mmap", 13);
	      DEFINE_STRING(BGl_string2191z00zz__sha1z00,
		BgL_bgl_string2191za700za7za7_2204za7, "mmap", 4);
	      DEFINE_STRING(BGl_string2192z00zz__sha1z00,
		BgL_bgl_string2192za700za7za7_2205za7, "&sha1sum-port", 13);
	      DEFINE_STRING(BGl_string2193z00zz__sha1z00,
		BgL_bgl_string2193za700za7za7_2206za7, "input-port", 10);
	      DEFINE_STRING(BGl_string2194z00zz__sha1z00,
		BgL_bgl_string2194za700za7za7_2207za7, "&sha1sum-file", 13);
	      DEFINE_STRING(BGl_string2195z00zz__sha1z00,
		BgL_bgl_string2195za700za7za7_2208za7, "sha1sum", 7);
	      DEFINE_STRING(BGl_string2196z00zz__sha1z00,
		BgL_bgl_string2196za700za7za7_2209za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2197z00zz__sha1z00,
		BgL_bgl_string2197za700za7za7_2210za7, "&hmac-sha1sum-string", 20);
	      DEFINE_STRING(BGl_string2198z00zz__sha1z00,
		BgL_bgl_string2198za700za7za7_2211za7, "__sha1", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2envzd2zz__sha1z00,
		BgL_bgl_za762sha1sumza762za7za7_2212z00, BGl_z62sha1sumz62zz__sha1z00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2mmapzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2mma2213z00, BGl_z62sha1sumzd2mmapzb0zz__sha1z00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hmaczd2sha1sumzd2stringzd2envzd2zz__sha1z00,
		BgL_bgl_za762hmacza7d2sha1su2214z00,
		BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2filezd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2fil2215z00, BGl_z62sha1sumzd2filezb0zz__sha1z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2stringzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2str2216z00, BGl_z62sha1sumzd2stringzb0zz__sha1z00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long
		BgL_checksumz00_3231, char *BgL_fromz00_3232)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__sha1z00))
				{
					BGl_requirezd2initializa7ationz75zz__sha1z00 = BBOOL(((bool_t) 0));
					BGl_importedzd2moduleszd2initz00zz__sha1z00();
					return BGl_toplevelzd2initzd2zz__sha1z00();
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__sha1z00()
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 17 */
			{	/* Unsafe/sha1.scm 129 */
				obj_t BgL_vz00_1190;

				{	/* Llib/srfi4.scm 451 */

					BgL_vz00_1190 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 4), (uint32_t) (0));
				}
				{	/* Unsafe/sha1.scm 130 */
					uint32_t BgL_arg1172z00_1191;

					{	/* Unsafe/sha1.scm 130 */
						uint32_t BgL_arg1173z00_1192;
						uint32_t BgL_arg1175z00_1193;

						{	/* Unsafe/sha1.scm 130 */
							uint32_t BgL_arg1178z00_1194;

							{	/* Unsafe/sha1.scm 130 */
								uint32_t BgL_res1794z00_1895;

								BgL_res1794z00_1895 = (uint32_t) (((long) 23170));
								BgL_arg1178z00_1194 = BgL_res1794z00_1895;
							}
							BgL_arg1173z00_1192 =
								(BgL_arg1178z00_1194 << (int) (((long) 16)));
						}
						{	/* Unsafe/sha1.scm 130 */
							uint32_t BgL_res1796z00_1900;

							BgL_res1796z00_1900 = (uint32_t) (((long) 31129));
							BgL_arg1175z00_1193 = BgL_res1796z00_1900;
						}
						BgL_arg1172z00_1191 = (BgL_arg1173z00_1192 | BgL_arg1175z00_1193);
					}
					BGL_U32VSET(BgL_vz00_1190, ((long) 0), BgL_arg1172z00_1191);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 131 */
					uint32_t BgL_arg1179z00_1195;

					{	/* Unsafe/sha1.scm 131 */
						uint32_t BgL_arg1180z00_1196;
						uint32_t BgL_arg1181z00_1197;

						{	/* Unsafe/sha1.scm 131 */
							uint32_t BgL_arg1182z00_1198;

							{	/* Unsafe/sha1.scm 131 */
								uint32_t BgL_res1798z00_1905;

								BgL_res1798z00_1905 = (uint32_t) (((long) 28377));
								BgL_arg1182z00_1198 = BgL_res1798z00_1905;
							}
							BgL_arg1180z00_1196 =
								(BgL_arg1182z00_1198 << (int) (((long) 16)));
						}
						{	/* Unsafe/sha1.scm 131 */
							uint32_t BgL_res1800z00_1910;

							BgL_res1800z00_1910 = (uint32_t) (((long) 60321));
							BgL_arg1181z00_1197 = BgL_res1800z00_1910;
						}
						BgL_arg1179z00_1195 = (BgL_arg1180z00_1196 | BgL_arg1181z00_1197);
					}
					BGL_U32VSET(BgL_vz00_1190, ((long) 1), BgL_arg1179z00_1195);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 132 */
					uint32_t BgL_arg1183z00_1199;

					{	/* Unsafe/sha1.scm 132 */
						uint32_t BgL_arg1184z00_1200;
						uint32_t BgL_arg1186z00_1201;

						{	/* Unsafe/sha1.scm 132 */
							uint32_t BgL_arg1190z00_1202;

							{	/* Unsafe/sha1.scm 132 */
								uint32_t BgL_res1802z00_1915;

								BgL_res1802z00_1915 = (uint32_t) (((long) 36635));
								BgL_arg1190z00_1202 = BgL_res1802z00_1915;
							}
							BgL_arg1184z00_1200 =
								(BgL_arg1190z00_1202 << (int) (((long) 16)));
						}
						{	/* Unsafe/sha1.scm 132 */
							uint32_t BgL_res1804z00_1920;

							BgL_res1804z00_1920 = (uint32_t) (((long) 48348));
							BgL_arg1186z00_1201 = BgL_res1804z00_1920;
						}
						BgL_arg1183z00_1199 = (BgL_arg1184z00_1200 | BgL_arg1186z00_1201);
					}
					BGL_U32VSET(BgL_vz00_1190, ((long) 2), BgL_arg1183z00_1199);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 133 */
					uint32_t BgL_arg1193z00_1203;

					{	/* Unsafe/sha1.scm 133 */
						uint32_t BgL_arg1198z00_1204;
						uint32_t BgL_arg1199z00_1205;

						{	/* Unsafe/sha1.scm 133 */
							uint32_t BgL_arg1201z00_1206;

							{	/* Unsafe/sha1.scm 133 */
								uint32_t BgL_res1806z00_1925;

								BgL_res1806z00_1925 = (uint32_t) (((long) 51810));
								BgL_arg1201z00_1206 = BgL_res1806z00_1925;
							}
							BgL_arg1198z00_1204 =
								(BgL_arg1201z00_1206 << (int) (((long) 16)));
						}
						{	/* Unsafe/sha1.scm 133 */
							uint32_t BgL_res1808z00_1930;

							BgL_res1808z00_1930 = (uint32_t) (((long) 49622));
							BgL_arg1199z00_1205 = BgL_res1808z00_1930;
						}
						BgL_arg1193z00_1203 = (BgL_arg1198z00_1204 | BgL_arg1199z00_1205);
					}
					BGL_U32VSET(BgL_vz00_1190, ((long) 3), BgL_arg1193z00_1203);
					BUNSPEC;
				}
				return (BGl_Kz00zz__sha1z00 = BgL_vz00_1190, BUNSPEC);
			}
		}
	}



/* u32-fill! */
	obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t BgL_strz00_5,
		long BgL_offsetz00_6, uint32_t BgL_wz00_7)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 105 */
			{	/* Unsafe/sha1.scm 106 */
				obj_t BgL_s1z00_1220;

				{	/* Unsafe/sha1.scm 106 */
					long BgL_arg1224z00_1231;

					{	/* Unsafe/sha1.scm 106 */
						uint32_t BgL_arg1227z00_1232;

						BgL_arg1227z00_1232 = (BgL_wz00_7 >> (int) (((long) 16)));
						{	/* Unsafe/sha1.scm 106 */
							long BgL_res1816z00_1956;

							{	/* Unsafe/sha1.scm 106 */
								long BgL_arg1762z00_1953;

								BgL_arg1762z00_1953 = (long) (BgL_arg1227z00_1232);
								{	/* Unsafe/sha1.scm 106 */
									long BgL_res1815z00_1955;

									{	/* Unsafe/sha1.scm 106 */
										long BgL_auxz00_3266;

										{	/* Unsafe/sha1.scm 106 */
											long BgL_auxz00_3267;

											BgL_auxz00_3267 = (long) (BgL_arg1762z00_1953);
											BgL_auxz00_3266 = (long) (BgL_auxz00_3267);
										}
										BgL_res1815z00_1955 = (long) (BgL_auxz00_3266);
									}
									BgL_res1816z00_1956 = BgL_res1815z00_1955;
							}}
							BgL_arg1224z00_1231 = BgL_res1816z00_1956;
					}}
					BgL_s1z00_1220 =
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_arg1224z00_1231, ((long) 16));
				}
				{	/* Unsafe/sha1.scm 106 */
					long BgL_l1z00_1221;

					BgL_l1z00_1221 = STRING_LENGTH(BgL_s1z00_1220);
					{	/* Unsafe/sha1.scm 107 */
						obj_t BgL_s2z00_1222;

						{	/* Unsafe/sha1.scm 108 */
							long BgL_arg1221z00_1229;

							{	/* Unsafe/sha1.scm 108 */
								uint32_t BgL_arg1223z00_1230;

								BgL_arg1223z00_1230 = (BgL_wz00_7 & (uint32_t) (65535));
								{	/* Unsafe/sha1.scm 108 */
									long BgL_res1820z00_1966;

									{	/* Unsafe/sha1.scm 108 */
										long BgL_arg1762z00_1963;

										BgL_arg1762z00_1963 = (long) (BgL_arg1223z00_1230);
										{	/* Unsafe/sha1.scm 108 */
											long BgL_res1819z00_1965;

											{	/* Unsafe/sha1.scm 108 */
												long BgL_auxz00_3275;

												{	/* Unsafe/sha1.scm 108 */
													long BgL_auxz00_3276;

													BgL_auxz00_3276 = (long) (BgL_arg1762z00_1963);
													BgL_auxz00_3275 = (long) (BgL_auxz00_3276);
												}
												BgL_res1819z00_1965 = (long) (BgL_auxz00_3275);
											}
											BgL_res1820z00_1966 = BgL_res1819z00_1965;
									}}
									BgL_arg1221z00_1229 = BgL_res1820z00_1966;
							}}
							BgL_s2z00_1222 =
								BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
								(BgL_arg1221z00_1229, ((long) 16));
						}
						{	/* Unsafe/sha1.scm 108 */
							long BgL_l2z00_1223;

							BgL_l2z00_1223 = STRING_LENGTH(BgL_s2z00_1222);
							{	/* Unsafe/sha1.scm 109 */

								blit_string(BgL_s1z00_1220, ((long) 0), BgL_strz00_5,
									(BgL_offsetz00_6 +
										(((long) 4) - BgL_l1z00_1221)), BgL_l1z00_1221);
								return
									blit_string(BgL_s2z00_1222, ((long) 0), BgL_strz00_5,
									(BgL_offsetz00_6 +
										(((long) 4) +
											(((long) 4) - BgL_l2z00_1223))), BgL_l2z00_1223);
		}}}}}}
	}



/* f */
	uint32_t BGl_fz00zz__sha1z00(int BgL_sz00_20, uint32_t BgL_xz00_21,
		uint32_t BgL_yz00_22, uint32_t BgL_za7za7_23)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 165 */
			{

				switch ((long) (BgL_sz00_20))
					{
					case ((long) 0):

						return
							((BgL_xz00_21 & BgL_yz00_22) ^ (~(BgL_xz00_21) & BgL_za7za7_23));
						break;
					case ((long) 1):
					case ((long) 3):

						return (BgL_xz00_21 ^ (BgL_yz00_22 ^ BgL_za7za7_23));
						break;
					default:
						return
							(
							((BgL_xz00_21 & BgL_yz00_22) ^
								(BgL_xz00_21 & BgL_za7za7_23)) ^ (BgL_yz00_22 & BgL_za7za7_23));
					}
			}
		}
	}



/* sha1 */
	obj_t BGl_sha1z00zz__sha1z00(long BgL_lenz00_24, obj_t BgL_mz00_25)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 178 */
			{	/* Unsafe/sha1.scm 180 */
				obj_t BgL_wz00_1256;
				long BgL_nz00_1257;

				BgL_wz00_1256 =
					BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 80),
					(uint32_t) (((long) 0)));
				BgL_nz00_1257 = (long) (VECTOR_LENGTH(BgL_mz00_25));
				{	/* Unsafe/sha1.scm 184 */
					obj_t BgL_vecz00_1258;

					{	/* Unsafe/sha1.scm 184 */
						long BgL_arg1256z00_1261;

						BgL_arg1256z00_1261 = (BgL_nz00_1257 - ((long) 1));
						BgL_vecz00_1258 =
							VECTOR_REF(BgL_mz00_25, (int) (BgL_arg1256z00_1261));
					}
					{	/* Unsafe/sha1.scm 185 */
						long BgL_v15z00_1260;

						BgL_v15z00_1260 = (BgL_lenz00_24 * ((long) 8));
						{	/* Unsafe/sha1.scm 186 */

							{	/* Unsafe/sha1.scm 187 */
								uint32_t BgL_auxz00_3310;

								BgL_auxz00_3310 = (uint32_t) (((long) 0));
								BGL_U32VSET(BgL_vecz00_1258, ((long) 14), BgL_auxz00_3310);
							} BUNSPEC;
							{	/* Unsafe/sha1.scm 188 */
								uint32_t BgL_auxz00_3313;

								BgL_auxz00_3313 = (uint32_t) (BgL_v15z00_1260);
								BGL_U32VSET(BgL_vecz00_1258, ((long) 15), BgL_auxz00_3313);
							} BUNSPEC;
				}}}
				{	/* Unsafe/sha1.scm 191 */
					uint32_t BgL_h0z00_1262;

					{	/* Unsafe/sha1.scm 191 */
						uint32_t BgL_arg1374z00_1363;
						uint32_t BgL_arg1375z00_1364;

						{	/* Unsafe/sha1.scm 191 */
							uint32_t BgL_arg1376z00_1365;

							{	/* Unsafe/sha1.scm 191 */
								uint32_t BgL_res1855z00_2091;

								BgL_res1855z00_2091 = (uint32_t) (((long) 26437));
								BgL_arg1376z00_1365 = BgL_res1855z00_2091;
							}
							BgL_arg1374z00_1363 =
								(BgL_arg1376z00_1365 << (int) (((long) 16)));
						}
						{	/* Unsafe/sha1.scm 191 */
							uint32_t BgL_res1857z00_2096;

							BgL_res1857z00_2096 = (uint32_t) (((long) 8961));
							BgL_arg1375z00_1364 = BgL_res1857z00_2096;
						}
						BgL_h0z00_1262 = (BgL_arg1374z00_1363 | BgL_arg1375z00_1364);
					}
					{	/* Unsafe/sha1.scm 191 */
						uint32_t BgL_h1z00_1263;

						{	/* Unsafe/sha1.scm 192 */
							uint32_t BgL_arg1371z00_1360;
							uint32_t BgL_arg1372z00_1361;

							{	/* Unsafe/sha1.scm 192 */
								uint32_t BgL_arg1373z00_1362;

								{	/* Unsafe/sha1.scm 192 */
									uint32_t BgL_res1859z00_2101;

									BgL_res1859z00_2101 = (uint32_t) (((long) 61389));
									BgL_arg1373z00_1362 = BgL_res1859z00_2101;
								}
								BgL_arg1371z00_1360 =
									(BgL_arg1373z00_1362 << (int) (((long) 16)));
							}
							{	/* Unsafe/sha1.scm 192 */
								uint32_t BgL_res1861z00_2106;

								BgL_res1861z00_2106 = (uint32_t) (((long) 43913));
								BgL_arg1372z00_1361 = BgL_res1861z00_2106;
							}
							BgL_h1z00_1263 = (BgL_arg1371z00_1360 | BgL_arg1372z00_1361);
						}
						{	/* Unsafe/sha1.scm 192 */
							uint32_t BgL_h2z00_1264;

							{	/* Unsafe/sha1.scm 193 */
								uint32_t BgL_arg1368z00_1357;
								uint32_t BgL_arg1369z00_1358;

								{	/* Unsafe/sha1.scm 193 */
									uint32_t BgL_arg1370z00_1359;

									{	/* Unsafe/sha1.scm 193 */
										uint32_t BgL_res1863z00_2111;

										BgL_res1863z00_2111 = (uint32_t) (((long) 39098));
										BgL_arg1370z00_1359 = BgL_res1863z00_2111;
									}
									BgL_arg1368z00_1357 =
										(BgL_arg1370z00_1359 << (int) (((long) 16)));
								}
								{	/* Unsafe/sha1.scm 193 */
									uint32_t BgL_res1865z00_2116;

									BgL_res1865z00_2116 = (uint32_t) (((long) 56574));
									BgL_arg1369z00_1358 = BgL_res1865z00_2116;
								}
								BgL_h2z00_1264 = (BgL_arg1368z00_1357 | BgL_arg1369z00_1358);
							}
							{	/* Unsafe/sha1.scm 193 */
								uint32_t BgL_h3z00_1265;

								{	/* Unsafe/sha1.scm 194 */
									uint32_t BgL_arg1363z00_1354;
									uint32_t BgL_arg1364z00_1355;

									{	/* Unsafe/sha1.scm 194 */
										uint32_t BgL_arg1366z00_1356;

										{	/* Unsafe/sha1.scm 194 */
											uint32_t BgL_res1867z00_2121;

											BgL_res1867z00_2121 = (uint32_t) (((long) 4146));
											BgL_arg1366z00_1356 = BgL_res1867z00_2121;
										}
										BgL_arg1363z00_1354 =
											(BgL_arg1366z00_1356 << (int) (((long) 16)));
									}
									{	/* Unsafe/sha1.scm 194 */
										uint32_t BgL_res1869z00_2126;

										BgL_res1869z00_2126 = (uint32_t) (((long) 21622));
										BgL_arg1364z00_1355 = BgL_res1869z00_2126;
									}
									BgL_h3z00_1265 = (BgL_arg1363z00_1354 | BgL_arg1364z00_1355);
								}
								{	/* Unsafe/sha1.scm 194 */
									uint32_t BgL_h4z00_1266;

									{	/* Unsafe/sha1.scm 195 */
										uint32_t BgL_arg1357z00_1351;
										uint32_t BgL_arg1360z00_1352;

										{	/* Unsafe/sha1.scm 195 */
											uint32_t BgL_arg1361z00_1353;

											{	/* Unsafe/sha1.scm 195 */
												uint32_t BgL_res1871z00_2131;

												BgL_res1871z00_2131 = (uint32_t) (((long) 50130));
												BgL_arg1361z00_1353 = BgL_res1871z00_2131;
											}
											BgL_arg1357z00_1351 =
												(BgL_arg1361z00_1353 << (int) (((long) 16)));
										}
										{	/* Unsafe/sha1.scm 195 */
											uint32_t BgL_res1873z00_2136;

											BgL_res1873z00_2136 = (uint32_t) (((long) 57840));
											BgL_arg1360z00_1352 = BgL_res1873z00_2136;
										}
										BgL_h4z00_1266 =
											(BgL_arg1357z00_1351 | BgL_arg1360z00_1352);
									}
									{	/* Unsafe/sha1.scm 195 */

										{
											long BgL_iz00_1269;

											BgL_iz00_1269 = ((long) 0);
										BgL_zc3anonymousza31257ze3z83_1270:
											if ((BgL_iz00_1269 < BgL_nz00_1257))
												{	/* Unsafe/sha1.scm 198 */
													{
														long BgL_tz00_2157;

														BgL_tz00_2157 = ((long) 0);
													BgL_for1056z00_2156:
														if ((BgL_tz00_2157 < ((long) 16)))
															{	/* Unsafe/sha1.scm 201 */
																{	/* Unsafe/sha1.scm 202 */
																	uint32_t BgL_arg1264z00_2162;

																	{	/* Unsafe/sha1.scm 202 */
																		uint32_t BgL_res1877z00_2163;

																		{	/* Unsafe/sha1.scm 202 */
																			int BgL_iz00_2165;
																			int BgL_jz00_2166;

																			BgL_iz00_2165 = (int) (BgL_iz00_1269);
																			BgL_jz00_2166 = (int) (BgL_tz00_2157);
																			{	/* Unsafe/sha1.scm 160 */
																				long BgL_auxz00_3349;
																				obj_t BgL_auxz00_3347;

																				BgL_auxz00_3349 =
																					(long) (BgL_jz00_2166);
																				BgL_auxz00_3347 =
																					VECTOR_REF(BgL_mz00_25,
																					BgL_iz00_2165);
																				BgL_res1877z00_2163 =
																					BGL_U32VREF(BgL_auxz00_3347,
																					BgL_auxz00_3349);
																		}}
																		BgL_arg1264z00_2162 = BgL_res1877z00_2163;
																	}
																	BGL_U32VSET(BgL_wz00_1256, BgL_tz00_2157,
																		BgL_arg1264z00_2162);
																	BUNSPEC;
																}
																{
																	long BgL_tz00_3353;

																	BgL_tz00_3353 = (BgL_tz00_2157 + ((long) 1));
																	BgL_tz00_2157 = BgL_tz00_3353;
																	goto BgL_for1056z00_2156;
																}
															}
														else
															{	/* Unsafe/sha1.scm 201 */
																((bool_t) 0);
															}
													}
													{
														long BgL_tz00_1282;

														BgL_tz00_1282 = ((long) 16);
													BgL_zc3anonymousza31267ze3z83_1283:
														if ((BgL_tz00_1282 < ((long) 80)))
															{	/* Unsafe/sha1.scm 203 */
																{	/* Unsafe/sha1.scm 204 */
																	uint32_t BgL_w0z00_1285;

																	{	/* Unsafe/sha1.scm 204 */
																		long BgL_auxz00_3357;

																		BgL_auxz00_3357 =
																			(BgL_tz00_1282 - ((long) 3));
																		BgL_w0z00_1285 =
																			BGL_U32VREF(BgL_wz00_1256,
																			BgL_auxz00_3357);
																	}
																	{	/* Unsafe/sha1.scm 204 */
																		uint32_t BgL_w1z00_1286;

																		{	/* Unsafe/sha1.scm 205 */
																			long BgL_auxz00_3360;

																			BgL_auxz00_3360 =
																				(BgL_tz00_1282 - ((long) 8));
																			BgL_w1z00_1286 =
																				BGL_U32VREF(BgL_wz00_1256,
																				BgL_auxz00_3360);
																		}
																		{	/* Unsafe/sha1.scm 205 */
																			uint32_t BgL_w2z00_1287;

																			{	/* Unsafe/sha1.scm 206 */
																				long BgL_auxz00_3363;

																				BgL_auxz00_3363 =
																					(BgL_tz00_1282 - ((long) 14));
																				BgL_w2z00_1287 =
																					BGL_U32VREF(BgL_wz00_1256,
																					BgL_auxz00_3363);
																			}
																			{	/* Unsafe/sha1.scm 206 */
																				uint32_t BgL_w3z00_1288;

																				{	/* Unsafe/sha1.scm 207 */
																					long BgL_auxz00_3366;

																					BgL_auxz00_3366 =
																						(BgL_tz00_1282 - ((long) 16));
																					BgL_w3z00_1288 =
																						BGL_U32VREF(BgL_wz00_1256,
																						BgL_auxz00_3366);
																				}
																				{	/* Unsafe/sha1.scm 207 */
																					uint32_t BgL_vz00_1289;

																					BgL_vz00_1289 =
																						(BgL_w0z00_1285 ^
																						(BgL_w1z00_1286 ^
																							(BgL_w2z00_1287 ^
																								BgL_w3z00_1288)));
																					{	/* Unsafe/sha1.scm 208 */

																						{	/* Unsafe/sha1.scm 209 */
																							uint32_t BgL_arg1269z00_1290;

																							{	/* Unsafe/sha1.scm 209 */
																								int BgL_nz00_2199;

																								BgL_nz00_2199 =
																									(int) (((long) 1));
																								BgL_arg1269z00_1290 =
																									(
																									(BgL_vz00_1289 <<
																										(int) (
																											(long) (BgL_nz00_2199))) |
																									(BgL_vz00_1289 >>
																										(int) (
																											(((long) 32) -
																												(long)
																												(BgL_nz00_2199)))));
																							}
																							BGL_U32VSET(BgL_wz00_1256,
																								BgL_tz00_1282,
																								BgL_arg1269z00_1290);
																							BUNSPEC;
																}}}}}}}
																{
																	long BgL_tz00_3382;

																	BgL_tz00_3382 = (BgL_tz00_1282 + ((long) 1));
																	BgL_tz00_1282 = BgL_tz00_3382;
																	goto BgL_zc3anonymousza31267ze3z83_1283;
																}
															}
														else
															{	/* Unsafe/sha1.scm 203 */
																((bool_t) 0);
															}
													}
													{	/* Unsafe/sha1.scm 213 */
														uint32_t BgL_az00_1299;
														uint32_t BgL_bz00_1300;
														uint32_t BgL_cz00_1301;
														uint32_t BgL_dz00_1302;
														uint32_t BgL_ez00_1303;

														BgL_az00_1299 = BgL_h0z00_1262;
														BgL_bz00_1300 = BgL_h1z00_1263;
														BgL_cz00_1301 = BgL_h2z00_1264;
														BgL_dz00_1302 = BgL_h3z00_1265;
														BgL_ez00_1303 = BgL_h4z00_1266;
														{
															long BgL_tz00_1306;

															BgL_tz00_1306 = ((long) 0);
														BgL_zc3anonymousza31317ze3z83_1307:
															if ((BgL_tz00_1306 < ((long) 80)))
																{	/* Unsafe/sha1.scm 220 */
																	{	/* Unsafe/sha1.scm 221 */
																		long BgL_sz00_1309;

																		BgL_sz00_1309 =
																			(BgL_tz00_1306 / ((long) 20));
																		{	/* Unsafe/sha1.scm 221 */
																			uint32_t BgL_a5z00_1310;

																			{	/* Unsafe/sha1.scm 222 */
																				uint32_t BgL_xz00_2225;
																				int BgL_nz00_2226;

																				BgL_xz00_2225 = BgL_az00_1299;
																				BgL_nz00_2226 = (int) (((long) 5));
																				BgL_a5z00_1310 =
																					(
																					(BgL_xz00_2225 <<
																						(int) (
																							(long) (BgL_nz00_2226))) |
																					(BgL_xz00_2225 >>
																						(int) (
																							(((long) 32) -
																								(long) (BgL_nz00_2226)))));
																			}
																			{	/* Unsafe/sha1.scm 222 */
																				uint32_t BgL_fz00_1311;

																				BgL_fz00_1311 =
																					BGl_fz00zz__sha1z00(
																					(int) (BgL_sz00_1309), BgL_bz00_1300,
																					BgL_cz00_1301, BgL_dz00_1302);
																				{	/* Unsafe/sha1.scm 223 */
																					uint32_t BgL_kz00_1312;

																					BgL_kz00_1312 =
																						BGL_U32VREF(BGl_Kz00zz__sha1z00,
																						BgL_sz00_1309);
																					{	/* Unsafe/sha1.scm 224 */
																						uint32_t BgL_wz00_1313;

																						BgL_wz00_1313 =
																							BGL_U32VREF(BgL_wz00_1256,
																							BgL_tz00_1306);
																						{	/* Unsafe/sha1.scm 225 */
																							uint32_t BgL_yz00_1314;

																							BgL_yz00_1314 =
																								(BgL_a5z00_1310 +
																								(BgL_fz00_1311 +
																									(BgL_ez00_1303 +
																										(BgL_kz00_1312 +
																											BgL_wz00_1313))));
																							{	/* Unsafe/sha1.scm 226 */

																								BgL_ez00_1303 = BgL_dz00_1302;
																								BgL_dz00_1302 = BgL_cz00_1301;
																								{	/* Unsafe/sha1.scm 229 */
																									uint32_t BgL_xz00_2255;
																									int BgL_nz00_2256;

																									BgL_xz00_2255 = BgL_bz00_1300;
																									BgL_nz00_2256 =
																										(int) (((long) 30));
																									BgL_cz00_1301 =
																										(
																										(BgL_xz00_2255 <<
																											(int) (
																												(long) (BgL_nz00_2256)))
																										| (BgL_xz00_2255 >>
																											(int) ((((long) 32) -
																													(long)
																													(BgL_nz00_2256)))));
																								}
																								BgL_bz00_1300 = BgL_az00_1299;
																								{	/* Unsafe/sha1.scm 231 */
																									uint32_t BgL_arg1319z00_1315;

																									{	/* Unsafe/sha1.scm 231 */
																										uint32_t
																											BgL_arg1320z00_1316;
																										uint32_t
																											BgL_arg1321z00_1317;
																										{	/* Unsafe/sha1.scm 231 */
																											uint32_t
																												BgL_arg1322z00_1318;
																											{	/* Unsafe/sha1.scm 231 */
																												uint32_t
																													BgL_res1913z00_2274;
																												BgL_res1913z00_2274 =
																													(uint32_t) (((long)
																														65535));
																												BgL_arg1322z00_1318 =
																													BgL_res1913z00_2274;
																											}
																											BgL_arg1320z00_1316 =
																												(BgL_arg1322z00_1318 <<
																												(int) (((long) 16)));
																										}
																										{	/* Unsafe/sha1.scm 231 */
																											uint32_t
																												BgL_res1915z00_2279;
																											BgL_res1915z00_2279 =
																												(uint32_t) (((long)
																													65535));
																											BgL_arg1321z00_1317 =
																												BgL_res1915z00_2279;
																										}
																										BgL_arg1319z00_1315 =
																											(BgL_arg1320z00_1316 |
																											BgL_arg1321z00_1317);
																									}
																									BgL_az00_1299 =
																										(BgL_yz00_1314 &
																										BgL_arg1319z00_1315);
																	}}}}}}}}
																	{
																		long BgL_tz00_3419;

																		BgL_tz00_3419 =
																			(BgL_tz00_1306 + ((long) 1));
																		BgL_tz00_1306 = BgL_tz00_3419;
																		goto BgL_zc3anonymousza31317ze3z83_1307;
																	}
																}
															else
																{	/* Unsafe/sha1.scm 220 */
																	((bool_t) 0);
																}
														}
														{	/* Unsafe/sha1.scm 233 */
															uint32_t BgL_arg1328z00_1324;
															uint32_t BgL_arg1329z00_1325;

															BgL_arg1328z00_1324 =
																(BgL_h0z00_1262 + BgL_az00_1299);
															{	/* Unsafe/sha1.scm 233 */
																uint32_t BgL_arg1331z00_1326;
																uint32_t BgL_arg1332z00_1327;

																{	/* Unsafe/sha1.scm 233 */
																	uint32_t BgL_arg1333z00_1328;

																	{	/* Unsafe/sha1.scm 233 */
																		uint32_t BgL_res1920z00_2293;

																		BgL_res1920z00_2293 =
																			(uint32_t) (((long) 65535));
																		BgL_arg1333z00_1328 = BgL_res1920z00_2293;
																	}
																	BgL_arg1331z00_1326 =
																		(BgL_arg1333z00_1328 <<
																		(int) (((long) 16)));
																}
																{	/* Unsafe/sha1.scm 233 */
																	uint32_t BgL_res1922z00_2298;

																	BgL_res1922z00_2298 =
																		(uint32_t) (((long) 65535));
																	BgL_arg1332z00_1327 = BgL_res1922z00_2298;
																}
																BgL_arg1329z00_1325 =
																	(BgL_arg1331z00_1326 | BgL_arg1332z00_1327);
															}
															BgL_h0z00_1262 =
																(BgL_arg1328z00_1324 & BgL_arg1329z00_1325);
														}
														{	/* Unsafe/sha1.scm 234 */
															uint32_t BgL_arg1334z00_1329;
															uint32_t BgL_arg1335z00_1330;

															BgL_arg1334z00_1329 =
																(BgL_h1z00_1263 + BgL_bz00_1300);
															{	/* Unsafe/sha1.scm 234 */
																uint32_t BgL_arg1336z00_1331;
																uint32_t BgL_arg1337z00_1332;

																{	/* Unsafe/sha1.scm 234 */
																	uint32_t BgL_arg1338z00_1333;

																	{	/* Unsafe/sha1.scm 234 */
																		uint32_t BgL_res1926z00_2309;

																		BgL_res1926z00_2309 =
																			(uint32_t) (((long) 65535));
																		BgL_arg1338z00_1333 = BgL_res1926z00_2309;
																	}
																	BgL_arg1336z00_1331 =
																		(BgL_arg1338z00_1333 <<
																		(int) (((long) 16)));
																}
																{	/* Unsafe/sha1.scm 234 */
																	uint32_t BgL_res1928z00_2314;

																	BgL_res1928z00_2314 =
																		(uint32_t) (((long) 65535));
																	BgL_arg1337z00_1332 = BgL_res1928z00_2314;
																}
																BgL_arg1335z00_1330 =
																	(BgL_arg1336z00_1331 | BgL_arg1337z00_1332);
															}
															BgL_h1z00_1263 =
																(BgL_arg1334z00_1329 & BgL_arg1335z00_1330);
														}
														{	/* Unsafe/sha1.scm 235 */
															uint32_t BgL_arg1339z00_1334;
															uint32_t BgL_arg1340z00_1335;

															BgL_arg1339z00_1334 =
																(BgL_h2z00_1264 + BgL_cz00_1301);
															{	/* Unsafe/sha1.scm 235 */
																uint32_t BgL_arg1341z00_1336;
																uint32_t BgL_arg1342z00_1337;

																{	/* Unsafe/sha1.scm 235 */
																	uint32_t BgL_arg1343z00_1338;

																	{	/* Unsafe/sha1.scm 235 */
																		uint32_t BgL_res1932z00_2325;

																		BgL_res1932z00_2325 =
																			(uint32_t) (((long) 65535));
																		BgL_arg1343z00_1338 = BgL_res1932z00_2325;
																	}
																	BgL_arg1341z00_1336 =
																		(BgL_arg1343z00_1338 <<
																		(int) (((long) 16)));
																}
																{	/* Unsafe/sha1.scm 235 */
																	uint32_t BgL_res1934z00_2330;

																	BgL_res1934z00_2330 =
																		(uint32_t) (((long) 65535));
																	BgL_arg1342z00_1337 = BgL_res1934z00_2330;
																}
																BgL_arg1340z00_1335 =
																	(BgL_arg1341z00_1336 | BgL_arg1342z00_1337);
															}
															BgL_h2z00_1264 =
																(BgL_arg1339z00_1334 & BgL_arg1340z00_1335);
														}
														{	/* Unsafe/sha1.scm 236 */
															uint32_t BgL_arg1344z00_1339;
															uint32_t BgL_arg1345z00_1340;

															BgL_arg1344z00_1339 =
																(BgL_h3z00_1265 + BgL_dz00_1302);
															{	/* Unsafe/sha1.scm 236 */
																uint32_t BgL_arg1346z00_1341;
																uint32_t BgL_arg1347z00_1342;

																{	/* Unsafe/sha1.scm 236 */
																	uint32_t BgL_arg1348z00_1343;

																	{	/* Unsafe/sha1.scm 236 */
																		uint32_t BgL_res1938z00_2341;

																		BgL_res1938z00_2341 =
																			(uint32_t) (((long) 65535));
																		BgL_arg1348z00_1343 = BgL_res1938z00_2341;
																	}
																	BgL_arg1346z00_1341 =
																		(BgL_arg1348z00_1343 <<
																		(int) (((long) 16)));
																}
																{	/* Unsafe/sha1.scm 236 */
																	uint32_t BgL_res1940z00_2346;

																	BgL_res1940z00_2346 =
																		(uint32_t) (((long) 65535));
																	BgL_arg1347z00_1342 = BgL_res1940z00_2346;
																}
																BgL_arg1345z00_1340 =
																	(BgL_arg1346z00_1341 | BgL_arg1347z00_1342);
															}
															BgL_h3z00_1265 =
																(BgL_arg1344z00_1339 & BgL_arg1345z00_1340);
														}
														{	/* Unsafe/sha1.scm 237 */
															uint32_t BgL_arg1349z00_1344;
															uint32_t BgL_arg1352z00_1345;

															BgL_arg1349z00_1344 =
																(BgL_h4z00_1266 + BgL_ez00_1303);
															{	/* Unsafe/sha1.scm 237 */
																uint32_t BgL_arg1353z00_1346;
																uint32_t BgL_arg1354z00_1347;

																{	/* Unsafe/sha1.scm 237 */
																	uint32_t BgL_arg1355z00_1348;

																	{	/* Unsafe/sha1.scm 237 */
																		uint32_t BgL_res1944z00_2357;

																		BgL_res1944z00_2357 =
																			(uint32_t) (((long) 65535));
																		BgL_arg1355z00_1348 = BgL_res1944z00_2357;
																	}
																	BgL_arg1353z00_1346 =
																		(BgL_arg1355z00_1348 <<
																		(int) (((long) 16)));
																}
																{	/* Unsafe/sha1.scm 237 */
																	uint32_t BgL_res1946z00_2362;

																	BgL_res1946z00_2362 =
																		(uint32_t) (((long) 65535));
																	BgL_arg1354z00_1347 = BgL_res1946z00_2362;
																}
																BgL_arg1352z00_1345 =
																	(BgL_arg1353z00_1346 | BgL_arg1354z00_1347);
															}
															BgL_h4z00_1266 =
																(BgL_arg1349z00_1344 & BgL_arg1352z00_1345);
													}}
													{
														long BgL_iz00_3456;

														BgL_iz00_3456 = (BgL_iz00_1269 + ((long) 1));
														BgL_iz00_1269 = BgL_iz00_3456;
														goto BgL_zc3anonymousza31257ze3z83_1270;
													}
												}
											else
												{	/* Unsafe/sha1.scm 198 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha1.scm 239 */
											uint32_t BgL_w0z00_2372;
											uint32_t BgL_w1z00_2373;
											uint32_t BgL_w2z00_2374;
											uint32_t BgL_w3z00_2375;
											uint32_t BgL_w4z00_2376;

											BgL_w0z00_2372 = BgL_h0z00_1262;
											BgL_w1z00_2373 = BgL_h1z00_1263;
											BgL_w2z00_2374 = BgL_h2z00_1264;
											BgL_w3z00_2375 = BgL_h3z00_1265;
											BgL_w4z00_2376 = BgL_h4z00_1266;
											{	/* Unsafe/sha1.scm 117 */
												obj_t BgL_rz00_2377;

												BgL_rz00_2377 =
													make_string(((long) 40), ((unsigned char) '0'));
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2377,
													((long) 0), BgL_w0z00_2372);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2377,
													((long) 8), BgL_w1z00_2373);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2377,
													((long) 16), BgL_w2z00_2374);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2377,
													((long) 24), BgL_w3z00_2375);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2377,
													((long) 32), BgL_w4z00_2376);
												return BgL_rz00_2377;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* sha1sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t BgL_strz00_28)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 253 */
			{	/* Unsafe/sha1.scm 256 */
				long BgL_lenz00_1369;

				BgL_lenz00_1369 = STRING_LENGTH(BgL_strz00_28);
				{	/* Unsafe/sha1.scm 256 */
					long BgL_lz00_1370;

					{	/* Unsafe/sha1.scm 257 */
						long BgL_auxz00_3465;

						{	/* Unsafe/sha1.scm 257 */
							obj_t BgL_auxz00_3466;

							{	/* Unsafe/sha1.scm 245 */
								obj_t BgL_rz00_2395;

								BgL_rz00_2395 =
									BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
										(BgL_lenz00_1369 + ((long) 1))), BINT(((long) 4)));
								if (INTEGERP(BgL_rz00_2395))
									{	/* Unsafe/sha1.scm 246 */
										BgL_auxz00_3466 = BgL_rz00_2395;
									}
								else
									{	/* Unsafe/sha1.scm 246 */
										BgL_auxz00_3466 =
											BINT(
											(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
													(BgL_rz00_2395))));
							}}
							BgL_auxz00_3465 = (long) CINT(BgL_auxz00_3466);
						}
						BgL_lz00_1370 = (BgL_auxz00_3465 + ((long) 2));
					}
					{	/* Unsafe/sha1.scm 257 */
						long BgL_nz00_1371;

						{	/* Unsafe/sha1.scm 245 */
							obj_t BgL_rz00_2408;

							BgL_rz00_2408 =
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lz00_1370),
								BINT(((long) 16)));
							if (INTEGERP(BgL_rz00_2408))
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1371 = (long) CINT(BgL_rz00_2408);
								}
							else
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1371 =
										(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
											(BgL_rz00_2408)));
						}}
						{	/* Unsafe/sha1.scm 258 */
							obj_t BgL_mz00_1372;

							BgL_mz00_1372 = make_vector((int) (BgL_nz00_1371), BUNSPEC);
							{	/* Unsafe/sha1.scm 259 */

								{
									long BgL_iz00_1375;

									BgL_iz00_1375 = ((long) 0);
								BgL_zc3anonymousza31379ze3z83_1376:
									if ((BgL_iz00_1375 < BgL_nz00_1371))
										{	/* Unsafe/sha1.scm 261 */
											{	/* Unsafe/sha1.scm 262 */
												obj_t BgL_vecz00_1378;

												{	/* Llib/srfi4.scm 451 */

													BgL_vecz00_1378 =
														BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
														(uint32_t) (0));
												}
												{
													long BgL_jz00_1381;

													BgL_jz00_1381 = ((long) 0);
												BgL_zc3anonymousza31381ze3z83_1382:
													if ((BgL_jz00_1381 < ((long) 16)))
														{	/* Unsafe/sha1.scm 263 */
															{	/* Unsafe/sha1.scm 264 */
																int BgL_nz00_1384;

																BgL_nz00_1384 =
																	(int) (
																	((BgL_iz00_1375 * ((long) 64)) +
																		(BgL_jz00_1381 * ((long) 4))));
																{	/* Unsafe/sha1.scm 264 */
																	uint32_t BgL_v0z00_1385;

																	{	/* Unsafe/sha1.scm 265 */
																		uint32_t BgL_res1974z00_2454;

																		{	/* Unsafe/sha1.scm 140 */
																			long BgL_lenz00_2434;

																			BgL_lenz00_2434 =
																				STRING_LENGTH(BgL_strz00_28);
																			if (
																				((long) (BgL_nz00_1384) <
																					BgL_lenz00_2434))
																				{	/* Unsafe/sha1.scm 142 */
																					long BgL_arg1231z00_2436;

																					BgL_arg1231z00_2436 =
																						(STRING_REF(BgL_strz00_28,
																							(long) (BgL_nz00_1384)));
																					{	/* Unsafe/sha1.scm 142 */
																						uint32_t BgL_res1972z00_2450;

																						BgL_res1972z00_2450 =
																							(uint32_t) (BgL_arg1231z00_2436);
																						BgL_res1974z00_2454 =
																							BgL_res1972z00_2450;
																				}}
																			else
																				{	/* Unsafe/sha1.scm 142 */
																					if (
																						((long) (BgL_nz00_1384) ==
																							BgL_lenz00_2434))
																						{	/* Unsafe/sha1.scm 143 */
																							BgL_res1974z00_2454 =
																								(uint32_t) (128);
																						}
																					else
																						{	/* Unsafe/sha1.scm 143 */
																							BgL_res1974z00_2454 =
																								(uint32_t) (0);
																						}
																				}
																		}
																		BgL_v0z00_1385 = BgL_res1974z00_2454;
																	}
																	{	/* Unsafe/sha1.scm 265 */
																		uint32_t BgL_v1z00_1386;

																		{	/* Unsafe/sha1.scm 266 */
																			long BgL_arg1395z00_1401;

																			BgL_arg1395z00_1401 =
																				((long) (BgL_nz00_1384) + ((long) 1));
																			{	/* Unsafe/sha1.scm 266 */
																				uint32_t BgL_res1982z00_2480;

																				{	/* Unsafe/sha1.scm 266 */
																					int BgL_iz00_2459;

																					BgL_iz00_2459 =
																						(int) (BgL_arg1395z00_1401);
																					{	/* Unsafe/sha1.scm 140 */
																						long BgL_lenz00_2460;

																						BgL_lenz00_2460 =
																							STRING_LENGTH(BgL_strz00_28);
																						if (
																							((long) (BgL_iz00_2459) <
																								BgL_lenz00_2460))
																							{	/* Unsafe/sha1.scm 142 */
																								long BgL_arg1231z00_2462;

																								BgL_arg1231z00_2462 =
																									(STRING_REF(BgL_strz00_28,
																										(long) (BgL_iz00_2459)));
																								{	/* Unsafe/sha1.scm 142 */
																									uint32_t BgL_res1980z00_2476;

																									BgL_res1980z00_2476 =
																										(uint32_t)
																										(BgL_arg1231z00_2462);
																									BgL_res1982z00_2480 =
																										BgL_res1980z00_2476;
																							}}
																						else
																							{	/* Unsafe/sha1.scm 142 */
																								if (
																									((long) (BgL_iz00_2459) ==
																										BgL_lenz00_2460))
																									{	/* Unsafe/sha1.scm 143 */
																										BgL_res1982z00_2480 =
																											(uint32_t) (128);
																									}
																								else
																									{	/* Unsafe/sha1.scm 143 */
																										BgL_res1982z00_2480 =
																											(uint32_t) (0);
																									}
																							}
																					}
																				}
																				BgL_v1z00_1386 = BgL_res1982z00_2480;
																			}
																		}
																		{	/* Unsafe/sha1.scm 266 */
																			uint32_t BgL_v2z00_1387;

																			{	/* Unsafe/sha1.scm 267 */
																				long BgL_arg1394z00_1400;

																				BgL_arg1394z00_1400 =
																					((long) (BgL_nz00_1384) + ((long) 2));
																				{	/* Unsafe/sha1.scm 267 */
																					uint32_t BgL_res1990z00_2506;

																					{	/* Unsafe/sha1.scm 267 */
																						int BgL_iz00_2485;

																						BgL_iz00_2485 =
																							(int) (BgL_arg1394z00_1400);
																						{	/* Unsafe/sha1.scm 140 */
																							long BgL_lenz00_2486;

																							BgL_lenz00_2486 =
																								STRING_LENGTH(BgL_strz00_28);
																							if (
																								((long) (BgL_iz00_2485) <
																									BgL_lenz00_2486))
																								{	/* Unsafe/sha1.scm 142 */
																									long BgL_arg1231z00_2488;

																									BgL_arg1231z00_2488 =
																										(STRING_REF(BgL_strz00_28,
																											(long) (BgL_iz00_2485)));
																									{	/* Unsafe/sha1.scm 142 */
																										uint32_t
																											BgL_res1988z00_2502;
																										BgL_res1988z00_2502 =
																											(uint32_t)
																											(BgL_arg1231z00_2488);
																										BgL_res1990z00_2506 =
																											BgL_res1988z00_2502;
																								}}
																							else
																								{	/* Unsafe/sha1.scm 142 */
																									if (
																										((long) (BgL_iz00_2485) ==
																											BgL_lenz00_2486))
																										{	/* Unsafe/sha1.scm 143 */
																											BgL_res1990z00_2506 =
																												(uint32_t) (128);
																										}
																									else
																										{	/* Unsafe/sha1.scm 143 */
																											BgL_res1990z00_2506 =
																												(uint32_t) (0);
																										}
																								}
																						}
																					}
																					BgL_v2z00_1387 = BgL_res1990z00_2506;
																				}
																			}
																			{	/* Unsafe/sha1.scm 267 */
																				uint32_t BgL_v3z00_1388;

																				{	/* Unsafe/sha1.scm 268 */
																					long BgL_arg1393z00_1399;

																					BgL_arg1393z00_1399 =
																						(
																						(long) (BgL_nz00_1384) +
																						((long) 3));
																					{	/* Unsafe/sha1.scm 268 */
																						uint32_t BgL_res1998z00_2532;

																						{	/* Unsafe/sha1.scm 268 */
																							int BgL_iz00_2511;

																							BgL_iz00_2511 =
																								(int) (BgL_arg1393z00_1399);
																							{	/* Unsafe/sha1.scm 140 */
																								long BgL_lenz00_2512;

																								BgL_lenz00_2512 =
																									STRING_LENGTH(BgL_strz00_28);
																								if (
																									((long) (BgL_iz00_2511) <
																										BgL_lenz00_2512))
																									{	/* Unsafe/sha1.scm 142 */
																										long BgL_arg1231z00_2514;

																										BgL_arg1231z00_2514 =
																											(STRING_REF(BgL_strz00_28,
																												(long)
																												(BgL_iz00_2511)));
																										{	/* Unsafe/sha1.scm 142 */
																											uint32_t
																												BgL_res1996z00_2528;
																											BgL_res1996z00_2528 =
																												(uint32_t)
																												(BgL_arg1231z00_2514);
																											BgL_res1998z00_2532 =
																												BgL_res1996z00_2528;
																									}}
																								else
																									{	/* Unsafe/sha1.scm 142 */
																										if (
																											((long) (BgL_iz00_2511) ==
																												BgL_lenz00_2512))
																											{	/* Unsafe/sha1.scm 143 */
																												BgL_res1998z00_2532 =
																													(uint32_t) (128);
																											}
																										else
																											{	/* Unsafe/sha1.scm 143 */
																												BgL_res1998z00_2532 =
																													(uint32_t) (0);
																											}
																									}
																							}
																						}
																						BgL_v3z00_1388 =
																							BgL_res1998z00_2532;
																					}
																				}
																				{	/* Unsafe/sha1.scm 268 */
																					uint32_t BgL_vz00_1389;

																					{	/* Unsafe/sha1.scm 269 */
																						uint32_t BgL_arg1384z00_1390;
																						uint32_t BgL_arg1385z00_1391;

																						{	/* Unsafe/sha1.scm 269 */
																							uint32_t BgL_arg1386z00_1392;

																							{	/* Unsafe/sha1.scm 269 */
																								long BgL_arg1387z00_1393;

																								{	/* Unsafe/sha1.scm 269 */
																									uint32_t BgL_arg1388z00_1394;

																									BgL_arg1388z00_1394 =
																										(
																										(BgL_v0z00_1385 <<
																											(int) (((long) 8))) |
																										BgL_v1z00_1386);
																									{	/* Unsafe/sha1.scm 269 */
																										long BgL_res2002z00_2543;

																										{	/* Unsafe/sha1.scm 269 */
																											long BgL_arg1762z00_2540;

																											BgL_arg1762z00_2540 =
																												(long)
																												(BgL_arg1388z00_1394);
																											{	/* Unsafe/sha1.scm 269 */
																												long
																													BgL_res2001z00_2542;
																												{	/* Unsafe/sha1.scm 269 */
																													long BgL_auxz00_3556;

																													{	/* Unsafe/sha1.scm 269 */
																														long
																															BgL_auxz00_3557;
																														BgL_auxz00_3557 =
																															(long)
																															(BgL_arg1762z00_2540);
																														BgL_auxz00_3556 =
																															(long)
																															(BgL_auxz00_3557);
																													}
																													BgL_res2001z00_2542 =
																														(long)
																														(BgL_auxz00_3556);
																												}
																												BgL_res2002z00_2543 =
																													BgL_res2001z00_2542;
																										}}
																										BgL_arg1387z00_1393 =
																											BgL_res2002z00_2543;
																								}}
																								{	/* Unsafe/sha1.scm 269 */
																									uint32_t BgL_res2003z00_2545;

																									BgL_res2003z00_2545 =
																										(uint32_t)
																										(BgL_arg1387z00_1393);
																									BgL_arg1386z00_1392 =
																										BgL_res2003z00_2545;
																							}}
																							BgL_arg1384z00_1390 =
																								(BgL_arg1386z00_1392 <<
																								(int) (((long) 16)));
																						}
																						{	/* Unsafe/sha1.scm 269 */
																							long BgL_arg1390z00_1396;

																							{	/* Unsafe/sha1.scm 269 */
																								uint32_t BgL_arg1391z00_1397;

																								BgL_arg1391z00_1397 =
																									(
																									(BgL_v2z00_1387 <<
																										(int) (((long) 8))) |
																									BgL_v3z00_1388);
																								{	/* Unsafe/sha1.scm 269 */
																									long BgL_res2008z00_2559;

																									{	/* Unsafe/sha1.scm 269 */
																										long BgL_arg1762z00_2556;

																										BgL_arg1762z00_2556 =
																											(long)
																											(BgL_arg1391z00_1397);
																										{	/* Unsafe/sha1.scm 269 */
																											long BgL_res2007z00_2558;

																											{	/* Unsafe/sha1.scm 269 */
																												long BgL_auxz00_3568;

																												{	/* Unsafe/sha1.scm 269 */
																													long BgL_auxz00_3569;

																													BgL_auxz00_3569 =
																														(long)
																														(BgL_arg1762z00_2556);
																													BgL_auxz00_3568 =
																														(long)
																														(BgL_auxz00_3569);
																												}
																												BgL_res2007z00_2558 =
																													(long)
																													(BgL_auxz00_3568);
																											}
																											BgL_res2008z00_2559 =
																												BgL_res2007z00_2558;
																									}}
																									BgL_arg1390z00_1396 =
																										BgL_res2008z00_2559;
																							}}
																							{	/* Unsafe/sha1.scm 269 */
																								uint32_t BgL_res2009z00_2561;

																								BgL_res2009z00_2561 =
																									(uint32_t)
																									(BgL_arg1390z00_1396);
																								BgL_arg1385z00_1391 =
																									BgL_res2009z00_2561;
																						}}
																						BgL_vz00_1389 =
																							(BgL_arg1384z00_1390 |
																							BgL_arg1385z00_1391);
																					}
																					{	/* Unsafe/sha1.scm 269 */

																						BGL_U32VSET(BgL_vecz00_1378,
																							BgL_jz00_1381, BgL_vz00_1389);
																						BUNSPEC;
															}}}}}}}
															VECTOR_SET(BgL_mz00_1372,
																(int) (BgL_iz00_1375), BgL_vecz00_1378);
															{
																long BgL_jz00_3578;

																BgL_jz00_3578 = (BgL_jz00_1381 + ((long) 1));
																BgL_jz00_1381 = BgL_jz00_3578;
																goto BgL_zc3anonymousza31381ze3z83_1382;
															}
														}
													else
														{	/* Unsafe/sha1.scm 263 */
															((bool_t) 0);
														}
												}
											}
											{
												long BgL_iz00_3580;

												BgL_iz00_3580 = (BgL_iz00_1375 + ((long) 1));
												BgL_iz00_1375 = BgL_iz00_3580;
												goto BgL_zc3anonymousza31379ze3z83_1376;
											}
										}
									else
										{	/* Unsafe/sha1.scm 261 */
											((bool_t) 0);
										}
								}
								return BGl_sha1z00zz__sha1z00(BgL_lenz00_1369, BgL_mz00_1372);
							}
						}
					}
				}
			}
		}
	}



/* &sha1sum-string */
	obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t BgL_envz00_3198,
		obj_t BgL_strz00_3199)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 253 */
			{	/* Unsafe/sha1.scm 256 */
				obj_t BgL_auxz00_3583;

				if (STRINGP(BgL_strz00_3199))
					{	/* Unsafe/sha1.scm 256 */
						BgL_auxz00_3583 = BgL_strz00_3199;
					}
				else
					{
						obj_t BgL_auxz00_3586;

						BgL_auxz00_3586 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2187z00zz__sha1z00,
							BINT(((long) 10118)), BGl_string2188z00zz__sha1z00,
							BGl_string2189z00zz__sha1z00, BgL_strz00_3199);
						FAILURE(BgL_auxz00_3586, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_auxz00_3583);
			}
		}
	}



/* sha1sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t BgL_strz00_29)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 278 */
			{	/* Unsafe/sha1.scm 281 */
				long BgL_lenz00_1413;

				{	/* Unsafe/sha1.scm 281 */
					long BgL_res2013z00_2575;

					BgL_res2013z00_2575 = BGL_MMAP_LENGTH(BgL_strz00_29);
					BgL_lenz00_1413 = (long) (BgL_res2013z00_2575);
				}
				{	/* Unsafe/sha1.scm 281 */
					long BgL_lz00_1414;

					{	/* Unsafe/sha1.scm 282 */
						long BgL_auxz00_3593;

						{	/* Unsafe/sha1.scm 282 */
							obj_t BgL_auxz00_3594;

							{	/* Unsafe/sha1.scm 245 */
								obj_t BgL_rz00_2581;

								BgL_rz00_2581 =
									BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
										(BgL_lenz00_1413 + ((long) 1))), BINT(((long) 4)));
								if (INTEGERP(BgL_rz00_2581))
									{	/* Unsafe/sha1.scm 246 */
										BgL_auxz00_3594 = BgL_rz00_2581;
									}
								else
									{	/* Unsafe/sha1.scm 246 */
										BgL_auxz00_3594 =
											BINT(
											(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
													(BgL_rz00_2581))));
							}}
							BgL_auxz00_3593 = (long) CINT(BgL_auxz00_3594);
						}
						BgL_lz00_1414 = (BgL_auxz00_3593 + ((long) 2));
					}
					{	/* Unsafe/sha1.scm 282 */
						long BgL_nz00_1415;

						{	/* Unsafe/sha1.scm 245 */
							obj_t BgL_rz00_2594;

							BgL_rz00_2594 =
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lz00_1414),
								BINT(((long) 16)));
							if (INTEGERP(BgL_rz00_2594))
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1415 = (long) CINT(BgL_rz00_2594);
								}
							else
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1415 =
										(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
											(BgL_rz00_2594)));
						}}
						{	/* Unsafe/sha1.scm 283 */
							obj_t BgL_mz00_1416;

							BgL_mz00_1416 = make_vector((int) (BgL_nz00_1415), BUNSPEC);
							{	/* Unsafe/sha1.scm 284 */

								{
									long BgL_iz00_1419;

									BgL_iz00_1419 = ((long) 0);
								BgL_zc3anonymousza31403ze3z83_1420:
									if ((BgL_iz00_1419 < BgL_nz00_1415))
										{	/* Unsafe/sha1.scm 286 */
											{	/* Unsafe/sha1.scm 287 */
												obj_t BgL_vecz00_1422;

												{	/* Llib/srfi4.scm 451 */

													BgL_vecz00_1422 =
														BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
														(uint32_t) (0));
												}
												{
													long BgL_jz00_1425;

													BgL_jz00_1425 = ((long) 0);
												BgL_zc3anonymousza31405ze3z83_1426:
													if ((BgL_jz00_1425 < ((long) 16)))
														{	/* Unsafe/sha1.scm 288 */
															{	/* Unsafe/sha1.scm 289 */
																long BgL_nz00_1428;

																{	/* Unsafe/sha1.scm 289 */
																	long BgL_auxz00_3623;

																	BgL_auxz00_3623 =
																		(
																		(BgL_iz00_1419 * ((long) 64)) +
																		(BgL_jz00_1425 * ((long) 4)));
																	BgL_nz00_1428 = (long) (BgL_auxz00_3623);
																}
																{	/* Unsafe/sha1.scm 289 */
																	uint32_t BgL_v0z00_1429;

																	{	/* Unsafe/sha1.scm 290 */
																		uint32_t BgL_res2036z00_2648;

																		{	/* Unsafe/sha1.scm 150 */
																			long BgL_lenz00_2620;

																			{	/* Unsafe/sha1.scm 150 */
																				long BgL_res2028z00_2626;

																				BgL_res2028z00_2626 =
																					BGL_MMAP_LENGTH(BgL_strz00_29);
																				BgL_lenz00_2620 = BgL_res2028z00_2626;
																			}
																			{	/* Unsafe/sha1.scm 152 */
																				bool_t BgL_testz00_3629;

																				{	/* Unsafe/sha1.scm 152 */
																					long BgL_n1z00_2627;
																					long BgL_n2z00_2628;

																					BgL_n1z00_2627 =
																						(long) (BgL_nz00_1428);
																					BgL_n2z00_2628 =
																						(long) (BgL_lenz00_2620);
																					BgL_testz00_3629 =
																						(BgL_n1z00_2627 < BgL_n2z00_2628);
																				}
																				if (BgL_testz00_3629)
																					{	/* Unsafe/sha1.scm 152 */
																						long BgL_arg1236z00_2622;

																						{	/* Unsafe/sha1.scm 152 */
																							unsigned char BgL_arg1237z00_2623;

																							{	/* Unsafe/sha1.scm 152 */
																								unsigned char
																									BgL_res2032z00_2640;
																								{	/* Unsafe/sha1.scm 152 */
																									unsigned char BgL_cz00_2632;

																									BgL_cz00_2632 =
																										BGL_MMAP_REF(BgL_strz00_29,
																										BgL_nz00_1428);
																									{	/* Unsafe/sha1.scm 152 */
																										long BgL_arg1496z00_2633;

																										BgL_arg1496z00_2633 =
																											(BgL_nz00_1428 +
																											((long) 1));
																										{	/* Unsafe/sha1.scm 152 */
																											long BgL_res2031z00_2639;

																											BGL_MMAP_RP_SET
																												(BgL_strz00_29,
																												BgL_arg1496z00_2633);
																											BUNSPEC;
																											BgL_res2031z00_2639 =
																												BgL_arg1496z00_2633;
																											BgL_res2031z00_2639;
																									}}
																									BgL_res2032z00_2640 =
																										BgL_cz00_2632;
																								}
																								BgL_arg1237z00_2623 =
																									BgL_res2032z00_2640;
																							}
																							BgL_arg1236z00_2622 =
																								(BgL_arg1237z00_2623);
																						}
																						{	/* Unsafe/sha1.scm 152 */
																							uint32_t BgL_res2034z00_2644;

																							BgL_res2034z00_2644 =
																								(uint32_t)
																								(BgL_arg1236z00_2622);
																							BgL_res2036z00_2648 =
																								BgL_res2034z00_2644;
																					}}
																				else
																					{	/* Unsafe/sha1.scm 153 */
																						bool_t BgL_testz00_3638;

																						{	/* Unsafe/sha1.scm 153 */
																							long BgL_n1z00_2645;
																							long BgL_n2z00_2646;

																							BgL_n1z00_2645 =
																								(long) (BgL_nz00_1428);
																							BgL_n2z00_2646 =
																								(long) (BgL_lenz00_2620);
																							BgL_testz00_3638 =
																								(BgL_n1z00_2645 ==
																								BgL_n2z00_2646);
																						}
																						if (BgL_testz00_3638)
																							{	/* Unsafe/sha1.scm 153 */
																								BgL_res2036z00_2648 =
																									(uint32_t) (128);
																							}
																						else
																							{	/* Unsafe/sha1.scm 153 */
																								BgL_res2036z00_2648 =
																									(uint32_t) (0);
																							}
																					}
																			}
																		}
																		BgL_v0z00_1429 = BgL_res2036z00_2648;
																	}
																	{	/* Unsafe/sha1.scm 290 */
																		uint32_t BgL_v1z00_1430;

																		{	/* Unsafe/sha1.scm 291 */
																			long BgL_arg1418z00_1445;

																			{	/* Unsafe/sha1.scm 291 */
																				long BgL_za71za7_2649;

																				BgL_za71za7_2649 =
																					(long) (BgL_nz00_1428);
																				BgL_arg1418z00_1445 =
																					(BgL_za71za7_2649 + ((long) 1));
																			}
																			{	/* Unsafe/sha1.scm 291 */
																				uint32_t BgL_res2046z00_2682;

																				{	/* Unsafe/sha1.scm 291 */
																					long BgL_iz00_2653;

																					BgL_iz00_2653 =
																						(long) (BgL_arg1418z00_1445);
																					{	/* Unsafe/sha1.scm 150 */
																						long BgL_lenz00_2654;

																						{	/* Unsafe/sha1.scm 150 */
																							long BgL_res2038z00_2660;

																							BgL_res2038z00_2660 =
																								BGL_MMAP_LENGTH(BgL_strz00_29);
																							BgL_lenz00_2654 =
																								BgL_res2038z00_2660;
																						}
																						{	/* Unsafe/sha1.scm 152 */
																							bool_t BgL_testz00_3646;

																							{	/* Unsafe/sha1.scm 152 */
																								long BgL_n1z00_2661;
																								long BgL_n2z00_2662;

																								BgL_n1z00_2661 =
																									(long) (BgL_iz00_2653);
																								BgL_n2z00_2662 =
																									(long) (BgL_lenz00_2654);
																								BgL_testz00_3646 =
																									(BgL_n1z00_2661 <
																									BgL_n2z00_2662);
																							}
																							if (BgL_testz00_3646)
																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_arg1236z00_2656;

																									{	/* Unsafe/sha1.scm 152 */
																										unsigned char
																											BgL_arg1237z00_2657;
																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_res2042z00_2674;
																											{	/* Unsafe/sha1.scm 152 */
																												unsigned char
																													BgL_cz00_2666;
																												BgL_cz00_2666 =
																													BGL_MMAP_REF
																													(BgL_strz00_29,
																													BgL_iz00_2653);
																												{	/* Unsafe/sha1.scm 152 */
																													long
																														BgL_arg1496z00_2667;
																													BgL_arg1496z00_2667 =
																														(BgL_iz00_2653 +
																														((long) 1));
																													{	/* Unsafe/sha1.scm 152 */
																														long
																															BgL_res2041z00_2673;
																														BGL_MMAP_RP_SET
																															(BgL_strz00_29,
																															BgL_arg1496z00_2667);
																														BUNSPEC;
																														BgL_res2041z00_2673
																															=
																															BgL_arg1496z00_2667;
																														BgL_res2041z00_2673;
																												}}
																												BgL_res2042z00_2674 =
																													BgL_cz00_2666;
																											}
																											BgL_arg1237z00_2657 =
																												BgL_res2042z00_2674;
																										}
																										BgL_arg1236z00_2656 =
																											(BgL_arg1237z00_2657);
																									}
																									{	/* Unsafe/sha1.scm 152 */
																										uint32_t
																											BgL_res2044z00_2678;
																										BgL_res2044z00_2678 =
																											(uint32_t)
																											(BgL_arg1236z00_2656);
																										BgL_res2046z00_2682 =
																											BgL_res2044z00_2678;
																								}}
																							else
																								{	/* Unsafe/sha1.scm 153 */
																									bool_t BgL_testz00_3655;

																									{	/* Unsafe/sha1.scm 153 */
																										long BgL_n1z00_2679;
																										long BgL_n2z00_2680;

																										BgL_n1z00_2679 =
																											(long) (BgL_iz00_2653);
																										BgL_n2z00_2680 =
																											(long) (BgL_lenz00_2654);
																										BgL_testz00_3655 =
																											(BgL_n1z00_2679 ==
																											BgL_n2z00_2680);
																									}
																									if (BgL_testz00_3655)
																										{	/* Unsafe/sha1.scm 153 */
																											BgL_res2046z00_2682 =
																												(uint32_t) (128);
																										}
																									else
																										{	/* Unsafe/sha1.scm 153 */
																											BgL_res2046z00_2682 =
																												(uint32_t) (0);
																										}
																								}
																						}
																					}
																				}
																				BgL_v1z00_1430 = BgL_res2046z00_2682;
																			}
																		}
																		{	/* Unsafe/sha1.scm 291 */
																			uint32_t BgL_v2z00_1431;

																			{	/* Unsafe/sha1.scm 292 */
																				long BgL_arg1417z00_1444;

																				{	/* Unsafe/sha1.scm 292 */
																					long BgL_za71za7_2683;

																					BgL_za71za7_2683 =
																						(long) (BgL_nz00_1428);
																					BgL_arg1417z00_1444 =
																						(BgL_za71za7_2683 + ((long) 2));
																				}
																				{	/* Unsafe/sha1.scm 292 */
																					uint32_t BgL_res2056z00_2716;

																					{	/* Unsafe/sha1.scm 292 */
																						long BgL_iz00_2687;

																						BgL_iz00_2687 =
																							(long) (BgL_arg1417z00_1444);
																						{	/* Unsafe/sha1.scm 150 */
																							long BgL_lenz00_2688;

																							{	/* Unsafe/sha1.scm 150 */
																								long BgL_res2048z00_2694;

																								BgL_res2048z00_2694 =
																									BGL_MMAP_LENGTH
																									(BgL_strz00_29);
																								BgL_lenz00_2688 =
																									BgL_res2048z00_2694;
																							}
																							{	/* Unsafe/sha1.scm 152 */
																								bool_t BgL_testz00_3663;

																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_n1z00_2695;
																									long BgL_n2z00_2696;

																									BgL_n1z00_2695 =
																										(long) (BgL_iz00_2687);
																									BgL_n2z00_2696 =
																										(long) (BgL_lenz00_2688);
																									BgL_testz00_3663 =
																										(BgL_n1z00_2695 <
																										BgL_n2z00_2696);
																								}
																								if (BgL_testz00_3663)
																									{	/* Unsafe/sha1.scm 152 */
																										long BgL_arg1236z00_2690;

																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_arg1237z00_2691;
																											{	/* Unsafe/sha1.scm 152 */
																												unsigned char
																													BgL_res2052z00_2708;
																												{	/* Unsafe/sha1.scm 152 */
																													unsigned char
																														BgL_cz00_2700;
																													BgL_cz00_2700 =
																														BGL_MMAP_REF
																														(BgL_strz00_29,
																														BgL_iz00_2687);
																													{	/* Unsafe/sha1.scm 152 */
																														long
																															BgL_arg1496z00_2701;
																														BgL_arg1496z00_2701
																															=
																															(BgL_iz00_2687 +
																															((long) 1));
																														{	/* Unsafe/sha1.scm 152 */
																															long
																																BgL_res2051z00_2707;
																															BGL_MMAP_RP_SET
																																(BgL_strz00_29,
																																BgL_arg1496z00_2701);
																															BUNSPEC;
																															BgL_res2051z00_2707
																																=
																																BgL_arg1496z00_2701;
																															BgL_res2051z00_2707;
																													}}
																													BgL_res2052z00_2708 =
																														BgL_cz00_2700;
																												}
																												BgL_arg1237z00_2691 =
																													BgL_res2052z00_2708;
																											}
																											BgL_arg1236z00_2690 =
																												(BgL_arg1237z00_2691);
																										}
																										{	/* Unsafe/sha1.scm 152 */
																											uint32_t
																												BgL_res2054z00_2712;
																											BgL_res2054z00_2712 =
																												(uint32_t)
																												(BgL_arg1236z00_2690);
																											BgL_res2056z00_2716 =
																												BgL_res2054z00_2712;
																									}}
																								else
																									{	/* Unsafe/sha1.scm 153 */
																										bool_t BgL_testz00_3672;

																										{	/* Unsafe/sha1.scm 153 */
																											long BgL_n1z00_2713;
																											long BgL_n2z00_2714;

																											BgL_n1z00_2713 =
																												(long) (BgL_iz00_2687);
																											BgL_n2z00_2714 =
																												(long)
																												(BgL_lenz00_2688);
																											BgL_testz00_3672 =
																												(BgL_n1z00_2713 ==
																												BgL_n2z00_2714);
																										}
																										if (BgL_testz00_3672)
																											{	/* Unsafe/sha1.scm 153 */
																												BgL_res2056z00_2716 =
																													(uint32_t) (128);
																											}
																										else
																											{	/* Unsafe/sha1.scm 153 */
																												BgL_res2056z00_2716 =
																													(uint32_t) (0);
																											}
																									}
																							}
																						}
																					}
																					BgL_v2z00_1431 = BgL_res2056z00_2716;
																				}
																			}
																			{	/* Unsafe/sha1.scm 292 */
																				uint32_t BgL_v3z00_1432;

																				{	/* Unsafe/sha1.scm 293 */
																					long BgL_arg1416z00_1443;

																					{	/* Unsafe/sha1.scm 293 */
																						long BgL_za71za7_2717;

																						BgL_za71za7_2717 =
																							(long) (BgL_nz00_1428);
																						BgL_arg1416z00_1443 =
																							(BgL_za71za7_2717 + ((long) 3));
																					}
																					{	/* Unsafe/sha1.scm 293 */
																						uint32_t BgL_res2066z00_2750;

																						{	/* Unsafe/sha1.scm 293 */
																							long BgL_iz00_2721;

																							BgL_iz00_2721 =
																								(long) (BgL_arg1416z00_1443);
																							{	/* Unsafe/sha1.scm 150 */
																								long BgL_lenz00_2722;

																								{	/* Unsafe/sha1.scm 150 */
																									long BgL_res2058z00_2728;

																									BgL_res2058z00_2728 =
																										BGL_MMAP_LENGTH
																										(BgL_strz00_29);
																									BgL_lenz00_2722 =
																										BgL_res2058z00_2728;
																								}
																								{	/* Unsafe/sha1.scm 152 */
																									bool_t BgL_testz00_3680;

																									{	/* Unsafe/sha1.scm 152 */
																										long BgL_n1z00_2729;
																										long BgL_n2z00_2730;

																										BgL_n1z00_2729 =
																											(long) (BgL_iz00_2721);
																										BgL_n2z00_2730 =
																											(long) (BgL_lenz00_2722);
																										BgL_testz00_3680 =
																											(BgL_n1z00_2729 <
																											BgL_n2z00_2730);
																									}
																									if (BgL_testz00_3680)
																										{	/* Unsafe/sha1.scm 152 */
																											long BgL_arg1236z00_2724;

																											{	/* Unsafe/sha1.scm 152 */
																												unsigned char
																													BgL_arg1237z00_2725;
																												{	/* Unsafe/sha1.scm 152 */
																													unsigned char
																														BgL_res2062z00_2742;
																													{	/* Unsafe/sha1.scm 152 */
																														unsigned char
																															BgL_cz00_2734;
																														BgL_cz00_2734 =
																															BGL_MMAP_REF
																															(BgL_strz00_29,
																															BgL_iz00_2721);
																														{	/* Unsafe/sha1.scm 152 */
																															long
																																BgL_arg1496z00_2735;
																															BgL_arg1496z00_2735
																																=
																																(BgL_iz00_2721 +
																																((long) 1));
																															{	/* Unsafe/sha1.scm 152 */
																																long
																																	BgL_res2061z00_2741;
																																BGL_MMAP_RP_SET
																																	(BgL_strz00_29,
																																	BgL_arg1496z00_2735);
																																BUNSPEC;
																																BgL_res2061z00_2741
																																	=
																																	BgL_arg1496z00_2735;
																																BgL_res2061z00_2741;
																														}}
																														BgL_res2062z00_2742
																															= BgL_cz00_2734;
																													}
																													BgL_arg1237z00_2725 =
																														BgL_res2062z00_2742;
																												}
																												BgL_arg1236z00_2724 =
																													(BgL_arg1237z00_2725);
																											}
																											{	/* Unsafe/sha1.scm 152 */
																												uint32_t
																													BgL_res2064z00_2746;
																												BgL_res2064z00_2746 =
																													(uint32_t)
																													(BgL_arg1236z00_2724);
																												BgL_res2066z00_2750 =
																													BgL_res2064z00_2746;
																										}}
																									else
																										{	/* Unsafe/sha1.scm 153 */
																											bool_t BgL_testz00_3689;

																											{	/* Unsafe/sha1.scm 153 */
																												long BgL_n1z00_2747;
																												long BgL_n2z00_2748;

																												BgL_n1z00_2747 =
																													(long)
																													(BgL_iz00_2721);
																												BgL_n2z00_2748 =
																													(long)
																													(BgL_lenz00_2722);
																												BgL_testz00_3689 =
																													(BgL_n1z00_2747 ==
																													BgL_n2z00_2748);
																											}
																											if (BgL_testz00_3689)
																												{	/* Unsafe/sha1.scm 153 */
																													BgL_res2066z00_2750 =
																														(uint32_t) (128);
																												}
																											else
																												{	/* Unsafe/sha1.scm 153 */
																													BgL_res2066z00_2750 =
																														(uint32_t) (0);
																												}
																										}
																								}
																							}
																						}
																						BgL_v3z00_1432 =
																							BgL_res2066z00_2750;
																					}
																				}
																				{	/* Unsafe/sha1.scm 293 */
																					uint32_t BgL_vz00_1433;

																					{	/* Unsafe/sha1.scm 294 */
																						uint32_t BgL_arg1407z00_1434;
																						uint32_t BgL_arg1408z00_1435;

																						{	/* Unsafe/sha1.scm 294 */
																							uint32_t BgL_arg1409z00_1436;

																							{	/* Unsafe/sha1.scm 294 */
																								long BgL_arg1410z00_1437;

																								{	/* Unsafe/sha1.scm 294 */
																									uint32_t BgL_arg1411z00_1438;

																									BgL_arg1411z00_1438 =
																										(
																										(BgL_v0z00_1429 <<
																											(int) (((long) 8))) |
																										BgL_v1z00_1430);
																									{	/* Unsafe/sha1.scm 294 */
																										long BgL_res2070z00_2761;

																										{	/* Unsafe/sha1.scm 294 */
																											long BgL_arg1762z00_2758;

																											BgL_arg1762z00_2758 =
																												(long)
																												(BgL_arg1411z00_1438);
																											{	/* Unsafe/sha1.scm 294 */
																												long
																													BgL_res2069z00_2760;
																												{	/* Unsafe/sha1.scm 294 */
																													long BgL_auxz00_3697;

																													{	/* Unsafe/sha1.scm 294 */
																														long
																															BgL_auxz00_3698;
																														BgL_auxz00_3698 =
																															(long)
																															(BgL_arg1762z00_2758);
																														BgL_auxz00_3697 =
																															(long)
																															(BgL_auxz00_3698);
																													}
																													BgL_res2069z00_2760 =
																														(long)
																														(BgL_auxz00_3697);
																												}
																												BgL_res2070z00_2761 =
																													BgL_res2069z00_2760;
																										}}
																										BgL_arg1410z00_1437 =
																											BgL_res2070z00_2761;
																								}}
																								{	/* Unsafe/sha1.scm 294 */
																									uint32_t BgL_res2071z00_2763;

																									BgL_res2071z00_2763 =
																										(uint32_t)
																										(BgL_arg1410z00_1437);
																									BgL_arg1409z00_1436 =
																										BgL_res2071z00_2763;
																							}}
																							BgL_arg1407z00_1434 =
																								(BgL_arg1409z00_1436 <<
																								(int) (((long) 16)));
																						}
																						{	/* Unsafe/sha1.scm 294 */
																							long BgL_arg1413z00_1440;

																							{	/* Unsafe/sha1.scm 294 */
																								uint32_t BgL_arg1414z00_1441;

																								BgL_arg1414z00_1441 =
																									(
																									(BgL_v2z00_1431 <<
																										(int) (((long) 8))) |
																									BgL_v3z00_1432);
																								{	/* Unsafe/sha1.scm 294 */
																									long BgL_res2076z00_2777;

																									{	/* Unsafe/sha1.scm 294 */
																										long BgL_arg1762z00_2774;

																										BgL_arg1762z00_2774 =
																											(long)
																											(BgL_arg1414z00_1441);
																										{	/* Unsafe/sha1.scm 294 */
																											long BgL_res2075z00_2776;

																											{	/* Unsafe/sha1.scm 294 */
																												long BgL_auxz00_3709;

																												{	/* Unsafe/sha1.scm 294 */
																													long BgL_auxz00_3710;

																													BgL_auxz00_3710 =
																														(long)
																														(BgL_arg1762z00_2774);
																													BgL_auxz00_3709 =
																														(long)
																														(BgL_auxz00_3710);
																												}
																												BgL_res2075z00_2776 =
																													(long)
																													(BgL_auxz00_3709);
																											}
																											BgL_res2076z00_2777 =
																												BgL_res2075z00_2776;
																									}}
																									BgL_arg1413z00_1440 =
																										BgL_res2076z00_2777;
																							}}
																							{	/* Unsafe/sha1.scm 294 */
																								uint32_t BgL_res2077z00_2779;

																								BgL_res2077z00_2779 =
																									(uint32_t)
																									(BgL_arg1413z00_1440);
																								BgL_arg1408z00_1435 =
																									BgL_res2077z00_2779;
																						}}
																						BgL_vz00_1433 =
																							(BgL_arg1407z00_1434 |
																							BgL_arg1408z00_1435);
																					}
																					{	/* Unsafe/sha1.scm 294 */

																						BGL_U32VSET(BgL_vecz00_1422,
																							BgL_jz00_1425, BgL_vz00_1433);
																						BUNSPEC;
															}}}}}}}
															VECTOR_SET(BgL_mz00_1416,
																(int) (BgL_iz00_1419), BgL_vecz00_1422);
															{
																long BgL_jz00_3719;

																BgL_jz00_3719 = (BgL_jz00_1425 + ((long) 1));
																BgL_jz00_1425 = BgL_jz00_3719;
																goto BgL_zc3anonymousza31405ze3z83_1426;
															}
														}
													else
														{	/* Unsafe/sha1.scm 288 */
															((bool_t) 0);
														}
												}
											}
											{
												long BgL_iz00_3721;

												BgL_iz00_3721 = (BgL_iz00_1419 + ((long) 1));
												BgL_iz00_1419 = BgL_iz00_3721;
												goto BgL_zc3anonymousza31403ze3z83_1420;
											}
										}
									else
										{	/* Unsafe/sha1.scm 286 */
											((bool_t) 0);
										}
								}
								return BGl_sha1z00zz__sha1z00(BgL_lenz00_1413, BgL_mz00_1416);
							}
						}
					}
				}
			}
		}
	}



/* &sha1sum-mmap */
	obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t BgL_envz00_3200,
		obj_t BgL_strz00_3201)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 278 */
			{	/* Unsafe/sha1.scm 281 */
				obj_t BgL_auxz00_3724;

				if (BGL_MMAPP(BgL_strz00_3201))
					{	/* Unsafe/sha1.scm 281 */
						BgL_auxz00_3724 = BgL_strz00_3201;
					}
				else
					{
						obj_t BgL_auxz00_3727;

						BgL_auxz00_3727 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2187z00zz__sha1z00,
							BINT(((long) 11050)), BGl_string2190z00zz__sha1z00,
							BGl_string2191z00zz__sha1z00, BgL_strz00_3201);
						FAILURE(BgL_auxz00_3727, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_auxz00_3724);
			}
		}
	}



/* sha1sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t BgL_ipz00_30)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 303 */
			{	/* Unsafe/sha1.scm 306 */
				obj_t BgL_bufz00_1457;

				{	/* Ieee/string.scm 167 */

					{	/* Ieee/string.scm 167 */
						obj_t BgL_res2081z00_2794;

						{	/* Ieee/string.scm 167 */
							obj_t BgL_charz00_2793;

							BgL_charz00_2793 = BCHAR(((unsigned char) ' '));
							BgL_res2081z00_2794 =
								make_string(((long) 64), CCHAR(BgL_charz00_2793));
						}
						BgL_bufz00_1457 = BgL_res2081z00_2794;
				}}
				{
					long BgL_lenz00_1460;
					obj_t BgL_lz00_1461;
					long BgL_nlz00_1462;

					BgL_lenz00_1460 = ((long) 0);
					BgL_lz00_1461 = BNIL;
					BgL_nlz00_1462 = ((long) 0);
				BgL_zc3anonymousza31426ze3z83_1463:
					BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(BgL_bufz00_1457,
						((unsigned char) '\000'));
					{	/* Unsafe/sha1.scm 312 */
						obj_t BgL_cz00_1464;

						{	/* Unsafe/sha1.scm 312 */
							long BgL_nz00_2799;

							BgL_nz00_2799 =
								bgl_rgc_blit_string(BgL_ipz00_30,
								BSTRING_TO_STRING(BgL_bufz00_1457), ((long) 0), ((long) 64));
							{	/* Unsafe/sha1.scm 312 */
								bool_t BgL_testz00_3738;

								if ((BgL_nz00_2799 == ((long) 0)))
									{	/* Unsafe/sha1.scm 312 */
										BgL_testz00_3738 = rgc_buffer_eof_p(BgL_ipz00_30);
									}
								else
									{	/* Unsafe/sha1.scm 312 */
										BgL_testz00_3738 = ((bool_t) 0);
									}
								if (BgL_testz00_3738)
									{	/* Unsafe/sha1.scm 312 */
										BgL_cz00_1464 = BEOF;
									}
								else
									{	/* Unsafe/sha1.scm 312 */
										BgL_cz00_1464 = BINT(BgL_nz00_2799);
									}
							}
						}
						{	/* Unsafe/sha1.scm 312 */
							obj_t BgL_lz00_1465;

							{	/* Unsafe/sha1.scm 313 */
								bool_t BgL_testz00_3743;

								{	/* Unsafe/sha1.scm 313 */
									bool_t BgL_res2083z00_2806;

									BgL_res2083z00_2806 = EOF_OBJECTP(BgL_cz00_1464);
									BgL_testz00_3743 = BgL_res2083z00_2806;
								}
								if (BgL_testz00_3743)
									{	/* Unsafe/sha1.scm 313 */
										BgL_lz00_1465 = BINT(((long) 0));
									}
								else
									{	/* Unsafe/sha1.scm 313 */
										BgL_lz00_1465 = BgL_cz00_1464;
									}
							}
							{	/* Unsafe/sha1.scm 313 */
								long BgL_nlenz00_1466;

								BgL_nlenz00_1466 =
									((long) CINT(BgL_lz00_1465) + BgL_lenz00_1460);
								{	/* Unsafe/sha1.scm 314 */
									obj_t BgL_vecz00_1467;

									BgL_vecz00_1467 =
										BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
										(uint32_t) (((long) 0)));
									{	/* Unsafe/sha1.scm 315 */

										if (((long) CINT(BgL_lz00_1465) < ((long) 64)))
											{	/* Unsafe/sha1.scm 316 */
												long BgL_auxz00_3753;

												BgL_auxz00_3753 = (long) CINT(BgL_lz00_1465);
												STRING_SET(BgL_bufz00_1457, BgL_auxz00_3753,
													((unsigned char) ''));
											}
										else
											{	/* Unsafe/sha1.scm 316 */
												BFALSE;
											}
										{
											long BgL_jz00_1471;

											BgL_jz00_1471 = ((long) 0);
										BgL_zc3anonymousza31428ze3z83_1472:
											if ((BgL_jz00_1471 < ((long) 16)))
												{	/* Unsafe/sha1.scm 317 */
													{	/* Unsafe/sha1.scm 318 */
														int BgL_nz00_1474;

														BgL_nz00_1474 =
															(int) ((BgL_jz00_1471 * ((long) 4)));
														{	/* Unsafe/sha1.scm 318 */
															uint32_t BgL_v0z00_1475;

															{	/* Unsafe/sha1.scm 319 */
																long BgL_auxz00_3760;

																BgL_auxz00_3760 =
																	(STRING_REF(BgL_bufz00_1457,
																		(long) (BgL_nz00_1474)));
																BgL_v0z00_1475 = (uint32_t) (BgL_auxz00_3760);
															}
															{	/* Unsafe/sha1.scm 319 */
																uint32_t BgL_v1z00_1476;

																{	/* Unsafe/sha1.scm 320 */
																	long BgL_auxz00_3765;

																	BgL_auxz00_3765 =
																		(STRING_REF(BgL_bufz00_1457,
																			((long) (BgL_nz00_1474) + ((long) 1))));
																	BgL_v1z00_1476 = (uint32_t) (BgL_auxz00_3765);
																}
																{	/* Unsafe/sha1.scm 320 */
																	uint32_t BgL_v2z00_1477;

																	{	/* Unsafe/sha1.scm 321 */
																		long BgL_auxz00_3771;

																		BgL_auxz00_3771 =
																			(STRING_REF(BgL_bufz00_1457,
																				((long) (BgL_nz00_1474) + ((long) 2))));
																		BgL_v2z00_1477 =
																			(uint32_t) (BgL_auxz00_3771);
																	}
																	{	/* Unsafe/sha1.scm 321 */
																		uint32_t BgL_v3z00_1478;

																		{	/* Unsafe/sha1.scm 322 */
																			long BgL_auxz00_3777;

																			BgL_auxz00_3777 =
																				(STRING_REF(BgL_bufz00_1457,
																					((long) (BgL_nz00_1474) +
																						((long) 3))));
																			BgL_v3z00_1478 =
																				(uint32_t) (BgL_auxz00_3777);
																		}
																		{	/* Unsafe/sha1.scm 322 */
																			uint32_t BgL_vz00_1479;

																			{	/* Unsafe/sha1.scm 323 */
																				uint32_t BgL_arg1430z00_1480;
																				uint32_t BgL_arg1431z00_1481;

																				{	/* Unsafe/sha1.scm 323 */
																					uint32_t BgL_arg1432z00_1482;

																					{	/* Unsafe/sha1.scm 323 */
																						long BgL_arg1433z00_1483;

																						{	/* Unsafe/sha1.scm 323 */
																							uint32_t BgL_arg1434z00_1484;

																							BgL_arg1434z00_1484 =
																								(
																								(BgL_v0z00_1475 <<
																									(int) (((long) 8))) |
																								BgL_v1z00_1476);
																							{	/* Unsafe/sha1.scm 323 */
																								long BgL_res2102z00_2861;

																								{	/* Unsafe/sha1.scm 323 */
																									long BgL_arg1762z00_2858;

																									BgL_arg1762z00_2858 =
																										(long)
																										(BgL_arg1434z00_1484);
																									{	/* Unsafe/sha1.scm 323 */
																										long BgL_res2101z00_2860;

																										{	/* Unsafe/sha1.scm 323 */
																											long BgL_auxz00_3787;

																											{	/* Unsafe/sha1.scm 323 */
																												long BgL_auxz00_3788;

																												BgL_auxz00_3788 =
																													(long)
																													(BgL_arg1762z00_2858);
																												BgL_auxz00_3787 =
																													(long)
																													(BgL_auxz00_3788);
																											}
																											BgL_res2101z00_2860 =
																												(long)
																												(BgL_auxz00_3787);
																										}
																										BgL_res2102z00_2861 =
																											BgL_res2101z00_2860;
																								}}
																								BgL_arg1433z00_1483 =
																									BgL_res2102z00_2861;
																						}}
																						{	/* Unsafe/sha1.scm 323 */
																							uint32_t BgL_res2103z00_2863;

																							BgL_res2103z00_2863 =
																								(uint32_t)
																								(BgL_arg1433z00_1483);
																							BgL_arg1432z00_1482 =
																								BgL_res2103z00_2863;
																					}}
																					BgL_arg1430z00_1480 =
																						(BgL_arg1432z00_1482 <<
																						(int) (((long) 16)));
																				}
																				{	/* Unsafe/sha1.scm 323 */
																					long BgL_arg1436z00_1486;

																					{	/* Unsafe/sha1.scm 323 */
																						uint32_t BgL_arg1437z00_1487;

																						BgL_arg1437z00_1487 =
																							(
																							(BgL_v2z00_1477 <<
																								(int) (((long) 8))) |
																							BgL_v3z00_1478);
																						{	/* Unsafe/sha1.scm 323 */
																							long BgL_res2108z00_2877;

																							{	/* Unsafe/sha1.scm 323 */
																								long BgL_arg1762z00_2874;

																								BgL_arg1762z00_2874 =
																									(long) (BgL_arg1437z00_1487);
																								{	/* Unsafe/sha1.scm 323 */
																									long BgL_res2107z00_2876;

																									{	/* Unsafe/sha1.scm 323 */
																										long BgL_auxz00_3799;

																										{	/* Unsafe/sha1.scm 323 */
																											long BgL_auxz00_3800;

																											BgL_auxz00_3800 =
																												(long)
																												(BgL_arg1762z00_2874);
																											BgL_auxz00_3799 =
																												(long)
																												(BgL_auxz00_3800);
																										}
																										BgL_res2107z00_2876 =
																											(long) (BgL_auxz00_3799);
																									}
																									BgL_res2108z00_2877 =
																										BgL_res2107z00_2876;
																							}}
																							BgL_arg1436z00_1486 =
																								BgL_res2108z00_2877;
																					}}
																					{	/* Unsafe/sha1.scm 323 */
																						uint32_t BgL_res2109z00_2879;

																						BgL_res2109z00_2879 =
																							(uint32_t) (BgL_arg1436z00_1486);
																						BgL_arg1431z00_1481 =
																							BgL_res2109z00_2879;
																				}}
																				BgL_vz00_1479 =
																					(BgL_arg1430z00_1480 |
																					BgL_arg1431z00_1481);
																			}
																			{	/* Unsafe/sha1.scm 323 */

																				BGL_U32VSET(BgL_vecz00_1467,
																					BgL_jz00_1471, BgL_vz00_1479);
																				BUNSPEC;
													}}}}}}}
													{
														long BgL_jz00_3807;

														BgL_jz00_3807 = (BgL_jz00_1471 + ((long) 1));
														BgL_jz00_1471 = BgL_jz00_3807;
														goto BgL_zc3anonymousza31428ze3z83_1472;
													}
												}
											else
												{	/* Unsafe/sha1.scm 317 */
													((bool_t) 0);
												}
										}
										if (((long) CINT(BgL_lz00_1465) < ((long) 64)))
											{	/* Unsafe/sha1.scm 327 */
												long BgL_flz00_1499;

												{	/* Unsafe/sha1.scm 327 */
													long BgL_auxz00_3812;

													{	/* Unsafe/sha1.scm 327 */
														obj_t BgL_auxz00_3813;

														{	/* Unsafe/sha1.scm 245 */
															obj_t BgL_rz00_2894;

															BgL_rz00_2894 =
																BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
																	(BgL_nlenz00_1466 + ((long) 1))),
																BINT(((long) 4)));
															if (INTEGERP(BgL_rz00_2894))
																{	/* Unsafe/sha1.scm 246 */
																	BgL_auxz00_3813 = BgL_rz00_2894;
																}
															else
																{	/* Unsafe/sha1.scm 246 */
																	BgL_auxz00_3813 =
																		BINT(
																		(long) (REAL_TO_DOUBLE
																			(BGl_ceilingz00zz__r4_numbers_6_5z00
																				(BgL_rz00_2894))));
														}}
														BgL_auxz00_3812 = (long) CINT(BgL_auxz00_3813);
													}
													BgL_flz00_1499 = (BgL_auxz00_3812 + ((long) 2));
												}
												{	/* Unsafe/sha1.scm 327 */
													long BgL_nz00_1500;

													{	/* Unsafe/sha1.scm 245 */
														obj_t BgL_rz00_2907;

														BgL_rz00_2907 =
															BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT
															(BgL_flz00_1499), BINT(((long) 16)));
														if (INTEGERP(BgL_rz00_2907))
															{	/* Unsafe/sha1.scm 246 */
																BgL_nz00_1500 = (long) CINT(BgL_rz00_2907);
															}
														else
															{	/* Unsafe/sha1.scm 246 */
																BgL_nz00_1500 =
																	(long) (REAL_TO_DOUBLE
																	(BGl_ceilingz00zz__r4_numbers_6_5z00
																		(BgL_rz00_2907)));
													}}
													{	/* Unsafe/sha1.scm 328 */
														obj_t BgL_mz00_1501;

														{	/* Unsafe/sha1.scm 331 */
															obj_t BgL_arg1449z00_1502;

															{	/* Unsafe/sha1.scm 331 */
																obj_t BgL_arg1450z00_1503;

																if (
																	(BgL_nz00_1500 >
																		(((long) 1) + BgL_nlz00_1462)))
																	{	/* Unsafe/sha1.scm 332 */
																		obj_t BgL_arg1452z00_1505;
																		obj_t BgL_arg1453z00_1506;

																		BgL_arg1452z00_1505 =
																			BGl_makezd2u32vectorzd2zz__srfi4z00((
																				(long) 16), (uint32_t) (0));
																		BgL_arg1453z00_1506 =
																			MAKE_PAIR(BgL_vecz00_1467, BgL_lz00_1461);
																		BgL_arg1450z00_1503 =
																			MAKE_PAIR(BgL_arg1452z00_1505,
																			BgL_arg1453z00_1506);
																	}
																else
																	{	/* Unsafe/sha1.scm 331 */
																		BgL_arg1450z00_1503 =
																			MAKE_PAIR(BgL_vecz00_1467, BgL_lz00_1461);
																	}
																BgL_arg1449z00_1502 =
																	bgl_reverse_bang(BgL_arg1450z00_1503);
															}
															BgL_mz00_1501 =
																BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
																(BgL_arg1449z00_1502);
														}
														{	/* Unsafe/sha1.scm 329 */

															return
																BGl_sha1z00zz__sha1z00(BgL_nlenz00_1466,
																BgL_mz00_1501);
														}
													}
												}
											}
										else
											{	/* Unsafe/sha1.scm 335 */
												obj_t BgL_arg1457z00_1510;
												long BgL_arg1458z00_1511;

												BgL_arg1457z00_1510 =
													MAKE_PAIR(BgL_vecz00_1467, BgL_lz00_1461);
												BgL_arg1458z00_1511 = (BgL_nlz00_1462 + ((long) 1));
												{
													long BgL_nlz00_3849;
													obj_t BgL_lz00_3848;
													long BgL_lenz00_3847;

													BgL_lenz00_3847 = BgL_nlenz00_1466;
													BgL_lz00_3848 = BgL_arg1457z00_1510;
													BgL_nlz00_3849 = BgL_arg1458z00_1511;
													BgL_nlz00_1462 = BgL_nlz00_3849;
													BgL_lz00_1461 = BgL_lz00_3848;
													BgL_lenz00_1460 = BgL_lenz00_3847;
													goto BgL_zc3anonymousza31426ze3z83_1463;
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &sha1sum-port */
	obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t BgL_envz00_3202,
		obj_t BgL_ipz00_3203)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 303 */
			{	/* Unsafe/sha1.scm 306 */
				obj_t BgL_auxz00_3850;

				if (INPUT_PORTP(BgL_ipz00_3203))
					{	/* Unsafe/sha1.scm 306 */
						BgL_auxz00_3850 = BgL_ipz00_3203;
					}
				else
					{
						obj_t BgL_auxz00_3853;

						BgL_auxz00_3853 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2187z00zz__sha1z00,
							BINT(((long) 11985)), BGl_string2192z00zz__sha1z00,
							BGl_string2193z00zz__sha1z00, BgL_ipz00_3203);
						FAILURE(BgL_auxz00_3853, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2portzd2zz__sha1z00(BgL_auxz00_3850);
			}
		}
	}



/* sha1sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t BgL_fnamez00_31)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 340 */
			{	/* Unsafe/sha1.scm 341 */
				obj_t BgL_mmz00_1516;

				BgL_mmz00_1516 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_31, BTRUE, BFALSE);
				{	/* Unsafe/sha1.scm 342 */
					bool_t BgL_testz00_3859;

					{	/* Unsafe/sha1.scm 342 */
						bool_t BgL_res2124z00_2925;

						BgL_res2124z00_2925 = BGL_MMAPP(BgL_mmz00_1516);
						BgL_testz00_3859 = BgL_res2124z00_2925;
					}
					if (BgL_testz00_3859)
						{	/* Unsafe/sha1.scm 343 */
							obj_t BgL_exitd1073z00_1518;

							BgL_exitd1073z00_1518 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Unsafe/sha1.scm 345 */
								obj_t BgL_zc3anonymousza31461ze3z83_3204;

								BgL_zc3anonymousza31461ze3z83_3204 =
									MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31461ze3ze1zz__sha1z00,
									(int) (((long) 0)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza31461ze3z83_3204,
									(int) (((long) 0)), BgL_mmz00_1516);
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
									(BgL_exitd1073z00_1518, BgL_zc3anonymousza31461ze3z83_3204);
								{	/* Unsafe/sha1.scm 344 */
									obj_t BgL_tmp1075z00_1520;

									BgL_tmp1075z00_1520 =
										BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_mmz00_1516);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00
										(BgL_exitd1073z00_1518);
									bgl_close_mmap(BgL_mmz00_1516);
									return BgL_tmp1075z00_1520;
								}
							}
						}
					else
						{	/* Unsafe/sha1.scm 346 */
							obj_t BgL_pz00_1523;

							{	/* Ieee/port.scm 425 */

								BgL_pz00_1523 =
									BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
									(BgL_fnamez00_31, BTRUE, BINT(((long) 5000000)));
							}
							{	/* Unsafe/sha1.scm 347 */
								obj_t BgL_exitd1076z00_1524;

								BgL_exitd1076z00_1524 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Unsafe/sha1.scm 349 */
									obj_t BgL_zc3anonymousza31462ze3z83_3205;

									BgL_zc3anonymousza31462ze3z83_3205 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31462ze3ze1zz__sha1z00,
										(int) (((long) 0)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza31462ze3z83_3205,
										(int) (((long) 0)), BgL_pz00_1523);
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
										(BgL_exitd1076z00_1524, BgL_zc3anonymousza31462ze3z83_3205);
									{	/* Unsafe/sha1.scm 348 */
										obj_t BgL_tmp1078z00_1526;

										BgL_tmp1078z00_1526 =
											BGl_sha1sumzd2portzd2zz__sha1z00(BgL_pz00_1523);
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00
											(BgL_exitd1076z00_1524);
										bgl_close_input_port(BgL_pz00_1523);
										return BgL_tmp1078z00_1526;
									}
								}
							}
						}
				}
			}
		}
	}



/* &sha1sum-file */
	obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t BgL_envz00_3206,
		obj_t BgL_fnamez00_3207)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 340 */
			{	/* Unsafe/sha1.scm 341 */
				obj_t BgL_auxz00_3883;

				if (STRINGP(BgL_fnamez00_3207))
					{	/* Unsafe/sha1.scm 341 */
						BgL_auxz00_3883 = BgL_fnamez00_3207;
					}
				else
					{
						obj_t BgL_auxz00_3886;

						BgL_auxz00_3886 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2187z00zz__sha1z00,
							BINT(((long) 13262)), BGl_string2194z00zz__sha1z00,
							BGl_string2189z00zz__sha1z00, BgL_fnamez00_3207);
						FAILURE(BgL_auxz00_3886, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2filezd2zz__sha1z00(BgL_auxz00_3883);
			}
		}
	}



/* &<anonymous:1461> */
	obj_t BGl_z62zc3anonymousza31461ze3ze1zz__sha1z00(obj_t BgL_envz00_3208)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 343 */
			{	/* Unsafe/sha1.scm 345 */
				obj_t BgL_mmz00_3209;

				BgL_mmz00_3209 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3208, (int) (((long) 0))));
				{

					return bgl_close_mmap(BgL_mmz00_3209);
				}
			}
		}
	}



/* &<anonymous:1462> */
	obj_t BGl_z62zc3anonymousza31462ze3ze1zz__sha1z00(obj_t BgL_envz00_3210)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 347 */
			{	/* Unsafe/sha1.scm 349 */
				obj_t BgL_pz00_3211;

				BgL_pz00_3211 = PROCEDURE_REF(BgL_envz00_3210, (int) (((long) 0)));
				{

					return bgl_close_input_port(BgL_pz00_3211);
				}
			}
		}
	}



/* sha1sum */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumz00zz__sha1z00(obj_t BgL_objz00_32)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 354 */
			{	/* Unsafe/sha1.scm 356 */
				bool_t BgL_testz00_3898;

				{	/* Unsafe/sha1.scm 356 */
					bool_t BgL_res2125z00_2931;

					BgL_res2125z00_2931 = BGL_MMAPP(BgL_objz00_32);
					BgL_testz00_3898 = BgL_res2125z00_2931;
				}
				if (BgL_testz00_3898)
					{	/* Unsafe/sha1.scm 356 */
						return BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_objz00_32);
					}
				else
					{	/* Unsafe/sha1.scm 356 */
						if (STRINGP(BgL_objz00_32))
							{	/* Unsafe/sha1.scm 358 */
								return BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_objz00_32);
							}
						else
							{	/* Unsafe/sha1.scm 358 */
								if (INPUT_PORTP(BgL_objz00_32))
									{	/* Unsafe/sha1.scm 360 */
										return BGl_sha1sumzd2portzd2zz__sha1z00(BgL_objz00_32);
									}
								else
									{	/* Unsafe/sha1.scm 360 */
										return
											BGl_errorz00zz__errorz00(BGl_string2195z00zz__sha1z00,
											BGl_string2196z00zz__sha1z00, BgL_objz00_32);
									}
							}
					}
			}
		}
	}



/* &sha1sum */
	obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t BgL_envz00_3212,
		obj_t BgL_objz00_3213)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 354 */
			return BGl_sha1sumz00zz__sha1z00(BgL_objz00_3213);
		}
	}



/* hmac-sha1sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t
		BgL_keyz00_33, obj_t BgL_messagez00_34)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 368 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_33, BgL_messagez00_34,
				BGl_sha1sumzd2stringzd2envz00zz__sha1z00);
		}
	}



/* &hmac-sha1sum-string */
	obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t BgL_envz00_3214,
		obj_t BgL_keyz00_3215, obj_t BgL_messagez00_3216)
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 368 */
			{	/* Unsafe/sha1.scm 369 */
				obj_t BgL_auxz00_3917;
				obj_t BgL_auxz00_3910;

				if (STRINGP(BgL_messagez00_3216))
					{	/* Unsafe/sha1.scm 369 */
						BgL_auxz00_3917 = BgL_messagez00_3216;
					}
				else
					{
						obj_t BgL_auxz00_3920;

						BgL_auxz00_3920 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2187z00zz__sha1z00,
							BINT(((long) 14229)), BGl_string2197z00zz__sha1z00,
							BGl_string2189z00zz__sha1z00, BgL_messagez00_3216);
						FAILURE(BgL_auxz00_3920, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_3215))
					{	/* Unsafe/sha1.scm 369 */
						BgL_auxz00_3910 = BgL_keyz00_3215;
					}
				else
					{
						obj_t BgL_auxz00_3913;

						BgL_auxz00_3913 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2187z00zz__sha1z00,
							BINT(((long) 14229)), BGl_string2197z00zz__sha1z00,
							BGl_string2189z00zz__sha1z00, BgL_keyz00_3215);
						FAILURE(BgL_auxz00_3913, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(BgL_auxz00_3910,
					BgL_auxz00_3917);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__sha1z00()
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__sha1z00()
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__sha1z00()
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00()
	{
		AN_OBJECT;
		{	/* Unsafe/sha1.scm 17 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string2198z00zz__sha1z00));
			return
				BGl_modulezd2initializa7ationz75zz__hmacz00(((long) 285132844),
				BSTRING_TO_STRING(BGl_string2198z00zz__sha1z00));
		}
	}

#ifdef __cplusplus
}
#endif
